unit UltraDebug_Backup;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics;


  procedure WriteTraceString(Caption: string);
  procedure FlushDebugFile;


implementation

uses
  MPCommonUtilities;

procedure FlushDebugFile;
var
  DebugList: TFileStream;
begin
  DebugList := TFileStream.Create(ModuleFileName + '\Debug.txt', fmCreate or fmShareExclusive);
  try
  finally
    DebugList.Free
  end
end;

procedure WriteTraceString(Caption: string);
var
  DebugList: TFileStream;
begin
  DebugList := TFileStream.Create(ModuleFileName + '\Debug.txt', fmOpenReadWrite	or fmShareExclusive);
  try
    DebugList.Seek(0, soFromEnd);
    Caption := Caption + #13#10;
    DebugList.Write(PChar( Caption)^, Length(Caption));
  finally
    DebugList.Free
  end
end;

end.
