

program UltraExplorer;
 
uses
  madExcept,
  madLinkDisAsm,
  madListHardware,
  madListProcesses,
  madListModules,
  FastShareMem,
  Forms,
  TntClasses,
  TntSystem,
  TntSysUtils,
  Windows,
  Classes,
  SysUtils,
  MPCommonUtilities,
  MPCommonObjects,
  UltraOptions,
  UltraFavTree in 'UltraFavTree.pas',
  UltraTaskInf in 'Plugin Tasks\UltraTaskInf.pas',
  UltraUserStrings in 'UltraUserStrings.pas',
  UltraUtilities in 'UltraUtilities.pas',
  UnitAboutForm in 'UnitAboutForm.pas' {TntFormAbout},
  UnitEditGroupingCriteria in 'UnitEditGroupingCriteria.pas' {TntFormGroupingCriteria: TTntForm},
  UnitEditGroupingCriteriaEdit in 'UnitEditGroupingCriteriaEdit.pas' {TntFormGroupingCriteriaEdit: TTntForm},
  UnitFavoriteCrumbBar in 'UnitFavoriteCrumbBar.pas',
  UnitFileObjectsForm in 'UnitFileObjectsForm.pas' {TntFormFileObjects: TTntForm},
  UnitHelpTranslateForm in 'UnitHelpTranslateForm.pas' {TntFormTranslation: TTntForm},
  UnitInPlaceWndInf in 'UnitInPlaceWndInf.pas',
  UnitListerPluginsExtensionsForm in 'UnitListerPluginsExtensionsForm.pas' {TntFormExtEdit: TTntForm},
  UnitListerPluginsForm in 'UnitListerPluginsForm.pas' {TntFormPlugins: TTntForm},
  UnitMainForm in 'UnitMainForm.pas' {TntFormUltraExplorer},
  UnitOkDialog in 'UnitOkDialog.pas' {TntFormOkDialog: TTntForm},
  UnitOptionsBase in 'UnitOptionsBase.pas' {TntOptionsBaseForm: TTntForm},
  UnitOptionsCmdLine in 'UnitOptionsCmdLine.pas' {TntFormOptionsCmdLine: TTntForm},
  UnitOptionsDropStack in 'UnitOptionsDropStack.pas' {TntFormOptionsDropStack: TTntForm},
  UnitOptionsFavorites in 'UnitOptionsFavorites.pas' {TntFormOptionsFavorites: TTntForm},
  UnitOptionsFilter in 'UnitOptionsFilter.pas' {TntFormOptionsFilter: TTntForm},
  UnitOptionsFolderSizes in 'UnitOptionsFolderSizes.pas' {TntFormOptionsFolderSizes: TTntForm},
  UnitOptionsFrame in 'UnitOptionsFrame.pas' {TntFormOptionsFrame: TTntForm},
  UnitOptionsGeneral in 'UnitOptionsGeneral.pas' {TntFormOptionsGeneral: TTntForm},
  UnitOptionsHistory in 'UnitOptionsHistory.pas' {TntFormOptionsHistory: TTntForm},
  UnitOptionsListview in 'UnitOptionsListview.pas' {TntFormOptionsListview: TTntForm},
  UnitOptionsListviewColoring in 'UnitOptionsListviewColoring.pas' {TntFormOptionsListviewColoring},
  UnitOptionsListviewColumns in 'UnitOptionsListviewColumns.pas' {TntFormOptionsListviewColumns: TTntForm},
  UnitOptionsListviewGrouping in 'UnitOptionsListviewGrouping.pas' {TntFormOptionsListviewGrouping: TTntForm},
  UnitOptionsListviewGroupingColorEditor in 'UnitOptionsListviewGroupingColorEditor.pas' {TntFormExtensionColorEditor: TTntForm},
  UnitOptionsListviewThumbnails in 'UnitOptionsListviewThumbnails.pas' {TntFormOptionsListviewThumbnails: TTntForm},
  UnitOptionsMouse in 'UnitOptionsMouse.pas' {TntFormOptionsMouse},
  UnitOptionsTabs in 'UnitOptionsTabs.pas' {TntFormOptionsTabs: TTntForm},
  UnitOptionsToolbar in 'UnitOptionsToolbar.pas' {TntFormOptionsToolbar: TTntForm},
  UnitOptionsToolbarDrives in 'UnitOptionsToolbarDrives.pas' {TntFormOptionsToolbarDrives: TTntForm},
  UnitOptionsTreeview in 'UnitOptionsTreeview.pas' {TntFormOptionsTreeview},
  UnitOptionsViewer in 'UnitOptionsViewer.pas' {TntFormOptionsViewer: TTntForm},
  UnitPlugInBaseFrame in 'UnitPlugInBaseFrame.pas' {TntFrameBasePlugIn: TTntFrame},
  UnitPluginColumnsModeFrame in 'UnitPluginColumnsModeFrame.pas' {TntFramePlugInColumnMode: TTntFrame},
  UnitPlugInFlattenFolderFrame in 'UnitPlugInFlattenFolderFrame.pas' {TntFramePlugInFlattenFolder: TTntFrame},
  UnitPlugInSearchFrame in 'UnitPlugInSearchFrame.pas' {TntFramePlugInSearch: TTntFrame},
  UnitPlugInTextEditorFrame in 'UnitPlugInTextEditorFrame.pas' {TntFramePlugInTextEditor: TTntFrame},
  UnitSearchAdvOptions in 'UnitSearchAdvOptions.pas' {EasyTaskPanelFormAdvOptions: TEasyTaskPanelForm},
  UnitSearchBrowseTaskPanel in 'UnitSearchBrowseTaskPanel.pas' {EasyTaskPanelFormBrowse: TEasyTaskPanelForm},
  UnitSearchMainTaskPanel in 'UnitSearchMainTaskPanel.pas' {EasyTaskPanelFormMainSearch: TEasyTaskPanelForm},
  UnitSearchModifedTaskPanel in 'UnitSearchModifedTaskPanel.pas' {EasyTaskPanelFormSearchDate: TEasyTaskPanelForm},
  UnitSearchSizeTaskPanel in 'UnitSearchSizeTaskPanel.pas' {EasyTaskPanelFormSearchSize: TEasyTaskPanelForm},
  UnitTaskPlugins in 'UnitTaskPlugins.pas',
  UnitUltraLaunchDesignerForm in 'UnitUltraLaunchDesignerForm.pas' {TntFormUltraLaunchDesigner: TTntForm},
  UnitYesNoDialog in 'UnitYesNoDialog.pas' {TntFormYesNoDialog: TTntForm},
  UnitTabSetFrame in 'UnitTabSetFrame.pas' {TntFrameTabs: TTntFrame};

{$R *.res}

const
  STR_OPTIONSETTINGS_FILE = 'UltraOptions.cfg';

function OptionSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_OPTIONSETTINGS_FILE
end;

var
  Wnd: HWnd;
  Mutex: THandle;
  S: String;
  Process: THandle;
begin
  TntSystem.InstallTntSystemUpdates;
  MutexFileSyncEnsureExists;

  Mutex := OpenMutex(MUTEX_ALL_ACCESS, False, STR_FILESYNCMUTEX);
  try
    WaitForSingleObject(Mutex, INFINITE);
    if WideFileExists(OptionSettingsFile) then
      Attribs.LoadFromFileText(OptionSettingsFile);
  finally
    if Mutex <> 0 then
    begin
      ReleaseMutex(Mutex);
      CloseHandle(Mutex)
    end
  end;

  Mutex := 0;
  if Attribs.General.SingleInstance then
  begin
    if OpenMutex(MUTEX_ALL_ACCESS, False, STR_SINGLEINSTANCEMUTEX) = 0 then
      Mutex := CreateMutex(nil, False, STR_SINGLEINSTANCEMUTEX)
    else begin
      S := TTntFormUltraExplorer.ClassName;
      if IsUnicode then
        Wnd := FindWindow(PChar( S + '.UnicodeClass'), nil)
      else
        Wnd := FindWindow(PChar( S), nil);
      if Wnd > 0 then
      begin
        SendMessage(Wnd, WM_BRINGTOFRONT, 0, 0);
        // Allows SetForegroundWindow to work in Win2k and up
        if Assigned(AllowSetForegroundWindow_MP) then
        begin
          Process := SendMessage(Wnd, WM_GETPROCESSID, 0, 0);
          AllowSetForegroundWindow_MP(Process);
        end;
        SetActiveWindow(Wnd);
        Exit;
      end
    end
  end;

//  HintWindowClass := TCommonHintWindow;
  Application.Initialize;

  // Make it Vista Compatible
  SetWindowLong(Application.Handle, GWL_EXSTYLE, GetWindowLong(Application.Handle, GWL_EXSTYLE) and not WS_EX_APPWINDOW or WS_EX_TOOLWINDOW);
  if Attribs.General.TrayIcon then
    ShowWindow(Application.Handle, SW_HIDE);
  Application.Title := 'UltraExplorer';
  Application.CreateForm(TTntFormUltraExplorer, TntFormUltraExplorer);
  Application.CreateForm(TTntFormFileObjects, TntFormFileObjects);
  Application.Run;
  if Mutex <> 0 then
    CloseHandle(Mutex);
end.
