unit UnitAboutForm;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, SpTBXControls, ShellAPI, UltraUtilities,
  StdCtrls, MPCommonUtilities, DKLang, UltraUserStrings, TntForms,
  SpTBXItem;

type
  TTntFormAbout = class(TTntForm)
    Image1: TImage;
    SpTBXGroupBox1: TSpTBXGroupBox;
    SpTBXLabel1: TSpTBXLabel;
    SpTBXLabel10: TSpTBXLabel;
    SpTBXLabel11: TSpTBXLabel;
    SpTBXLabel12: TSpTBXLabel;
    SpTBXLabel13: TSpTBXLabel;
    SpTBXLabel14: TSpTBXLabel;
    SpTBXLabel15: TSpTBXLabel;
    SpTBXLabel16: TSpTBXLabel;
    SpTBXLabel17: TSpTBXLabel;
    SpTBXLabel2: TSpTBXLabel;
    SpTBXLabel3: TSpTBXLabel;
    SpTBXLabel4: TSpTBXLabel;
    SpTBXLabel5: TSpTBXLabel;
    SpTBXLabel6: TSpTBXLabel;
    SpTBXLabel7: TSpTBXLabel;
    SpTBXLabel9: TSpTBXLabel;
    SpTBXLabelVersion: TSpTBXLabel;
    SpTBXPanel1: TSpTBXPanel;
    SpTBXLabel210: TSpTBXLabel;
    SpTBXLabel211: TSpTBXLabel;
    SpTBXLabel212: TSpTBXLabel;
    SpTBXLabel213: TSpTBXLabel;
    SpTBXLabel214: TSpTBXLabel;
    SpTBXLabel22: TSpTBXLabel;
    SpTBXLabel23: TSpTBXLabel;
    SpTBXLabel24: TSpTBXLabel;
    SpTBXLabel25: TSpTBXLabel;
    SpTBXLabel26: TSpTBXLabel;
    SpTBXLabel27: TSpTBXLabel;
    SpTBXLabel28: TSpTBXLabel;
    SpTBXLabel29: TSpTBXLabel;
    DKLanguageControllerAbout: TDKLanguageController;
    SpTBXButton1: TSpTBXButton;
    procedure TBXLinkClick(Sender: TObject);
    procedure TBXLink8Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure TntFormShow(Sender: TObject);
  private
    { Private declarations }
    FWndParent: HWnd;
  protected
    procedure CreateParams(var Params: TCreateParams); override;
    property WndParent: HWnd read FWndParent write FWndParent;
  public
    { Public declarations }
    constructor CreateEx(AnOwner: TCustomForm);
  end;

implementation

{$R *.dfm}

constructor TTntFormAbout.CreateEx(AnOwner: TCustomForm);
begin
  if Assigned(AnOwner) then
     WndParent := AnOwner.Handle
   else
     WndParent := 0;
   inherited Create(nil);
end;

procedure TTntFormAbout.CreateParams(var Params: TCreateParams);
begin
  inherited;
  if WndParent <> 0 then
    Params.WndParent := WndParent;
end;

procedure TTntFormAbout.TBXLinkClick(Sender: TObject);
begin
  WideShellExecute(Handle, 'open', (Sender as TSpTBXLabel).Caption, '', '');
end;

procedure TTntFormAbout.TBXLink8Click(Sender: TObject);
begin
  WideShellExecute(Handle, 'open', PWideChar(MAILTO_MAIL), '', '');
end;

procedure TTntFormAbout.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_ESCAPE then
    Close
end;

procedure TTntFormAbout.TntFormShow(Sender: TObject);
begin
  FixFormFont(Font)
end;

end.
