unit UnitOptionsHistory;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  TntForms,
  SpTBXControls,
  StdCtrls,
  SpTBXEditors,
  SpTBXDkPanels,
  UnitOptionsBase,
  DKLang, SpTBXItem;

type
  TTntFormOptionsHistory = class(TTntOptionsBaseForm)
    SpTBXPanel1: TSpTBXPanel;
    SpTBXGroupBoxHistoryGeneral: TSpTBXGroupBox;
    SpTBXCheckBoxOptionsHistoryDropWarning: TSpTBXCheckBox;
    SpTBXCheckBoxOptionsHistoryContextWarning: TSpTBXCheckBox;
    SpTBXCheckBoxHistorySaveRemovableDrives: TSpTBXCheckBox;
    SpTBXCheckBoxHistorySaveNetworkPaths: TSpTBXCheckBox;
    SpTBXCheckBoxHistorySaveMappedPaths: TSpTBXCheckBox;
    SpTBXLabel15: TSpTBXLabel;
    SpTBXEditHistoryStackDepth: TSpTBXEdit;
    SpTBXGroupBoxHistoryColorFont: TSpTBXGroupBox;
    SpTBXButtonHistoryColor: TSpTBXButton;
    SpTBXButtonHistoryFont: TSpTBXButton;
    SpTBXEditHistorySample: TSpTBXEdit;
    DKLanguageController1: TDKLanguageController;
    SpTBXCheckBoxSavePerTab: TSpTBXCheckBox;
    procedure IsDirtyClick(Sender: TObject);
    procedure SpTBXButtonHistoryColorClick(Sender: TObject);
    procedure SpTBXButtonHistoryFontClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SpTBXEditHistoryStackDepthKeyPress(Sender: TObject;
      var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TTntFormOptionsHistory.IsDirtyClick(
  Sender: TObject);
begin
  Dirty(True)
end;

procedure TTntFormOptionsHistory.SpTBXButtonHistoryColorClick(
  Sender: TObject);
begin
  TempColor := SpTBXEditHistorySample.Color;
  if QueryModifyColor(FTempColor) then
  begin
    if LockAllColors then
      SetAllWindowColors(ColorDialog.Color)
    else
      SpTBXEditHistorySample.Color := ColorDialog.Color;
    Dirty(True)
  end  
end;

procedure TTntFormOptionsHistory.SpTBXButtonHistoryFontClick(
  Sender: TObject);
begin
  TempFont.Assign(SpTBXEditHistorySample.Font);
  if QueryModifyFont(TempFont) then
  begin
    if LockAllFonts then
      SetAllWindowFonts(TempFont)
    else
      SpTBXEditHistorySample.Font.Assign(TempFont);
    Dirty(True)
  end
end;

procedure TTntFormOptionsHistory.FormShow(Sender: TObject);
begin
  inherited;
  ClientWidth := SpTBXPanel1.Width;
  ClientHeight := SpTBXPanel1.Height;
end;

procedure TTntFormOptionsHistory.SpTBXEditHistoryStackDepthKeyPress(
  Sender: TObject; var Key: Char);
begin
  if ((Key < '0') or (Key > '9')) and not( (Key = Char(VK_BACK)) or (Key = Char(VK_DELETE)) ) then
  begin
    Key := #0;
    if (Key <> #13) then
      Beep
  end
end;

end.
