unit UnitOptionsListview;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  TntForms,
  DKLang,
  StdCtrls,
  TntStdCtrls,
  SpTBXEditors,
  SpTBXControls,
  SpTBXDkPanels,
  UltraOptions,
  UnitOptionsBase, SpTBXItem;

type
  TTntFormOptionsListview = class(TTntOptionsBaseForm)
    SpTBXPanel1: TSpTBXPanel;
    SpTBXGroupBoxColorFont: TSpTBXGroupBox;
    SpTBXButtonListviewFont: TSpTBXButton;
    SpTBXButtonListviewBkGndColor: TSpTBXButton;
    SpTBXEditListviewSample: TSpTBXEdit;
    SpTBXGroupBoxGeneral: TSpTBXGroupBox;
    SpTBXCheckBoxPerFolderSave: TSpTBXCheckBox;
    SpTBXCheckBoxCopyPrevFolder: TSpTBXCheckBox;
    SpTBXCheckBoxSelectFirst: TSpTBXCheckBox;
    SpTBXCheckBoxShowTitleBar: TSpTBXCheckBox;
    SpTBXGroupBoxSelection: TSpTBXGroupBox;
    SpTBXCheckBoxSelectionGradient: TSpTBXCheckBox;
    SpTBXCheckBoxSelectionFocusRect: TSpTBXCheckBox;
    SpTBXCheckBoxSelectionFullRow: TSpTBXCheckBox;
    DKLanguageController1: TDKLanguageController;
    SpTBXCheckBoxListviewHilightCompressed: TSpTBXCheckBox;
    SpTBXCheckBoxListviewAlwaysShowHeader: TSpTBXCheckBox;
    SpTBXCheckBoxHilightEncryptedFiles: TSpTBXCheckBox;
    SpTBXGroupBoxDefaultView: TSpTBXGroupBox;
    SpTBXComboBoxView: TSpTBXComboBox;
    SpTBXCheckBoxListviewGridLines: TSpTBXCheckBox;
    SpTBXCheckBoxDblClickBkBrowse: TSpTBXCheckBox;
    SpTBXCheckBoxAutoSizeItemCaptions: TSpTBXCheckBox;
    SpTBXGroupBoxQueryInfoTimeout: TSpTBXGroupBox;
    SpTBXSpinEditPopupHintTimeout: TSpTBXSpinEdit;
    SpTBXCheckBoxQueryInfoHints: TSpTBXCheckBox;
    SpTBXCheckBoxListviewHotTrack: TSpTBXCheckBox;
    procedure SpTBXButtonListviewBkGndColorClick(Sender: TObject);
    procedure SpTBXButtonListviewFontClick(Sender: TObject);
    procedure IsDirtyClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  end;

implementation

{$R *.DFM}

procedure TTntFormOptionsListview.SpTBXButtonListviewBkGndColorClick(
  Sender: TObject);
begin
  TempColor := SpTBXEditListviewSample.Color;
  if QueryModifyColor(FTempColor) then
  begin
    if LockAllColors then
      SetAllWindowColors(ColorDialog.Color)
    else
      SpTBXEditListviewSample.Color := ColorDialog.Color;
    Dirty(True)
  end
end;

procedure TTntFormOptionsListview.SpTBXButtonListviewFontClick(
  Sender: TObject);
begin
  TempFont.Assign(SpTBXEditListviewSample.Font);
  if QueryModifyFont(TempFont) then
  begin
    if LockAllFonts then
      SetAllWindowFonts(TempFont)
    else
      SpTBXEditListviewSample.Font.Assign(TempFont);
    Dirty(True)
  end
end;

procedure TTntFormOptionsListview.IsDirtyClick(
  Sender: TObject);
begin
  Dirty(True)
end;

procedure TTntFormOptionsListview.FormShow(Sender: TObject);
begin
  inherited;
  ClientWidth := SpTBXPanel1.Width;
  ClientHeight := SpTBXPanel1.Height;
end;

end.
