unit UnitSearchMainTaskPanel;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.
                                                                  
interface                                                         
                                                                  
                                                                  
uses                                                              
  Windows,
  Messages,
  SysUtils,
  Classes,
  Controls,
  Forms,
  Dialogs,
  Graphics,
  EasyTaskPanelForm,
  StdCtrls,
  SpTBXEditors,
  SpTBXDkPanels,
  SpTBXControls,
  UltraUtilities,
  MPCommonUtilities,
  DKLang, SpTBXItem;
                                                    
                                                                  
type                                                              
  TEasyTaskPanelFormMainSearch = class(TEasyTaskPanelForm)
    SpTBXPanelSearchMain: TSpTBXPanel;
    SpTBXLabelFileName: TSpTBXLabel;
    SpTBXEditFileName: TSpTBXEdit;
    SpTBXLabelPhrase: TSpTBXLabel;
    SpTBXEditContent: TSpTBXEdit;
    DKLanguageController: TDKLanguageController;
    procedure EasyTaskPanelFormShow(Sender: TObject);
  private                                                         
    { Private declarations }                                      
  public                                                          
    { Public declarations }
    procedure LoadSearchData(var Data: TUltraSearchAttribs);
  end;                                                            
                                                                  
var                                                               
  EasyTaskPanelFormMainSearch: TEasyTaskPanelFormMainSearch;
                                                                  
implementation                                                    

{$R *.dfm}                                                        
                                                                  
                                                                  
procedure TEasyTaskPanelFormMainSearch.EasyTaskPanelFormShow(
  Sender: TObject);
begin
  FixFormFont(Font);
  ClientWidth := SpTBXPanelSearchMain.Width;
  ClientHeight := SpTBXPanelSearchMain.Height;
end;

procedure TEasyTaskPanelFormMainSearch.LoadSearchData(
  var Data: TUltraSearchAttribs);
begin
  Data.FileNameMask := SpTBXEditFileName.Text;
  if Data.FileNameMask <> '' then
    Data.Masks := Data.Masks + [samFileMask]
  else
    Data.Masks := Data.Masks - [samFileMask];

  Data.FileContentMask := SpTBXEditContent.Text;
  if Data.FileContentMask <> '' then
    Data.Masks := Data.Masks + [samContentMask]
  else
    Data.Masks := Data.Masks - [samContentMask];
end;

end.
