unit UnitSearchModifedTaskPanel;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.
                                                                  
interface                                                         
                                                                  
                                                                  
uses                                                              
  Windows,
  Messages,
  SysUtils,
  Classes,
  Controls,
  Forms,
  Dialogs,
  Graphics,
  EasyTaskPanelForm,
  StdCtrls,
  SpTBXEditors,
  SpTBXDkPanels,
  SpTBXControls,
  UltraUtilities,
  MPCommonUtilities,
  TntStdCtrls,
  DKLang, ComCtrls, SpTBXItem;
                                                    
                                                                  
type                                                              
  TEasyTaskPanelFormSearchDate= class(TEasyTaskPanelForm)
    SpTBXPanelSearchDate: TSpTBXPanel;
    SpTBXRadioGroupSearchDate: TSpTBXRadioGroup;
    SpTBXComboBoxTimeFrame: TSpTBXComboBox;
    SpTBXLabelSpecifyFrom: TSpTBXLabel;
    SpTBXLabelSpecifyTo: TSpTBXLabel;
    DKLanguageController1: TDKLanguageController;
    DateTimePickerFrom: TDateTimePicker;
    DateTimePickerTo: TDateTimePicker;
    procedure EasyTaskPanelFormShow(Sender: TObject);
    procedure SpTBXRadioGroupSearchDateClick(Sender: TObject);
  private                                                         
    { Private declarations }                                      
  public                                                          
    { Public declarations }
    procedure LoadSearchData(var Data: TUltraSearchAttribs);                                     
  end;                                                            
                                                                  
var                                                               
  EasyTaskPanelFormSearchDate: TEasyTaskPanelFormSearchDate;
                                                                  
implementation

uses DateUtils;

{$R *.dfm}                                                        
                                                                  

procedure TEasyTaskPanelFormSearchDate.EasyTaskPanelFormShow(
  Sender: TObject);
begin
  FixFormFont(Font);
  ClientWidth := SpTBXPanelSearchDate.Width;
  ClientHeight := SpTBXPanelSearchDate.Height;
end;

procedure TEasyTaskPanelFormSearchDate.LoadSearchData(
  var Data: TUltraSearchAttribs);
var
  T: TDateTime;
  SysTime: TSystemTime;
begin
  Data.Masks := Data.Masks - [samModifyMask];

  if SpTBXRadioGroupSearchDate.ItemIndex > 0 then
  begin
    Data.Masks := Data.Masks + [samModifyMask];

    case SpTBXRadioGroupSearchDate.ItemIndex of
      1: begin
           T := Date;
           DateTimeToSystemTime(T, SysTime);
           SystemTimeToFileTime(SysTime, Data.DateMax);
           T := IncWeek(T, -1);
           DateTimeToSystemTime(T, SysTime);
           SystemTimeToFileTime(SysTime, Data.DateMin);
           Data.DateSearch := dstModified;
         end;
      2: begin
           T := Date;
           DateTimeToSystemTime(T, SysTime);
           SystemTimeToFileTime(SysTime, Data.DateMax);
           T := IncMonth(T, -1);
           DateTimeToSystemTime(T, SysTime);
           SystemTimeToFileTime(SysTime, Data.DateMin);
           Data.DateSearch := dstModified;
         end;
      3: begin
           T := Date;
           DateTimeToSystemTime(T, SysTime);
           SystemTimeToFileTime(SysTime, Data.DateMax);
           T := IncYear(T, -1);
           DateTimeToSystemTime(T, SysTime);
           SystemTimeToFileTime(SysTime, Data.DateMin);
           Data.DateSearch := dstModified;
         end;
      4: begin
           Data.DateSearch := TUltraDateSearchType( SpTBXComboBoxTimeFrame.ItemIndex);
           DateTimeToSystemTime(DateTimePickerFrom.Date, SysTime);
           SystemTimeToFileTime(SysTime, Data.DateMin);
           DateTimeToSystemTime(DateTimePickerTo.Date, SysTime);
           SystemTimeToFileTime(SysTime, Data.DateMax);
         end;
    end
  end;
end;

procedure TEasyTaskPanelFormSearchDate.SpTBXRadioGroupSearchDateClick(
  Sender: TObject);
begin
  SpTBXComboBoxTimeFrame.Enabled := SpTBXRadioGroupSearchDate.ItemIndex = 4;
  DateTimePickerFrom.Enabled := SpTBXRadioGroupSearchDate.ItemIndex = 4;
  DateTimePickerTo.Enabled := SpTBXRadioGroupSearchDate.ItemIndex = 4;
end;

end.
