unit UnitMainForm;

// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you maynot use this file except in compliance
// with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
// Alternatively, you may redistribute this library, use and/or modify it under the terms of the
// GNU Lesser General Public License as published by the Free Software Foundation;
// either version 2.1 of the License, or (at your option) any later version.
// You may obtain a copy of the LGPL at http://www.gnu.org/copyleft/.
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
// specific language governing rights and limitations under the License.


// NOTICE:
//
// SpTBX 2.x
//
// TSpTBXTabSetCracker(SpTBXTabSetListview).FToolbar.OnLButtonDblClick := TabLButtonDblClick;
//
// No double click on the tab toolbar anymore...
//


interface

// THIS MUST BE DEFINED IN THE PROJECT OPTIONS TO BE FULLY EFFECTIVE
{$DEFINE PORTABLE}  // Uses the app folder to save config files
// *******************************************************************

{$DEFINE SAVE_CONFIG_ON_EXIT} // used to test without overwriting old files, used to test update compatibility with old files
{$DEFINE THREADEDENUM} // used to compile with threaded enumeration enabled/disabled for test
{.$DEFINE DEBUG_LAUNCHER_PARAMS} // Shows a messagebox with the parameters sent to the application for the Launcher

{$WARN SYMBOL_PLATFORM	OFF}

{..$DEFINE GX_DEBUG}
// Don't forget to define the following conditional defines
//
//  USE_TOOLBAR_TB2K; SpTBX; TNTSUPPORT; WLX; GIF; GEx; TNT; DKLANG
//
// MWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMW
//
// TNT (TntForms.pas) and TB2k (TBHooks.pas) need a global variable that
// is set to the current thread ID
//
// var
//   MainThread := GetCurrentThreadID;
//
//  procedure AllHookProcs();
//  begin
//    if GetCurrentThreadID = MainThread then
//    begin
//     ....
//    end;
//    CallNextHook()
//  end;
//
//initialization
//  MainThread := GetCurrentThreadID;
//
//
//  CoolTrayIcon.pas
//   HookForm and UnHookForm need SetWindowLongW and GetWindowLongW used to
//   show Unicode strings in the main captions.  Set email 4/22/07 to see if it
//   it could be incorporated into the component. 8/17/07 No answer.
//
// MWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMWMW

{$B-}

uses
  {$IFDEF GX_DEBUG}
  DbugIntf,
  {$ENDIF}
  ActiveX,
  ActnList,
  ATBinHex,
  ATViewer,
  ATxFProc,
  ATxSProc,
  ATxCodepages,
  Classes,
  ClipboardProc,
  ComCtrls,
  Controls,
  Dialogs,
  DKLang,
  EasyListview,
  ExtCtrls,
  Forms,
  GIFImage,
  GraphicEx,
  Graphics,
  HttpSend,
  ImgList,
  Menus,
  Messages,
  MPCommonObjects,
  MPCommonUtilities,
  MPDataObject,
  MPResources,
  MPShellTypes,
  MPShellUtilities,
  MPThreadManager,
  RichEdit,
  ShellAPI,
  ShlObj,
  SpTBXControls,
  SpTBXCustomizer,
  SpTBXDkPanels,
  SpTBXEditors,
  SpTBXFormPopupMenu,
  SpTBXItem,
  SpTBXTabs,
  SpTBXSkins,
  StdCtrls,
  SysUtils,
  TB2Dock,
  TB2ExtItems,
  TB2Item,
  TB2Toolbar,
  TB2ToolWindow,
  TntActnList,
  TntClasses,
  TntComCtrls,
  TntForms,
  TntRegistry,
  TntStdCtrls,
  TntSysUtils,
  TntWideStrUtils,
  ToolWin,
  UltraOptions,
  UltraFavTree,
  UltraTaskInf,
  UltraUserStrings,
  UltraUtilities,
  UnitBreadcrumbBar,
  UnitFavoriteCrumbBar,
  UnitTaskPlugins,
  UnitInPlaceWndInf,
  UnitUltraLaunchDesignerForm,
  VirtualExplorerEasyListModeview,
  VirtualExplorerEasyListview,
  VirtualExplorerTree,
  VirtualRedirector,
  VirtualResources,
  VirtualSendToMenu,
  VirtualShellHistory,
  VirtualShellNewMenu,
  VirtualShellNotifier,
  VirtualThumbnails,
  VirtualTrees,
  WLXProc,
  XPMan,
  Windows,
  CoolTrayIcon,
  TntMenus;

var
  // Updated in initialization section automatically
  STR_ULTRAEXPLORER_VERSION: WideString = 'AppVerName=UltraExplorer 1.5.0.14';

  STRETCHEDTOOLBARS: Boolean = True;

const
  ULTRAEXPLORER_VERSION = 010500;  // 01.05.00

  VERSION_MISCSETTING_STREAM = 4;  // UltraConfig.cfg
  VERSION_STREAM = 5;   // UltraFavorites.cfg and Launchers.cfg

  WM_ACTIVATEVIEW = WM_APP + 103;
  WM_DESTROYCOLUMNMODEVIEW = WM_APP + 104;
  WM_BRINGTOFRONT = WM_APP + 105;
  WM_BROWSEPREV = WM_APP + 106;
  WM_FOLDERWINDOWRENAME = WM_APP + 107;
  WM_GETPROCESSID = WM_APP + 108;

  TIMER_VIEWER = 100;
  TIMER_VIEWER_DELAY = 500; // milliseconds

  TIMER_CHANGE = 101;
  TIMER_CHANGE_DELAY = 300; // milliseconds


  ID_FILTER_FILES = 0;             // Image index
  ID_FILTER_FOLDERS = 8;           // Image index
  ID_FAVORITES_CATEGORY = 41;      // Image index
  ID_FAVORITES_CATEGORY_OPEN = 42; // Image index
  ID_DROPSTACK_BITMAP = 43;        // Image index

  ID_FILTER_BKGND = 1001;          // Resource ID

  MAX_SAVED_SELECTED_PER_TAB = 100; // need faster algorithm to do this with more

  MIN_THUMBSIZE = 16;

  WIN_E_HOOK_WINDOWCLASSNAME = 'UltraExplorerHookLoaderClass';

type
  EUltraExplorerExecption = class(Exception);
  TUltraSyncronizer = class;

  TNSAArray = array of TNamespaceArray;

  TOLEDragDropRegistration = (
    ddrDrives,  // Drives Toolbar
    ddrTabSet   // Listview Tabset
  );
  TOLEDragDropRegistrations = set of TOLEDragDropRegistration;

  TUltraExplorerState = (
    uesListviewDblClickNewTab,       // Listview was doubled clicked on an item with the middle button or Left/Ctl
    uesLoaded                        // Set after the WM_ACTIVATEVIEW is called, enables actions in Change Events
  );
  TUltraExplorerStates = set of TUltraExplorerState;


  TPostMessageRec = record
    ColumnModeView: TVirtualColumnModeView;
  end;

  TQuickThumbs = record
    Enabled: Boolean;
    View: TEasyListStyle
  end;

  TUltraSyncronizerSource = (
    ussFoldersWindow,        // Treeview initiated the Syncronization Request
    ussListviewWindow,       // Main Listview initiated the Syncronization Request
    ussListviewDualWindow,   // DualListview initiated the Syncronization Request
    ussHistoryWindow,        // History Window initiated the Syncronization Request
    ussMRUMenu,              // Most Recently Used (Back/Forward) Menu initiated the Syncronization Request
    ussBreadCrumbBar,        // BreadCrumbbar initiated the Syncronization Request, could also be the Drives Toolbar
    ussFavoritesWindow,      // Favorites Window initiated the Syncronization Request
    ussAddressBar,           // Addressbar initiated the Syncronization Request
    ussTabs,                 // Tabs initiated the Syncronization Request
    ussCommandLineWindow     // CommandLine Window initiated the Syncronization Request
  );

  TUltraSyncronizerState = (
    ussSyncronizing,         // Currently syncronizing the application
    ussSyncronizePending     // SyncronizeChanging has been called and waiting for a Syncronize or SyncronizeCancel
  );
  TUltraSyncronizerStates = set of TUltraSyncronizerState;

  // ***************************************************************************
  // EasyListview Item for the DropStack window that stores the reference to
  // the DataObject for the objects to be moved/copies/linked
  // ***************************************************************************
  TUltraDropStackItem = class(TEasyItemStored)
  private
    FDataObject: IDataObject;
  public
    destructor Destroy; override;
    property DataObject: IDataObject read FDataObject write FDataObject;
  end;

  // ***************************************************************************
  // Handles tab selection of windows that are contained within a window that
  // the main form does not know about.  Typically due to plugin type windows
  // that are created and inserted in a frame based on a hWnd parameter.  They
  // do not have associated TWinControl objects as they are created by some other
  // means.  Currently the window shown by the viewwer (ATViewer) and by the Task
  // plugins fall under this category.
  // ***************************************************************************
  TInplaceWindowTabs = class
  private
    FLastTab: HWnd;
    FStub: Pointer;
    FTabs: TList;
    function GetCount: Integer;
  protected
    function EnumChildProc(Wnd: HWnd; Param: LParam): BOOL; stdcall;
    procedure BuildTabList(ParentWnd: HWnd);
    property Stub: Pointer read FStub write FStub;
  public
    constructor Create;
    destructor Destroy; override;
    function FirstTab: hWnd;
    function NextTab(Wnd: HWnd): HWnd;
    function PrevTab(Wnd: HWnd): HWnd;
    procedure Add(Wnd: HWnd);
    procedure Clear;
    property Count: Integer read GetCount;
    property LastTab: HWnd read FLastTab write FLastTab;
    property Tabs: TList read FTabs write FTabs;
  end;

  // ***************************************************************************
  // Main application Window
  // ***************************************************************************
  TTntFormUltraExplorer = class(TTnTForm, IUnknown, IUltraBrowser, IUltraNotifier)

    ActionActivateAddressbar: TTntAction;
    ActionBreadcrumbOpen: TTntAction;
    ActionChangeAutoRefresh: TTntAction;
    ActionCmdLine: TTntAction;
    ActionCopyPathAddressbar: TTntAction;
    ActionCopyPathAddressbarDOS: TTntAction;
    ActionCreateNewFolder: TTntAction;
    ActionDropStack: TTntAction;
    ActionDropStackClear: TTntAction;
    ActionDualPaneCompare: TTntAction;
    ActionDualPaneCopyLeft: TTntAction;
    ActionDualPaneCopyRight: TTntAction;
    ActionDualPaneLink: TTntAction;
    ActionDualPaneMoveLeft: TTntAction;
    ActionDualPaneMoveRight: TTntAction;
    ActionFavorites: TTntAction;
    ActionFavoritesAdd: TTntAction;
    ActionFavoritesEdit: TTntAction;
    ActionFavoritesEnterEditMode: TTntAction;
    ActionFavoritesNewCategory: TTntAction;
    ActionFavoritesRemove: TTntAction;
    ActionFavoritesSortByName: TTntAction;
    ActionFillterSortByName: TTntAction;
    ActionFilter: TTntAction;
    ActionFilterDelete: TTntAction;
    ActionFilterEdit: TTntAction;
    ActionFilterEnable: TTntAction;
    ActionFilterMode: TTntAction;
    ActionFilterNew: TTntAction;
    ActionFilterNewFromFiles: TTntAction;
    ActionFixedListView: TTntAction;
    ActionFolders: TTntAction;
    ActionFolderSizeCalculateAllAlways: TTntAction;
    ActionFolderSizeCalculateAllCurrent: TTntAction;
    ActionFolderSizeCalculateSelected: TTntAction;
    ActionHistory: TTntAction;
    ActionHistoryBack: TTntAction;
    ActionHistoryClear: TTntAction;
    ActionHistoryForward: TTntAction;
    ActionKnownBugs: TTntAction;
    ActionLauncherShow: TTntAction;
    ActionListGlobal: TTntActionList;
    ActionListviewCopy: TTntAction;
    ActionListviewCopyFilenames: TTntAction;
    ActionListviewCopyFilenamesDOS: TTntAction;
    ActionListviewCopyPath: TTntAction;
    ActionListviewCopyPathDOS: TTntAction;
    ActionListviewCut: TTntAction;
    ActionListviewDelete: TTntAction;
    ActionListviewInvert: TTntAction;
    ActionListviewPaste: TTntAction;
    ActionListviewPasteShortcut: TTntAction;
    ActionListviewProperties: TTntAction;
    ActionListviewRefresh: TTntAction;
    ActionListviewSelectAll: TTntAction;
    ActionListviewSyncCommandLine: TTntAction;
    ActionListviewToggleActiveFocus: TTntAction;
    ActionListviewUpOneFolder: TTntAction;
    ActionMainMenuAbout: TTntAction;
    ActionMainMenuCheckForUpdate: TTntAction;
    ActionMainMenuExit: TTntAction;
    ActionMainMenuFileNewWindow: TTntAction;
    ActionMainMenuHelpContents: TTntAction;
    ActionQuickFilterApply: TTntAction;
    ActionQuickFilterClear: TTntAction;
    ActionSelectAllFiles: TTntAction;
    ActionSelectAllFolders: TTntAction;
    ActionSelectCombine: TTntAction;
    ActionSelectGroups: TTntAction;
    ActionSelectMatchText: TTntAction;
    ActionSelectUnSelectFiles: TTntAction;
    ActionSelectUnSelectFolders: TTntAction;
    ActionSelectUnSelectGroups: TTntAction;
    ActionSelectUnSelectText: TTntAction;
    ActionShellHandlerslContextMenuHandlers: TTntAction;
    ActionShellHandlersWinEHook: TTntAction;
    ActionTab1Select: TTntAction;
    ActionTab2Select: TTntAction;
    ActionTab3Select: TTntAction;
    ActionTab4Select: TTntAction;
    ActionTab5Select: TTntAction;
    ActionTab6Select: TTntAction;
    ActionTab7Select: TTntAction;
    ActionTab8Select: TTntAction;
    ActionTab9Select: TTntAction;
    ActionTabBrowseToNew: TTntAction;
    ActionTabClose: TTntAction;
    ActionTabCloseAllExcept: TTntAction;
    ActionTabFavorites: TTntAction;
    ActionTabFavoritesAll: TTntAction;
    ActionTabNew: TTntAction;
    ActionTabNext: TTntAction;
    ActionTabOptions: TTntAction;
    ActionTabPrev: TTntAction;
    ActionTabRefresh: TTntAction;
    ActionTabScrollLeft: TTntAction;
    ActionTabScrollRight: TTntAction;
    ActionTaskWindow: TTntAction;
    ActionThumbnailsStretch: TTntAction;
    ActionToolbarAddressBar: TTntAction;
    ActionToolbarBreadCrumbListview: TTntAction;
    ActionToolbarCmdLine: TTntAction;
    ActionToolbarDrives: TTntAction;
    ActionToolbarDropStack: TTntAction;
    ActionToolbarFavoriteCrumb: TTntAction;
    ActionToolbarFavorites: TTntAction;
    ActionToolbarFileTypes: TTntAction;
    ActionToolbarFilter: TTntAction;
    ActionToolbarFoldersEdit: TTntAction;
    ActionToolbarHistory: TTntAction;
    ActionToolbarLauncher: TTntAction;
    ActionToolbarListviewAction: TTntAction;
    ActionToolbarListviewEdit: TTntAction;
    ActionToolbarLock: TTntAction;
    ActionToolbarMainMenu: TTntAction;
    ActionToolbarNavigation: TTntAction;
    ActionToolbarQuickFilter: TTntAction;
    ActionToolbarViewer: TTntAction;
    ActionToolsCustomize: TTntAction;
    ActionToolsMapNetworkDrive: TTntAction;
    ActionToolsSearch: TTntAction;
    ActionToolsShowOptions: TTntAction;
    ActionToolsTextEdiitor: TTntAction;
    ActionToolsUnmapNetworkDrive: TTntAction;
    ActionTreeviewCollapseAll: TTntAction;
    ActionTreeviewCopy: TTntAction;
    ActionTreeviewCut: TTntAction;
    ActionTreeviewDelete: TTntAction;
    ActionFolderFlatten: TTntAction;
    ActionTreeviewPaste: TTntAction;
    ActionTreeviewProperties: TTntAction;
    ActionViewArrangeIcons: TTntAction;
    ActionViewArrangeModified: TTntAction;
    ActionViewArrangeName: TTntAction;
    ActionViewArrangeSize: TTntAction;
    ActionViewArrangeType: TTntAction;
    ActionViewCollapseGroups: TTntAction;
    ActionViewColumnMode: TTntAction;
    ActionViewDetails: TTntAction;
    ActionViewDualPane: TTntAction;
    ActionViewEditGroupingCriteria: TTntAction;
    ActionViewer: TTntAction;
    ActionViewerANSIFont: TTntAction;
    ActionViewerAutoDetect: TTntAction;
    ActionViewerBinary: TTntAction;
    ActionViewerConfigure: TTntAction;
    ActionViewerConfigurePlugins: TTntAction;
    ActionViewerFitImage: TTntAction;
    ActionViewerHex: TTntAction;
    ActionViewerInternet: TTntAction;
    ActionViewerMultimedia: TTntAction;
    ActionViewerOEMFont: TTntAction;
    ActionViewerOfflineBrowsing: TTntAction;
    ActionViewerPlugin: TTntAction;
    ActionViewerText: TTntAction;
    ActionViewerUnicode: TTntAction;
    ActionViewerUTF8: TTntAction;
    ActionViewerWordWrap: TTntAction;
    ActionViewExpandGroups: TTntAction;
    ActionViewFilmStrip: TTntAction;
    ActionViewGroupingNextArrange: TTntAction;
    ActionViewIcon: TTntAction;
    ActionViewList: TTntAction;
    ActionViewShowGroups: TTntAction;
    ActionViewSmallIcon: TTntAction;
    ActionViewThumbnail: TTntAction;
    ActionViewTile: TTntAction;
    ActionWhatsNew: TTntAction;
    DKLanguageControllerMainForm: TDKLanguageController;
    ECB: TVirtualExplorerCombobox;
    ImageListActions: TImageList;
    N1: TTntMenuItem;
    PanelDropStack: TPanel;
    PanelFavorites: TPanel;
    PanelFilterToolbar: TPanel;
    PanelFolders: TPanel;
    PanelHistory: TPanel;
    PanelViewActionToolbar: TPanel;
    PanelViewer: TPanel;
    PanelViews: TPanel;
    PanelViewSpace: TPanel;
    SpTBXCheckBoxQuickFilterAutoWildcard: TSpTBXCheckBox;
    SpTBXCustomizer: TSpTBXCustomizer;
    SpTBXDockablePanelCmdLine: TSpTBXDockablePanel;
    SpTBXDockablePanelDropStack: TSpTBXDockablePanel;
    SpTBXDockablePanelFavorites: TSpTBXDockablePanel;
    SpTBXDockablePanelFilter: TSpTBXDockablePanel;
    SpTBXDockablePanelFolders: TSpTBXDockablePanel;
    SpTBXDockablePanelHistory: TSpTBXDockablePanel;
    SpTBXDockablePanelTasks: TSpTBXDockablePanel;
    SpTBXDockablePanelViewer: TSpTBXDockablePanel;
    SpTBXDockDropStack: TSpTBXDock;
    SpTBXDockFavorites: TSpTBXDock;
    SpTBXDockFilter: TSpTBXDock;
    SpTBXDockFolderViewBottom: TSpTBXDock;
    SpTBXDockFolderViewLeft: TSpTBXDock;
    SpTBXDockFolderViewRight: TSpTBXDock;
    SpTBXDockFolderViewTop: TSpTBXDock;
    SpTBXDockHeader: TSpTBXDock;
    SpTBXDockHistory: TSpTBXDock;
    SpTBXDockViewActionToolbar: TSpTBXDock;
    SpTBXDockViewer: TSpTBXDock;
    SpTBXDockViewSpaceBottom: TSpTBXDock;
    SpTBXDockViewSpaceLeft: TSpTBXDock;
    SpTBXDockViewSpaceTop: TSpTBXDock;
    SpTBXEditQuickFilter: TSpTBXEdit;
    SpTBXFormPopupMenuFileObjects: TSpTBXFormPopupMenu;
    SpTBXItem1: TSpTBXItem;
    SpTBXItem10: TSpTBXItem;
    SpTBXItem11: TSpTBXItem;
    SpTBXItem12: TSpTBXItem;
    SpTBXItem13: TSpTBXItem;
    SpTBXItem14: TSpTBXItem;
    SpTBXItem16: TSpTBXItem;
    SpTBXItem17: TSpTBXItem;
    SpTBXItem18: TSpTBXItem;
    SpTBXItem19: TSpTBXItem;
    SpTBXItem2: TSpTBXItem;
    SpTBXItem20: TSpTBXItem;
    SpTBXItem23: TSpTBXItem;
    SpTBXItem25: TSpTBXItem;
    SpTBXItem3: TSpTBXItem;
    SpTBXItem30: TSpTBXItem;
    SpTBXItem32: TSpTBXItem;
    SpTBXItem4: TSpTBXItem;
    SpTBXItem7: TSpTBXItem;
    SpTBXItem8: TSpTBXItem;
    SpTBXItem9: TSpTBXItem;
    SpTBXItemAddressBarCopyPathDos: TSpTBXItem;
    SpTBXItemDropStackClear: TSpTBXItem;
    SpTBXItemDropStackShowBar: TSpTBXItem;
    SpTBXItemDropStackToolbarClear: TSpTBXItem;
    SpTBXItemEditCopy: TSpTBXItem;
    SpTBXItemEditCut: TSpTBXItem;
    SpTBXItemEditDelete: TSpTBXItem;
    SpTBXItemEditPaste: TSpTBXItem;
    SpTBXItemEditProperties: TSpTBXItem;
    SpTBXItemEditSelectAll: TSpTBXItem;
    SpTBXItemFavoritesAdd: TSpTBXItem;
    SpTBXItemFavoritesBar: TSpTBXItem;
    SpTBXItemFavoritesDelete: TSpTBXItem;
    SpTBXItemFavoritesEdit: TSpTBXItem;
    SpTBXItemFavoritesMenuAddTo: TSpTBXItem;
    SpTBXItemFavoritesMenuEdit: TSpTBXItem;
    SpTBXItemFavoritesMenuNewCategory: TSpTBXItem;
    SpTBXItemFavoritesNew: TSpTBXItem;
    SpTBXItemFileTypesObjects: TSpTBXItem;
    SpTBXItemFilterDelete: TSpTBXItem;
    SpTBXItemFilterEdit: TSpTBXItem;
    SpTBXItemFilterEnable: TSpTBXItem;
    SpTBXItemFilterInOut: TSpTBXItem;
    SpTBXItemFilterNew: TSpTBXItem;
    SpTBXItemFilterNewBasedOnSelected: TSpTBXItem;
    SpTBXItemFiltersDelete: TSpTBXItem;
    SpTBXItemFiltersEdit: TSpTBXItem;
    SpTBXItemFiltersEnable: TSpTBXItem;
    SpTBXItemFiltersNew: TSpTBXItem;
    SpTBXItemFiltersSelectedFiles: TSpTBXItem;
    SpTBXItemFiltersShowBar: TSpTBXItem;
    SpTBXItemFiltersSort: TSpTBXItem;
    SpTBXItemFlattenFolder: TSpTBXItem;
    SpTBXItemForward: TSpTBXItem;
    SpTBXItemGroup: TSpTBXItem;
    SpTBXItemGroupByModified: TSpTBXItem;
    SpTBXItemGroupByName: TSpTBXItem;
    SpTBXItemGroupBySize: TSpTBXItem;
    SpTBXItemGroupByType: TSpTBXItem;
    SpTBXItemGroupEditCriteria: TSpTBXItem;
    SpTBXItemGroupsCollapseAll: TSpTBXItem;
    SpTBXItemGroupsExpandAll: TSpTBXItem;
    SpTBXItemHistoryClear: TSpTBXItem;
    SpTBXItemHistoryPopupBack: TSpTBXItem;
    SpTBXItemHistoryPopupBar: TSpTBXItem;
    SpTBXItemHistoryPopupForward: TSpTBXItem;
    SpTBXItemInvisibleAutoOpenBreadcrumbMenu: TSpTBXItem;
    SpTBXItemInvisibleBack: TSpTBXItem;
    SpTBXItemInvisibleCopyAddressbarShort: TSpTBXItem;
    SpTBXItemInvisibleCopyAdressbarPath: TSpTBXItem;
    SpTBXItemInvisibleCopyLVFileName: TSpTBXItem;
    SpTBXItemInvisibleCopyLVFileNameShort: TSpTBXItem;
    SpTBXItemInvisibleCopyLVPath: TSpTBXItem;
    SpTBXItemInvisibleCopyLVPathShort: TSpTBXItem;
    SpTBXItemInvisibleFolderCalculate: TSpTBXItem;
    SpTBXItemInvisibleNewFolder: TSpTBXItem;
    SpTBXItemInvisibleNextTab: TSpTBXItem;
    SpTBXItemInvisiblePrevTab: TSpTBXItem;
    SpTBXItemInvisibleToggleActiveLV: TSpTBXItem;
    SpTBXItemListviewCmdSync: TSpTBXItem;
    SpTBXItemListviewTabCloseActive: TSpTBXItem;
    SpTBXItemListviewTabScrollLeft: TSpTBXItem;
    SpTBXItemListviewTabScrollRight: TSpTBXItem;
    SpTBXItemListviewThumbnailStretch: TSpTBXItem;
    SpTBXItemListviewToolbarRefresh: TSpTBXItem;
    SpTBXItemMainMenuChangeAutoRefresh: TSpTBXItem;
    SpTBXItemMainMenuCloseActiveTab: TSpTBXItem;
    SpTBXItemMainMenuDonation: TSpTBXItem;
    SpTBXItemMainMenuEditCopy: TSpTBXItem;
    SpTBXItemMainMenuEditCut: TSpTBXItem;
    SpTBXItemMainMenuEditDelete: TSpTBXItem;
    SpTBXItemMainMenuEditInvert: TSpTBXItem;
    SpTBXItemMainMenuEditPaste: TSpTBXItem;
    SpTBXItemMainMenuEditProperties: TSpTBXItem;
    SpTBXItemMainMenuEditRefresh: TSpTBXItem;
    SpTBXItemMainMenuEditSelectAll: TSpTBXItem;
    SpTBXItemMainMenuExit: TSpTBXItem;
    SpTBXItemMainMenuFavoriteCrumbBar: TSpTBXItem;
    SpTBXItemMainMenuHelpAbout: TSpTBXItem;
    SpTBXItemMainMenuHelpContents: TSpTBXItem;
    SpTBXItemMainMenuHelpWiki: TSpTBXItem;
    SpTBXItemMainMenuLaunchEdit: TSpTBXItem;
    SpTBXItemMainMenuNewTab: TSpTBXItem;
    SpTBXItemMainMenuNewTabBrowse: TSpTBXItem;
    SpTBXItemMainMenuNewWindow: TSpTBXItem;
    SpTBXItemMainMenuToolbarViewNav: TSpTBXItem;
    SpTBXItemMainMenuToolsCustomize: TSpTBXItem;
    SpTBXItemMainMenuToolsMapNetwork: TSpTBXItem;
    SpTBXItemMainMenuToolsOptions: TSpTBXItem;
    SpTBXItemMainMenuToolsSearch: TSpTBXItem;
    SpTBXItemMainMenuToolsUnMapNetwork: TSpTBXItem;
    SpTBXItemMainMenuViewCmdLine: TSpTBXItem;
    SpTBXItemMainMenuViewColumnMode: TSpTBXItem;
    SpTBXItemMainMenuViewDetails: TSpTBXItem;
    SpTBXItemMainMenuViewDropStack: TSpTBXItem;
    SpTBXItemMainMenuViewFavorites: TSpTBXItem;
    SpTBXItemMainMenuViewFilter: TSpTBXItem;
    SpTBXItemMainMenuViewFolders: TSpTBXItem;
    SpTBXItemMainMenuViewHistory: TSpTBXItem;
    SpTBXItemMainMenuViewIcon: TSpTBXItem;
    SpTBXItemMainMenuViewList: TSpTBXItem;
    SpTBXItemMainMenuViewListview: TSpTBXItem;
    SpTBXItemMainMenuViewSmallIcon: TSpTBXItem;
    SpTBXItemMainMenuViewSplitPane: TSpTBXItem;
    SpTBXItemMainMenuViewThumbnail: TSpTBXItem;
    SpTBXItemMainMenuViewTile: TSpTBXItem;
    SpTBXItemMainMenuViewToobarFolders: TSpTBXItem;
    SpTBXItemMainMenuViewToobarViewer: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarAdress: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarBreadCrumb: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarDrives: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarDropStack: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarEdit: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarFavorites: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarFileTypes: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarFilter: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarHistory: TSpTBXItem;
    SpTBXItemMainMenuViewToolbarListviewAction: TSpTBXItem;
    SpTBXItemMainMenuViewUndoStack: TSpTBXItem;
    SpTBXItemMainMenuViewViewerStack: TSpTBXItem;
    SpTBXItemNavigationDetails: TSpTBXItem;
    SpTBXItemNavigationDualPainListviews: TSpTBXItem;
    SpTBXItemNavigationIcon: TSpTBXItem;
    SpTBXItemNavigationList: TSpTBXItem;
    SpTBXItemNavigationSmallIcon: TSpTBXItem;
    SpTBXItemNavigationThumbnails: TSpTBXItem;
    SpTBXItemNavigationTile: TSpTBXItem;
    SpTBXItemOfflineBrowsing: TSpTBXItem;
    SpTBXItemPopupClear: TSpTBXItem;
    SpTBXItemPopupViewDetails: TSpTBXItem;
    SpTBXItemPopupViewIcon: TSpTBXItem;
    SpTBXItemPopupViewList: TSpTBXItem;
    SpTBXItemPopupViewSmallIcon: TSpTBXItem;
    SpTBXItemPopupViewThumbnail: TSpTBXItem;
    SpTBXItemPopupViewTile: TSpTBXItem;
    SpTBXItemQuickSearchRemove: TSpTBXItem;
    SpTBXItemRemove: TSpTBXItem;
    SpTBXItemSelectAllFiles: TSpTBXItem;
    SpTBXItemSelectAllFolders: TSpTBXItem;
    SpTBXItemSelectGroups: TSpTBXItem;
    SpTBXItemSelectUnSelectFiles: TSpTBXItem;
    SpTBXItemSelectUnSelectFolders: TSpTBXItem;
    SpTBXItemSelectUnSelectGroups: TSpTBXItem;
    SpTBXItemShellExtContextMenu: TSpTBXItem;
    SpTBXItemShellExtWinEHook: TSpTBXItem;
    SpTBXItemStatusbarNewVersionAvialable: TSpTBXItem;
    SpTBXItemTabsetPopupAddAllTabsToFavs: TSpTBXItem;
    SpTBXItemTabsetPopupAddSelectedToFavs: TSpTBXItem;
    SpTBXItemTabsetPopupAddTabToFavs: TSpTBXItem;
    SpTBXItemTabsetPopupBrowse: TSpTBXItem;
    SpTBXItemTabsetPopupCloseActiveTab: TSpTBXItem;
    SpTBXItemTabsetPopupCloseAddExceptActive: TSpTBXItem;
    SpTBXItemTabsetPopupNewTab: TSpTBXItem;
    SpTBXItemTabsetPopupScrollLeft: TSpTBXItem;
    SpTBXItemTabsetPopupScrollRight: TSpTBXItem;
    SpTBXItemToolbarGlobalBars: TSpTBXItem;
    SpTBXItemToolbarLauncher: TSpTBXItem;
    SpTBXItemToolbarListviewBars: TSpTBXItem;
    SpTBXItemToolbarPlugins: TSpTBXItem;
    SpTBXItemToolbarWindowBars: TSpTBXItem;
    SpTBXItemTreeviewbarCopy: TSpTBXItem;
    SpTBXItemTreeviewbarCut: TSpTBXItem;
    SpTBXItemTreeviewbarDelete: TSpTBXItem;
    SpTBXItemTreeviewbarPaste: TSpTBXItem;
    SpTBXItemTreeviewbarProperties: TSpTBXItem;
    SpTBXItemTreeviewFolderEditBar: TSpTBXItem;
    SpTBXItemTreeviewShowBar: TSpTBXItem;
    SpTBXItemViewActionCopyPathDos: TSpTBXItem;
    SpTBXItemViewActionQuickThumbs: TSpTBXItem;
    SpTBXItemViewerANSIFont: TSpTBXItem;
    SpTBXItemViewerAutoDetect: TSpTBXItem;
    SpTBXItemViewerBinary: TSpTBXItem;
    SpTBXItemViewerConfigure: TSpTBXItem;
    SpTBXItemViewerConfigurePlugin: TSpTBXItem;
    SpTBXItemViewerFitImage: TSpTBXItem;
    SpTBXItemViewerHex: TSpTBXItem;
    SpTBXItemViewerInternet: TSpTBXItem;
    SpTBXItemViewerMultiMedia: TSpTBXItem;
    SpTBXItemViewerOEMFont: TSpTBXItem;
    SpTBXItemViewerPlugin: TSpTBXItem;
    SpTBXItemViewerPopupANSI: TSpTBXItem;
    SpTBXItemViewerPopupAutoDetect: TSpTBXItem;
    SpTBXItemViewerPopupBinary: TSpTBXItem;
    SpTBXItemViewerPopupConfigure: TSpTBXItem;
    SpTBXItemViewerPopupConfigurePlugin: TSpTBXItem;
    SpTBXItemViewerPopupFitImage: TSpTBXItem;
    SpTBXItemViewerPopupHex: TSpTBXItem;
    SpTBXItemViewerPopupInternet: TSpTBXItem;
    SpTBXItemViewerPopupMultimedia: TSpTBXItem;
    SpTBXItemViewerPopupOEM: TSpTBXItem;
    SpTBXItemViewerPopupOffline: TSpTBXItem;
    SpTBXItemViewerPopupPlugins: TSpTBXItem;
    SpTBXItemViewerPopupRTF: TSpTBXItem;
    SpTBXItemViewerPopupText: TSpTBXItem;
    SpTBXItemViewerPopupUnicode: TSpTBXItem;
    SpTBXItemViewerPopupWordWrap: TSpTBXItem;
    SpTBXItemViewerRTF: TSpTBXItem;
    SpTBXItemViewerShowBar: TSpTBXItem;
    SpTBXItemViewerText: TSpTBXItem;
    SpTBXItemViewerToolbarBinary: TSpTBXItem;
    SpTBXItemViewerToolbarHex: TSpTBXItem;
    SpTBXItemViewerToolbarInternet: TSpTBXItem;
    SpTBXItemViewerToolbarMultimedia: TSpTBXItem;
    SpTBXItemViewerToolbarText: TSpTBXItem;
    SpTBXItemViewerToolbarUnicode: TSpTBXItem;
    SpTBXItemViewerToolbarUTF: TSpTBXItem;
    SpTBXItemViewerUnicode: TSpTBXItem;
    SpTBXItemViewerWordWrap: TSpTBXItem;
    SpTBXItemViewListMode: TSpTBXItem;
    SpTBXItemViewUp: TSpTBXItem;
    SpTBXLabelItemDriveInfo: TSpTBXLabelItem;
    SpTBXLabelItemmStatusbarObjectsSelected: TSpTBXLabelItem;
    SpTBXLabelItemQuickSearch: TSpTBXLabelItem;
    SpTBXLabelItemStatusBarBytes: TSpTBXLabelItem;
    SpTBXLabelItemStatusBarObjects: TSpTBXLabelItem;
    SpTBXMultiDockMainBottom: TSpTBXMultiDock;
    SpTBXMultiDockMainLeft: TSpTBXMultiDock;
    SpTBXMultiDockMainRight: TSpTBXMultiDock;
    SpTBXPanelTaskBkGnd: TSpTBXPanel;
    SpTBXPopupMenuDropStack: TSpTBXPopupMenu;
    SpTBXPopupMenuFavorites: TSpTBXPopupMenu;
    SpTBXPopupMenuFilters: TSpTBXPopupMenu;
    SpTBXPopupMenuFolderSize: TSpTBXPopupMenu;
    SpTBXPopupMenuHistory: TSpTBXPopupMenu;
    SpTBXPopupMenuLauncher: TSpTBXPopupMenu;
    SpTBXPopupMenuMainMenuFavorites: TSpTBXPopupMenu;
    SpTBXPopupMenuSelect: TSpTBXPopupMenu;
    SpTBXPopupMenuTabSet: TSpTBXPopupMenu;
    SpTBXPopupMenuTasks: TSpTBXPopupMenu;
    SpTBXPopupMenuToolbarMenu: TSpTBXPopupMenu;
    SpTBXPopupMenuTreeview: TSpTBXPopupMenu;
    SpTBXPopupMenuView: TSpTBXPopupMenu;
    SpTBXPopupMenuViewer: TSpTBXPopupMenu;
    SpTBXPopupMenuWindowMenu: TSpTBXPopupMenu;
    SpTBXRightAlignSpacerItem1: TSpTBXRightAlignSpacerItem;
    SpTBXRightAlignSpacerItem2: TSpTBXRightAlignSpacerItem;
    SpTBXSeparatorItem1: TSpTBXSeparatorItem;
    SpTBXSeparatorItem10: TSpTBXSeparatorItem;
    SpTBXSeparatorItem11: TSpTBXSeparatorItem;
    SpTBXSeparatorItem12: TSpTBXSeparatorItem;
    SpTBXSeparatorItem13: TSpTBXSeparatorItem;
    SpTBXSeparatorItem14: TSpTBXSeparatorItem;
    SpTBXSeparatorItem15: TSpTBXSeparatorItem;
    SpTBXSeparatorItem16: TSpTBXSeparatorItem;
    SpTBXSeparatorItem17: TSpTBXSeparatorItem;
    SpTBXSeparatorItem18: TSpTBXSeparatorItem;
    SpTBXSeparatorItem19: TSpTBXSeparatorItem;
    SpTBXSeparatorItem2: TSpTBXSeparatorItem;
    SpTBXSeparatorItem20: TSpTBXSeparatorItem;
    SpTBXSeparatorItem22: TSpTBXSeparatorItem;
    SpTBXSeparatorItem25: TSpTBXSeparatorItem;
    SpTBXSeparatorItem26: TSpTBXSeparatorItem;
    SpTBXSeparatorItem27: TSpTBXSeparatorItem;
    SpTBXSeparatorItem28: TSpTBXSeparatorItem;
    SpTBXSeparatorItem29: TSpTBXSeparatorItem;
    SpTBXSeparatorItem3: TSpTBXSeparatorItem;
    SpTBXSeparatorItem30: TSpTBXSeparatorItem;
    SpTBXSeparatorItem31: TSpTBXSeparatorItem;
    SpTBXSeparatorItem32: TSpTBXSeparatorItem;
    SpTBXSeparatorItem33: TSpTBXSeparatorItem;
    SpTBXSeparatorItem34: TSpTBXSeparatorItem;
    SpTBXSeparatorItem35: TSpTBXSeparatorItem;
    SpTBXSeparatorItem37: TSpTBXSeparatorItem;
    SpTBXSeparatorItem39: TSpTBXSeparatorItem;
    SpTBXSeparatorItem4: TSpTBXSeparatorItem;
    SpTBXSeparatorItem5: TSpTBXSeparatorItem;
    SpTBXSeparatorItem6: TSpTBXSeparatorItem;
    SpTBXSeparatorItem7: TSpTBXSeparatorItem;
    SpTBXSeparatorItem8: TSpTBXSeparatorItem;
    SpTBXSeparatorItem9: TSpTBXSeparatorItem;
    SpTBXSeparatorItemDropStack: TSpTBXSeparatorItem;
    SpTBXSeparatorItemFilters1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemFilters2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemFilters3: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuEdit1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuEdit2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuEdit3: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuLaunch1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuToolbars1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuTools1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuTools2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuTools3: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuTools4: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuTools5: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuView1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuView2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuView3: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuViewer1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuViewer2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuViewer3: TSpTBXSeparatorItem;
    SpTBXSeparatorItemMainMenuViewer4: TSpTBXSeparatorItem;
    SpTBXSeparatorItemNavigation1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemNavigation2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemPopupViewer1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemPopupViewer2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemPopupViewer3: TSpTBXSeparatorItem;
    SpTBXSeparatorItemPopupViewer4: TSpTBXSeparatorItem;
    SpTBXSeparatorItemSelect1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemTreeview: TSpTBXSeparatorItem;
    SpTBXSeparatorItemView1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemView2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemView3: TSpTBXSeparatorItem;
    SpTBXSeparatorItemView4: TSpTBXSeparatorItem;
    SpTBXSeparatorItemViewAction1: TSpTBXSeparatorItem;
    SpTBXSeparatorItemViewAction2: TSpTBXSeparatorItem;
    SpTBXSeparatorItemViewerPopup4: TSpTBXSeparatorItem;
    SpTBXSkinGroupItem1: TSpTBXSkinGroupItem;
    SpTBXSplitterLeft: TSpTBXSplitter;
    SpTBXStatusBar: TSpTBXStatusBar;
    SpTBXSubmenuItem2: TSpTBXSubmenuItem;
    SpTBXSubmenuItemAddressbarCopyPath: TSpTBXSubmenuItem;
    SpTBXSubmenuItemContextMenu: TSpTBXSubmenuItem;
    SpTBXSubmenuItemDummy: TSpTBXSubmenuItem;
    SpTBXSubmenuItemFilterNew: TSpTBXSubmenuItem;
    SpTBXSubmenuItemFolderSizeTabbar: TSpTBXSubmenuItem;
    SpTBXSubmenuItemHistoryBack: TSpTBXSubmenuItem;
    SpTBXSubmenuItemHistoryForward: TSpTBXSubmenuItem;
    SpTBXSubmenuItemLanguage: TSpTBXSubmenuItem;
    SpTBXSubmenuItemListviewGrouping: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuEdit: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuFavorites: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuFile: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuFileNew: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuFolderSize: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuHelp: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuLauncher: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuSelect: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuTools: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuView: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuViewToolbars: TSpTBXSubmenuItem;
    SpTBXSubmenuItemMainMenuViewWindows: TSpTBXSubmenuItem;
    SpTBXSubmenuItemTabsOpen: TSpTBXSubmenuItem;
    SpTBXSubmenuItemTasks: TSpTBXSubmenuItem;
    SpTBXSubmenuItemToolsThemes: TSpTBXSubmenuItem;
    SpTBXSubmenuItemViewActionCopyPaths: TSpTBXSubmenuItem;
    SpTBXSubmenuItemViewActionNew: TSpTBXSubmenuItem;
    SpTBXSubmenuItemViewActionSendTo: TSpTBXSubmenuItem;
    SpTBXSubmenuItemViewActionView: TSpTBXSubmenuItem;
    SpTBXSubmenuItemViewer: TSpTBXSubmenuItem;
    SpTBXTabSetListview: TSpTBXTabSet;
    SpTBXToolbarAddressBar: TSpTBXToolbar;
    SpTBXToolbarDrives: TSpTBXToolbar;
    SpTBXToolbarDropStack: TSpTBXToolbar;
    SpTBXToolbarFavoriteCrumbBar: TSpTBXToolbar;
    SpTBXToolbarFavorites: TSpTBXToolbar;
    SpTBXToolbarFilter: TSpTBXToolbar;
    SpTBXToolbarFoldersEdit: TSpTBXToolbar;
    SpTBXToolbarHistory: TSpTBXToolbar;
    SpTBXToolbarLauncher: TSpTBXToolbar;
    SpTBXToolbarMainFileTypes: TSpTBXToolbar;
    SpTBXToolbarMainMenu: TSpTBXToolbar;
    SpTBXToolbarNavigation: TSpTBXToolbar;
    SpTBXToolbarQuickSearch: TSpTBXToolbar;
    SpTBXToolbarViewAction: TSpTBXToolbar;
    SpTBXToolbarViewEdit: TSpTBXToolbar;
    SpTBXToolbarViewer: TSpTBXToolbar;
    SpTBXTrackBarQuickView: TSpTBXTrackBar;
    TBControlItemDOSCompliancy: TTBControlItem;
    TBControlItemExplorerComboBox: TTBControlItem;
    TBControlItemQuickFilterEdit: TTBControlItem;
    TBControlItemQuickThumbSize: TTBControlItem;
    TntPopupMenuTrayMenu: TTntPopupMenu;
    TntRichEditCmdLine: TTntRichEdit;
    TrayMenuExit: TTntMenuItem;
    TrayMenuMinimize: TTntMenuItem;
    TrayMenuRestore: TTntMenuItem;
    UltraCoolTrayIcon: TCoolTrayIcon;
    UltraDropStack: TVirtualDropStack;
    UltraFavorites: TVirtualStringTree;
    UltraFilter: TEasyListview;
    UltraFolders: TVirtualExplorerTreeview;
    UltraHistory: TEasyListview;
    VirtualCommandLineRedirector: TVirtualCommandLineRedirector;
    VirtualSendToMenu: TVirtualSendToMenu;
    VirtualShellHistory: TVirtualShellHistory;
    VirtualShellMRU: TVirtualShellMRU;
    VirtualShellNewMenu: TVirtualShellNewMenu;
    XPManifest: TXPManifest;
    SpTBXSubmenuItemMainMenuCustomizerDefaults: TSpTBXSubmenuItem;
    SpTBXItemMainMenuDefaultCustomizerFlattenFolder: TSpTBXItem;
    SpTBXItemMainMenuDefaultCustomizerNewFolder: TSpTBXItem;
    SpTBXItem15: TSpTBXItem;
    PanelFrameListview: TPanel;
    SpTBXSplitter1: TSpTBXSplitter;
    SpTBXMultiDockViewSpaceRight: TSpTBXMultiDock;
    SpTBXDockablePanelDualView: TSpTBXDockablePanel;
    PanelDualView: TPanel;
    SpTBXPanelUltraDockSite: TSpTBXPanel;
    SpTBXDockListviewSplitter: TSpTBXDock;
    SpTBXToolbarListviewSplitter: TSpTBXToolbar;
    SpTBXItemSplitPaneSpacer1: TSpTBXItem;
    SpTBXItem28: TSpTBXItem;
    SpTBXItemSplitPaneSpacer5: TSpTBXItem;
    SpTBXItemSplitPlaneCopyLeft: TSpTBXItem;
    SpTBXItemSplitPlaneCopyRight: TSpTBXItem;
    SpTBXItemSplitPaneSpacer2: TSpTBXItem;
    SpTBXItemSplitPlaneMoveLeft: TSpTBXItem;
    SpTBXItemSplitPlaneMoveRight: TSpTBXItem;
    SpTBXItemSplitPaneSpacer3: TSpTBXItem;
    SpTBXItemSplitPlaneCompare: TSpTBXItem;
    SpTBXItemSplitPaneSpacer4: TSpTBXItem;
    SpTBXItem6: TSpTBXItem;
    SpTBXItem5: TSpTBXItem;
    SpTBXItemDualPaneLink: TSpTBXItem;
    SpTBXItem29: TSpTBXItem;
    SpTBXSplitterDualListviews: TSpTBXSplitter;

    procedure ActionActivateAddressbarExecute(Sender: TObject);
    procedure ActionBreadcrumbOpenExecute(Sender: TObject);
    procedure ActionChangeAutoRefreshExecute(Sender: TObject);
    procedure ActionCmdLineExecute(Sender: TObject);
    procedure ActionCopyAddressBarPathExecute(Sender: TObject);
    procedure ActionCopyPathAddressbarDOSExecute(Sender: TObject);
    procedure ActionCopyPathAddressbarExecute(Sender: TObject);
    procedure ActionCreateNewFolderExecute(Sender: TObject);
    procedure ActionDropStackClearExecute(Sender: TObject);
    procedure ActionDropStackExecute(Sender: TObject);
    procedure ActionDualPaneCompareExecute(Sender: TObject);
    procedure ActionDualPaneCopyLeftExecute(Sender: TObject);
    procedure ActionDualPaneCopyRightExecute(Sender: TObject);
    procedure ActionDualPaneLinkExecute(Sender: TObject);
    procedure ActionDualPaneMoveLeftExecute(Sender: TObject);
    procedure ActionDualPaneMoveRightExecute(Sender: TObject);
    procedure ActionFavoritesAddExecute(Sender: TObject);
    procedure ActionFavoritesEditExecute(Sender: TObject);
    procedure ActionFavoritesEnterEditModeExecute(Sender: TObject);
    procedure ActionFavoritesExecute(Sender: TObject);
    procedure ActionFavoritesNewCategoryExecute(Sender: TObject);
    procedure ActionFavoritesRemoveExecute(Sender: TObject);
    procedure ActionFavoritesSortByNameExecute(Sender: TObject);
    procedure ActionFilterDeleteExecute(Sender: TObject);
    procedure ActionFilterEditExecute(Sender: TObject);
    procedure ActionFilterEnableExecute(Sender: TObject);
    procedure ActionFilterExecute(Sender: TObject);
    procedure ActionFilterModeExecute(Sender: TObject);
    procedure ActionFilterNewExecute(Sender: TObject);
    procedure ActionFilterNewFromFilesExecute(Sender: TObject);
    procedure ActionFilterSortByNameExecute(Sender: TObject);
    procedure ActionFixedListViewExecute(Sender: TObject);
    procedure ActionFoldersExecute(Sender: TObject);
    procedure ActionFolderSizeCalculateAllAlwaysExecute(Sender: TObject);
    procedure ActionFolderSizeCalculateAllCurrentExecute(Sender: TObject);
    procedure ActionFolderSizeCalculateSelectedExecute(Sender: TObject);
    procedure ActionHistoryBackExecute(Sender: TObject);
    procedure ActionHistoryClearExecute(Sender: TObject);
    procedure ActionHistoryExecute(Sender: TObject);
    procedure ActionHistoryForwardExecute(Sender: TObject);
    procedure ActionLauncherShowExecute(Sender: TObject);
    procedure ActionListviewCopyExecute(Sender: TObject);
    procedure ActionListviewCopyFilenamesDOSExecute(Sender: TObject);
    procedure ActionListviewCopyFilenamesExecute(Sender: TObject);
    procedure ActionListviewCopyPathDOSExecute(Sender: TObject);
    procedure ActionListviewCopyPathExecute(Sender: TObject);
    procedure ActionListviewCutExecute(Sender: TObject);
    procedure ActionListviewDeleteExecute(Sender: TObject);
    procedure ActionListviewInvertExecute(Sender: TObject);
    procedure ActionListviewPasteExecute(Sender: TObject);
    procedure ActionListviewPasteShortcutExecute(Sender: TObject);
    procedure ActionListviewPropertiesExecute(Sender: TObject);
    procedure ActionListviewRefreshExecute(Sender: TObject);
    procedure ActionListviewSelectAllExecute(Sender: TObject);
    procedure ActionListviewSyncCommandLineExecute(Sender: TObject);
    procedure ActionListviewToggleActiveFocusExecute(Sender: TObject);
    procedure ActionListviewUpOneFolderExecute(Sender: TObject);
    procedure ActionMainMenuAboutExecute(Sender: TObject);
    procedure ActionMainMenuCheckForUpdateExecute(Sender: TObject);
    procedure ActionMainMenuExitExecute(Sender: TObject);
    procedure ActionMainMenuFileNewWindowExecute(Sender: TObject);
    procedure ActionMainMenuHelpContentsExecute(Sender: TObject);
    procedure ActionMainMenuViewToolbarTreeviewExecute(Sender: TObject);
    procedure ActionQuickFilterApplyExecute(Sender: TObject);
    procedure ActionQuickFilterClearExecute(Sender: TObject);
    procedure ActionSelectAllFilesExecute(Sender: TObject);
    procedure ActionSelectAllFoldersExecute(Sender: TObject);
    procedure ActionSelectCombineExecute(Sender: TObject);
    procedure ActionSelectGroupsExecute(Sender: TObject);
    procedure ActionSelectMatchTextExecute(Sender: TObject);
    procedure ActionSelectUnSelectFilesExecute(Sender: TObject);
    procedure ActionSelectUnSelectFoldersExecute(Sender: TObject);
    procedure ActionSelectUnSelectGroupsExecute(Sender: TObject);
    procedure ActionSelectUnSelectTextExecute(Sender: TObject);
    procedure ActionShellHandlerslContextMenuHandlersExecute(Sender: TObject);
    procedure ActionShellHandlersWinEHookExecute(Sender: TObject);
    procedure ActionTabBrowseToNewExecute(Sender: TObject);
    procedure ActionTabCloseAllExceptExecute(Sender: TObject);
    procedure ActionTabCloseExecute(Sender: TObject);
    procedure ActionTabFavoritesAllExecute(Sender: TObject);
    procedure ActionTabFavoritesExecute(Sender: TObject);
    procedure ActionTabNewExecute(Sender: TObject);
    procedure ActionTabNextExecute(Sender: TObject);
    procedure ActionTabNSelectExecute(Sender: TObject);
    procedure ActionTabOptionsExecute(Sender: TObject);
    procedure ActionTabPrevExecute(Sender: TObject);
    procedure ActionTabScrollLeftExecute(Sender: TObject);
    procedure ActionTabScrollRightExecute(Sender: TObject);
    procedure ActionTasksExecute(Sender: TObject);
    procedure ActionTaskWindowExecute(Sender: TObject);
    procedure ActionThumbnailsStretchExecute(Sender: TObject);
    procedure ActionToolbarAddressBarExecute(Sender: TObject);
    procedure ActionToolbarBreadCrumbListviewExecute(Sender: TObject);
    procedure ActionToolbarDrivesExecute(Sender: TObject);
    procedure ActionToolbarDropStackExecute(Sender: TObject);
    procedure ActionToolbarFavoriteCrumbExecute(Sender: TObject);
    procedure ActionToolbarFavoritesExecute(Sender: TObject);
    procedure ActionToolbarFileTypesExecute(Sender: TObject);
    procedure ActionToolbarFilterExecute(Sender: TObject);
    procedure ActionToolbarFoldersEditExecute(Sender: TObject);
    procedure ActionToolbarHistoryExecute(Sender: TObject);
    procedure ActionToolbarLauncherExecute(Sender: TObject);
    procedure ActionToolbarListviewActionExecute(Sender: TObject);
    procedure ActionToolbarListviewEditExecute(Sender: TObject);
    procedure ActionToolbarLockExecute(Sender: TObject);
    procedure ActionToolbarMainMenuExecute(Sender: TObject);
    procedure ActionToolbarNavigationExecute(Sender: TObject);
    procedure ActionToolbarQuickFilterExecute(Sender: TObject);
    procedure ActionToolbarViewerExecute(Sender: TObject);
    procedure ActionToolsCustomizeExecute(Sender: TObject);
    procedure ActionToolsMapNetworkDriveExecute(Sender: TObject);
    procedure ActionToolsSearchExecute(Sender: TObject);
    procedure ActionToolsShowOptionsExecute(Sender: TObject);
    procedure ActionToolsTextEdiitorExecute(Sender: TObject);
    procedure ActionToolsUnmapNetworkDriveExecute(Sender: TObject);
    procedure ActionTreeviewCollapseAllExecute(Sender: TObject);
    procedure ActionTreeviewCopyExecute(Sender: TObject);
    procedure ActionTreeviewCutExecute(Sender: TObject);
    procedure ActionTreeviewDeleteExecute(Sender: TObject);
    procedure ActionFolderFlattenExecute(Sender: TObject);
    procedure ActionTreeviewPasteExecute(Sender: TObject);
    procedure ActionTreeviewPropertiesExecute(Sender: TObject);
    procedure ActionViewArrangeModifiedExecute(Sender: TObject);
    procedure ActionViewArrangeNameExecute(Sender: TObject);
    procedure ActionViewArrangeSizeExecute(Sender: TObject);
    procedure ActionViewArrangeTypeExecute(Sender: TObject);
    procedure ActionViewCollapseGroupsExecute(Sender: TObject);
    procedure ActionViewColumnModeExecute(Sender: TObject);
    procedure ActionViewDetailsExecute(Sender: TObject);
    procedure ActionViewDualPaneExecute(Sender: TObject);
    procedure ActionViewEditGroupingCriteriaExecute(Sender: TObject);
    procedure ActionViewerANSIFontExecute(Sender: TObject);
    procedure ActionViewerAutoDetectExecute(Sender: TObject);
    procedure ActionViewerBinaryExecute(Sender: TObject);
    procedure ActionViewerConfigureExecute(Sender: TObject);
    procedure ActionViewerConfigurePluginsExecute(Sender: TObject);
    procedure ActionViewerExecute(Sender: TObject);
    procedure ActionViewerFitImageExecute(Sender: TObject);
    procedure ActionViewerHexExecute(Sender: TObject);
    procedure ActionViewerInternetExecute(Sender: TObject);
    procedure ActionViewerMultimediaExecute(Sender: TObject);
    procedure ActionViewerOEMFontExecute(Sender: TObject);
    procedure ActionViewerOfflineBrowsingExecute(Sender: TObject);
    procedure ActionViewerPluginExecute(Sender: TObject);
    procedure ActionViewerTextExecute(Sender: TObject);
    procedure ActionViewerUnicodeExecute(Sender: TObject);
    procedure ActionViewerUTF8Execute(Sender: TObject);
    procedure ActionViewerWordWrapExecute(Sender: TObject);
    procedure ActionViewExpandGroupsExecute(Sender: TObject);
    procedure ActionViewGroupingNextArrangeExecute(Sender: TObject);
    procedure ActionViewIconExecute(Sender: TObject);
    procedure ActionViewListExecute(Sender: TObject);
    procedure ActionViewShowGroupsExecute(Sender: TObject);
    procedure ActionViewSmallIconExecute(Sender: TObject);
    procedure ActionViewThumbnailExecute(Sender: TObject);
    procedure ActionViewTileExecute(Sender: TObject);
    procedure ActionWhatsNewExecute(Sender: TObject);
    procedure DKLanguageControllerMainFormLanguageChanged(Sender: TObject);
    procedure EasyListviewHistoryContextMenuCmdCallback(Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; var Handled: Boolean);
    procedure EasyListviewHistoryContextMenuShowCallback(Namespace: TNamespace; Menu: hMenu; var Allow: Boolean);
    procedure EasyListviewHistoryOLEDragEnd(Sender: TCustomEasyListview; ADataObject: IDataObject; DragResult: TCommonOLEDragResult; ResultEffect: TCommonOLEDragResult);
    procedure ECBPathChange(Sender: TCustomVirtualExplorerCombobox; SelectedNamespace: TNamespace);
    procedure ECBPathChanging(Sender: TCustomVirtualExplorerCombobox; PrevNamespace: TNamespace; var Allow: Boolean);
    procedure SpTBXCheckBoxQuickFilterAutoWildcardClick(Sender: TObject);
    procedure SpTBXCustomizerClose(Sender: TObject);
    procedure SpTBXCustomizerLoad(Sender: TObject; ExtraOptions: TStringList);
    procedure SpTBXCustomizerSave(Sender: TObject; ExtraOptions: TStringList);
    procedure SpTBXCustomizerShow(Sender: TObject);
    procedure SpTBXDockablePanelCmdLineVisibleChanged(Sender: TObject);
    procedure SpTBXDockablePanelDropStackVisibleChanged(Sender: TObject);
    procedure SpTBXDockablePanelFavoritesVisibleChanged(Sender: TObject);
    procedure SpTBXDockablePanelFilterVisibleChanged(Sender: TObject);
    procedure SpTBXDockablePanelFixedViewVisibleChanged(Sender: TObject);
    procedure SpTBXDockablePanelFoldersVisibleChanged(Sender: TObject);
    procedure SpTBXDockablePanelHistoryVisibleChanged(Sender: TObject);
    procedure SpTBXDockablePanelTasksVisibleChanged(Sender: TObject);
    procedure SpTBXDockablePanelViewerVisibleChanged(Sender: TObject);
    procedure SpTBXDockDropStackRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockFavoritesRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockFilterRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockHeaderContextPopup(Sender: TObject; MousePos: TPoint; var Handled: Boolean);
    procedure SpTBXDockHeaderRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockHistoryRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockListviewSplitterRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockTasksRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockViewerRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockViewSpaceRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDockViewSpaceTopRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXDrivesRequestDock(Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
    procedure SpTBXEditQuickFilterChange(Sender: TObject);
    procedure SpTBXFormPopupMenuFileObjectsClosePopup(Sender: TObject; Selected: Boolean);
    procedure SpTBXFormPopupMenuFileObjectsPopup(Sender: TObject);
    procedure SpTBXItemFileTypesObjectsClick(Sender: TObject);
    procedure SpTBXItemHelpHistoryClick(Sender: TObject);
    procedure SpTBXItemMainMenuDonationClick(Sender: TObject);
    procedure SpTBXItemMainMenuHelpWikiClick(Sender: TObject);
    procedure SpTBXItemStatusbarNewVersionAvialableClick(Sender: TObject);
    procedure SpTBXItemViewActionQuickThumbsClick(Sender: TObject);
    procedure SpTBXMultiDockMainLeftResize(Sender: TObject);
    procedure SpTBXPanelTaskBkGndResize(Sender: TObject);
    procedure SpTBXPopupMenuFiltersPopup(Sender: TObject);
    procedure SpTBXPopupMenuFolderSizePopup(Sender: TObject);
    procedure SpTBXPopupMenuTabSetPopup(Sender: TObject);
    procedure SpTBXPopupMenuTasksPopup(Sender: TObject);
    procedure SpTBXSubmenuItem1Popup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemContextMenuClick(Sender: TObject);
    procedure SpTBXSubmenuItemFilterNewPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemFolderSizeTabbarPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemHistoryBackPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemHistoryForwardPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemLanguagePopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemListviewGroupingPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemMainMenuFavoritesPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemMainMenuFolderSizePopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemMainMenuLauncherPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemTabsOpenPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemViewBkGndNewPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemViewNewPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemViewSendToPopup(Sender: TTBCustomItem; FromLink: Boolean);
    procedure SpTBXSubmenuItemViewViewClick(Sender: TObject);
    procedure SpTBXTabSetListviewActiveTabChange(Sender: TObject; TabIndex: Integer);
    procedure SpTBXTabSetListviewActiveTabChanging(Sender: TObject; TabIndex, NewTabIndex: Integer; var Allow: Boolean);
    procedure SpTBXTabSetListviewResize(Sender: TObject);
    procedure SpTBXToolbarAddressBarVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarDrivesContextPopup(Sender: TObject; MousePos: TPoint; var Handled: Boolean);
    procedure SpTBXToolbarDrivesDockChanged(Sender: TObject);
    procedure SpTBXToolbarDrivesVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarDropStackVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarFavoriteCrumbBarVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarFavoritesVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarFilterVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarFoldersEditVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarHistoryVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarLauncherVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarMainFileTypesVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarNavigationVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarQuickSearchVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarViewActionDockChanged(Sender: TObject);
    procedure SpTBXToolbarViewActionVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarViewEditVisibleChanged(Sender: TObject);
    procedure SpTBXToolbarViewerVisibleChanged(Sender: TObject);
    procedure SpTBXTrackBarQuickViewChange(Sender: TObject);
    procedure TBXThemeSwitcherThemeChange(Sender: TObject);
    procedure TBXToolWindowAddressBarVisibleChanged(Sender: TObject);
    procedure TntFormClose(Sender: TObject; var Action: TCloseAction);
    procedure TntFormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure TntFormCreate(Sender: TObject);
    procedure TntFormResize(Sender: TObject);
    procedure TntFormShow(Sender: TObject);
    procedure TntPopupMenuTrayMenuPopup(Sender: TObject);
    procedure TntRichEditCmdLineKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure TrayMenuExitClick(Sender: TObject);
    procedure TrayMenuMinimizeClick(Sender: TObject);
    procedure TrayMenuRestoreClick(Sender: TObject);
    procedure UltraCoolTrayIconClick(Sender: TObject);
    procedure UltraCoolTrayIconMinimizeToTray(Sender: TObject);
    procedure UltraFavoritesChange(Sender: TBaseVirtualTree; Node: PVirtualNode);
    procedure UltraFavoritesCompareNodes(Sender: TBaseVirtualTree; Node1, Node2: PVirtualNode; Column: TColumnIndex; var Result: Integer);
    procedure UltraFavoritesContextPopup(Sender: TObject; MousePos: TPoint; var Handled: Boolean);
    procedure UltraFavoritesDragAllowed(Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex; var Allowed: Boolean);
    procedure UltraFavoritesDragDrop(Sender: TBaseVirtualTree; Source: TObject; DataObject: IDataObject; Formats: TFormatArray; Shift: TShiftState; Pt: TPoint; var Effect: Integer; Mode: TDropMode);
    procedure UltraFavoritesDragOver(Sender: TBaseVirtualTree; Source: TObject; Shift: TShiftState; State: TDragState; Pt: TPoint; Mode: TDropMode; var Effect: Integer; var Accept: Boolean);
    procedure UltraFavoritesEditing(Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex; var Allowed: Boolean);
    procedure UltraFavoritesEndDrag(Sender, Target: TObject; X, Y: Integer);
    procedure UltraFavoritesFreeNode(Sender: TBaseVirtualTree; Node: PVirtualNode);
    procedure UltraFavoritesGetHint(Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex; var LineBreakStyle: TVTTooltipLineBreakStyle; var HintText: WideString);
    procedure UltraFavoritesGetImageIndexEx(Sender: TBaseVirtualTree; Node: PVirtualNode; Kind: TVTImageKind; Column: TColumnIndex; var Ghosted: Boolean; var ImageIndex: Integer; var ImageList: TCustomImageList);
    procedure UltraFavoritesGetNodeDataSize(Sender: TBaseVirtualTree; var NodeDataSize: Integer);
    procedure UltraFavoritesGetText(Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex; TextType: TVSTTextType; var CellText: WideString);
    procedure UltraFavoritesKeyAction(Sender: TBaseVirtualTree; var CharCode: Word; var Shift: TShiftState; var DoDefault: Boolean);
    procedure UltraFavoritesLoadNode(Sender: TBaseVirtualTree; Node: PVirtualNode; Stream: TStream);
    procedure UltraFavoritesMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure UltraFavoritesMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure UltraFavoritesNewText(Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex; NewText: WideString);
    procedure UltraFavoritesSaveNode(Sender: TBaseVirtualTree; Node: PVirtualNode; Stream: TStream);
    procedure UltraFavoritesStructureChange(Sender: TBaseVirtualTree; Node: PVirtualNode; Reason: TChangeReason);
    procedure UltraFilterItemCheckChange(Sender: TCustomEasyListview; Item: TEasyItem);
    procedure UltraFilterItemSelectionChanging(Sender: TCustomEasyListview; Item: TEasyItem; var Allow: Boolean);
    procedure UltraFilterItemSelectionsChanged(Sender: TCustomEasyListview);
    procedure UltraFilterOLEDragDrop(Sender: TCustomEasyListview; DataObject: IDataObject; KeyState: TCommonKeyStates; WindowPt: TPoint; AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect; var Handled: Boolean);
    procedure UltraFilterOLEDragEnd(Sender: TCustomEasyListview; ADataObject: IDataObject; DragResult: TCommonOLEDragResult; ResultEffect: TCommonDropEffects; KeyStates: TCommonKeyStates);
    procedure UltraFilterOLEDragEnter(Sender: TCustomEasyListview; DataObject: IDataObject; KeyState: TCommonKeyStates; WindowPt: TPoint; AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect);
    procedure UltraFilterOLEDragLeave(Sender: TCustomEasyListview);
    procedure UltraFilterOLEDragOver(Sender: TCustomEasyListview; KeyState: TCommonKeyStates; WindowPt: TPoint; AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect);
    procedure UltraFilterOLEDragStart(Sender: TCustomEasyListview; ADataObject: IDataObject; var AvailableEffects: TCommonDropEffects; var AllowDrag: Boolean);
    procedure UltraFoldersContextMenuAfterCmd(Sender: TCustomVirtualExplorerTree; Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; Successful: Boolean);
    procedure UltraFoldersContextMenuItemChange(Sender: TCustomVirtualExplorerTree; Namespace: TNamespace; MenuItemID: Integer; SubMenuID: HMENU; MouseSelect: Boolean);
    procedure UltraFoldersEnter(Sender: TObject);
    procedure UltraFoldersFocusChanged(Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex);
    procedure UltraFoldersFocusChanging(Sender: TBaseVirtualTree; OldNode, NewNode: PVirtualNode; OldColumn, NewColumn: TColumnIndex; var Allowed: Boolean);
    procedure UltraFoldersFreeNode(Sender: TBaseVirtualTree; Node: PVirtualNode);
    procedure UltraFoldersIncrementalSearch(Sender: TBaseVirtualTree; Node: PVirtualNode; const SearchText: WideString; var Result: Integer);
    procedure UltraFoldersKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure UltraFoldersMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure UltraFoldersMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure UltraFoldersNewText(Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex; NewText: WideString);
    procedure UltraFoldersShellNotify(Sender: TCustomVirtualExplorerTree; ShellEvent: TVirtualShellEvent);
    procedure UltraHistoryItemContextMenu(Sender: TCustomEasyListview; HitInfo: TEasyHitInfoItem; WindowPoint: TPoint; var Menu: TPopupMenu; var Handled: Boolean);
    procedure UltraHistoryMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure UltraHistoryOLEDragDrop(Sender: TCustomEasyListview; DataObject: IDataObject; KeyState: TCommonKeyStates; WindowPt: TPoint; AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect; var Handled: Boolean);
    procedure UltraHistoryOLEDragEnter(Sender: TCustomEasyListview; DataObject: IDataObject; KeyState: TCommonKeyStates; WindowPt: TPoint; AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect);
    procedure UltraHistoryOLEDragOver(Sender: TCustomEasyListview; KeyState: TCommonKeyStates; WindowPt: TPoint; AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect);
    procedure VirtualCommandLineRedirectorErrorInput(Sender: TObject; NewInput: String);
    procedure VirtualCommandLineRedirectorInput(Sender: TObject; NewInput: String);
    procedure VirtualSendToMenuSendToEvent(Sender: TVirtualSendToMenu; SendToTarget: TNamespace; var SourceData: IDataObject);
    procedure VirtualShellHistoryChange(Sender: TBaseVirtualShellPersistent; ItemIndex: Integer; ChangeType: TVSHChangeType);
    procedure VirtualShellMRUChange(Sender: TBaseVirtualShellPersistent; ItemIndex: Integer; ChangeType: TVSHChangeType);
    procedure VirtualShellNewMenuAfterFileCreate(Sender: TMenu; const NewMenuItem: TVirtualShellNewItem; const FileName: WideString);
    procedure VirtualShellNewMenuCreateNewFile(Sender: TMenu; const NewMenuItem: TVirtualShellNewItem; var Path, FileName: WideString; var Allow: Boolean);
    procedure VSTFavoritesContextMenuCmdCallback(Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; var Handled: Boolean);
    procedure VSTFavoritesContextMenuShowCallback(Namespace: TNamespace; Menu: hMenu; var Allow: Boolean);

    procedure WMEraseBkgnd(var Msg: TWMEraseBkgnd); message WM_ERASEBKGND;
    procedure SpTBXItem15Click(Sender: TObject);
    procedure SpTBXDockablePanelDualViewVisibleChanged(Sender: TObject);
  private
    { Private declarations }
    FActiveView: TUltraExplorerEasyListview;
    FATViewer: TATViewer;
    FATViewerTabs: TInplaceWindowTabs;
    FBreadCrumbListview: TBreadcrumbBar;
    FChangeNotifierEnabled: Boolean;
    FCmdLineCurrentPath: PItemIDList;
    FCmdLineData: WideString;
    FContextMenuNamespace: TNamespace;
    FCurrentTask: IUltraPlugin;
    FDataObjectTemp: IDataObject;
    FDragDropRegistrations: TOLEDragDropRegistrations;
    FDragEnterShiftState: TShiftState;
    FDropItemTemp: TEasyCollectionItem;
    FFavDropNode: PVirtualNode;
    FFavoritesClickPending: Boolean;
    FFavoritesMenuCopyToDropStackID: Integer;
    FFavoriteTreeRoot: TFavoriteItem;
    FFoldersClickChange: Boolean;
    FFoldersClickChangeNode: PVirtualNode;
    FInPlacePanelList: TList;
    FLaunchers: TUltraLauncherDataRoot;
    FMinimized: Boolean;
    FNextInsert: Integer;
    FOldDriveToolbarWndProc: TWndMethod;
    FOldTabSetWndProc: TWndMethod;
    FOldUltraFavoriteWndProc: TWndMethod;
    FOldUltraListviewFixedWndProc: TWndMethod;
    FOldUltraListviewWndProc: TWndMethod;
    FPaintMessageCalledOnce: Boolean;
    FParameters: TStringList;
    FPlacement: TWindowPlacement;
    FPostMessageRec: TPostMessageRec;
    FPrevNewTabIndex: Integer;
    FPrevTabIndex: Integer;
    FQuickThumbs: TQuickThumbs;
    FShownOnce: Boolean;
    FTabSetDrop: IDropTarget;
    FTabSwitching: Boolean;                         // Set when a new tab is selected and cleared after the EnumFinished for the ActiveView (may not work for Columns View in current form)
    FTaskPlugins: TUltraTaskPlugins;
    FTaskWindowTabs: TInplaceWindowTabs;
    FTimerIDViewer: THandle;
    FUEState: TUltraExplorerStates;
    FUltraListview: TUltraExplorerEasyListview;
    FUltraListviewDual: TUltraExplorerEasyListview;
    FUltraSyncronizer: TUltraSyncronizer;
    FUpOneFolderPrevLevel: PItemIDList;             // Holds the PIDL to select when the user browses up from a level in the listview
    FViewBkGndMenu: TUltraViewBkGndContextMenu;
    FWinEHookSyncing: Boolean;

    function GetActiveRoot: TNamespace;
    function GetActiveView: TUltraExplorerEasyListview;
    procedure SetActiveView(Value: TUltraExplorerEasyListview);
    procedure SetChangeNotifierEnabled(const Value: Boolean);
    procedure SetUpOneFolderPrevLevel(const Value: PItemIDList);

  protected
    function ActivePanelPlugIn: IUltraInPlaceWindow;
    function AddFavoriteItem(ParentNode: PVirtualNode; PIDL: PItemIDList; IsNewCategory: Boolean; Mode: TVTNodeAttachMode): PVirtualNode;
    function BrowseToCommandLineSwitch: Boolean;
    function ClipboardContainsShellFormats: Boolean;
    function CreateExplorerEasyListview(AParent: TWinControl): TUltraExplorerEasyListview;
    function InPlaceWindowViewActionEnabled: Boolean;
    function IsAddressToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsBreadCrumbbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsDrivesToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsDropStackToolbar(Bar: TTBCustomDockableWindow): boolean;
    function IsFavoriteCrumbBar(Bar: TTBCustomDockableWindow): Boolean;
    function IsFavoritesToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsFilterToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsFoldersEditToobar(Bar: TTBCustomDockableWindow): Boolean;
    function IsHistoryToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsMainAppToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsNavigationToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsQuickSearchToolbar(Bar: TTBCustomDockableWindow): boolean;
    function IsTreeview(Bar: TTBCustomDockableWindow): Boolean;
    function IsUndoStackToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function IsViewerPanel(Bar: TTBCustomDockableWindow): Boolean;
    function IsViewFixed(Bar: TTBCustomDockableWindow): Boolean;
    function IsViewMode(Bar: TTBCustomDockableWindow): Boolean;
    function IsViewToolbar(Bar: TTBCustomDockableWindow): Boolean;
    function LoadAttribs(Attribs: TUltraAttribs): Boolean;
    function LockableDock(Dock: TSpTBXDock): Boolean;
    function LockableMultiDock(Dock: TSpTBXMultiDock): Boolean;
    function SaveAttribs(Attribs: TUltraAttribs): Boolean;
    function ShowYesNoDialog(AMessage, ACaption: WideString): Boolean;
    function TabActiveIsInPlaceWindow(TabSet: TSpTBXTabset): Boolean;
    function TabAdd(APIDL: PItemIDList; InPlaceWindow: IUltraInPlaceWindow; TabSet: TSpTBXTabSet; TestForDuplicates: Boolean): TUltraSpTBXTabItem;
    function TabCount(TabSet: TSpTBXTabSet): Integer;
    function TabFirst(TabSet: TSpTBXTabSet): Integer;
    function TabHasInPlaceWindow(TabSet: TSpTBXTabSet; Tab: Integer; var InPlaceWindow: IUltraInPlaceWindow): Boolean;
    function TabLast(TabSet: TSpTBXTabSet): Integer;
    function TaskHandleMessage(var Msg: TMsg): Boolean;
    function TranslateLauncherMacros(S: WideString): WideString;
    function VersionExtractProper(Version: WideString): WideString;
    function ViewerOpenFile: WideString;
    procedure ActiveControlChange(Sender: TObject);
    procedure AddDropStackItems(const ShellObjects: IDataObject);
    procedure AddFavoritesFromDataObject(DataObject: IDataObject; Mode: TDropMode);
    procedure AddFavoritesFromSelected;
    procedure AddFavoritesNewCategory;
    procedure AddFilterItemNew(Mask: WideString);
    procedure AddFilterItemsByNamespace(NSArray: TNamespaceArray);
    procedure AddFilterNewUltraExplorerDefined(ReloadCaption: Boolean = False);
    procedure AddFiltersFromDataObject(DataObject: IDataObject);
    procedure AlignTextOverIconWhenVertical(Item: TTBCustomItem; Dock: TTBDock);
    procedure ApplicationMessageEvent(var Msg: TMsg; var Handled: Boolean);
    procedure ApplyOptions(Sender: TObject);
    procedure ApplyWindowFonts;
    procedure ATViewerOnDocumentLoaded(Sender: TObject);
    procedure ATViewerPluginsAfterLoading(const PluginName: String);
    procedure ATViewerPluginsBeforeLoading(const PluginName: String);
    procedure ATViewerResize(Sender: TObject);
    procedure BreadCrumbItemClick(Toobar: TSpTBXToolbar; Item: TTBCustomItem);
    procedure BreadCrumbVisibleChanged(Sender: TObject);
    procedure BrowseHistoryBack;
    procedure BrowseHistoryNext;
    procedure BuildFavoriteCrumbBar;
    procedure BuildFavoritesMenu;
    procedure BuildLauncherBar;
    procedure BuildLauncherMenu;
    procedure ChangeFileObjects(Attribs: TUltraAttribs);
    procedure CheckForVersionUpdate(ShowDialog: Boolean);
    procedure CMDialogKey(var Message: TCMDialogKey); message CM_DIALOGKEY;
    procedure CmdLineSetPath(NS: TNamespace);
    procedure ColumnModeContextMenu(Sender: TCustomVirtualColumnModeView; Listview: TCustomEasyListview; MousePt: TPoint; var Handled: Boolean);
    procedure ColumnModeContextMenu2Message(Sender: TCustomVirtualColumnModeView; Listview: TCustomVirtualExplorerEasyListview; var Msg: TMessage);
    procedure ColumnModeEnter(Sender: TObject);
    procedure ColumnModeEnumFolder(Sender: TCustomVirtualColumnModeView; Listview: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; var AllowAsChild: Boolean);
    procedure ColumnModeFocusChanged(Sender: TCustomVirtualColumnModeView; ListView: TCustomEasyListview; Item: TEasyItem);
    procedure ColumnModeListviewEnter(Sender: TCustomVirtualColumnModeView; Listview: TColumnModeEasyListview);
    procedure ColumnModeMouseGesture(Sender: TCustomVirtualColumnModeView; Listview: TCustomEasyListview; Gesture: WideString; var DoDefaultMouseAction: Boolean);
    procedure ColumnModeRebuild(Sender: TCustomVirtualColumnModeView);
    procedure ColumnModeRebuilding(Sender: TCustomVirtualColumnModeView);
    procedure ColumnModeRootChange(Sender: TCustomVirtualColumnModeView; Listview: TCustomVirtualExplorerEasyListview);
    procedure ColumnModeSelectionsChange(Sender: TCustomVirtualColumnModeView; ColumnModeView: TCustomEasyListview);
    procedure ColumnModeViewClass(Sender: TCustomVirtualColumnModeView; var ViewClass: TListModeEasyListviewClass);
    procedure ColumnModeViewFreeing(Sender: TCustomVirtualColumnModeView; View: TColumnModeEasyListview);
    procedure ColumnModeViewItemFocusChanging(Sender: TCustomVirtualColumnModeView; ColumnModeView: TCustomEasyListview; Item: TEasyItem; var Allow: Boolean);
    procedure ColumnModeViewMouseUp(Sender: TCustomVirtualColumnModeView; View: TColumnModeEasyListview; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure ColumnModeViewPathChanging(Sender: TCustomVirtualColumnModeView; OldPath, NewPath: TNamespace; var Allow: Boolean);
    procedure ContextMenuAfterCmdCallback(Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; Successful: Boolean);
    procedure ContextMenuSelect(var Message: TMessage);
    procedure CopyPathCombo(Combo: TVirtualExplorerCombobox; DOSPath: Boolean);
    procedure CopyPathView(View: TUltraExplorerEasyListview; DOSPath: Boolean; FileNamesOnly: Boolean);
    procedure CreateAndAddDefaultCustomizerItems;
    procedure CreateATViewer;
    procedure CreateColumnModeView(View: TUltraExplorerEasyListview);
    procedure CreateExplorerEasyListviews;
    procedure CreateParams(var Params: TCreateParams); override;
    procedure DestroyWnd; override;
    procedure DisableContextMenuByVerb(Menu: HMenu; Verb: WideString; NS: TNamespace);
    procedure DownloadNewVersion;
    procedure DropStackGatherIntoSimilarParents(var NSArrays: TNSAArray);
    procedure EnableDualPaneMode(Enable: Boolean);
    procedure EnableListMode(Enable: Boolean);
    procedure EnableViewerActions(Enable: Boolean);
    procedure EnsureListviewTabVisiblility(TabSet: TSpTBXTabSet);
    procedure ExecuteNamespace(SyncSource: TUltraSyncronizerSource; NS: TNamespace; NewTab: Boolean);
    procedure FavoritesClearDropNode;
    procedure FavoritesMenuClick(Sender: TObject);
    procedure FavoritesRebuildGlobal;
    procedure FilterDeleteFilters;
    procedure FilterEnsureGroups;
    procedure FixTabstops;
    procedure FixToolbars(Stretch: Boolean);
    procedure HandleShellNewMenuSelect;
    procedure IncrementalDelaysSet(Time: Integer);
    procedure InPlaceWindowsDestroy;
    procedure InPlaceWindowSetArrange(InPlaceWindow: IUltraInPlaceWindow);
    procedure InPlaceWindowSetGrouped(InPlaceWindow: IUltraInPlaceWindow);
    procedure LanguageItemClick(Sender: TObject);
    procedure LauncherItemClick(Sender: TObject);
    procedure LauncherSaveShortCuts;
    procedure ListviewClipboardChange(Sender: TObject);
    procedure ListviewColumnContextMenu(Sender: TCustomEasyListview; HitInfo: TEasyHitInfoColumn; WindowPoint: TPoint; var Menu: TPopupMenu);
    procedure ListviewContextMenu(Sender: TCustomEasyListview; MousePt: TPoint; var Handled: Boolean);
    procedure ListviewContextMenu2Message(Sender: TCustomVirtualExplorerEasyListview; var Msg: TMessage);
    procedure ListviewContextMenuAfterCmd(Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; Successful: Boolean);
    procedure ListviewContextMenuCmd(Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; var Handled: Boolean);
    procedure ListviewContextMenuItemChange(Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; MenuItemID: Integer; SubMenuID: hMenu; MouseSelect: Boolean);
    procedure ListviewDblClick(Sender: TCustomEasyListview; Button: TCommonMouseButton; MousePos: TPoint; ShiftState: TShiftState);
    procedure ListviewEnter(Sender: TObject);
    procedure ListviewEnumFinished(Sender: TCustomVirtualExplorerEasyListview);
    procedure ListviewEnumFolder(Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; var AllowAsChild: Boolean);
    procedure ListviewItemCustomView(Sender: TCustomEasyListview; Item: TEasyItem; ViewStyle: TEasyListStyle; var View: TEasyViewItemClass);
    procedure ListviewItemDblClick(Sender: TCustomEasyListview; Button: TCommonMouseButton; MousePos: TPoint; HitInfo: TEasyHitInfoItem);
    procedure ListviewItemEdited(Sender: TCustomEasyListview; Item: TEasyItem; var NewValue: Variant; var Accept: Boolean);
    procedure ListviewItemFocusChanged(Sender: TCustomEasyListview; Item: TEasyItem);
    procedure ListviewItemMouseDown(Sender: TCustomEasyListview; Item: TEasyItem; Button: TCommonMouseButton; var DoDefault: Boolean);
    procedure ListviewItemSelectionsChanged(Sender: TCustomEasyListview);
    procedure ListviewKeyAction(Sender: TCustomEasyListview; var CharCode: Word; var Shift: TShiftState; var DoDefault: Boolean);
    procedure ListviewLoadStorageFromRoot(Sender: TCustomVirtualExplorerEasyListview; NodeStorage: TNodeStorage);
    procedure ListviewModeViewItemMouseDown(Sender: TCustomVirtualColumnModeView; Listview: TCustomEasyListview; Item: TEasyItem; Button: TCommonMouseButton; var DoDefault: Boolean);
    procedure ListviewMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure ListviewMouseGesture(Sender: TCustomEasyListview; Gesture: WideString; var DoDefaultMouseAction: Boolean);
    procedure ListviewMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure ListviewRootChange(Sender: TCustomVirtualExplorerEasyListview);
    procedure ListviewRootChanging(Sender: TCustomVirtualExplorerEasyListview; const NewValue: TRootFolder; const CurrentNamespace, Namespace: TNamespace; var Allow: Boolean);
    procedure ListviewSaveRootToStorage(Sender: TCustomVirtualExplorerEasyListview; NodeStorage: TNodeStorage);
    procedure ListviewSetView(View: TEasyListStyle);
    procedure ListviewShellExecute(Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; var WorkingDir: WideString; var CmdLineArgument: WideString; var Allow: Boolean);
    procedure LoadCommandLineParameters(Params: TStringList);
    procedure LoadConfiguration;
    procedure LoadDefaultAttribs(Attribs: TUltraAttribs);
    procedure Loaded; override;
    procedure LoadFilterListview(S: TStream; NewStreamVersion: Boolean);
    procedure LoadItemWithInPlaceTabInfo(Item: TTBCustomItem; InPlaceWindow: IUltraInPlaceWindow);
    procedure LoadLanguages;
    procedure LoadNewViewSettings(View: TUltraExplorerEasyListview);
    procedure LoadViewerPlugins(Attribs: TUltraAttribs);
    procedure LockToolbars;
    procedure MenuItemNamespaceClick(Sender: TObject);
    procedure OpenViewer(Viewer: WideString);
    procedure PanelDrawBackground(Sender: TObject; ACanvas: TCanvas; ARect: TRect; const PaintStage: TSpTBXPaintStage; var PaintDefault: Boolean);
    procedure PasteToView(AsShortCut: Boolean);
    procedure RebuildDrivesToolbar;
    procedure RebuildHistory;
    procedure RedirectorTextOut(NewInput: String);
    procedure SaveConfiguration;
    procedure SaveFilterListview(S: TStream);
    procedure SaveOptions;
    procedure SelectFavorite(X: Integer; Y: Integer; NewTab: Boolean);
    procedure SetDefaultViewSettings(View: TUltraExplorerEasyListview);
    procedure SetToolbarCloseButton(Root: TComponent; Show: Boolean);
    procedure ShowEditGroupingDialog;
    procedure ShowOKDialog(AMessage, ACaption: WideString);
    procedure SizeFileTypeObjectsButton;
    procedure StartCommandPrompt;
    procedure StatusbarMenuHelp(MenuItemID: Integer; Namespace: TNamespace);
    procedure StatusbarMenuHelpEnd;
    procedure StopCommandPrompt;
    procedure SyncCaption(NS: TNamespace);
    procedure SyncFavoritesActions;
    procedure SyncFilterBarActions;
    procedure SyncListviewBkGndMenu;
    procedure SyncListviewEditActions;
    procedure SyncListviewGroupActions;
    procedure SyncListviewViewActions;
    procedure SyncListviewWithAttribs(Listview: TVirtualExplorerEasyListview);
    procedure SyncQuickFilter;
    procedure SyncQuickThumbs(LockoutChangeEvent: Boolean);
    procedure SyncStatusBar;
    procedure SyncTabActions;
    procedure SyncToolbarActions;
    procedure SyncTreeviewActions;
    procedure SyncViewerActions;
    procedure SyncViewerCaption;
    procedure SyncWindowActions;
    procedure TabChangeInPlaceThemes(ThemeName: PChar);
    procedure TabCheckScrollState(TabSet: TSpTBXTabSet; LeftScrollAction, RightScrollAction: TTntAction);
    procedure TabClear;
    procedure TabCloseAllExcept(TabSet: TSpTBXTabSet);
    procedure TabItemClick(Sender: TObject);
    procedure TabLButtonDblClick(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure TabLoadConfiguration(StreamVersion: Integer; ConfigStream: TTntFileStream);
    procedure TabLoadHistoryAndMRU(TabIndex: Integer);
    procedure TabLoadQuickFilterInfo(TabIndex: Integer);
    procedure TabMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure TabRemove(Tab: TSpTBXTabItem; TabSet: TSpTBXTabSet);
    procedure TabRemoveActive(TabSet: TSpTBXTabSet);
    procedure TabRestoreListviewState(TabIndex: Integer);
    procedure TabSaveConfiguration(StreamVer: Integer; ConfigStream: TTntFileStream);
    procedure TabSaveHistoryAndMRU(TabIndex: Integer);
    procedure TabSaveListviewState(TabIndex: Integer);
    procedure TabSaveQuickFilterInfo(TabIndex: Integer);
    procedure TabSetActive(iTab: Integer; TabSet: TSpTBXTabSet);
    procedure TabSetMenuItemClick(Sender: TObject);
    procedure TabUnAssociateParentSpecial;
    procedure TabUpdate(Tabs: TSpTBXTabSet; NS: TNamespace);
    procedure TaskDestroyCurrentTaskWindow;
    procedure TaskEnumFinishedCallback;
    procedure TaskMenuItemClick(Sender: TObject);
    procedure TaskMenuPopulate(Item: TTBCustomItem);
    procedure TaskSelectionChangedCallback;
    procedure TBXDrivesToolbarWndProc(var Message: TMessage);
    procedure TBXTabSetWndProc(var Message: TMessage);
    procedure TranslationHelpClick(Sender: TObject);
    procedure UltraFavoritesWndProc(var Message: TMessage);
    procedure UltraListviewFixedWndProc(var Message: TMessage);
    procedure UltraListviewWndProc(var Message: TMessage);
    procedure UpOneFolder;
    procedure ViewerResize(Sender: TObject);
    procedure ViewerTimerKill;
    procedure ViewerTimerStart;
    procedure WinEHook(Enable: Boolean);
    procedure WMActivate(var Msg: TWMActivate); message WM_ACTIVATE;
    procedure WMActivateView(var Msg: TMessage); message WM_ACTIVATEVIEW;
    procedure WMBringToFront(var Msg: TMessage); message WM_BRINGTOFRONT;
    procedure WMBrowsePrev(var Msg: TMessage); message WM_BROWSEPREV;
    procedure WMDestroy(var Msg: TMessage); message WM_DESTROY;
    procedure WMDestroyColumnModeView(var Msg: TMessage); message WM_DESTROYCOLUMNMODEVIEW;
    procedure WMGetProcessID(var Msg: TMessage); message WM_GETPROCESSID;
    procedure WMPaint(var Msg: TWMPaint); message WM_PAINT;
    procedure WMSysCommand(var Msg: TWMSysCommand); message WM_SYSCOMMAND;
    procedure WMTimer(var Msg: TWMTimer); message WM_TIMER;
    procedure WndProc(var Message: TMessage); override;
    property ActiveRoot: TNamespace read GetActiveRoot;
    property ActiveView: TUltraExplorerEasyListview read GetActiveView write SetActiveView;
    property ATViewer: TATViewer read FATViewer write FATViewer;
    property ATViewerTabs: TInplaceWindowTabs read FATViewerTabs write FATViewerTabs;
    property BreadCrumbListview: TBreadcrumbBar read FBreadCrumbListview write FBreadCrumbListview;
    property ChangeNotifierEnabled: Boolean read FChangeNotifierEnabled write SetChangeNotifierEnabled;
    property CmdLineCurrentPath: PItemIDList read FCmdLineCurrentPath write FCmdLineCurrentPath;
    property CmdLineData: WideString read FCmdLineData write FCmdLineData;
    property ContextMenuNamespace: TNamespace read FContextMenuNamespace write FContextMenuNamespace;
    property CurrentTask: IUltraPlugin read FCurrentTask write FCurrentTask;
    property DataObjectTemp: IDataObject read FDataObjectTemp write FDataObjectTemp;
    property DragDropRegistrations: TOLEDragDropRegistrations read FDragDropRegistrations write FDragDropRegistrations;
    property DragEnterMouseShiftState: TShiftState read FDragEnterShiftState write FDragEnterShiftState;
    property DropItemTemp: TEasyCollectionItem read FDropItemTemp write FDropItemTemp;
    property FavDropNode: PVirtualNode read FFavDropNode write FFavDropNode;
    property FavoritesClickPending: Boolean read FFavoritesClickPending write FFavoritesClickPending;
    property FavoritesMenuCopyToDropStackID: Integer read FFavoritesMenuCopyToDropStackID write FFavoritesMenuCopyToDropStackID;
    property FavoriteTreeRoot: TFavoriteItem read FFavoriteTreeRoot write FFavoriteTreeRoot;
    property FoldersClickChange: Boolean read FFoldersClickChange write FFoldersClickChange;
    property FoldersClickChangeNode: PVirtualNode read FFoldersClickChangeNode write FFoldersClickChangeNode;
    property InPlacePanelList: TList read FInPlacePanelList write FInPlacePanelList;
    property Launchers: TUltraLauncherDataRoot read FLaunchers write FLaunchers;
    property Minimized: Boolean read FMinimized write FMinimized;
    property NextInsert: Integer read FNextInsert write FNextInsert;
    property OldDriveToolbarWndProc: TWndMethod read FOldDriveToolbarWndProc write FOldDriveToolbarWndProc;
    property OldTabSetWndProc: TWndMethod read FOldTabSetWndProc write FOldTabSetWndProc;
    property OldUltraFavoriteWndProc: TWndMethod read FOldUltraFavoriteWndProc write FOldUltraFavoriteWndProc;
    property OldUltraListviewFixedWndProc: TWndMethod read FOldUltraListviewFixedWndProc write FOldUltraListviewFixedWndProc;
    property OldUltraListviewWndProc: TWndMethod read FOldUltraListviewWndProc write FOldUltraListviewWndProc;
    property PaintMessageCalledOnce: Boolean read FPaintMessageCalledOnce write FPaintMessageCalledOnce;
    property Parameters: TStringList read FParameters write FParameters;
    property PostMessageRec: TPostMessageRec read FPostMessageRec write FPostMessageRec;
    property PrevNewTabIndex: Integer read FPrevNewTabIndex write FPrevNewTabIndex;
    property PrevTabIndex: Integer read FPrevTabIndex write FPrevTabIndex;
    property QuickThumbs: TQuickThumbs read FQuickThumbs write FQuickThumbs;
    property ShownOnce: Boolean read FShownOnce write FShownOnce;
    property TabSwitching: boolean read FTabSwitching write FTabSwitching;
    property TaskPlugins: TUltraTaskPlugins read FTaskPlugins write FTaskPlugins;
    property TaskWindowTabs: TInplaceWindowTabs read FTaskWindowTabs write FTaskWindowTabs;
    property TimerIDViewer: THandle read FTimerIDViewer write FTimerIDViewer;
    property UEState: TUltraExplorerStates read FUEState write FUEState;
    property UltraListview: TUltraExplorerEasyListview read FUltraListview write FUltraListview;
    property UltraListviewDual: TUltraExplorerEasyListview read FUltraListviewDual write FUltraListviewDual;
    property UltraSyncronizer: TUltraSyncronizer read FUltraSyncronizer write FUltraSyncronizer;
    property UpOneFolderPrevLevel: PItemIDList read FUpOneFolderPrevLevel write SetUpOneFolderPrevLevel;
    property WinEHookSyncing: Boolean read FWinEHookSyncing write FWinEHookSyncing;

  protected
    // IUltraBrowser functions
    function SelectionCount: Integer;
    function FileCount: Integer;
    // IUltraNotifier functions
    procedure FocusChanged(NewFocus: TWinControl);
    procedure UpdateUI(UpdateType: TUltraNotifierUIUpdate);
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;

    function CloseQuery: Boolean; override;
    function FindCommandLineSwitch(Switch: Char): WideString;
    function IsShortCut(var Message: TWMKey): Boolean; override;
    function TabActiveInPlaceWindow: IUltraInPlaceWindow;
    procedure AdvanceView;
    procedure GetTabOrderList(List: TList); override;
    procedure ListviewScroll(Sender: TCustomEasyListview; DeltaX, DeltaY: Integer);
    procedure LoadGroupingFileSizeAndModifiedArrayFromFile(S: TStream);
    procedure MouseWheelHandler(var Message: TMessage); override;
    procedure SaveGroupingFileSizeAndModifiedArrayToFile(S: TStream);
    property Placement: TWindowPlacement read FPlacement write FPlacement;
    property TabSetDrop: IDropTarget read FTabSetDrop write FTabSetDrop;
    property ViewBkGndMenu: TUltraViewBkGndContextMenu read FViewBkGndMenu write FViewBkGndMenu;
  published
  end;

  //
  // Makes the Tabset a Drop Target
  //
  TSpTBXItemDropTarget = class(TInterfacedObject, IDropTarget)
  private
    FDataObject: IDataObject;
    FDataObjectContainsFolder: Boolean;
    FDriveToolbar: TSpTBXToolbar;
    FDropTargetHelper: IDropTargetHelper;
    FLastNS: TNamespace;
    FTabSet: TSpTBXTabSet;
    FTargetWnd: TWinControl;
    function GetDropTargetHelper: IDropTargetHelper;
  protected
    function TabAddFromDataObject(DataObject: IDataObject; TestOnly: Boolean): Boolean;
    property DataObject: IDataObject read FDataObject write FDataObject;
  public
    function DragEnter(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HResult; stdcall;
    function DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HResult; stdcall;
    function DragLeave: HResult; stdcall;
    function Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HResult; stdcall;

    property DataObjectContainsFolder: Boolean read FDataObjectContainsFolder write FDataObjectContainsFolder;
    property DriveToolbar: TSpTBXToolbar read FDriveToolbar write FDriveToolbar;
    property DropTargetHelper: IDropTargetHelper read GetDropTargetHelper;
    property LastNS: TNamespace read FLastNS write FLastNS;
    property TabSet: TSpTBXTabSet read FTabSet write FTabSet;
    property TargetWnd: TWinControl read FTargetWnd write FTargetWnd;
  end;

  // ***************************************************************************
  // Syncronizer for keeping the various controls pointed to the right folder(s)
  // ***************************************************************************
  TUltraSyncronizer = class
  private
    FNewTab: Boolean;
    FPIDL: PItemIDList;              // Copy of the PIDL to Syncronize to
    FEnabled: Boolean;
    FPrevPIDL: PItemIDList;
    FState: TUltraSyncronizerStates;
    FSyncSource: TUltraSyncronizerSource;   // The source of the Sync request
    FDelayTimer: TTimer;                    // Timer to delay the Sync request
    FOwner: TTntFormUltraExplorer;          // Owner Main Form
    function GetIsSyncronizePending: Boolean;
    function GetIsSyncronizing: Boolean;
  protected
    function TryBrowseActiveView(APIDL: PItemIDList): Boolean;
    function TryBrowseComboBox(APIDL: PItemIDList): Boolean;
    function TryBrowseFolders(APIDL: PItemIDList): Boolean;
    procedure DoSyncronize(APIDL: PItemIDList);
    procedure KillDelayTimer;
    procedure OnTimerEvent(Sender: TObject);
    procedure StartTime(DelayTime: Integer);
    property NewTab: Boolean read FNewTab write FNewTab;
    property PIDL: PItemIDList read FPIDL write FPIDL;
    property PrevPIDL: PItemIDList read FPrevPIDL write FPrevPIDL;
    property SyncSource: TUltraSyncronizerSource read FSyncSource write FSyncSource;
    property DelayTimer: TTimer read FDelayTimer write FDelayTimer;
  public
    constructor Create(AnOwner: TTntFormUltraExplorer);
    destructor Destroy; override;
    procedure Syncronize(ASender: TUltraSyncronizerSource; APIDL: PItemIdList; IsDelayed: Boolean; ADelayTime: Integer; ANewTab: Boolean);
    procedure SyncronizeCancel(ASender: TUltraSyncronizerSource);
    procedure SyncronizePending(ASender: TUltraSyncronizerSource; APrevPIDL: PItemIDList);
    property Enabled: Boolean read FEnabled write FEnabled;
    property IsSyncronizePending: Boolean read GetIsSyncronizePending;
    property IsSyncronizing: Boolean read GetIsSyncronizing;
    property Owner: TTntFormUltraExplorer read FOwner write FOwner;
    property State: TUltraSyncronizerStates read FState write FState;
  end;

procedure MutexFileSyncEnsureExists;
function AddToCustomizer(C: TSpTBXCustomizer; Item: TTBCustomItem): Boolean;


var
  TntFormUltraExplorer: TTntFormUltraExplorer;
  MutexFileSync: THandle = 0;
  WM_DDEULTRAEXPLORER: DWORD = 0; // Registered Unique


implementation

uses
  TypInfo,
  TntWindows,
  UnitAboutForm,
  UnitFileObjectsForm,
  UnitListerPluginsForm,
  UnitHelpTranslateForm,
  UnitPlugInTextEditorFrame,
  UnitPlugInSearchFrame,
  UnitPlugInFlattenFolderFrame,
  UnitPluginColumnsModeFrame,
  UnitYesNoDialog,
  UnitOptionsFrame,
  UnitOkDialog,
  Masks,
  Math,
  SpTBXCustomizerForm;

var
  InitialOptionsFrame: Integer = -1;
  F: TTntStringList;

type
  TSpTBXTabSetCracker = class(TSpTBXTabSet);
  TUltraExplorerEasyListviewHack = class(TUltraExplorerEasyListview);
  TCustomFormHack = class(TCustomForm);
  TWinControlHack = class(TWinControl);
  TCustomEasyListviewHack = class(TCustomEasyListview);
  TBaseVirtualTreeHack = class(TBaseVirtualTree);

{$R *.dfm}
{$R UltraExplorerExtra.res}

procedure MutexFileSyncEnsureExists;
var
  Mutex: THandle;
begin
  Mutex := OpenMutex(MUTEX_ALL_ACCESS, False, STR_FILESYNCMUTEX);
  if Mutex = 0 then
    MutexFileSync := CreateMutex(nil, false, STR_FILESYNCMUTEX)
  else
    ReleaseMutex(Mutex);
end;

function AddToCustomizer(C: TSpTBXCustomizer; Item: TTBCustomItem): Boolean;
begin
  Result := False;
  if Assigned(Item.Parent) and (C.Items.IndexOf(Item) = -1) then
  begin
    Item.Parent.Remove(Item);
    C.Items.Add(Item);
    Result := True;
  end;
end;

function FilterSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_FILTERSETTINGS_FILE
end;

function FilterSettingsFileNew: WideString;
begin
  Result := AppFilesPath + '\' + STR_FILTERSETTINGSNEW_FILE
end;

function FavoriteSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_FAVORITESETTINGS_FILE
end;

function OptionSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_OPTIONSETTINGS_FILE
end;

function CustomizationSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_CUSTOMIZATIONSETTINGS_FILE
end;

function LayoutSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_LAYOUTSETTINGS_FILE
end;

function MiscSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_MISCSETTINGS_FILE
end;

function EELFolderSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_EELFOLDERSETTINGS_FILE
end;

function EELFixedFolderSettingsFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_EELFIXEDFOLDERSETTINGS_FILE
end;

function FavoritesPIDLFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_FAVORITESPIDL_FILE
end;

function ExtensionColorCodeFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_EXTENSIONCOLORCODE_FILE
end;

function TaskLibraryFolder: WideString;
begin
  Result := ModuleFileName(True) + '\' + STR_TASKLIB_FOLDER
end;

function LauncherFile: WideString;
begin
  Result := AppFilesPath + '\' + STR_LAUNCHER_FILE
end;

{ TUltraDropStackItem }
destructor TUltraDropStackItem.Destroy;
begin
  DataObject := nil;
  inherited Destroy;
end;

{ TFormUltraExplorer }
constructor TTntFormUltraExplorer.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  WM_DDEULTRAEXPLORER := RegisterWindowMessage('UltraExplorerMsg');
  Parameters := TStringList.Create;
  LoadCommandLineParameters(Parameters);
  FNextInsert := 8;
  Attribs.SaveCallback := SaveAttribs;
  Attribs.LoadCallback := LoadAttribs;
  Attribs.ApplyCallback := ApplyOptions;
  ViewBkGndMenu := TUltraViewBkGndContextMenu.Create;
  ViewBkGndMenu.Actions[1] := ActionListviewProperties;
  ViewBkGndMenu.Actions[2] := ActionListviewPasteShortcut;
  ViewBkGndMenu.Actions[3] := ActionListviewPaste;
  ViewBkGndMenu.Actions[4] := ActionListviewRefresh;
  ViewBkGndMenu.Actions[5] := ActionViewArrangeIcons;
  ViewBkGndMenu.Actions[6] := ActionViewIcon;
  ViewBkGndMenu.Actions[7] := ActionViewSmallIcon;
  ViewBkGndMenu.Actions[8] := ActionViewList;
  ViewBkGndMenu.Actions[9] := ActionViewDetails;
  ViewBkGndMenu.Actions[10] := ActionViewThumbnail;
  ViewBkGndMenu.Actions[11] := ActionViewTile;
  ViewBkGndMenu.Actions[12] := ActionViewFilmStrip;
  ViewBkGndMenu.Actions[13] := ActionViewColumnMode;
  ViewBkGndMenu.Actions[14] := ActionViewArrangeName;
  ViewBkGndMenu.Actions[15] := ActionViewArrangeSize;
  ViewBkGndMenu.Actions[16] := ActionViewArrangeType;
  ViewBkGndMenu.Actions[17] := ActionViewArrangeModified;
  ViewBkGndMenu.Actions[18] := ActionViewShowGroups;
  ViewBkGndMenu.Actions[19] := ActionViewDualPane;
  BreadCrumbListview := TBreadcrumbBar.Create(Self);
  BreadCrumbListview.Caption := STR_BREADCRUMBBAR;
  BreadCrumbListview.Name := 'SpTBXToolbarBreadCrumbListview';
  BreadCrumbListview.Parent := SpTBXDockViewActionToolbar;
  BreadCrumbListview.OnItemClick := BreadCrumbItemClick;
  BreadCrumbListview.OnVisibleChanged := BreadCrumbVisibleChanged;
  Screen.OnActiveControlChange := ActiveControlChange;
  ATViewerTabs := TInplaceWindowTabs.Create;
  TaskWindowTabs := TInplaceWindowTabs.Create;
  FavoriteTreeRoot := TFavoriteItem.Create(nil);
  TaskPlugins := TUltraTaskPlugins.Create;
  Launchers := TUltraLauncherDataRoot.Create;
  UltraSyncronizer := TUltraSyncronizer.Create(Self);
  InPlacePanelList := TList.Create;
 end;

destructor TTntFormUltraExplorer.Destroy;
begin
  ActiveView := nil;
  // When the app is shut down this is called before the window handle is
  // destroyed to the message pump is still working.  Destroy the window first
  inherited Destroy;
  TabSetDrop := nil;
  FreeAndNil(FViewBkGndMenu);
  FreeAndNil(FParameters);
  FreeAndNil(FATViewerTabs);
  FreeAndNil(FTaskWindowTabs);
  if MutexFileSync <> 0 then
    CloseHandle(MutexFileSync);
  FreeAndNil(FFavoriteTreeRoot);
  FreeAndNil(FTaskPlugins);
  FreeAndNil(FLaunchers);
  FreeAndNil(FUltraSyncronizer);
  PIDLMgr.FreeAndNilPIDL(FCmdLineCurrentPath);
  UpOneFolderPrevLevel := nil;
  FreeAndNil(FInPlacePanelList);
end;

function TTntFormUltraExplorer.ActivePanelPlugIn: IUltraInPlaceWindow;
begin

end;

procedure TTntFormUltraExplorer.ActionActivateAddressbarExecute(Sender: TObject);
begin
  if ECB.CanFocus then
    ECB.SetFocus
end;

procedure TTntFormUltraExplorer.ActionBreadcrumbOpenExecute(Sender: TObject);
var
  Pos, OldPos: TPoint;
begin
  OldPos := Mouse.CursorPos;
  
  Pos := BreadCrumbListview.View.Viewers[BreadCrumbListview.View.ViewerCount - 2].BoundsRect.BottomRight;
  Windows.ClientToScreen(BreadCrumbListview.Handle, Pos);
  Dec(Pos.X, 2);
  Dec(Pos.Y, 2);
  SetCursorPos(Pos.X, Pos.Y);   
  BreadCrumbListview.DropMenu(OldPos);
end;

procedure TTntFormUltraExplorer.ActionChangeAutoRefreshExecute(Sender: TObject);
begin
  Attribs.ChangeNotifierEnabled := ActionChangeAutoRefresh.Checked;
  ChangeNotifierEnabled := Attribs.ChangeNotifierEnabled;
end;

procedure TTntFormUltraExplorer.ActionCmdLineExecute(Sender: TObject);
begin
  SpTBXDockablePanelCmdLine.Visible := not SpTBXDockablePanelCmdLine.Visible;
  SyncWindowActions;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionCopyAddressBarPathExecute(Sender: TObject);
begin
  if WideDirectoryExists(ECB.Path) then
  begin
    // Save the path to the clipboard
    ECB.Path
  end
end;

procedure TTntFormUltraExplorer.ActionCopyPathAddressbarDOSExecute(
  Sender: TObject);
begin
  CopyPathCombo(ECB, True)
end;

procedure TTntFormUltraExplorer.ActionCopyPathAddressbarExecute(
  Sender: TObject);
begin
  CopyPathCombo(ECB, False)
end;

procedure TTntFormUltraExplorer.ActionCreateNewFolderExecute(Sender: TObject);
var
  NewPath: WideString;
  NS: TNamespace;
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    NewPath := UniqueDirName(ActiveView.RootFolderNamespace.NameForParsing + '\' + S_NEW + ' ' + S_FOLDER);
    WideCreateDir(NewPath);
    if WideDirectoryExists(NewPath) then
    begin
      Item := ActiveView.FindItemByPathEx(NewPath);
      // Make sure we can get to the desired folder so we can select the new item
      if not Assigned(Item) then
      begin
        NS := TNamespace.Create(PathToPIDL(NewPath), nil);
        Item := ActiveView.AddCustomItemEx(nil, NS);
      end;
      if Assigned(Item) then
      begin
        ActiveView.SelectionClearAll;
        Item.MakeVisible(emvAuto);
        Item.Focused := True;
        Item.Selected := True;
        Item.Edit
      end
    end
  end
end;

procedure TTntFormUltraExplorer.ActionDropStackClearExecute(Sender: TObject);
begin
  UltraDropStack.Items.Clear;
end;

procedure TTntFormUltraExplorer.ActionDropStackExecute(Sender: TObject);
begin
  SpTBXDockablePanelDropStack.Visible := not SpTBXDockablePanelDropStack.Visible;
end;

procedure TTntFormUltraExplorer.ActionDualPaneCompareExecute(Sender: TObject);
begin
  MessageBox(Handle, 'Implement file comparison here.', 'Message', MB_OK);
end;

procedure TTntFormUltraExplorer.ActionDualPaneCopyLeftExecute(Sender: TObject);
begin
  UltraListview.CopyToClipboard;
  UltraListviewDual.PasteFromClipboard
end;

procedure TTntFormUltraExplorer.ActionDualPaneCopyRightExecute(Sender: TObject);
begin
  UltraListviewDual.CopyToClipboard;
  UltraListview.PasteFromClipboard
end;

procedure TTntFormUltraExplorer.ActionDualPaneLinkExecute(Sender: TObject);
begin
  Attribs.General.DualPaneLink := SpTBXItemDualPaneLink.Checked
end;

procedure TTntFormUltraExplorer.ActionDualPaneMoveLeftExecute(Sender: TObject);
begin
  UltraListview.CutToClipboard;
  UltraListviewDual.PasteFromClipboard
end;

procedure TTntFormUltraExplorer.ActionDualPaneMoveRightExecute(Sender: TObject);
begin
  UltraListviewDual.CutToClipboard;
  UltraListview.PasteFromClipboard
end;

procedure TTntFormUltraExplorer.ActionFavoritesAddExecute(Sender: TObject);
begin
  AddFavoritesFromSelected
end;

procedure TTntFormUltraExplorer.ActionFavoritesEditExecute(Sender: TObject);
begin
  SyncFavoritesActions
end;

procedure TTntFormUltraExplorer.ActionFavoritesEnterEditModeExecute(
  Sender: TObject);
begin
  if not SpTBXDockablePanelFavorites.Visible then
    ActionFavorites.Execute;
  ActionFavoritesEdit.Execute;
  UltraFavorites.Selected[UltraFavorites.GetFirst] := True;
  UltraFavorites.SetFocus;  
end;

procedure TTntFormUltraExplorer.ActionFavoritesExecute(Sender: TObject);
begin
  SpTBXDockablePanelFavorites.Visible := not SpTBXDockablePanelFavorites.Visible;
  SyncWindowActions;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionFavoritesNewCategoryExecute(
  Sender: TObject);
begin
  AddFavoritesNewCategory
end;

procedure TTntFormUltraExplorer.ActionFavoritesRemoveExecute(Sender: TObject);
begin
  UltraFavorites.DeleteSelectedNodes
end;

procedure TTntFormUltraExplorer.ActionFavoritesSortByNameExecute(Sender: TObject);
begin
  UltraFavorites.SortTree(-1, sdAscending);
  FavoritesRebuildGlobal;
end;

procedure TTntFormUltraExplorer.ActionFilterDeleteExecute(Sender: TObject);
begin
  FilterDeleteFilters;
end;

procedure TTntFormUltraExplorer.ActionFilterEditExecute(Sender: TObject);
begin
  if UltraFilter.Selection.Count = 1 then
    UltraFilter.Selection.First.Edit
end;

procedure TTntFormUltraExplorer.ActionFilterEnableExecute(Sender: TObject);
begin
  if Assigned(ActiveView) then
  begin
    UltraFilter.Invalidate;
    ActiveView.RebuildEx;
    if ActionFilterEnable.Checked then
    begin
      ActionFilterEnable.ImageIndex := 32;
      ActionFilterEnable.Caption := STR_DISABLE;
    end else
    begin
      ActionFilterEnable.ImageIndex := 38;
      ActionFilterEnable.Caption := STR_ENABLE
    end
  end
end;

procedure TTntFormUltraExplorer.ActionFilterExecute(Sender: TObject);
begin
  SpTBXDockablePanelFilter.Visible := not SpTBXDockablePanelFilter.Visible;
  SyncWindowActions;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionFilterModeExecute(Sender: TObject);
begin
  Attribs.Filter.FilterOut := not Attribs.Filter.FilterOut;
  if Assigned(ActiveView) then
    ActiveView.RebuildEx;
  SyncFilterBarActions;
end;

procedure TTntFormUltraExplorer.ActionFilterNewExecute(Sender: TObject);
begin
  AddFilterItemNew('');
end;

procedure TTntFormUltraExplorer.ActionFilterNewFromFilesExecute(Sender: TObject);
var
  ExplorerItem: TExplorerItem;
  NSA: TNamespaceArray;
  i: Integer;
begin
  if Assigned(ActiveView) then
  begin
    SetLength(NSA, ActiveView.SelectionCount);
    i := 0;
    ExplorerItem := ActiveView.FirstSelection;
    while Assigned(ExplorerItem) do
    begin
      NSA[i] := ExplorerItem.Namespace;
      Inc(i);
      ExplorerItem := ActiveView.NextSelection(ExplorerItem)
    end;
    AddFilterItemsByNamespace(NSA)
  end
end;

procedure TTntFormUltraExplorer.ActionFilterSortByNameExecute(Sender: TObject);
begin
  UltraFilter.Sort.SortAll(True);
end;

procedure TTntFormUltraExplorer.ActionFixedListViewExecute(Sender: TObject);
begin
  if not SpTBXDockablePanelDualView.Visible then
  begin
    // gaining focus, kill the focus of the other listview so we don't make it browse
    ActiveView := nil
  end;
  SpTBXDockablePanelDualView.ShowCaptionWhenDocked := Attribs.Listview.ShowTitleBar;
  SpTBXDockablePanelDualView.Visible := not SpTBXDockablePanelDualView.Visible;
  SpTBXDockListviewSplitter.Visible := False;    // Only for Dual Pane Mode
  SpTBXSplitterDualListviews.Visible :=  SpTBXDockablePanelDualView.Visible;
  UltraListviewDual.Active := SpTBXDockablePanelDualView.Visible;
  if SpTBXDockablePanelDualView.Visible then
    ActiveView := UltraListviewDual;
  SyncWindowActions;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionFoldersExecute(Sender: TObject);
begin
  SpTBXDockablePanelFolders.Visible := not SpTBXDockablePanelFolders.Visible;
  SyncWindowActions;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionFolderSizeCalculateAllAlwaysExecute(
  Sender: TObject);
begin
  Attribs.Listview.FolderSizeShow := ActionFolderSizeCalculateAllAlways.Checked;
  if Attribs.Listview.FolderSizeShow then
  begin
    UltraListview.FolderSizeLoadThread(False, False);
    UltraListviewDual.FolderSizeLoadThread(False, False);
  end else
  begin
    UltraListview.FolderSizeClear;
    UltraListviewDual.FolderSizeClear
  end;
  UltraListview.Invalidate;
  UltraListview.Update;
  UltraListviewDual.Invalidate;
  UltraListviewDual.Update;
end;

procedure TTntFormUltraExplorer.ActionFolderSizeCalculateAllCurrentExecute(
  Sender: TObject);
begin
  if Assigned(ActiveView) then
    ActiveView.FolderSizeLoadThread(False, True);
end;

procedure TTntFormUltraExplorer.ActionFolderSizeCalculateSelectedExecute(
  Sender: TObject);
begin
  if Assigned(ActiveView) then
    ActiveView.FolderSizeLoadThread(True, True);
end;

procedure TTntFormUltraExplorer.ActionHistoryBackExecute(Sender: TObject);
begin
  BrowseHistoryBack
end;

procedure TTntFormUltraExplorer.ActionHistoryClearExecute(Sender: TObject);
begin
  VirtualShellMRU.Clear;
  RebuildHistory;
end;

procedure TTntFormUltraExplorer.ActionHistoryExecute(Sender: TObject);
begin
  SpTBXDockablePanelHistory.Visible := not SpTBXDockablePanelHistory.Visible;
  SyncWindowActions;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionHistoryForwardExecute(Sender: TObject);
begin
  BrowseHistoryNext
end;

procedure TTntFormUltraExplorer.ActionLauncherShowExecute(Sender: TObject);
var
  Form: TTntFormUltraLaunchDesigner;
begin
  Form := TTntFormUltraLaunchDesigner.CreateEx(Self);
  try
    Form.LoadLaunchData(Launchers);
    if Form.ShowModal = mrOK then
    begin
      Launchers.SubItems.Clear;
      Form.SaveLaunchData(Launchers);
      BuildLauncherMenu;
      BuildLauncherBar;
    end
  finally
    Form.Release
  end
end;

procedure TTntFormUltraExplorer.ActionListviewCopyExecute(Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.ActionOperation(pwaCopy)
//  else
  if Assigned(ActiveView) then
    ActiveView.CopyToClipboard
end;

procedure TTntFormUltraExplorer.ActionListviewCopyFilenamesDOSExecute(
  Sender: TObject);
begin
  CopyPathView(ActiveView, True, True)
end;

procedure TTntFormUltraExplorer.ActionListviewCopyFilenamesExecute(
  Sender: TObject);
begin
  CopyPathView(ActiveView, False, True)
end;

procedure TTntFormUltraExplorer.ActionListviewCopyPathDOSExecute(
  Sender: TObject);
begin
  CopyPathView(ActiveView, True, False)
end;

procedure TTntFormUltraExplorer.ActionListviewCopyPathExecute(Sender: TObject);
begin
  CopyPathView(ActiveView, False, False)
end;

procedure TTntFormUltraExplorer.ActionListviewCutExecute(Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.ActionOperation(pwaCut)
//  else
  if Assigned(ActiveView) then
    ActiveView.CutToClipboard
end;

procedure TTntFormUltraExplorer.ActionListviewDeleteExecute(Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.ActionOperation(pwaCut)
//  else
  if Assigned(ActiveView) then
    ActiveView.SelectedFilesDelete
end;

procedure TTntFormUltraExplorer.ActionListviewInvertExecute(Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.ActionOperation(pwaInvertSelection)
//  else
  if Assigned(ActiveView) then
  begin
    ActiveView.SelectionInvert;
    ACtiveView.SetFocusEx
  end
end;

procedure TTntFormUltraExplorer.ActionListviewPasteExecute(Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
 // if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
 //   InPlaceWindow.ActionOperation(pwaPaste)
//  else
    PasteToView(False)
end;

procedure TTntFormUltraExplorer.ActionListviewPasteShortcutExecute(
  Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.ActionOperation(pwaPasteShortCut)
//  else
    PasteToView(True)
end;

procedure TTntFormUltraExplorer.ActionListviewPropertiesExecute(Sender: TObject);
var
  NamespaceArray: TNamespaceArray;
  InPlaceWindow: IUltraInPlaceWindow;
begin
  NamespaceArray := nil;
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.ActionOperation(pwaProperites)
//  else
  if Assigned(ActiveView) then
  begin
    NamespaceArray := ActiveView.SelectedToNamespaceArrayEx;
    if Length(NamespaceArray) > 0 then
      NamespaceArray[0].ShowPropertySheetMulti(NamespaceArray, False)
    else
      ActiveRoot.ShowPropertySheet
  end
end;

procedure TTntFormUltraExplorer.ActionListviewRefreshExecute(Sender: TObject);
begin
  if Assigned(ActiveView) then
    if Assigned(ActiveView.ColumnModeView) then
      ActiveView.ColumnModeView.LockRedraw;
  UltraFolders.RefreshTree(True);
  UltraFolders.FocusedNode := UltraFolders.GetFirstSelected;
  if Assigned(ActiveView) then
  begin
    ActiveView.RefreshEx;
    if Assigned(ActiveView.ColumnModeView) then
      ActiveView.ColumnModeView.UnLockRedraw;
  end
end;

procedure TTntFormUltraExplorer.ActionListviewSelectAllExecute(Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.ActionOperation(pwaSelectAll)
//  else
  if Assigned(ActiveView) then
  begin
    ActiveView.SelectionSelectAll;
    ActiveView.SetFocusEx
  end
end;

procedure TTntFormUltraExplorer.ActionListviewSyncCommandLineExecute(Sender: TObject);
begin
  CmdLineSetPath(ActiveRoot)
end;

procedure TTntFormUltraExplorer.ActionListviewToggleActiveFocusExecute(
  Sender: TObject);
begin
  if ActionFixedListView.Checked then
  begin
    if ActiveView = UltraListview then
      ActiveView := UltraListviewDual
    else
      ActiveView := UltraListview
  end
end;

procedure TTntFormUltraExplorer.ActionListviewUpOneFolderExecute(
  Sender: TObject);
begin
  UpOneFolder
end;

procedure TTntFormUltraExplorer.ActionMainMenuAboutExecute(Sender: TObject);
var
  FormAbout: TTntFormAbout;
begin
  FormAbout := TTntFormAbout.CreateEx(nil);
  try
    FormAbout.SpTBXLabelVersion.Caption := VersionExtractProper(STR_ULTRAEXPLORER_VERSION);
    FormAbout.ShowModal;
  finally
    FormAbout.Release
  end
end;

procedure TTntFormUltraExplorer.ActionMainMenuCheckForUpdateExecute(Sender: TObject);
begin
  CheckForVersionUpdate(True);
end;

procedure TTntFormUltraExplorer.ActionMainMenuExitExecute(Sender: TObject);
begin
  Close;
end;

procedure TTntFormUltraExplorer.ActionMainMenuFileNewWindowExecute(Sender: TObject);
var
  Path: WideString;
begin
  if not Assigned(ActiveView) then
    ActiveView := UltraListviewDual;
  Path := WideExtractShortPathName(ActiveRoot.NameForParsing);
  Path := '/p ' + Path;
  WideShellExecute(Handle, 'open', ModuleFileName(False), Path, '');
end;

procedure TTntFormUltraExplorer.ActionMainMenuHelpContentsExecute(Sender: TObject);
var
  Path: WideString;
begin
  Path := ModuleFileName(True) + '\' + STR_HELPFILENAME;
  if WideFileExists(Path) then
  begin
    Path := ShortPath(Path);
    WideShellExecute(Handle, 'open', Path, '', '')
  end
end;

procedure TTntFormUltraExplorer.ActionMainMenuViewToolbarTreeviewExecute(Sender: TObject);
begin
  SpTBXToolbarDrives.Visible := not SpTBXToolbarDrives.Visible;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionQuickFilterApplyExecute(Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
  Txt: WideString;
begin
  Txt := Trim(SpTBXEditQuickFilter.Text);
  if Attribs.Filter.QuickFilterAutoWildcard then
    Txt := '*' + Txt + '*';

//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.SetQuickFilter(True, Txt)
//  else
  if Assigned(ActiveView) then
  begin
    ActiveView.QuickFilterMask := Txt;
    ActiveView.QuickFiltered := True;
    ActiveView.BackGround.OffsetX := ActiveView.ClientWidth - 120;
    ActiveView.BackGround.OffsetY := ActiveView.ClientHeight - 70;
    ActiveView.Background.Enabled := True;
  end;
  SyncQuickFilter;
end;

procedure TTntFormUltraExplorer.ActionQuickFilterClearExecute(Sender: TObject);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    InPlaceWindow.SetQuickFilter(False, '')
//  else
  if Assigned(ActiveView) then
  begin
    ActiveView.QuickFiltered := False;
    ActiveView.Background.Enabled := False;
  end;
  SyncQuickFilter;
end;

procedure TTntFormUltraExplorer.ActionSelectAllFilesExecute(Sender: TObject);
var
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.BeginUpdate;
    ActiveView.Selection.IncMultiChangeCount;
    try
      if not ActionSelectCombine.Checked then
        ActiveView.Selection.ClearAll;

      Item := TExplorerItem( ActiveView.Groups.FirstItem);
      while Assigned(Item) do
      begin
        if not Item.Namespace.Folder then
          Item.Selected := True;
        Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
      end
    finally
      ActiveView.Selection.DecMultiChangeCount;
      ActiveView.EndUpdate(True)
    end
  end;
end;

procedure TTntFormUltraExplorer.ActionSelectAllFoldersExecute(Sender: TObject);
var
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.BeginUpdate;
    ActiveView.Selection.IncMultiChangeCount;
    try
      if not ActionSelectCombine.Checked then
        ActiveView.Selection.ClearAll;

      Item := TExplorerItem( ActiveView.Groups.FirstItem);
      while Assigned(Item) do
      begin
        if Item.Namespace.Folder then
          Item.Selected := True;
        Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
      end
    finally
      ActiveView.Selection.DecMultiChangeCount;
      ActiveView.EndUpdate(True)
    end
  end;
end;

procedure TTntFormUltraExplorer.ActionSelectCombineExecute(Sender: TObject);
begin
  ;
end;

procedure TTntFormUltraExplorer.ActionSelectGroupsExecute(Sender: TObject);
var
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.BeginUpdate;
    ActiveView.Selection.IncMultiChangeCount;
    try
      if ActionSelectCombine.Checked then
        ActiveView.Selection.ClearAll;
      Item := TExplorerItem( ActiveView.Groups.FirstItem);
      while Assigned(Item) do
      begin
        Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
      end
    finally
      ActiveView.Selection.DecMultiChangeCount;
      ActiveView.EndUpdate(True)
    end
  end;
end;

procedure TTntFormUltraExplorer.ActionSelectMatchTextExecute(
  Sender: TObject);
var
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.BeginUpdate;
    ActiveView.Selection.IncMultiChangeCount;
    try
      Item := TExplorerItem( ActiveView.Groups.FirstItem);
      while Assigned(Item) do
      begin
        Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
      end
    finally
      ActiveView.Selection.DecMultiChangeCount;
      ActiveView.EndUpdate(True)
    end
  end;
end;

procedure TTntFormUltraExplorer.ActionSelectUnSelectFilesExecute(Sender: TObject);
var
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.BeginUpdate;
    ActiveView.Selection.IncMultiChangeCount;
    try
      Item := TExplorerItem( ActiveView.Groups.FirstItem);
      while Assigned(Item) do
      begin
        if not Item.Namespace.Folder then
          Item.Selected := False;
        Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
      end
    finally
      ActiveView.Selection.DecMultiChangeCount;
      ActiveView.EndUpdate(True)
    end
  end;
end;

procedure TTntFormUltraExplorer.ActionSelectUnSelectFoldersExecute( Sender: TObject);
var
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.BeginUpdate;
    ActiveView.Selection.IncMultiChangeCount;
    try
      Item := TExplorerItem( ActiveView.Groups.FirstItem);
      while Assigned(Item) do
      begin
        if Item.Namespace.Folder then
          Item.Selected := False;
        Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
      end
    finally
      ActiveView.Selection.DecMultiChangeCount;
      ActiveView.EndUpdate(True)
    end
  end;
end;

procedure TTntFormUltraExplorer.ActionSelectUnSelectGroupsExecute(Sender: TObject);
var
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.BeginUpdate;
    ActiveView.Selection.IncMultiChangeCount;
    try
      if ActionSelectCombine.Checked then
        ActiveView.Selection.ClearAll;
      Item := TExplorerItem( ActiveView.Groups.FirstItem);
      while Assigned(Item) do
      begin
        Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
      end
    finally
      ActiveView.Selection.DecMultiChangeCount;
      ActiveView.EndUpdate(True)
    end
  end;
end;

procedure TTntFormUltraExplorer.ActionSelectUnSelectTextExecute(
  Sender: TObject);
var
  Item: TExplorerItem;
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.BeginUpdate;
    ActiveView.Selection.IncMultiChangeCount;
    try
      if not ActionSelectCombine.Checked then
        ActiveView.Selection.ClearAll;

      Item := TExplorerItem( ActiveView.Groups.FirstItem);
      while Assigned(Item) do
      begin
        Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
      end
    finally
      ActiveView.Selection.DecMultiChangeCount;
      ActiveView.EndUpdate(True)
    end
  end;
end;

procedure TTntFormUltraExplorer.ActionShellHandlerslContextMenuHandlersExecute(
  Sender: TObject);
begin
  if Attribs.ContextMenuHandlerInstalled then
    UnregisterNSE(ApplicationPath + '\UltraFavHandler.dll', [enseMsgShowErrors, enseMsgRegSvr])
  else
    RegisterNSE(ApplicationPath + '\UltraFavHandler.dll',  [enseMsgShowErrors, enseMsgRegSvr]);

  Attribs.ContextMenuHandlerInstalled := ActionShellHandlerslContextMenuHandlers.Checked;
end;

procedure TTntFormUltraExplorer.ActionShellHandlersWinEHookExecute(Sender: TObject);
begin
  if not WinEHookSyncing then
    WinEHook(ActionShellHandlersWinEHook.Checked);
end;

procedure TTntFormUltraExplorer.ActionTabBrowseToNewExecute(Sender: TObject);
var
  OutPIDL: PItemIDList;
begin
  if UltraSelectDirectory(Handle, (SpTBXTabSetListview.Items[SpTBXTabSetListview.ActiveTabIndex] as TUltraSpTBXTabItem).PIDL, OutPIDL) then
    TabAdd(OutPIDL, nil, SpTBXTabSetListview, False);
end;

procedure TTntFormUltraExplorer.ActionTabCloseAllExceptExecute(
  Sender: TObject);
begin
  TabCloseAllExcept(SpTBXTabSetListview);
end;

procedure TTntFormUltraExplorer.ActionTabCloseExecute(Sender: TObject);
begin
  TabRemoveActive(SpTBXTabSetListview);
end;

procedure TTntFormUltraExplorer.ActionTabFavoritesAllExecute(Sender: TObject);
var
  Tab: TUltraSpTBXTabItem;
  i: Integer;
begin
  for i := TabFirst(SpTBXTabSetListview) to TabCount(SpTBXTabSetListview) - 1 do
  begin
    if i > -1 then   // Make sure there are any Tabs
    begin
      Tab := SpTBXTabSetListview.Items[i] as TUltraSpTBXTabItem;
      AddFavoriteItem(nil, Tab.PIDL, False, amAddChildLast);
    end;
  end
end;

procedure TTntFormUltraExplorer.ActionTabFavoritesExecute(Sender: TObject);
var
  Tab: TUltraSpTBXTabItem;
begin
  Tab := SpTBXTabSetListview.Items[SpTBXTabSetListview.ActiveTabIndex] as TUltraSpTBXTabItem;
  AddFavoriteItem(nil, Tab.PIDL, False, amAddChildLast);
end;

procedure TTntFormUltraExplorer.ActionTabNewExecute(Sender: TObject);
begin
  if not Assigned(ActiveView) then
    ActiveView := UltraListviewDual;
  case Attribs.General.DefaultTab of
    dtlCurrent:
      begin
        if Assigned(ActiveRoot) then
          TabAdd(ActiveRoot.AbsolutePIDL, nil, SpTBXTabSetListview, False)
        else
          TabAdd(Attribs.General.DefaultTabPIDL, nil, SpTBXTabSetListview, False);
      end;
    dtlCustom: TabAdd(Attribs.General.DefaultTabPIDL, nil, SpTBXTabSetListview, False);
  end;
end;

procedure TTntFormUltraExplorer.ActionTabNextExecute(Sender: TObject);
begin
  if SpTBXTabSetListview.Items.Count > 0 then
  begin
    if SpTBXTabSetListview.Items.Count > SpTBXTabSetListview.ActiveTabIndex + 1 then
      TabSetActive(SpTBXTabSetListview.ActiveTabIndex + 1, SpTBXTabSetListview)
    else
      TabSetActive(0, SpTBXTabSetListview)
  end
end;

procedure TTntFormUltraExplorer.ActionTabNSelectExecute(Sender: TObject);
begin
  // Make sure the Action Tag is set to the correct value of N
  if SpTBXTabSetListview.Items.Count > (Sender as TTntAction).Tag then
    TabSetActive((Sender as TTntAction).Tag, SpTBXTabSetListview)
end;

procedure TTntFormUltraExplorer.ActionTabOptionsExecute(Sender: TObject);
begin
  InitialOptionsFrame := ID_OPTION_TABS;
  ActionToolsShowOptions.Execute;
end;

procedure TTntFormUltraExplorer.ActionTabPrevExecute(Sender: TObject);
begin
  if SpTBXTabSetListview.Items.Count > 0 then
  begin
    if SpTBXTabSetListview.ActiveTabIndex - 1 > -1 then
      TabSetActive(SpTBXTabSetListview.ActiveTabIndex - 1, SpTBXTabSetListview)
    else
      TabSetActive(SpTBXTabSetListview.Items.Count - 1, SpTBXTabSetListview)
  end
end;

procedure TTntFormUltraExplorer.ActionTabScrollLeftExecute(Sender: TObject);
begin
  SpTBXTabSetListview.ScrollLeft;
  TabCheckScrollState(SpTBXTabSetListview, ActionTabScrollLeft, ActionTabScrollRight);
end;

procedure TTntFormUltraExplorer.ActionTabScrollRightExecute(Sender: TObject);
begin
  SpTBXTabSetListview.ScrollRight;
  TabCheckScrollState(SpTBXTabSetListview, ActionTabScrollLeft, ActionTabScrollRight);
end;

procedure TTntFormUltraExplorer.ActionToolbarMainMenuExecute(
  Sender: TObject);
begin
  SpTBXToolbarMainMenu.Visible := not SpTBXToolbarMainMenu.Visible;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionTasksExecute(Sender: TObject);
begin
  SpTBXDockablePanelDropStack.Visible := not SpTBXDockablePanelDropStack.Visible;
  SyncToolbarActions;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionTaskWindowExecute(Sender: TObject);
begin
  SpTBXDockablePanelTasks.Visible := not SpTBXDockablePanelTasks.Visible;
  SyncToolbarActions;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionThumbnailsStretchExecute(Sender: TObject);
var
  Offset: Integer;
begin
  if Assigned(ActiveView) then
  begin
    if ActiveView.View = elsThumbnail then
    begin
      ActiveView.BeginUpdate;
      try
        Offset := ActiveView.Scrollbars.OffsetY;
        ActiveView.ThumbsManager.Stretch := ActionThumbnailsStretch.Checked;
        ActiveView.Scrollbars.OffsetY := Offset;
      finally
        ActiveView.EndUpdate;
      end
    end
  end
end;

procedure TTntFormUltraExplorer.ActionToolbarAddressBarExecute(Sender: TObject);
begin
  SpTBXToolbarAddressBar.Visible := not SpTBXToolbarAddressBar.Visible;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionToolbarBreadCrumbListviewExecute(Sender: TObject);
begin
  BreadCrumbListview.Visible := not BreadCrumbListview.Visible;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionToolbarDrivesExecute(Sender: TObject);
begin
  SpTBXToolbarDrives.Visible := not SpTBXToolbarDrives.Visible;
  SyncToolbarActions;
end;

procedure TTntFormUltraExplorer.ActionToolbarDropStackExecute(Sender: TObject);
begin
  SpTBXToolbarDropStack.Visible := not SpTBXToolbarDropStack.Visible;
  SyncWindowActions;
  SyncToolbarActions;
end;

procedure TTntFormUltraExplorer.ActionToolbarFavoriteCrumbExecute(Sender: TObject);
begin
  SpTBXToolbarFavoriteCrumbBar.Visible := not SpTBXToolbarFavoriteCrumbBar.Visible
end;

procedure TTntFormUltraExplorer.ActionToolbarFavoritesExecute(Sender: TObject);
begin
  SpTBXToolbarFavorites.Visible := not SpTBXToolbarFavorites.Visible;
  SyncToolbarActions;
end;

procedure TTntFormUltraExplorer.ActionToolbarFileTypesExecute(
  Sender: TObject);
begin
  SpTBXToolbarMainFileTypes.Visible := not SpTBXToolbarMainFileTypes.Visible
end;

procedure TTntFormUltraExplorer.ActionToolbarFilterExecute(Sender: TObject);
begin
  SpTBXToolbarFilter.Visible := not SpTBXToolbarFilter.Visible;
  SyncToolbarActions;
end;

procedure TTntFormUltraExplorer.ActionToolbarFoldersEditExecute(Sender: TObject);
begin
  SpTBXToolbarFoldersEdit.Visible := not SpTBXToolbarFoldersEdit.Visible;
  ActionToolbarFoldersEdit.Checked := SpTBXToolbarFoldersEdit.Visible
end;

procedure TTntFormUltraExplorer.ActionToolbarHistoryExecute(Sender: TObject);
begin
  SpTBXToolbarHistory.Visible := not SpTBXToolbarHistory.Visible;
  SyncToolbarActions;
end;

procedure TTntFormUltraExplorer.ActionToolbarLauncherExecute(Sender: TObject);
begin
  SpTBXToolbarLauncher.Visible := not SpTBXToolbarLauncher.Visible
end;

procedure TTntFormUltraExplorer.ActionToolbarListviewActionExecute(Sender: TObject);
begin
  SpTBXToolbarViewAction.Visible := not SpTBXToolbarViewAction.Visible;
  SyncToolbarActions;
end;

procedure TTntFormUltraExplorer.ActionToolbarListviewEditExecute(Sender: TObject);
begin
  SpTBXToolbarViewEdit.Visible := not SpTBXToolbarViewEdit.Visible;
  SyncToolbarActions;
end;

procedure TTntFormUltraExplorer.ActionToolbarLockExecute(Sender: TObject);
begin
  Attribs.Toolbars.Lock := ActionToolbarLock.Checked;
  LockToolbars
end;

procedure TTntFormUltraExplorer.ActionToolbarNavigationExecute(Sender: TObject);
begin
  SpTBXToolbarNavigation.Visible := not SpTBXToolbarNavigation.Visible;
  SyncToolbarActions
end;

procedure TTntFormUltraExplorer.ActionToolbarQuickFilterExecute(
  Sender: TObject);
begin
  SpTBXToolbarQuickSearch.Visible := True;
  if SpTBXEditQuickFilter.CanFocus then
    SpTBXEditQuickFilter.SetFocus
end;

procedure TTntFormUltraExplorer.ActionToolbarViewerExecute(Sender: TObject);
begin
  SpTBXToolbarViewer.Visible := not SpTBXToolbarViewer.Visible;
  ActionToolbarViewer.Checked := SpTBXToolbarViewer.Visible
end;

procedure TTntFormUltraExplorer.ActionToolsCustomizeExecute(Sender: TObject);
begin
  SpTBXCustomizer.Show;
  LauncherSaveShortCuts
end;

procedure TTntFormUltraExplorer.ActionToolsMapNetworkDriveExecute(
  Sender: TObject);
begin
  WNetConnectionDialog(Handle, RESOURCETYPE_DISK)
end;

procedure TTntFormUltraExplorer.ActionToolsSearchExecute(Sender: TObject);
begin
  TabAdd(nil, TTntFramePlugInSearch.Create(nil), SpTBXTabSetListview, False)
end;

procedure TTntFormUltraExplorer.ActionToolsShowOptionsExecute(Sender: TObject);
var
  F: TTntFormOptionsFrame;
begin
  F := TTntFormOptionsFrame.CreateEx(Self);
  try
    F.SpTBXToolbar := SpTBXToolbarMainMenu;
    F.SpTBXDockHeader := SpTBXDockHeader;
    F.Attribs := Attribs;
    F.InitialOptionsFrame := InitialOptionsFrame;
    if F.ShowModal = mrOK then
    begin
      SaveOptions;
    end
  finally
    InitialOptionsFrame := -1;
    F.Release
  end
end;

procedure TTntFormUltraExplorer.ActionToolsTextEdiitorExecute(Sender: TObject);
begin
  TabAdd(nil, TTntFramePlugInTextEditor.Create(nil) , SpTBXTabSetListview, False)
end;

procedure TTntFormUltraExplorer.ActionToolsUnmapNetworkDriveExecute(
  Sender: TObject);
begin
  WNetDisconnectDialog(Handle, RESOURCETYPE_DISK)
end;

procedure TTntFormUltraExplorer.ActionTreeviewCollapseAllExecute(
  Sender: TObject);
begin
  UltraFolders.BeginUpdate;
  try
    UltraFolders.FullCollapse(UltraFolders.GetFirst);
    UltraFolders.Expanded[UltraFolders.GetFirst] := True
  finally
    UltraFolders.EndUpdate
  end
end;

procedure TTntFormUltraExplorer.ActionTreeviewCopyExecute(Sender: TObject);
var
  NSA: TNamespaceArray;
begin
  SetLength(NSA, 1);
  if UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NSA[0]) then
    NSA[0].Copy(NSA)
end;

procedure TTntFormUltraExplorer.ActionTreeviewCutExecute(Sender: TObject);
var
  NSA: TNamespaceArray;
begin
  SetLength(NSA, 1);
  if UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NSA[0]) then
    NSA[0].Cut(NSA)
end;

procedure TTntFormUltraExplorer.ActionTreeviewDeleteExecute(Sender: TObject);
var
  NSA: TNamespaceArray;
begin
  SetLength(NSA, 1);
  if UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NSA[0]) then
    NSA[0].Delete(NSA)
end;

procedure TTntFormUltraExplorer.ActionFolderFlattenExecute(Sender: TObject);
var
  NSA: TNamespaceArray;
  NSL: TList;   // Owns the TNamespaces it contains
  i: Integer;
  PlugIn: TTntFramePlugInFlattenFolder;
  IPlugIn: IUltraInPlaceWindow;
  NS: TNamespace;
begin
  NSA := nil;
  NSL := TList.Create;
  if Assigned(ActiveView) and not UltraFolders.Focused then
  begin
    NSA := Activeview.SelectedToNamespaceArrayEx;
    if Length(NSA) > 0 then
    begin
      for i := 0 to Length(NSA) - 1 do
      begin
        if NSA[i].Folder and NSA[i].FileSystem then
          NSL.Add(NSA[i].Clone(True))
      end
    end else
      NSL.Add(ActiveRoot.Clone(True));
  end else
  begin
    if UltraFolders.ValidateNamespace(UltraFolders.FocusedNode, NS) then
      if NS.Folder and NS.FileSystem then
        NSL.Add(NS.Clone(True))
  end;

  if NSL.Count > 0 then
  begin
    PlugIn := TTntFramePlugInFlattenFolder.Create(nil);
    IPlugIn := PlugIn;
    PlugIn.NamespaceList := NSL;
    PlugIn.SpTBXToolbar := SpTBXToolbarMainMenu;
    PlugIn.SpTBXDockHeader := SpTBXDockHeader;
{    if ActionViewIcon.Checked then
      InPlaceWindowSetView(pwvIcon)
    else
    if ActionViewSmallIcon.Checked then
      InPlaceWindowSetView(pwvSmallIcon)
    else
    if ActionViewList.Checked then
      InPlaceWindowSetView(pwvList)
    else
    if ActionViewThumbnail.Checked then
      InPlaceWindowSetView(pwvThumbnail)
    else
    if ActionViewTile.Checked then
      InPlaceWindowSetView(pwvTile);
    InPlaceWindowSetGrouped(IPlugIn);
    InPlaceWindowSetArrange(IPlugIn);      }
    // The MulitPath is compatible with the ELV
    SyncListviewWithAttribs( TVirtualExplorerEasyListview( PlugIn.FlatFolderELV));
    PlugIn.LoadConfig;
    NSL := nil;
    TabAdd(nil, PlugIn, SpTBXTabSetListview, False);
  end;

  // If we get here there should not be any items in the list so don't have to free the items
  if Assigned(NSL) then
    NSL.Free;
end;

procedure TTntFormUltraExplorer.ActionTreeviewPasteExecute(Sender: TObject);
var
  NSA: TNamespaceArray;
begin
  SetLength(NSA, 1);
  if UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NSA[0]) then
    NSA[0].Paste(NSA)
end;

procedure TTntFormUltraExplorer.ActionTreeviewPropertiesExecute(Sender: TObject);
var
  NSA: TNamespaceArray;
begin
  SetLength(NSA, 1);
  if UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NSA[0]) then
    NSA[0].ShowPropertySheet
end;

procedure TTntFormUltraExplorer.ActionViewArrangeModifiedExecute(Sender: TObject);
begin
  if Assigned(ActiveView) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
      ActiveView.ColumnModeView.SortOnColumn(3)
    else begin
      ActiveView.GroupingColumn := 3;
      if not ActiveView.Grouped then
        ActiveView.Header.ClickColumn(ActiveView.Header.Columns[3])
    end
  end
end;

procedure TTntFormUltraExplorer.ActionViewArrangeNameExecute(Sender: TObject);
begin
  if Assigned(ActiveView) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
       ActiveView.ColumnModeView.SortOnColumn(0)
    else begin
      ActiveView.GroupingColumn := 0;
      if not ActiveView.Grouped then
        ActiveView.Header.ClickColumn(ActiveView.Header.Columns[0])
    end
  end
end;

procedure TTntFormUltraExplorer.ActionViewArrangeSizeExecute(Sender: TObject);
begin
  if Assigned(ActiveView) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
      ActiveView.ColumnModeView.SortOnColumn(1)
    else begin
      ActiveView.GroupingColumn := 1;
      if not ActiveView.Grouped then
        ActiveView.Header.ClickColumn(ActiveView.Header.Columns[1])
    end
  end
end;

procedure TTntFormUltraExplorer.ActionViewArrangeTypeExecute(Sender: TObject);
begin
  if Assigned(ActiveView) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
       ActiveView.ColumnModeView.SortOnColumn(2)
   else begin
      ActiveView.GroupingColumn := 2;
      if not ActiveView.Grouped then
        ActiveView.Header.ClickColumn(ActiveView.Header.Columns[2])
    end
  end
end;

procedure TTntFormUltraExplorer.ActionViewCollapseGroupsExecute(Sender: TObject);
begin
  if ActiveView.Grouped then
    ActiveView.Groups.CollapseAll
end;

procedure TTntFormUltraExplorer.ActionViewColumnModeExecute(Sender: TObject);
begin
  if Assigned(ActiveView) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
      EnableListMode(False)
    else
      EnableListMode(True)
  end;
  SyncListviewViewActions;
  SyncTabActions
end;

procedure TTntFormUltraExplorer.ActionViewDetailsExecute(Sender: TObject);
begin
  EnableListMode(False);
  ListviewSetView(elsReport);
//  InPlaceWindowSetView(pwvReport);
  SyncListviewViewActions;
  SyncTabActions
end;

procedure TTntFormUltraExplorer.ActionViewDualPaneExecute(Sender: TObject);
begin
  EnableDualPaneMode(ActionViewDualPane.Checked);
end;

procedure TTntFormUltraExplorer.ActionViewEditGroupingCriteriaExecute(Sender: TObject);
begin
  ShowEditGroupingDialog;
end;

procedure TTntFormUltraExplorer.ActionViewerANSIFontExecute(Sender: TObject);
begin
  ATViewer.TextEncoding := vencANSI;
end;

procedure TTntFormUltraExplorer.ActionViewerAutoDetectExecute(Sender: TObject);
begin
  ATViewer.ModeDetect := ActionViewerAutoDetect.Checked;
end;

procedure TTntFormUltraExplorer.ActionViewerBinaryExecute(Sender: TObject);
begin
  ATViewer.Mode := vmodeBinary;
  SyncViewerCaption
end;

procedure TTntFormUltraExplorer.ActionViewerConfigureExecute(Sender: TObject);
begin
  InitialOptionsFrame := ID_OPTION_VIEWER;
  ActionToolsShowOptions.Execute;
end;

procedure TTntFormUltraExplorer.ActionViewerConfigurePluginsExecute(
  Sender: TObject);
var
  F: TTntFormPlugins;
begin
  F := TTntFormPlugins.CreateEx(Self);
  try
    // Something to steal its painting routines.
    F.SpTBXDockHeader := SpTBXDockHeader;
    F.SpTBXToolbar := SpTBXToolbarMainMenu;
    if F.ShowModal = mrOK then
    begin
      SaveOptions
    end
  finally
    F.Release
  end
end;

procedure TTntFormUltraExplorer.ActionViewerExecute(Sender: TObject);
begin
  SpTBXDockablePanelViewer.Visible := not SpTBXDockablePanelViewer.Visible;
  if not SpTBXDockablePanelViewer.Visible then
    OpenViewer('')
end;

procedure TTntFormUltraExplorer.ActionViewerFitImageExecute(Sender: TObject);
begin
  ATViewer.MediaFit := not ATViewer.MediaFit;
end;

procedure TTntFormUltraExplorer.ActionViewerHexExecute(Sender: TObject);
begin
  ATViewer.Mode := vmodeHex;
  SyncViewerCaption
end;

procedure TTntFormUltraExplorer.ActionViewerInternetExecute(Sender: TObject);
begin
  ATViewer.Mode := vmodeWeb;
  SyncViewerCaption
end;

procedure TTntFormUltraExplorer.ActionViewerMultimediaExecute(Sender: TObject);
begin
  ATViewer.Mode := vmodeMedia;
  SyncViewerCaption
end;

procedure TTntFormUltraExplorer.ActionViewerOEMFontExecute(Sender: TObject);
begin
  ATViewer.TextEncoding := vencOEM;
end;

procedure TTntFormUltraExplorer.ActionViewerOfflineBrowsingExecute(
  Sender: TObject);
begin
  ATViewer.WebOffline := not ATViewer.WebOffline;
end;

procedure TTntFormUltraExplorer.ActionViewerPluginExecute(Sender: TObject);
begin
 ATViewer.Mode := vmodeWLX;
 SyncViewerCaption
end;

procedure TTntFormUltraExplorer.ActionViewerTextExecute(Sender: TObject);
begin
  ATViewer.Mode := vmodeText;
  SyncViewerCaption
end;

procedure TTntFormUltraExplorer.ActionViewerUnicodeExecute(Sender: TObject);
begin
  ATViewer.Mode := vmodeUnicode;
  SyncViewerCaption
end;

procedure TTntFormUltraExplorer.ActionViewerUTF8Execute(Sender: TObject);
begin
  ATViewer.Mode := vmodeRTF;
  SyncViewerCaption
end;

procedure TTntFormUltraExplorer.ActionViewerWordWrapExecute(Sender: TObject);
begin
  ATViewer.TextWrap := not ATViewer.TextWrap;
end;

procedure TTntFormUltraExplorer.ActionViewExpandGroupsExecute(Sender: TObject);
begin
  if ActiveView.Grouped then
    ActiveView.Groups.ExpandAll
end;

procedure TTntFormUltraExplorer.ActionViewGroupingNextArrangeExecute(Sender: TObject);
begin
  if ActionViewArrangeName.Checked then
    ActionViewArrangeSize.Execute
  else
  if ActionViewArrangeSize.Checked then
    ActionViewArrangeType.Execute
  else
  if ActionViewArrangeType.Checked then
    ActionViewArrangeModified.Execute
  else
    ActionViewArrangeName.Execute
end;

procedure TTntFormUltraExplorer.ActionViewIconExecute(Sender: TObject);
begin
  EnableListMode(False);
  ListviewSetView(elsIcon);
//  InPlaceWindowSetView(pwvIcon);
  SyncListviewViewActions;
  SyncTabActions
end;

procedure TTntFormUltraExplorer.ActionViewListExecute(Sender: TObject);
begin
  EnableListMode(False);
  ListviewSetView(elsList);
//  InPlaceWindowSetView(pwvList);
  SyncListviewViewActions;
  SyncTabActions
end;

procedure TTntFormUltraExplorer.ActionViewShowGroupsExecute(Sender: TObject);
begin
  if Assigned(ActiveView) and not Assigned(ActiveView.ColumnModeView) then
  begin
    ActiveView.BeginUpdate;
    try
      ActiveView.ShowGroupMargins := ActionViewShowGroups.Checked;
      ActiveView.Grouped := ActionViewShowGroups.Checked;
    finally
      ActiveView.EndUpdate();
    end
  end
end;

procedure TTntFormUltraExplorer.ActionViewSmallIconExecute(Sender: TObject);
begin
  EnableListMode(False);
  ListviewSetView(elsSmallIcon);
//  InPlaceWindowSetView(pwvSmallIcon);
  SyncListviewViewActions;
  SyncTabActions
end;

procedure TTntFormUltraExplorer.ActionViewThumbnailExecute(Sender: TObject);
begin
  EnableListMode(False);
  ListviewSetView(elsThumbnail);
 // InPlaceWindowSetView(pwvThumbnail);
  SyncListviewViewActions;
  SyncTabActions
end;

procedure TTntFormUltraExplorer.ActionViewTileExecute(Sender: TObject);
begin
  EnableListMode(False);
  ListviewSetView(elsTile);
//  InPlaceWindowSetView(pwvTile);
  SyncListviewViewActions;
  SyncTabActions
end;

procedure TTntFormUltraExplorer.ActionWhatsNewExecute(Sender: TObject);
var
  Path: WideString;
begin
  Path := ModuleFileName(True) + '\' + STR_WHATSNEW_FILE;
  if WideFileExists(Path) then
  begin
    Path := ShortPath(Path);
    WideShellExecute(Handle, 'open', Path, '', '')
  end
end;

procedure TTntFormUltraExplorer.CreateAndAddDefaultCustomizerItems; 
begin
  AddToCustomizer(SpTBXCustomizer, SpTBXItemMainMenuDefaultCustomizerFlattenFolder);
  AddToCustomizer(SpTBXCustomizer, SpTBXItemMainMenuDefaultCustomizerNewFolder);
end;

procedure TTntFormUltraExplorer.DKLanguageControllerMainFormLanguageChanged(Sender: TObject);
begin
  ChangeLanguageStrings;
  LoadDefaultGroupingModifiedArray(GroupingModifiedArray, True);
  LoadDefaultGroupingFileSizeArray(GroupingFileSizeArray, True);
  UltraListview.GroupingFileSizeArray := GroupingFileSizeArray;
  UltraListview.GroupingModifiedArray := GroupingModifiedArray;
  UltraListview.RebuildEx;
  UltraListviewDual.GroupingFileSizeArray := GroupingFileSizeArray;
  UltraListviewDual.GroupingModifiedArray := GroupingModifiedArray;
  UltraListviewDual.RebuildEx;
  AddFilterNewUltraExplorerDefined(True);
  SizeFileTypeObjectsButton
end;

procedure TTntFormUltraExplorer.EasyListviewHistoryContextMenuCmdCallback(Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; var Handled: Boolean);
begin
  if Attribs.Favorites.WarnBeforeContextAction then
    if MessageBoxW(Handle, PWideChar(STR_HISTORY_CONTEXT_WARNING), PWideChar(STR_WARNING), MB_OKCANCEL or MB_ICONEXCLAMATION) = ID_CANCEL then
      Handled := True
end;

procedure TTntFormUltraExplorer.EasyListviewHistoryContextMenuShowCallback(Namespace: TNamespace; Menu: hMenu; var Allow: Boolean);
begin
  DisableContextMenuByVerb(Menu, 'cut', Namespace);
  DisableContextMenuByVerb(Menu, 'copy', Namespace);
  DisableContextMenuByVerb(Menu, 'delete', Namespace);
  DisableContextMenuByVerb(Menu, 'link', Namespace);
  DisableContextMenuByVerb(Menu, 'rename', Namespace);
end;

procedure TTntFormUltraExplorer.EasyListviewHistoryOLEDragEnd(
  Sender: TCustomEasyListview; ADataObject: IDataObject;
  DragResult: TCommonOLEDragResult; ResultEffect: TCommonOLEDragResult);
begin
  if Assigned(DropItemTemp) then
    VirtualShellMRU.Items[DropItemTemp.Tag].DragLeave;
  DataObjectTemp := nil
end;

procedure TTntFormUltraExplorer.ECBPathChange(
  Sender: TCustomVirtualExplorerCombobox; SelectedNamespace: TNamespace);
begin
  if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
    UltraSyncronizer.Syncronize(ussAddressBar, SelectedNamespace.AbsolutePIDL, True, 100, False); // SyncronizePending and the Undo info sent in EBCPathChanging
end;

procedure TTntFormUltraExplorer.ECBPathChanging(Sender: TCustomVirtualExplorerCombobox; PrevNamespace: TNamespace; var Allow: Boolean);
begin
  if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
    UltraSyncronizer.SyncronizePending(ussAddressBar, PrevNamespace.AbsolutePIDL);
  Allow := True;
end;

function TTntFormUltraExplorer.ClipboardContainsShellFormats: Boolean;
begin
  Result := IsClipboardFormatAvailable(CF_SHELLIDLIST) or IsClipboardFormatAvailable(CF_HDROP)
end;

function TTntFormUltraExplorer.CloseQuery: Boolean;
begin
  Result := inherited CloseQuery;
  if Result then
    TaskDestroyCurrentTaskWindow;
end;

function TTntFormUltraExplorer.FindCommandLineSwitch(Switch: Char): WideString;
var
  i: Integer;
  Found: Boolean;
  C: Char;
begin
  Result := '';
  Found := False;
  i := 0;
  while not Found and (i < Parameters.Count) do
  begin
    if (Length(Parameters[i]) = 2) and ((Pos('-', Parameters[i]) = 1) or (Pos('/', Parameters[i]) = 1)) then
    begin
      C := Parameters[i][2];
      Found := C = Switch
    end;
    if not Found then
      Inc(i)
  end;
  if Found and (i + 1 < Parameters.Count) then
    Result := Parameters[i + 1]
end;

function TTntFormUltraExplorer.GetActiveRoot: TNamespace;
begin
  Result := nil;
  if Assigned(ActiveView) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
      Result := (ActiveView.ColumnModeView as TVirtualColumnModeView).Path
    else
      Result := ActiveView.RootFolderNamespace;
  end
end;

function TTntFormUltraExplorer.GetActiveView: TUltraExplorerEasyListview;
begin
  Result := FActiveView
end;

function TTntFormUltraExplorer.InPlaceWindowViewActionEnabled: Boolean;
var
  InPlaceWindow: IUltraInPlaceWindow;
//  WindowView: TInPlaceWindowView;
begin
  Result := False;
  // See if the window supports the view
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//    Result := InPlaceWindow.GetView(WindowView)
end;

function TTntFormUltraExplorer.IsAddressToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarAddressBar'
end;

function TTntFormUltraExplorer.IsBreadCrumbbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarBreadCrumbListview'
end;

function TTntFormUltraExplorer.IsFavoriteCrumbBar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarFavoriteCrumbBar'
end;

function TTntFormUltraExplorer.IsFilterToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := (Bar.Name = 'SpTBXToolbarFilter')
end;

function TTntFormUltraExplorer.IsFoldersEditToobar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarFoldersEdit'
end;

function TTntFormUltraExplorer.IsMainAppToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := (Bar.Name = 'SpTBXToolbarMainMenu') or
            (Bar.Name = 'SpTBXToolbarAddressBar') or
            (Bar.Name = 'SpTBXToolbarDrives') or
            (Bar.Name = 'SpTBXToolbarNavigation') or
            (Bar.Name = 'SpTBXDockablePanelCmdLine') or
            (Bar.Name = 'SpTBXToolbarViewEdit') or
            (Bar.Name = 'SpTBXToolbarViewAction') or
            (Bar.Name = 'SpTBXToolbarMainFileTypes') or
            (Bar.Name = 'SpTBXToolbarFavoriteCrumbBar') or
            (Bar.Name = 'SpTBXToolbarBreadCrumbListview') or
            (Bar.Name = 'SpTBXToolbarLauncher')
end;

function TTntFormUltraExplorer.IsDropStackToolbar(Bar: TTBCustomDockableWindow): boolean;
begin
  Result := (Bar.Name = 'SpTBXToolbarDropStack')
end;

function TTntFormUltraExplorer.IsNavigationToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarNavigation'
end;

function TTntFormUltraExplorer.IsQuickSearchToolbar(Bar: TTBCustomDockableWindow): boolean;
begin
  Result := (Bar.Name = 'SpTBXToolbarQuickSearch')
end;

function TTntFormUltraExplorer.IsShortCut(var Message: TWMKey): Boolean;
begin
  Result:= inherited IsShortCut(Message);
end;

function TTntFormUltraExplorer.IsTreeview(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := (Bar.Name = 'SpTBXDockablePanelFolders')
end;

function TTntFormUltraExplorer.IsViewerPanel(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXDockablePanelViewer'
end;

function TTntFormUltraExplorer.IsViewFixed(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := (Bar.Name = 'SpTBXDockablePanelFixedView')
end;

function TTntFormUltraExplorer.IsViewMode(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := (Bar.Name = 'SpTBXDockablePanelListMode')
end;

function TTntFormUltraExplorer.IsViewToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := (Bar.Name = 'SpTBXToolbarViewEdit') or
            (Bar.Name = 'SpTBXToolbarViewAction')
end;

function TTntFormUltraExplorer.IsDrivesToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarDrives'
end;

function TTntFormUltraExplorer.LockableDock(Dock: TSpTBXDock): Boolean;
begin
  Result := True
end;

function TTntFormUltraExplorer.LockableMultiDock(Dock: TSpTBXMultiDock): Boolean;
begin
  Result := (Dock.Name <> 'SpTBXMultiDockTreeview') and
            (Dock.Name <> 'SpTBXMultiDockMainLeft') and
            (Dock.Name <> 'SpTBXMultiDockMainRight') and
            (Dock.Name <> 'SpTBXMultiDockMainTop')

end;

function TTntFormUltraExplorer.SelectionCount: Integer;
begin
  if Assigned(ActiveView) then
    Result := ActiveView.Selection.Count
  else
    Result := 0;
end;

function TTntFormUltraExplorer.ShowYesNoDialog(AMessage, ACaption: WideString): Boolean;
var
  F: TTntFormYesNoDialog;
begin
  F := TTntFormYesNoDialog.CreateEx(Self);
  try
    F.Caption := ACaption;
    F.SpTBXLabel.Caption := AMessage;
    Result := F.ShowModal = mrYes
  finally
    F.Visible := False;
    F.Release
  end
end;

function TTntFormUltraExplorer.TabActiveInPlaceWindow: IUltraInPlaceWindow;
begin
  Result := nil;
  if (SpTBXTabSetListview.ActiveTabIndex > -1) then
    Result := TUltraSpTBXTabItem(SpTBXTabSetListview.Items[SpTBXTabSetListview.ActiveTabIndex]).InPlaceWindow
end;

function TTntFormUltraExplorer.TabActiveIsInPlaceWindow(TabSet: TSpTBXTabset): Boolean;
begin
  Result := False;
  if TabSet.ActiveTabIndex > -1 then
    Result := TUltraSpTBXTabItem(TabSet.Items[TabSet.ActiveTabIndex]).InPlaceTab;
end;

function TTntFormUltraExplorer.TabCount(TabSet: TSpTBXTabSet): Integer;
var
  FirstTab, LastTab: Integer;
begin
  FirstTab := TabFirst(TabSet);
  LastTab := TabLast(TabSet);
  if FirstTab > -1 then
    Result := (LastTab + 1) - FirstTab
  else
    Result := 0
end;

function TTntFormUltraExplorer.TabFirst(TabSet: TSpTBXTabSet): Integer;
//
// Warning, the result of this is -1 if there are no Tabs so be careful if using FOR loops!
//
var
  i: Integer;
begin
  Result := -1;
  i := 0;
  while (i < TabSet.Items.Count) and (Result < 0) do
  begin
    if TabSet.Items[i] is TSpTBXTabItem then
      Result := i;
    Inc(i)
  end
end;

function TTntFormUltraExplorer.TabHasInPlaceWindow(TabSet: TSpTBXTabSet; Tab: Integer; var InPlaceWindow: IUltraInPlaceWindow): Boolean;
begin
  Result := False;
  if Tab <= 0 then
  begin
    if (TabSet.ActiveTabIndex > -1) then
      Result := TUltraSpTBXTabItem(TabSet.Items[TabSet.ActiveTabIndex]).InPlaceTab;
      if Result then
        InPlaceWindow := TUltraSpTBXTabItem(TabSet.Items[TabSet.ActiveTabIndex]).InPlaceWindow
  end else
  begin
    if (Tab >= 0) and (Tab < TabSet.Items.Count) then
    begin
      Result := TUltraSpTBXTabItem(TabSet.Items[Tab]).InPlaceTab;
    if Result then
        InPlaceWindow := TUltraSpTBXTabItem(TabSet.Items[Tab]).InPlaceWindow
    end
  end
end;

function TTntFormUltraExplorer.TabLast(TabSet: TSpTBXTabSet): Integer;
var
  i: Integer;
begin
  Result := -1;
  i := TabFirst(TabSet);
  while (i > -1) and (i < TabSet.Items.Count) and (Result < 0) do
  begin
    // find the first non tab item
    if not (TabSet.Items[i] is TSpTBXTabItem) then
      Result := i - 1;

    // There are no non Tab Items after the tabs
    if i = TabSet.Items.Count - 1 then
      Result := i - 1;

    Inc(i)
  end;
end;

function TTntFormUltraExplorer.AddFavoriteItem(ParentNode: PVirtualNode; PIDL: PItemIDList; IsNewCategory: Boolean; Mode: TVTNodeAttachMode): PVirtualNode;
var
  FavRec: PUltraFavoritesRec;
  DoAdd: Boolean;
begin
  Result := nil;
  DoAdd := True;
  // Don't allow a Favorite as a child of a real item
  if Assigned(ParentNode) then
  begin
    FavRec := PUltraFavoritesRec(UltraFavorites.GetNodeData(ParentNode)^);
    DoAdd := not Assigned(FavRec.NS);
    if not DoAdd then
    begin
      // Go up one level and put the new Favorite there, likely what was intended anyway
      ParentNode := ParentNode.Parent;
      if Assigned(ParentNode) and not (ParentNode = UltraFavorites.RootNode) then
      begin
        FavRec := PUltraFavoritesRec(UltraFavorites.GetNodeData(ParentNode)^);
          DoAdd := not Assigned(FavRec.NS);
      end else
        DoAdd := True // Root node
    end
  end;

  if DoAdd then
  begin
    New(FavRec);
    if not Assigned(ParentNode) then
      ParentNode := UltraFavorites.RootNode;
    if IsNewCategory then
    begin
      FavRec^.NS := nil;
      FavRec^.Caption := 'New Category';
      FavRec^.ImageIndex := ID_FAVORITES_CATEGORY;
      FavRec^.ImageIndexOpen := ID_FAVORITES_CATEGORY_OPEN;
    end else
    begin
      FavRec^.NS := TNamespace.Create(PIDLMgr.CopyPIDL(PIDL), nil);
      FavRec^.ImageIndex := -1;
      FavRec^.ImageIndexOpen := -1;
      FavRec^.Caption := '';
    end;
    if Mode = amNoWhere then
      Result := UltraFavorites.AddChild(ParentNode, FavRec)
    else
      Result := UltraFavorites.InsertNode(ParentNode, Mode, FavRec);
    if (ParentNode <> UltraFavorites.RootNode) and not Assigned(FavRec^.NS) then
      UltraFavorites.Expanded[ParentNode] := True;
  end
end;

function TTntFormUltraExplorer.VersionExtractProper(Version: WideString): WideString;
var
  Index: Integer;
begin
  Index := Pos('=', Version);
  Inc(Index);
  Result := PWideChar( @Version[Index])
end;

function TTntFormUltraExplorer.ViewerOpenFile: WideString;
begin
  Result := '';
  if Assigned(ATViewer) then
    Result := ATViewer.FileName
end;

procedure TTntFormUltraExplorer.ActiveControlChange(Sender: TObject);
begin
 // beep
end;

procedure TTntFormUltraExplorer.AddFavoritesFromDataObject(DataObject: IDataObject; Mode: TDropMode);
var
  ShellIDList: TCommonShellIDList;
  i: Integer;
begin
  ShellIDList := TCommonShellIDList.Create;
  try
    if ShellIDList.LoadFromDataObject(DataObject) then
    begin
      for i := 0 to ShellIDList.PIDLCount - 1 do
      begin
        case Mode of
          dmAbove: AddFavoriteItem(UltraFavorites.DropTargetNode, ShellIDList.AbsolutePIDL(i), False, amInsertBefore);
          dmOnNode: AddFavoriteItem(UltraFavorites.DropTargetNode, ShellIDList.AbsolutePIDL(i), False, amAddChildLast);
          dmBelow: AddFavoriteItem(UltraFavorites.DropTargetNode, ShellIDList.AbsolutePIDL(i), False, amInsertAfter);
          dmNoWhere: AddFavoriteItem(UltraFavorites.DropTargetNode, ShellIDList.AbsolutePIDL(i), False, amNoWhere);
        end
      end
    end
  finally
    ShellIDList.Free
  end
end;

procedure TTntFormUltraExplorer.AddFavoritesNewCategory;
var
  FavRec: PUltraFavoritesRec;
begin
  FavRec := nil;
  if UltraFavorites.GetFirstSelected <> nil then
    FavRec := PUltraFavoritesRec(UltraFavorites.GetNodeData(UltraFavorites.GetFirstSelected)^);
  // Don't allow new category to be a child of a real shell object
  if not Assigned(FavRec) or not Assigned(FavRec^.NS) then
    UltraFavorites.EditNode(AddFavoriteItem(UltraFavorites.GetFirstSelected, nil, True, amAddChildLast), -1)
end;

procedure TTntFormUltraExplorer.AddFavoritesFromSelected;
var
  ExplorerItem: TExplorerItem;
  NS: TNamespace;
begin
  UltraFavorites.BeginUpdate;
  try
    if ActiveControl = UltraFolders then
    begin
      if UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NS) then
        AddFavoriteItem(UltraFavorites.GetFirstSelected, NS.AbsolutePIDL, False, amAddChildLast);
    end else
    begin
      if Assigned(ActiveView) then
      begin
        ExplorerItem := ActiveView.FirstSelection;
        while Assigned(ExplorerItem) do
        begin
          AddFavoriteItem(UltraFavorites.GetFirstSelected, ExplorerItem.Namespace.AbsolutePIDL, False, amAddChildLast);
          ExplorerItem := ActiveView.NextSelection(ExplorerItem)
        end
      end
    end
  finally
    UltraFavorites.EndUpdate
  end
end;

procedure TTntFormUltraExplorer.AddDropStackItems(const ShellObjects: IDataObject);
var
  Item: TUltraDropStackItem;
  NS: TNamespace;
  ShellIDList: TCommonShellIDList;
begin
  UltraDropStack.BeginUpdate;
  ShellIDList := TCommonShellIDList.Create;
  try
    ShellIDList.LoadFromDataObject(ShellObjects);
    if ShellIDList.PIDLCount > 0 then
    begin
      Item := UltraDropStack.Items.AddCustom(TUltraDropStackItem) as TUltraDropStackItem;
      Item.DataObject := ShellObjects;
      NS := TNamespace.Create(ShellIDList.AbsolutePIDL(0), nil);
      Item.Caption := NS.NameNormal + ' ... (' + IntToStr(ShellIDList.PIDLCount) + ' objects)';
      Item.ImageIndex := NS.GetIconIndex(False, icSmall);
      NS.Free
    end
  finally
    // Keep the stack depth correct
    if (UltraDropStack.Items.Count > Attribs.DropStack.Depth) and (UltraDropStack.Items.Count > 0) then
      UltraDropStack.Items.Delete(0);
    UltraDropStack.EndUpdate;
    ShellIDList.Free
  end
end;

procedure TTntFormUltraExplorer.AddFilterItemNew(Mask: WideString);
//
// If Mask = '' then the user will be prompted to change it
//
var
  Item: TUltraFilterItem;
begin
  FilterEnsureGroups;
  UltraFilter.SetFocus;
  Item := UltraFilter.Groups[1].Items.AddCustom(TUltraFilterItem) as TUltraFilterItem;
  Item.StateImageIndex := -1;
  Item.FilterKind := ufkUserDefined;
  Item.Caption := Mask;
  Item.ImageIndex := ID_FILTER_FILES;
  if Mask = '' then
  begin
    Item.MakeVisible(emvMiddle);
    Item.Edit;
  end;     
  Item.Checked := True;
end;

procedure TTntFormUltraExplorer.AddFilterItemsByNamespace(NSArray: TNamespaceArray);
  function FilterExists(FileName: WideString): Boolean;
  var
    i: Integer;
  begin
    Result := False;
    i := 0;
    while (i < UltraFilter.Items.Count) and not Result do
    begin
      Result := LowerCase(WideExtractFileExt(UltraFilter.Items[i].Caption)) = LowerCase(WideExtractFileExt(FileName));
      Inc(i)
    end;
  end;

var
  Item: TUltraFilterItem;
  NS: TNamespace;
  i: Integer;
begin
  FilterEnsureGroups;
  for i := 0 to Length(NSArray) - 1 do
  begin
    NS := NSArray[i];
    if NS.FileSystem and not FilterExists(NS.NameParseAddressInFolder) and not NS.Folder then
    begin
      Item := UltraFilter.Groups[1].Items.AddCustom(TUltraFilterItem) as TUltraFilterItem;
      Item.Caption := '*' + WideExtractFileExt(NS.NameParseAddressInFolder);
      Item.Checked := True;
      Item.FilterKind := ufkUserDefined;
      Item.StateImageIndex := -1;
      Item.ImageIndex := ID_FILTER_FILES
    end
  end
end;

procedure TTntFormUltraExplorer.AddFilterNewUltraExplorerDefined(ReloadCaption: Boolean = False);
//
// Need to reload the caption if the Language changes
//

  function IsUltraExplorerFilterDefined(Filter: TUltraFilterKind): Boolean;
  var
    i: Integer;
    Item: TUltraFilterItem;
  begin
    Result := False;
    i := 0;
    while not Result and (i < UltraFilter.Groups[0].ItemCount) do
    begin
      Item := (UltraFilter.Groups[0].Items[i] as TUltraFilterItem);
      Result := Item.FilterKind = Filter;
      if Result and ReloadCaption then
        Item.Caption := STR_FILTER_FOLDERS;
      Inc(i)
    end
  end;

var
  Item: TUltraFilterItem;
begin
  FilterEnsureGroups;

  if not IsUltraExplorerFilterDefined(ufkFolders) then
  begin
    // WARNING:  The Folder items is directly access at Groups[0][0] so do not change
    // its position without updating other parts of the file.
    Item := UltraFilter.Groups[0].Items.InsertCustom(0, TUltraFilterItem) as TUltraFilterItem;
    Item.Caption := STR_FILTER_FOLDERS;
    Item.FilterKind := ufkFolders;
    Item.Checked := True;
    Item.StateImageIndex := -1;
    Item.ImageIndex := ID_FILTER_FOLDERS;
  end
end;

procedure TTntFormUltraExplorer.AddFiltersFromDataObject(DataObject: IDataObject);
var
  ShellIDList: TCommonShellIDList;
  i: Integer;
  NSA: TNamespaceArray;
begin
  ShellIDList := TCommonShellIDList.Create;
  try
    if ShellIDList.LoadFromDataObject(DataObject) then
    begin
      SetLength(NSA, ShellIDList.PIDLCount);
      for i := 0 to ShellIDList.PIDLCount - 1 do
        NSA[i] := TNamespace.Create(PIDLMgr.CopyPIDL(ShellIDList.AbsolutePIDL(i)), nil);

      AddFilterItemsByNamespace(NSA);

      for i := 0 to Length(NSA) - 1 do
        NSA[i].Free
    end
  finally
    ShellIDList.Free
  end
end;

procedure TTntFormUltraExplorer.ApplyWindowFonts;

   procedure SetTreeNodeHeightsToDefault(Tree: TVirtualStringTree; Node: PVirtualNode);
   begin
     while Assigned(Node) do
     begin
       if Node.ChildCount > 0 then
         SetTreeNodeHeightsToDefault(Tree, Node.FirstChild);
       Tree.NodeHeight[Node] := Tree.DefaultNodeHeight;
       Node := Node.NextSibling
     end
   end;

var
  CellH, i: Integer;
begin
  CellH := TextExtentW('Tg', Attribs.Listview.Font).cy;
  UltraListview.CellSizes.List.Height := CellH + 4;
  UltraListview.CellSizes.Report.Height := CellH + 4;
  UltraListview.CellSizes.SmallIcon.Height := CellH + 4;
  if Assigned(UltraListview.ColumnModeView) then
  begin
    for i := 0 to UltraListview.ColumnModeView.ViewCount - 1 do
      UltraListview.ColumnModeView.Views[i].CellSizes.Report.Height := CellH + 4;
    UltraListview.ColumnModeView.Invalidate;
  end else
    UltraListview.Invalidate;

  UltraListviewDual.CellSizes.List.Height := CellH + 4;
  UltraListviewDual.CellSizes.Report.Height := CellH + 4;
  UltraListviewDual.CellSizes.SmallIcon.Height := CellH + 4;
  if Assigned(UltraListviewDual.ColumnModeView) then
  begin
    for i := 0 to UltraListviewDual.ColumnModeView.ViewCount - 1 do
      UltraListviewDual.ColumnModeView.Views[i].CellSizes.Report.Height := CellH + 4;
    UltraListviewDual.ColumnModeView.Invalidate;
  end else
    UltraListviewDual.Invalidate;



  CellH := TextExtentW('Tg', Attribs.Favorites.Font).cy;
  UltraFavorites.DefaultNodeHeight := CellH + 4;
  UltraFavorites.BeginUpdate;
  try
    SetTreeNodeHeightsToDefault(UltraFavorites, UltraFavorites.GetFirst);
  finally
    UltraFavorites.EndUpdate
  end;

  CellH := TextExtentW('Tg', Attribs.DropStack.Font).cy;
  UltraDropStack.CellSizes.Report.Height := CellH + 4;
  UltraDropStack.Invalidate;

  CellH := TextExtentW('Tg', Attribs.Filter.Font).cy;
  UltraFilter.CellSizes.Report.Height := CellH + 4;
  UltraFilter.Invalidate;

  CellH := TextExtentW('Tg', Attribs.History.Font).cy;
  UltraHistory.CellSizes.Report.Height := CellH + 4;
  UltraHistory.Invalidate;

  CellH := TextExtentW('Tg', Attribs.Treeview .Font).cy;
  UltraFolders.DefaultNodeHeight := CellH + 4;
  UltraFolders.RefreshTree(True);
end;

procedure TTntFormUltraExplorer.AdvanceView;
var
  View: TEasyListStyle;
begin
  if Assigned(ActiveView) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
      View := Low(TEasyListStyle)
    else
    if Integer(ActiveView.View) + 1 > Integer(elsTile) then
    begin
      ActionViewColumnMode.Execute;
      Exit
    end else
      View := TEasyListStyle(Integer(ActiveView.View) + 1);

    case View of
      elsIcon: ActionViewIcon.Execute;
      elsSmallIcon: ActionViewSmallIcon.Execute;
      elsList: ActionViewList.Execute;
      elsReport: ActionViewDetails.Execute;
      elsThumbnail: ActionViewThumbnail.Execute;
      elsTile: ActionViewTile.Execute;
    end
  end
end;

procedure TTntFormUltraExplorer.AlignTextOverIconWhenVertical(Item: TTBCustomItem; Dock: TTBDock);
//
// Makes the item have icon over text if it is docked to a vertical dock point
// else it will have the text next to the icon
//
begin
  if Assigned(Dock) then
  begin
    if (Dock.Position in [dpLeft, dpRight]) then
      Item.Options := Item.Options + [tboImageAboveCaption]
    else
      Item.Options := Item.Options - [tboImageAboveCaption]
  end else
    Item.Options := Item.Options - [tboImageAboveCaption]
end;

procedure TTntFormUltraExplorer.ApplicationMessageEvent(var Msg: TMsg; var Handled: Boolean);
var
  ShortCutID: TShortCut;
begin
  Handled := TaskHandleMessage(Msg);
  // System Keys are a pain to deal with. Using Alt-Left Alt-Right to browse back/forward
  case Msg.message of
  WM_SYSKEYDOWN:
    begin
      ShortCutID := ShortCut(Msg.wParam, KeyDataToShiftState(Msg.lParam));
      if ShortCutID = ActionHistoryBack.ShortCut then
        Handled := ActionHistoryBack.Execute
      else
      if ShortCutID = ActionHistoryForward.ShortCut then
        Handled := ActionHistoryForward.Execute
    end;
  WM_XBUTTONUP:
    begin
      case HiWord(Msg.wParam) of
        MK_XBUTTON1: Handled := ActionHistoryBack.Execute;
        MK_XBUTTON2: Handled := ActionHistoryForward.Execute;
      end;
    end;
  end
end;

procedure TTntFormUltraExplorer.ApplyOptions(Sender: TObject);
//
// Called when the Options dialog Apply button is pushed
//
begin
  EnsureListviewTabVisiblility(SpTBXTabSetListview);
  SaveOptions
end;

procedure TTntFormUltraExplorer.ATViewerOnDocumentLoaded(Sender: TObject);
begin
  if Assigned(ActiveView) then
    if ActiveView.CanFocus then
      ActiveView.SetFocusEx;
end;

procedure TTntFormUltraExplorer.BreadCrumbItemClick(Toobar: TSpTBXToolbar; Item: TTBCustomItem);
begin
  // Set the Tag property > 0 if the items is to show properites.
  if Item.Tag = 0 then
    MenuItemNamespaceClick(Item)
  else
    (Item as TTBXEnumItem).NS.ShowPropertySheet;
  if Assigned(ActiveView) then
    ActiveView.SetFocusEx 
end;

procedure TTntFormUltraExplorer.BreadCrumbVisibleChanged(Sender: TObject);
begin
  ActionToolbarBreadCrumbListview.Checked := BreadCrumbListview.Visible;
end;

procedure TTntFormUltraExplorer.BrowseHistoryBack;
begin
  VirtualShellHistory.Back;    
end;

procedure TTntFormUltraExplorer.BrowseHistoryNext;
begin
  VirtualShellHistory.Next;
end;

function TTntFormUltraExplorer.BrowseToCommandLineSwitch: Boolean;

  procedure FixPath(Paths: TTntStringList);
  var
    i: Integer;
  begin
    for i := Paths.Count - 1 downto 0  do
    begin
      Paths[i] := Trim(Paths[i]);
      if not ((Paths[i] = '.') or (Paths[i] = '..')) then
      begin
        if (Paths[i] = '') or (Paths[i] = #10#13) then
          Paths.Delete(i);
      end
    end
  end;


var
  Path: WideString;
  PathList: TTntStringList;
  NS: TNamespace;
  i: Integer;
  PIDL: PItemIDList;
  Switch: Char;
begin
  Result := False;
  Switch := 'P';
  Path := FindCommandLineSwitch(Switch);
  if Path = '' then
  begin
    Switch := 'p';
    Path := FindCommandLineSwitch(Switch);
  end;

  if (Path <> '') and ((Switch = 'P') or (Switch = 'p')) then
  begin
    // Captial "P" clears the tabset. Won't clear the first tab
    if Switch = 'P' then
      TabClear;

    PathList := TTntStringList.Create;
    try
      Path := Tnt_WideStringReplace(Path, ';', #10#13, [rfReplaceAll]);
      Path := Tnt_WideStringReplace(Path, ',', #10#13, [rfReplaceAll]);
      PathList.Text := Path;
      FixPath(PathList);
      for i := 0 to PathList.Count - 1 do
      begin
        if PathList[i] = '.' then
          PathList[i] := WideGetCurrentDir
        else
        if PathList[i] = '..' then
          PathList[i] := WideExtractFilePath(WideGetCurrentDir);
        if Length(PathList[i]) > 2 then
        begin
          if (PathList[i][1] = '.') and (PathList[i][2] = '.') then
            PathList[i] := Tnt_WideStringReplace(PathList[i], '..', WideExcludeTrailingBackslash( WideExtractFilePath(WideGetCurrentDir)), []);
          if IsSpecialVariable(PathList[i], NS) then
          begin
            TabAdd(NS.AbsolutePIDL, nil, SpTBXTabSetListview, False);
            NS.Free;
            Result := True
          end else
          begin
            if WideDirectoryExists(PathList[i]) then
            begin
              PIDL := PathToPIDL(PathList[i]);
              if Assigned(PIDL) then
              begin
                TabAdd(PIDL, nil, SpTBXTabSetListview, False);
                PIDLMgr.FreePIDL(PIDL);
                Result := True
              end
            end
          end
        end
      end
    finally
      PathList.Free;
      // Remove the first tab if we actually added additional tabs
      if (Switch = 'P') and (TabCount(SpTBXTabSetListview) > 1) then
        TabRemove(SpTBXTabSetListview.Items[0] as TSpTBXTabItem, SpTBXTabSetListview);
    end;
    if TabCount(SpTBXTabSetListview) = 0 then
      TabAdd(DesktopFolder.AbsolutePIDL, nil, SpTBXTabSetListview, False)
  end;
end;

procedure TTntFormUltraExplorer.BuildFavoriteCrumbBar;
var
  i: Integer;
  Item: TSpTBXCustomItem;
begin
  if SpTBXToolbarFavoriteCrumbBar.Visible then
  begin
    BuildFavoritesMenu;
    SpTBXToolbarFavoriteCrumbBar.BeginUpdate;
    try
      SpTBXToolbarFavoriteCrumbBar.Items.Clear;
      for i := 0 to SpTBXPopupMenuMainMenuFavorites.Items.Count - 1 do
      begin
        Item := nil;

        // Only add if it is a Favorite Folder or has namespace (Tag) assigned
        if Assigned(SpTBXPopupMenuMainMenuFavorites.Items[i].LinkSubitems) then
        begin
          Item := TSpTBXSubmenuItem.Create(SpTBXToolbarFavoriteCrumbBar);
          Item.LinkSubitems := SpTBXPopupMenuMainMenuFavorites.Items[i].LinkSubitems;
          Item.Caption := SpTBXPopupMenuMainMenuFavorites.Items[i].Caption;
          SetTBItemCaption(Item, SpTBXPopupMenuMainMenuFavorites.Items[i].Caption);
        end else
        if SpTBXPopupMenuMainMenuFavorites.Items[i].Tag <> 0 then
        begin
          // TNamespace stored in Tag
          Item := TSpTBXItem.Create(SpTBXToolbarFavoriteCrumbBar);
          Item.OnClick := FavoritesMenuClick;
          Item.Caption := SpTBXPopupMenuMainMenuFavorites.Items[i].Caption;
          SetTBItemCaption(Item, SpTBXPopupMenuMainMenuFavorites.Items[i].Caption);
        end;

        if Assigned(Item) then
        begin
          Item.Options := [tboDropdownArrow];
          Item.DisplayMode := nbdmImageAndText;
          Item.Tag := SpTBXPopupMenuMainMenuFavorites.Items[i].Tag; // This is the TNamespace
          Item.Images := SpTBXPopupMenuMainMenuFavorites.Items[i].Images;
          Item.ImageIndex := SpTBXPopupMenuMainMenuFavorites.Items[i].ImageIndex;
          SpTBXToolbarFavoriteCrumbBar.Items.Add(Item);
        end
      end
    finally
      SpTBXToolbarFavoriteCrumbBar.EndUpdate
    end
  end
end;

procedure TTntFormUltraExplorer.BuildFavoritesMenu;

    procedure RunFavoritesTree(Node: PVirtualNode; Menu: TSpTBXPopupMenu);
    var
      FavRec: PUltraFavoritesRec;
      Item: TSpTBXItem;
      NewMenu: TSpTBXPopupMenu;
    begin
      Node := UltraFavorites.GetFirstChild(Node);
      while Assigned(Node) do
      begin
        FavRec := PUltraFavoritesRec(UltraFavorites.GetNodeData(Node)^);
        if Assigned(FavRec) then
        begin
          if UltraFavorites.HasChildren[Node] then
          begin
            NewMenu := TSpTBXPopupMenu.Create(Menu);
            RunFavoritesTree(Node, NewMenu);
            Item := TSpTBXSubmenuItem.Create(Menu);
            Item.LinkSubitems := NewMenu.Items;
          end else
            Item := TSpTBXItem.Create(Menu);
          if Assigned(FavRec^.NS) then
          begin
            if FavRec^.Caption <> '' then
              Item.Caption := FavRec^.Caption
            else
              Item.Caption := FavRec^.NS.NameInFolder;
            SetTBItemCaption(Item, Item.Caption);
            Item.ImageIndex := FavRec^.NS.GetIconIndex(False, icSmall, True);
            Item.Images := SmallSysImages;
            Item.Tag := Integer(FavRec^.NS);
            Item.OnClick := FavoritesMenuClick
          end else
          begin
            Item.Caption := FavRec^.Caption;
            SetTBItemCaption(Item, FavRec^.Caption);
            Item.ImageIndex := FavRec^.ImageIndex
          end;
          Menu.Items.Add(Item);
        end;
        Node := UltraFavorites.GetNextSibling(Node)
      end
    end;

var
  Item: TSpTBXItem;
begin
  SpTBXPopupMenuMainMenuFavorites.Items.Clear;
  RunFavoritesTree(UltraFavorites.RootNode, SpTBXPopupMenuMainMenuFavorites);
  // Include the "Copy Selected to Favorites" menu item
  SpTBXPopupMenuMainMenuFavorites.Items.Add(TSpTBXSeparatorItem.Create(SpTBXPopupMenuMainMenuFavorites));
  Item := TSpTBXItem.Create(SpTBXPopupMenuMainMenuFavorites);
  if Assigned(Item) then
  begin
    SyncFavoritesActions;
    Item.Action := ActionFavoritesAdd;
    SpTBXPopupMenuMainMenuFavorites.Items.Add(Item)
  end;
  // Include the "Edit..." menu item
  SpTBXPopupMenuMainMenuFavorites.Items.Add(TSpTBXSeparatorItem.Create(SpTBXPopupMenuMainMenuFavorites));
  Item := TSpTBXItem.Create(SpTBXPopupMenuMainMenuFavorites);
  if Assigned(Item) then
  begin
    SyncFavoritesActions;
    Item.Action := ActionFavoritesEnterEditMode;
    SpTBXPopupMenuMainMenuFavorites.Items.Add(Item)
  end;
end;

procedure TTntFormUltraExplorer.BuildLauncherBar;
var
  i: Integer;
  Item: TSpTBXCustomItem;
  Data: TUltraLauncherData;
begin
  SpTBXToolbarLauncher.BeginUpdate;
  try
    SpTBXToolbarLauncher.Items.Clear;
    for i := 0 to SpTBXPopupMenuLauncher.Items.Count - 3 do
    begin
      Data := TUltraLauncherData( (SpTBXPopupMenuLauncher.Items[i] as TSpTBXItem).Tag);
      if Assigned(Data) then
      begin
        if Data.IsFolder then
        begin
          Item := TSpTBXSubMenuItem.Create(SpTBXToolbarLauncher);
          Item.Options := [tboDropdownArrow];
          Item.DisplayMode := nbdmImageAndText;
          Item.ImageIndex := ID_FILTER_FOLDERS;
          Item.LinkSubitems := SpTBXPopupMenuLauncher.Items[i].LinkSubitems;
        end else
        begin
          Item := TSpTBXItem.Create(SpTBXToolbarLauncher);
          Item.ImageIndex := Data.NS.GetIconIndex(False, icSmall);
          Item.DisplayMode := nbdmImageAndText;
          Item.Images := SmallSysImages;
        end;
        // The items don't own the Launcher data objects
        Item.Tag := Integer( Launchers.SubItems[i]);
        Item.ShortCut := Data.ShortCut;
        Item.OnClick := LauncherItemClick;
        Item.Caption := Data.Name;
        SetTBItemCaption(Item, Data.Name);
        SpTBXToolbarLauncher.Items.Add(Item);
      end;
    end;
  finally
    SpTBXToolbarLauncher.EndUpdate
  end
end;

procedure TTntFormUltraExplorer.BuildLauncherMenu;

  procedure AddItems(Menu: TSpTBXPopupMenu; Launchers: TUltraLauncherData);
  var
    i: Integer;
    Item: TSpTBXItem;
    NewMenu: TSpTBXPopupMenu;
  begin
    for i := 0 to Launchers.SubItems.Count - 1 do
    begin
      if Launchers.SubItems[i].IsFolder then
      begin
        NewMenu := TSpTBXPopupMenu.Create(Menu);
        AddItems(NewMenu, Launchers.SubItems[i]);
        Item := TSpTBXSubmenuItem.Create(Menu);
        Item.LinkSubitems := NewMenu.Items;
      end else
        Item := TSpTBXItem.Create(Menu);

      // The items don't own the Launcher data objects
      Item.Tag := Integer( Launchers.SubItems[i]);
      Item.Caption := Launchers.SubItems[i].Name;
      SetTBItemCaption(Item, Launchers.SubItems[i].Name);
      Item.OnClick := LauncherItemClick;
      if Launchers.SubItems[i].IsFolder then
      begin
        Item.ImageIndex := ID_FILTER_FOLDERS;
        Item.Images := ImageListActions;
        Menu.Items.Add(Item);
      end else
      begin
        if Assigned(Launchers.SubItems[i].NS) then
        begin
          Item.ShortCut := Launchers.SubItems[i].ShortCut;
          Item.ImageIndex := Launchers.SubItems[i].NS.GetIconIndex(False, icSmall);
          Item.Images := SmallSysImages;
          Menu.Items.Add(Item);
        end else
          Item.Free
      end;

    end;
  end;

var
  Item: TSpTBXItem;
  SepItem: TSpTBXSeparatorItem;
begin
  SpTBXPopupMenuLauncher.Items.Clear;
  AddItems(SpTBXPopupMenuLauncher, Launchers);
  SepItem := TSpTBXSeparatorItem.Create(SpTBXPopupMenuLauncher);
  SpTBXPopupMenuLauncher.Items.Add(SepItem);
  Item := TSpTBXItem.Create(SpTBXPopupMenuLauncher);
  Item.Action := ActionLauncherShow;
  SpTBXPopupMenuLauncher.Items.Add(Item);
end;

procedure TTntFormUltraExplorer.ChangeFileObjects(Attribs: TUltraAttribs);
var
  LV1PIDL, LV2PIDL: PItemIDList;
begin
  LV1PIDL := nil;
  LV2PIDL := nil;
  UltraListview.BeginUpdate;
  UltraListviewDual.BeginUpdate;
  UltraFolders.BeginUpdate;
  try
    // Not supporting foShareable, foNetworkPrinters anymore cause too many problems
    Attribs.Listview.FileObjects := Attribs.Listview.FileObjects - [foShareable, foNetworkPrinters];
    UltraFolders.FileObjects := Attribs.Listview.FileObjects - [foNonFolders];
    UltraListviewDual.FileObjects := Attribs.Listview.FileObjects;
    if Assigned(UltraListviewDual.ColumnModeView) then
      UltraListviewDual.ColumnModeView.FileObjects := Attribs.Listview.FileObjects;
    UltraListview.FileObjects := Attribs.Listview.FileObjects;
    if Assigned(UltraListview.ColumnModeView) then
      UltraListview.ColumnModeView.FileObjects := Attribs.Listview.FileObjects;
  finally
    PIDLMgr.FreePIDL(LV1PIDL);
    PIDLMgr.FreePIDL(LV2PIDL);
    UltraListview.EndUpdate;
    UltraListviewDual.EndUpdate;
    UltraFolders.EndUpdate;
  end
end;

procedure TTntFormUltraExplorer.CheckForVersionUpdate(ShowDialog: Boolean);

  procedure AskForAndRetrieveNewVersionDownload(Version: WideString);
  begin
    Version := Version + ' ' + STR_AUTOUPDATE_AVAILABLEPOST;
    if ShowYesNoDialog(Version, STR_AUTOUPDATE_CHECK) then
      DownloadNewVersion;
  end;

var
  HTTP: THTTPSend;
  StringList: TStringList;
  Ver: string;
begin
  SpTBXItemStatusbarNewVersionAvialable.Caption := '';
  SetTBItemCaption(SpTBXItemStatusbarNewVersionAvialable, '');
  SpTBXItemStatusbarNewVersionAvialable.Visible := False;

  HTTP := THTTPSend.Create;
  StringList := TStringList.Create;
  try
    HTTP.ProxyHost := Attribs.General.ProxyHost;
    HTTP.ProxyPort := Attribs.General.ProxyPort;
    if HTTP.HTTPMethod('GET', STR_NEW_VERSION_FILE_URL) then
    begin
      StringList.LoadFromStream(HTTP.Document);
      Ver := StringList.Text;
      Ver := Trim(Ver);
      if (Ver <> STR_ULTRAEXPLORER_VERSION) then
      begin
        SpTBXItemStatusbarNewVersionAvialable.Caption := VersionExtractProper(Ver) + ' ' + STR_NEW_VERSION_AVIALABLE;
        SetTBItemCaption(SpTBXItemStatusbarNewVersionAvialable, VersionExtractProper(Ver) + ' ' + STR_NEW_VERSION_AVIALABLE);
        SpTBXItemStatusbarNewVersionAvialable.Visible := True;
        if ShowDialog then
          AskForAndRetrieveNewVersionDownload(VersionExtractProper(Ver))
      end else
      begin
        if ShowDialog then
          ShowOkDialog(STR_AUTOUPDATE_NOTAVAILABLE, STR_AUTOUPDATE_CHECK);
      end
    end else
    begin
      if ShowDialog then
        ShowOkDialog(STR_AUTOUPDATE_CONNECTFAILED, STR_AUTOUPDATE_CHECK);
    end
  finally
    StringList.Free;
    HTTP.Free;
  end;
end;

procedure TTntFormUltraExplorer.CMDialogKey(var Message: TCMDialogKey);
var
  h: HWnd;
  TabManager: TInplaceWindowTabs;
  IsTaskPlugin: Boolean;
  APluginWnd: TWinControl;
  HackForm: TCustomFormHack;
begin
  TabManager := nil;
  IsTaskPlugin := False;

  if Message.CharCode in [VK_TAB, VK_LEFT, VK_RIGHT, VK_UP, VK_DOWN] then
  begin 
    if IsChild(ATViewer.Handle, Windows.GetFocus) and (ATViewerTabs.Count > 0) then
      TabManager := ATViewerTabs
    else begin
      if Assigned(CurrentTask) and CurrentTask.GetHandle(h) then
      begin
        if IsChild(h, Windows.GetFocus) and (TaskWindowTabs.Count > 0) then
        begin
          TabManager := TaskWindowTabs;
          IsTaskPlugin := True
        end
      end
    end
  end;

  // See if we have a plugin's TabManager active to deal with the keyboard
  if not Assigned(TabManager) then
    inherited
  else begin
    case Message.CharCode of
      VK_TAB:
        begin
          // Since we know that the TaskPlugin is a Delphi Form we can deal with
          // these keys better
          if IsTaskPlugin and CurrentTask.GetObject(APluginWnd) then
          begin
            if GetKeyState(VK_CONTROL) >= 0 then
            begin
              TCustomFormHack( APluginWnd).SelectNext(TCustomFormHack( APluginWnd).ActiveControl, GetKeyState(VK_SHIFT) >= 0, True);
              Message.Result := 1
            end
          end else
          begin
            if GetKeyState(VK_CONTROL) and $8000 > 0 then
              h := TabManager.PrevTab(Windows.GetFocus)
            else
              h := TabManager.NextTab(Windows.GetFocus);
            if h > 0 then
              Windows.SetFocus(h);
          end
        end;
      VK_LEFT, VK_RIGHT, VK_UP, VK_DOWN:
        begin
          // Since we know that the TaskPlugin is a Delphi Form we can deal with
          // these keys better
          if IsTaskPlugin and CurrentTask.GetObject(APluginWnd) then
          begin
            HackForm := (TCustomFormHack( APluginWnd));
            if HackForm.ActiveControl <> nil then
            begin
              TWinControlHack( HackForm.ActiveControl.Parent).SelectNext(HackForm.ActiveControl,
                (Message.CharCode = VK_RIGHT) or (Message.CharCode = VK_DOWN), False);
              Message.Result := 1;
            end;
          end
        end
    end
  end
end;

procedure TTntFormUltraExplorer.CmdLineSetPath(NS: TNamespace);
begin
  if Assigned(NS) then
  begin
    if NS.ComparePIDL(CmdLineCurrentPath, True) <> 0 then
    begin
      VirtualCommandLineRedirector.CurrentDir := ShortFileName(NS.NameForParsing);
      CmdLineCurrentPath := PIDLMgr.CopyPIDL(NS.AbsolutePIDL);
    end
  end
end;

procedure TTntFormUltraExplorer.ColumnModeMouseGesture(
  Sender: TCustomVirtualColumnModeView; Listview: TCustomEasyListview;
  Gesture: WideString; var DoDefaultMouseAction: Boolean);
begin
  ListviewMouseGesture(Listview, Gesture, DoDefaultMouseAction)
end;

procedure TTntFormUltraExplorer.ColumnModeViewMouseUp(Sender: TCustomVirtualColumnModeView; View: TColumnModeEasyListview; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  ListviewMouseUp(View, Button, Shift, X, Y);
end;

procedure TTntFormUltraExplorer.ContextMenuAfterCmdCallback(Namespace: TNamespace;
  Verb: WideString; MenuItemID: Integer; Successful: Boolean);
begin
  StatusbarMenuHelpEnd
end;

procedure TTntFormUltraExplorer.ContextMenuSelect(var Message: TMessage);
begin
  if Message.Msg = WM_MENUSELECT then
  begin
    if Assigned(ContextMenuNamespace) then
      StatusbarMenuHelp(LoWord( Message.WParam), ContextMenuNamespace);
  end;
end;

procedure TTntFormUltraExplorer.CopyPathCombo(Combo: TVirtualExplorerCombobox; DOSPath: Boolean);
begin
  if Assigned(Combo.EditNamespace) then
  begin
    if DOSPath then
      SCopyToClipboardW(ShortFileName( Combo.EditNamespace.NameForParsing))
    else
      SCopyToClipboardW(Combo.EditNamespace.NameForParsing)
  end
end;

procedure TTntFormUltraExplorer.CopyPathView(View: TUltraExplorerEasyListview; DOSPath: Boolean; FileNamesOnly: Boolean);
var
  Files: TTntStringList;
  Item: TExplorerItem;
begin
  Files := TTntStringList.Create;
  try
    Item := TExplorerItem( View.FirstSelection);
    while Assigned(Item) do
    begin
      if DOSPath then
      begin
        if FileNamesOnly then
          Files.Add(WideExtractFileName(ShortFileName( Item.Namespace.NameForParsing)))
        else
          Files.Add( ShortFileName( Item.Namespace.NameForParsing));
      end else
      begin
        if FileNamesOnly then
          Files.Add(WideExtractFileName( Item.Namespace.NameForParsing))
        else
          Files.Add(Item.Namespace.NameForParsing);
      end;
      Item := TExplorerItem(View.NextSelection(Item));
    end;
    SCopyToClipboardW(Files.Text);
  finally
    Files.Free
  end
end;

function TTntFormUltraExplorer.IsFavoritesToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarFavorites'
end;

function TTntFormUltraExplorer.IsHistoryToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarHistory'
end;

function TTntFormUltraExplorer.IsUndoStackToolbar(Bar: TTBCustomDockableWindow): Boolean;
begin
  Result := Bar.Name = 'SpTBXToolbarUndoStack'
end;

function TTntFormUltraExplorer.TabAdd(APIDL: PItemIDList;
  InPlaceWindow: IUltraInPlaceWindow; TabSet: TSpTBXTabSet;
  TestForDuplicates: Boolean): TUltraSpTBXTabItem;
var
  NS: TNamespace;
  i: Integer;
  Duplicate: Boolean;
  PIDL: PItemIDList;
  InPlaceNotify: IUltraInplaceNotifications;
begin
  Result := nil;
  Duplicate := False;
  if Assigned(APIDL) then
  begin
    NS := TNamespace.Create(APIDL, nil);
    NS.FreePIDLOnDestroy := False;
    i := TabFirst(SpTBXTabSetListview);
    while TestForDuplicates and (i <= TabLast(SpTBXTabSetListview)) and not Duplicate do
    begin
      if NS.ComparePIDL( (SpTBXTabSetListview.Items[i] as TUltraSpTBXTabItem).PIDL, True) = 0 then
        Duplicate := True
      else
        Inc(i)
    end;
    if not Duplicate then
    begin
      Result := TUltraSpTBXTabItem.Create(TabSet);
      Result.CustomWidth := Attribs.Tabs.MaxWidth;
      Result.Hint := NS.NameParseAddress;
      SetTBItemHint(Result, NS.NameParseAddress);
      Result.Caption := NS.NameInFolder;
      SetTBItemCaption(Result, NS.NameInFolder);
      Result.OnClick := TabItemClick;
      Result.ImageIndex := NS.GetIconIndex(False, icSmall);
      Result.PIDL := PIDLMgr.CopyPIDL(NS.AbsolutePIDL);
    end else
    begin
      Result :=  SpTBXTabSetListview.Items[SpTBXTabSetListview.ActiveTabIndex] as TUltraSpTBXTabItem;
      SpTBXTabSetListview.ActiveTabIndex := i;
    end;
    NS.Free;
  end else
  if Assigned(InPlaceWindow) then
  begin
    Result := TUltraSpTBXTabItem.Create(TabSet);
    Result.OnClick := TabItemClick;
    LoadItemWithInPlaceTabInfo(Result, InPlaceWindow);
    InPlaceWindow.SetTheme(PChar( CurrentSkin.SkinName));
    InPlaceWindow.RegisterNotifier(Self);
    Result.InPlaceWindow := InPlaceWindow;
    if Supports(InPlaceWindow, IUltraInplaceNotifications, InPlaceNotify) then
    begin
      InPlaceNotify.TabChanging(ntsCreating);
      InPlaceNotify.TabChanging(ntsActivating);
      if Assigned(ActiveRoot) then
        InplaceNotify.RootFolderChanged(ActiveRoot.AbsolutePIDL)
      else begin
        PIDL := UltraFolders.SelectedPIDL;
        if Assigned(PIDL) then
          InplaceNotify.RootFolderChanged(PIDL);
        PIDLMgr.FreePIDL(PIDL);
      end
    end
  end;
  if Assigned(Result) then
  begin
    if not Duplicate then
    begin
     TabSet.Items.Insert(TabLast(TabSet) + 1, Result);
      if Attribs.Tabs.MaxWidth > 0 then
      begin
        SpTBXTabSetListview.View.RecreateAllViewers;
        Result.CustomWidth := Attribs.Tabs.MaxWidth;
      end;
      TabSetActive(TabLast(TabSet), TabSet);
    end;
    EnsureListviewTabVisiblility(TabSet);
    TabCheckScrollState(TabSet, ActionTabScrollLeft, ActionTabScrollRight);
    SyncTabActions;
    SyncStatusBar;
  end
end;

function TTntFormUltraExplorer.CreateExplorerEasyListview(AParent: TWinControl): TUltraExplorerEasyListview;
begin
  Result := TUltraExplorerEasyListview.Create(AParent);
  Result.IncrementalSearch.StartType := eissFocusedNode;
  Result.ShowHint := True; // Always Show the hint/Tooltip
  Result.IncrementalSearch.ResetTime := 500;
  Result.OpenViewer := OpenViewer;
  Result.ViewerOpenFile := ViewerOpenFile;
  Result.CmdLineSetPath := CmdLineSetPath;
  Result.CmdLineCurrentPath := @CmdLineCurrentPath;
  Result.Active := False;
  Result.Align := alClient;
  Result.BevelInner := bvNone;
  Result.BevelOuter := bvNone;
  Result.BorderWidth := 0;
  Result.ShowThemedBorder := False;
  Result.Themed := True;
  Result.Ctl3D := False;
  Result.BevelWidth := 1;
  Result.Color := clWindow;
  Result.TabStop := True;
  Result.DragManager.Enabled := True;
  Result.Font.Color := clWindowText;
  Result.Grouped := False;
  Result.GroupingColumn := 0;
  Result.GroupFont.Color := clWindowText;
  Result.Header.Font.Color := clWindowText;
  Result.Header.Visible := True;
  Result.IncrementalSearch.Enabled := True;
  Result.OnEnter := ListviewEnter;
  Result.HotTrack.Enabled := Attribs.Listview.HotTrack;
  Result.HotTrack.Color := Result.Font.Color;
  Result.OnClipboardChange := ListviewClipboardChange;
  Result.OnEnumFolder := ListviewEnumFolder;
  Result.OnItemEdited := ListviewItemEdited;
  Result.OnItemSelectionsChanged := ListviewItemSelectionsChanged;
  Result.OnItemFocusChanged := ListviewItemFocusChanged;
  Result.OnItemDblClick := ListviewItemDblClick;
  Result.OnMouseUp := ListviewMouseUp;
  Result.OnContextMenu := ListviewContextMenu;
  Result.OnContextMenu2Message := ListviewContextMenu2Message;
  Result.OnItemCustomView := ListviewItemCustomView;
  Result.OnRootChange := ListviewRootChange;
  Result.OnRootChanging := ListviewRootChanging;
  Result.OnColumnContextMenu := ListviewColumnContextMenu;
  Result.OnMouseDown := ListviewMouseDown;
  Result.OnKeyAction := ListviewKeyAction;
  Result.OnItemMouseDown := ListviewItemMouseDown;
  Result.OnEnumFinished := ListviewEnumFinished;
  Result.OnShellExecute := ListviewShellExecute;
  Result.OnDblClick := ListviewDblClick;
  Result.OnLoadStorageFromRoot := ListviewLoadStorageFromRoot;
  Result.OnSaveRootToStorage := ListviewSaveRootToStorage;
  Result.OnContextMenuCmd := ListviewContextMenuCmd;
  Result.OnContextMenuAfterCmd := ListviewContextMenuAfterCmd;
  Result.OnContextMenuItemChange := ListviewContextMenuItemChange;
  Result.OnMouseGesture := ListviewMouseGesture;
  Result.OnScroll := ListviewScroll;
  Result.BackGround.Image.LoadFromResourceID(hInstance, ID_FILTER_BKGND);
  Result.BackGround.Transparent := True;
  Result.BackGround.OffsetTrack := True;
  Result.BackGround.AlphaBlend := True;
  Result.BackGround.Tile := False;
  Result.BackGround.BlendAlpha := 192;
  Result.PaintInfoGroup.MarginTop.Visible := False;
  Result.ShowInactive := False;
  Result.GroupFont.Style := Result.GroupFont.Style + [fsBold];
  Result.ShowThemedBorder := False;
  Result.Selection.AlphaBlendSelRect := True;
  Result.Selection.EnableDragSelect := True;
  Result.Selection.MouseButton := [cmbLeft, cmbRight];
  Result.Selection.MouseButtonSelRect := [cmbLeft, cmbRight];
  Result.Selection.MultiSelect := True;
  Result.Selection.RectSelect := False;
  Result.Selection.RoundRect := True;
  Result.DragManager.MouseButton := [cmbLeft, cmbRight];
  Result.TabOrder := 0;
  Result.ThumbsManager.StorageCompressed := False;
  Result.ThumbsManager.StorageFilename := 'Thumbnails.album';
  Result.EditManager.Enabled := True;
  Result.GroupingModifiedArray := GroupingModifiedArray;
  Result.GroupingFileSizeArray := GroupingFileSizeArray;    
  Result.View := elsIcon;
  Result.EditManager.AutoEditDelayTime  := 750;
  Result.Options := [
    eloBrowseExecuteFolder,
    eloFullFlushItemsOnChangeNotify,
    eloBrowseExecuteFolderShortcut,
    eloBrowseExecuteZipFolder,
    eloExecuteOnDblClick,
    eloThreadedImages,
    eloQueryInfoHints,
    eloShellContextMenus,
    eloTrackChangesInMappedDrives,
    {$IFDEF THREADEDENUM}eloThreadedEnumeration, {$ENDIF}
    eloThreadedDetails,
    eloGhostHiddenFiles
  ];

  SyncListviewWithAttribs(Result);
  Result.Parent := AParent;
end;

procedure TTntFormUltraExplorer.CreateATViewer;
begin
  ATViewer := TATViewer.Create(SpTBXDockablePanelViewer);
  ATViewer.Align := alClient;
  ATViewer.TabStop := False;
  ATViewer.Parent := SpTBXDockablePanelViewer;
  ATViewer.OnPluginsBeforeLoading := ATViewerPluginsBeforeLoading;
  ATViewer.OnPluginsAfterLoading := ATViewerPluginsAfterLoading;
  ATViewer.OnWebDocumentComplete := ATViewerOnDocumentLoaded;
  ATViewer.OnResize := ViewerResize;
  ATViewer.WebWaitForNavigate := True;
  ATViewer.PopupMenu := SpTBXPopupMenuViewer;
end;

procedure TTntFormUltraExplorer.CreateExplorerEasyListviews;
begin
  UltraListviewDual := CreateExplorerEasyListview(PanelDualView);
  UltraListview := CreateExplorerEasyListview(SpTBXPanelUltraDockSite);
  OldUltraListviewWndProc := UltraListview.WindowProc;
  OldUltraListviewFixedWndProc := UltraListviewDual.WindowProc;
  UltraListview.WindowProc := UltraListviewWndProc;
  UltraListviewDual.WindowProc := UltraListviewFixedWndProc;
end;

procedure TTntFormUltraExplorer.CreateColumnModeView(View: TUltraExplorerEasyListview);
var
  TempPath: TNamespace;
begin
  if Assigned(ActiveRoot) then
    TempPath := ActiveRoot.Clone(True)
  else
    TempPath := DesktopFolder.Clone(True);
  View.Scrollbars.VertEnabled := False;
  View.Scrollbars.HorzEnabled := False;
  if not Assigned(View.ColumnModeView) then
    View.ColumnModeView := TUltraColumnModeView.Create(View);
  View.ColumnModeView.Visible := False;
  View.ColumnModeView.DefaultColumnWidth := Attribs.Listview.DefaultColumnModeWidth;
  View.ColumnModeView.ExplorerComboBox := View.ExplorerCombobox;
  View.ColumnModeView.OnListviewClass := ColumnModeViewClass;
  View.ColumnModeView.Align := alClient;
  View.ColumnModeView.FileObjects := Attribs.Listview.FileObjects;
  View.ColumnModeView.OnItemSelectionsChange := ColumnModeSelectionsChange;
  View.ColumnModeView.OnListviewEnumFolder := ColumnModeEnumFolder;
  View.ColumnModeView.OnListviewContextMenu := ColumnModeContextMenu;
  View.ColumnModeView.OnListviewContextMenu2Message := ColumnModeContextMenu2Message;
  View.ColumnModeView.OnListviewEnter := ColumnModeListviewEnter;
  View.ColumnModeView.OnItemFocusChange := ColumnModeFocusChanged;
  View.ColumnModeView.OnListviewRootChange := ColumnModeRootChange;
  View.ColumnModeView.OnRebuild := ColumnModeRebuild;
  View.ColumnModeView.OnRebuilding := ColumnModeRebuilding;
  View.ColumnModeView.OnEnter := ColumnModeEnter;
  View.ColumnModeView.OnViewFreeing := ColumnModeViewFreeing;
  View.ColumnModeView.OnPathChanging := ColumnModeViewPathChanging;
  View.ColumnModeView.OnListviewItemMouseDown := ListviewModeViewItemMouseDown;
  View.ColumnModeView.OnListviewMouseGesture := ColumnModeMouseGesture;
  View.ColumnModeView.OnItemFocusChanging := ColumnModeViewItemFocusChanging;
  View.ColumnModeView.OnViewMouseUp := ColumnModeViewMouseUp;
  // Setup the basis for the themed Header bar using the TBXToolbar themes
  View.ColumnModeView.HilightActiveColumn := Attribs.Listview.HilightColumn;
  View.ColumnModeView.HilightColumnColor := Attribs.Listview.HilightColumnColor;
  View.ColumnModeView.DefaultSortColumn := Attribs.Listview.DefaultColumn;
  View.ColumnModeView.DefaultSortDir := Attribs.Listview.SortDirection;
  View.ColumnModeView.Parent := View;
  View.CellSizes.Report.Height := TextExtentW('Tg', View.Font).cy + 4;
  View.ColumnModeView.SmoothScrollDelta := Attribs.Listview.SmoothScroll;
  View.ColumnModeView.SortFolderFirstAlways := Attribs.Listview.FoldersAlwaysFirst;
  View.ColumnModeView.Visible := True;
  View.ColumnModeView.Path := TempPath;
  View.ColumnModeView.HilightPath(nil);
  View.ColumnModeView.Active := True;
  View.ColumnModeView.Color := Attribs.Listview.Color;
  View.ColumnModeView.BandHilight := Attribs.Listview.ColumnHilightBanding;
  View.ColumnModeView.BandHilightColor := Attribs.Listview.ColumnHilightBandColor;
  View.ColumnModeView.Options := View.Options;
  if Attribs.Mouse.RightButtonAssignment = 0 then
    View.ColumnModeView.EnableGesture := False
  else
    View.ColumnModeView.EnableGesture := True;
  View.ColumnModeView.ChangeNotifierEnabled := ChangeNotifierEnabled;
  View.Active := False;
end;

procedure TTntFormUltraExplorer.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  // Vista ready ignore the hidden window
  Params.ExStyle := Params.ExStyle and not WS_EX_TOOLWINDOW or WS_EX_APPWINDOW;
end;

procedure TTntFormUltraExplorer.DestroyWnd;
begin
  FreeAndNil(FPostMessageRec.ColumnModeView);
  inherited DestroyWnd;
end;

procedure TTntFormUltraExplorer.DisableContextMenuByVerb(Menu: HMenu; Verb: WideString; NS: TNamespace);
var
  i, Items: Integer;
  InfoA: TMenuItemInfoA;
  InfoW: TMenuItemInfoW;
  BufferA: array[0..128] of Char;
  BufferW: array[0..128] of WideChar;
  S: string;
  WS: WideString;
begin
  { In order to disable some context menu items we need to work with the menu  }
  { directly.  First get the count then look for a match of any item we want   }
  { disabled.  For the example it is easy since the built in items use         }
  { language independant cononical verbs.  If it is a custom context menu      }
  { handler it become less clear how to make sure it works in any language.    }
  Items := GetMenuItemCount(Menu);
  for i := 0 to Items - 1 do
  begin
    if IsUnicode then
    begin
      FillChar(InfoW, SizeOf(InfoW), #0);
      InfoW.cbSize := SizeOf(InfoW);
      InfoW.fMask := MIIM_TYPE or MIIM_ID;
      InfoW.fType := MFT_STRING;
      InfoW.dwTypeData := @BufferW;
      InfoW.cch := SizeOf(BufferW) - 1;
      GetMenuItemInfoW(Menu, i, True, InfoW);
      WS := NS.ContextMenuVerb(GetMenuItemID(Menu, i));
      { This are all language independant using the verb }
      if WideStrIComp(PWideChar(WS), PWideChar(Verb)) = 0 then
      begin
        InfoW.fMask := MIIM_STATE;
        InfoW.fState := MFS_DISABLED;
        SetMenuItemInfoW(Menu, i, True, InfoW);
      end;
    end else
    begin
      FillChar(InfoA, SizeOf(InfoA), #0);
      InfoA.cbSize := SizeOf(InfoA);
      InfoA.fMask := MIIM_TYPE or MIIM_ID;
      InfoA.fType := MFT_STRING;
      InfoA.dwTypeData := @BufferA;
      InfoA.cch := SizeOf(BufferA) - 1;
      GetMenuItemInfo(Menu, i, True, InfoA);
      S := NS.ContextMenuVerb(GetMenuItemID(Menu, i));
      { This are all language independant using the verb }
      if (StrIComp(PChar(S), PChar(string(Verb)))) = 0 then
      begin
        InfoA.fMask := MIIM_STATE;
        InfoA.fState := MFS_DISABLED;
        SetMenuItemInfo(Menu, i, True, InfoA);
      end;
    end
  end
end;

procedure TTntFormUltraExplorer.DownloadNewVersion;
begin
  WideShellExecute(Handle, 'open', STR_DOWNLOADURL, '', '', SW_NORMAL);
end;

procedure TTntFormUltraExplorer.EnableDualPaneMode(Enable: Boolean);
begin
  if Enable then
  begin
    SpTBXDockablePanelDualView.ShowCaptionWhenDocked := False;
    Attribs.General.DualPane := True;
    SpTBXDockListviewSplitter.Visible := True;
    SpTBXToolbarListviewSplitter.Visible := True;
    SpTBXDockablePanelDualView.Visible := True;
    SpTBXDockablePanelDualView.CurrentDock := SpTBXMultiDockViewSpaceRight;
    PanelDualView.Width := SpTBXDockablePanelDualView.ClientWidth;
    SpTBXItemDualPaneLink.Checked := Attribs.General.DualPaneLink;
    UltraListviewDual.Active := True; // Leave active always since the user may be browsing somewhere and hides the Listview for a second.  Don't want to rebuild to root
    ActiveView := UltraListviewDual;
    ActionFixedListView.Enabled := False; // Must be last;
  end
  else
  begin
    ActionFixedListView.Enabled := True;  // Must be first
    Attribs.General.DualPaneLink := SpTBXItemDualPaneLink.Checked;
    Attribs.General.DualPane := False;
    SpTBXDockListviewSplitter.Visible := False;
    SpTBXToolbarListviewSplitter.Visible := False;
    SpTBXDockablePanelDualView.ShowCaptionWhenDocked := Attribs.Listview.ShowTitleBar;
    SpTBXDockablePanelDualView.Visible := False;
    ActiveView := UltraListview
  end;
end;

procedure TTntFormUltraExplorer.EnableListMode(Enable: Boolean);
var
  ColumnModeView: TVirtualColumnModeView;
  Listview: TUltraExplorerEasyListview;
  PIDL: PItemIDList;
begin
  if Enable then
  begin
    CreateColumnModeView(ActiveView);
    OpenViewer('')
  end else
  begin
    if Assigned(ActiveView) then
    begin
      if Assigned(ActiveView.ColumnModeView) then
      begin
        OpenViewer('');
        ColumnModeView := ActiveView.ColumnModeView;
        PIDL := PIDLMgr.CopyPIDL(ColumnModeView.Path.AbsolutePIDL);
        // The ActiveView is a Listview IN the ColumnModeView hence
        // can't use it to find the active EEL or EELFixed window
        Listview := (ColumnModeView.Parent as TUltraExplorerEasyListview);

    //    ColumnModeView.Active := False;
        ColumnModeView.ExplorerComboBox := nil;
        ColumnModeView.OnItemSelectionsChange := nil;
        ColumnModeView.OnListviewEnumFolder := nil;
        ColumnModeView.OnListviewContextMenu := nil;
        ColumnModeView.OnListviewContextMenu2Message := nil;
        ColumnModeView.OnListviewEnter := nil;
        ColumnModeView.OnItemFocusChange := nil;
        ColumnModeView.OnListviewRootChange := nil;
        ColumnModeView.OnItemFocusChanging := nil;
        ColumnModeView.OnEnter := nil;
        ColumnModeView.OnRebuild := nil;
        ColumnModeView.Visible := False;


        Listview.Scrollbars.VertEnabled := True;
        Listview.Scrollbars.HorzEnabled := True;
        // Done on purpose to allow testing in OnRootChanging/Change
        Listview.ColumnModeView := nil;   
        ActiveView := Listview;
        ActiveView.RootFolderCustomPIDL := PIDL;
        PIDLMgr.FreePIDL(PIDL);
        ActiveView.Active := True;


        // This can be called from within a menu hander for the Listmode view (backgnd menu)
        // need to delay the destrution of the object
        FPostMessageRec.ColumnModeView := ColumnModeView;
        PostMessage(Handle, WM_DESTROYCOLUMNMODEVIEW, 0, 0);
      end
    end
  end;
  SyncListviewGroupActions;
end;

procedure TTntFormUltraExplorer.EnableViewerActions(Enable: Boolean);
begin
  ActionViewerText.Enabled := Enable;
  ActionViewerBinary.Enabled := Enable;
  ActionViewerHex.Enabled := Enable;
  ActionViewerMultimedia.Enabled := Enable;
  ActionViewerInternet.Enabled := Enable;
  ActionViewerUnicode.Enabled := Enable;
  ActionViewerPlugin.Enabled := Enable;
  ActionViewerUTF8.Enabled := Enable;
end;

procedure TTntFormUltraExplorer.EnsureListviewTabVisiblility(TabSet: TSpTBXTabSet);
begin
  if Attribs.Listview.HideTabsetWhenOneTab then
  begin
    if TabSet.Name = 'SpTBXTabSetListview' then
      TabSet.Visible := TabCount(TabSet) > 1
  end
  else
    TabSet.Visible := True;
end;

procedure TTntFormUltraExplorer.ExecuteNamespace(SyncSource: TUltraSyncronizerSource; NS: TNamespace; NewTab: Boolean);
begin
  if Assigned(NS)then
  begin
    if NS.Folder then
    begin
      if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
        UltraSyncronizer.Syncronize(SyncSource, NS.AbsolutePIDL, True, 100, NewTab)
    end else
    begin
      if NS.Link then
      begin
        NS.ShellLink.ReadLink(NS.NameForParsing);
        if WideDirectoryExists(NS.ShellLink.TargetPath) then
        begin
          if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
            UltraSyncronizer.Syncronize(SyncSource, NS.ShellLink.TargetIDList, True, 100, NewTab)
        end else
          NS.ShellExecuteNamespace(WideExtractFileDir(ActiveRoot.NameForParsing), '', False, True, MP_ThreadedShellExecute)
      end
      else
        NS.ShellExecuteNamespace(WideExtractFileDir(ActiveRoot.NameForParsing), '', False, True, MP_ThreadedShellExecute)
    end
  end;
end;

procedure TTntFormUltraExplorer.FavoritesClearDropNode;
var
  DropRec: PUltraFavoritesRec;
begin
  if Assigned(FavDropNode) then
  begin
    {$IFDEF GX_DEBUG}
    SendDebug('DragLeave: Node = ' + IntToHex(Integer( FavDropNode), 8));
    {$ENDIF}
    DropRec := PUltraFavoritesRec(UltraFavorites.GetNodeData(FavDropNode)^);
    DropRec.NS.DragLeave;
  end;
  FavDropNode := nil;
end;

procedure TTntFormUltraExplorer.FavoritesRebuildGlobal;

   function RunNodes(Node: PVirtualNode; FavItem: TUltraFavoritesItem): Integer;
   var
     NextNode: PVirtualNode;
     FavRec: PUltraFavoritesRec;
     FavChild: TUltraFavoritesItem;
   begin
     Result := 0;
     NextNode := Node;
     while Assigned(NextNode) do
     begin
       FavRec := PUltraFavoritesRec(UltraFavorites.GetNodeData(NextNode)^);
       // See if it is a Category Folder or Shell Folder
       if Assigned(FavRec.NS) then
       begin
         // ShellFolder just add it
         if FavRec.NS.Folder then
         begin
           FavItem.AddChild(FavRec.Caption, FavRec.NS.AbsolutePIDL);
           Inc(Result)
         end
       end else
       begin
         FavChild := FavItem.AddChild(FavRec.Caption, nil);
         if RunNodes(NextNode.FirstChild, FavChild) = 0 then
           FavItem.DeleteChild(FavChild)
         else
           Inc(Result)
       end;
       NextNode := NextNode.NextSibling
     end
   end;

var
  FavItems: TUltraFavoritesItemRoot;
begin
  FavItems := TUltraFavoritesItemRoot.Create;
  try
    RunNodes(UltraFavorites.GetFirst, FavItems);
    FavItems.SaveToFile(GlobalFavsSettingsFile, VERSION_STREAM);
  finally
    FavItems.Free
  end
end;

procedure TTntFormUltraExplorer.FavoritesMenuClick(Sender: TObject);
var
  Item: TSpTBXItem;
begin
  Item := Sender as TSpTBXItem;
  if Assigned(Item) then
    if Item.Tag <> 0 then
      ExecuteNamespace(ussFavoritesWindow, TNamespace(Item.Tag), Attribs.Favorites.OpenFoldersInNewTab)
end;

procedure TTntFormUltraExplorer.FilterDeleteFilters;
var
  i: Integer;
begin
  UltraFilter.BeginUpdate();
  try
    for i := 0 to UltraFilter.Selection.Count - 1 do
      UltraFilter.Selection.DeleteSelected;
  finally
    UltraFilter.EndUpdate();
  end;
end;

procedure TTntFormUltraExplorer.FilterEnsureGroups;
begin
  while UltraFilter.Groups.Count < 2 do
    UltraFilter.Groups.Add;
end;

procedure TTntFormUltraExplorer.FixTabstops;

  procedure ClearTabstops(Control: TWinControl);
  var
    i: Integer;
  begin
    for i := 0 to Control.ControlCount - 1 do
    begin
      if Control.Controls[i] is TWinControl then
      begin
        ClearTabstops(  TWinControl(Control.Controls[i]));
        TWinControl(Control.Controls[i]).TabStop := False;
      end
    end
  end;

begin
  ClearTabstops(Self);
  // Order not important as I fill in the List in the GetTabOrderList overridden method
  UltraFolders.TabStop := True;
  UltraListview.TabStop := True;
  UltraListviewDual.TabStop := True;
  ECB.ComboEdit.TabStop := True;
  SpTBXEditQuickFilter.TabStop := True;
end;

procedure TTntFormUltraExplorer.FixToolbars(Stretch: Boolean);

  procedure SetStretch(Control: TWinControl);
  var
    i: Integer;
  begin
    for i := 0 to Control.ControlCount - 1 do
    begin
      if Control.Controls[i] is TWinControl then
      begin
        SetStretch(  TWinControl(Control.Controls[i]));
        if Control.Controls[i] is TSpTBXToolbar then
           (Control.Controls[i] as TSpTBXToolbar).Stretch := Stretch
      end
    end
  end;

begin
  SetStretch(Self);
end;

procedure TTntFormUltraExplorer.GetTabOrderList(List: TList);
begin
  List.Add(UltraFolders);
  List.Add(UltraListview);
  List.Add(UltraListviewDual);
  List.Add(ECB.ComboEdit);
  List.Add(SpTBXEditQuickFilter);
end;

procedure TTntFormUltraExplorer.HandleShellNewMenuSelect;
var
  Item: TEasyItem;
begin
  Item := nil;
  if Assigned(ActiveView) then
    Item := TUltraExplorerEasyListviewHack(ActiveView).RereadAndRefresh(False);
  if Assigned(Item) then
    Item.Edit(nil);
end;


procedure TTntFormUltraExplorer.IncrementalDelaysSet(Time: Integer);
begin
  if Assigned(UltraListview) then
    UltraListview.IncrementalSearch.ResetTime := Time;
  if Assigned(UltraListviewDual) then
    UltraListviewDual.IncrementalSearch.ResetTime := Time;
  if Assigned(UltraFolders) then
    UltraFolders.IncrementalSearchTimeout := Time
end;

procedure TTntFormUltraExplorer.InPlaceWindowsDestroy;
var
  i: Integer;
  InPlacePanel: TUltraInPlacePanel;
begin
  for i := 0 to InPlacePanelList.Count - 1 do
  begin
    InPlacePanel := InPlacePanelList[i];
    InPlacePanel.InPlaceWindow := nil;
  end
end;

procedure TTntFormUltraExplorer.InPlaceWindowSetArrange(InPlaceWindow: IUltraInPlaceWindow);
begin
{  if ActionViewArrangeName.Checked then
    InPlaceWindow.SetArrange(pwaName)
  else
  if ActionViewArrangeType.Checked then
    InPlaceWindow.SetArrange(pwaType)
  else
  if ActionViewArrangeSize.Checked then
    InPlaceWindow.SetArrange(pwaSize)
  else
  if ActionViewArrangeModified.Checked then
    InPlaceWindow.SetArrange(pwaModifiedDate)    }
end;

procedure TTntFormUltraExplorer.InPlaceWindowSetGrouped(InPlaceWindow: IUltraInPlaceWindow);
begin
//  InPlaceWindow.SetGrouped(ActionViewShowGroups.Checked)
end;

procedure TTntFormUltraExplorer.LauncherItemClick(Sender: TObject);
var
  Data: TUltraLauncherData;
  ShowFlag: DWORD;
  ShellInfoA: TShellExecuteInfoA;
  ShellInfoW: TShellExecuteInfoW;
  NS: TNamespace;
begin
  Data := TUltraLauncherData( (Sender as TSpTBXItem).Tag);
  if Assigned(Data) then
  begin
    if not Data.IsFolder then
    begin
      ShowFlag := SW_SHOWNORMAL;
      case Data.ShowWindow of
        uswMaximized: ShowFlag := SW_MAXIMIZE;
        uswMinimized: ShowFlag := SW_MINIMIZE;
      end;
      NS := TNamespace.CreateFromFileName(Data.ApplicationPath);
      if Assigned(ShellExecuteExW_MP) then
      begin
        FillChar(ShellInfoW, SizeOf(ShellInfoW), #0);
        ShellInfoW.cbSize := SizeOf(ShellInfoW);
        ShellInfoW.fMask := SEE_MASK_NOCLOSEPROCESS or SEE_MASK_INVOKEIDLIST or SEE_MASK_FLAG_DDEWAIT;
        ShellInfoW.Wnd := Handle;
        ShellInfoW.lpIDList := NS.AbsolutePIDL;
        if not ((WideLowerCase( Data.Operation) = 'open') or (WideLowerCase( Data.Operation) = 'explorer')) then
          ShellInfoW.lpVerb := PWideChar(Data.Operation);
        ShellInfoW.lpFile := PWideChar(  Data.ApplicationPath);
        if Data.Parameters <> '' then
          ShellInfoW.lpParameters := PWideChar( WideExcludeTrailingBackslash(TranslateLauncherMacros(Data.Parameters)));
        if Data.InitialPath <> '' then
          ShellInfoW.lpDirectory := PWideChar( WideExcludeTrailingBackslash(TranslateLauncherMacros(Data.InitialPath)));
        ShellInfoW.nShow := ShowFlag;

  //      ShowMessage('Params: ' + ShellInfoW.lpParameters + #10#13 +
  //                  'Directory: ' + ShellInfoW.lpDirectory);

        ShellExecuteExW_MP(@ShellInfoW);
      end else
      begin
        FillChar(ShellInfoA, SizeOf(ShellInfoA), #0);
        ShellInfoA.cbSize := SizeOf(ShellInfoA);
        ShellInfoA.fMask := SEE_MASK_NOCLOSEPROCESS or SEE_MASK_INVOKEIDLIST or SEE_MASK_FLAG_DDEWAIT;
        ShellInfoA.Wnd := Handle;
        ShellInfoA.lpIDList := NS.AbsolutePIDL;
        if not ((LowerCase( Data.Operation) = 'open') or (LowerCase( Data.Operation) = 'explorer')) then
          ShellInfoA.lpVerb := PChar( string(Data.Operation));
        ShellInfoA.lpFile := PChar( string(Data.ApplicationPath));
        if Data.Parameters <> '' then
          ShellInfoA.lpParameters := PChar( string(ExcludeTrailingBackslash(TranslateLauncherMacros(Data.Parameters))));
        if Data.InitialPath <> '' then
          ShellInfoA.lpDirectory := PChar( string( ExcludeTrailingBackslash(TranslateLauncherMacros(Data.InitialPath))));
        ShellInfoA.nShow := ShowFlag;
        ShellExecuteExA(@ShellInfoA)
      end;
      NS.Free
    end
  end;
end;

procedure TTntFormUltraExplorer.ColumnModeEnter(Sender: TObject);
begin
// Trying to activate when horz scroller is clicked
//  ActiveView := ((Sender as TUltraColumnModeView).Views[0] as TUltraExplorerEasyListview)
end;

procedure TTntFormUltraExplorer.ColumnModeRebuild(Sender: TCustomVirtualColumnModeView);
begin
  // Moved action to ColumnModeViewMouseUp
{  if Assigned(ActiveView) then
  begin
    if ActionViewer.Checked and Assigned(ActiveView.Selection.FocusedItem) then
      OpenViewer((ActiveView.Selection.FocusedItem as TExplorerItem).Namespace.NameForParsing)
  end else
    OpenViewer('')     }
end;

procedure TTntFormUltraExplorer.ColumnModeRebuilding(Sender: TCustomVirtualColumnModeView);
begin

end;

procedure TTntFormUltraExplorer.ColumnModeViewFreeing(Sender: TCustomVirtualColumnModeView; View: TColumnModeEasyListview);
begin
  if View = ActiveView then
  begin
    if Assigned(View.ColumnModeView) then
    begin
      if View.Info.iPosition > 0 then
      begin
        if View.Info.iPosition - 1 < TVirtualColumnModeView(Sender).ViewCount then
          ActiveView := TVirtualColumnModeView(Sender).Views[View.Info.iPosition - 1] as TUltraExplorerEasyListview
        else
          ActiveView := nil
      end else
        ActiveView := nil
    end else
      ActiveView := nil
  end
end;

procedure TTntFormUltraExplorer.ColumnModeViewPathChanging(Sender: TCustomVirtualColumnModeView; OldPath, NewPath: TNamespace; var Allow: Boolean);
begin
  if Assigned(NewPath) then
    Allow := NewPath.OkToBrowse(not Attribs.General.SuppressNoDiskMessages);
end;

procedure TTntFormUltraExplorer.LauncherSaveShortCuts;
var
  i: Integer;
  Data: TUltraLauncherData;
begin
  for i := 0 to SpTBXPopupMenuLauncher.Items.Count - 3 do
  begin
    Data := TUltraLauncherData( (SpTBXPopupMenuLauncher.Items[i] as TSpTBXItem).Tag);
    if Assigned(Data) then
      Data.ShortCut := SpTBXPopupMenuLauncher.Items[i].ShortCut
  end
end;

procedure TTntFormUltraExplorer.ListviewScroll(Sender: TCustomEasyListview;
  DeltaX, DeltaY: Integer);
var
  ScaleX, ScaleY: Double;
begin
  if Attribs.General.DualPane then
  begin
    if SpTBXItemDualPaneLink.Checked then
    begin
      if Sender = ActiveView then
      begin
        ScaleX := 0.0;
        ScaleY := 0.0;
        if Sender = UltraListview then
        begin
          if (UltraListview.Scrollbars.MaxOffsetX <> 0) then
            ScaleX := UltraListviewDual.Scrollbars.MaxOffsetX/UltraListview.Scrollbars.MaxOffsetX;
          if (UltraListview.Scrollbars.MaxOffsetY <> 0) then
            ScaleY := UltraListviewDual.Scrollbars.MaxOffsetY/UltraListview.Scrollbars.MaxOffsetY;
          UltraListviewDual.Scrollbars.OffsetX :=  Round( ScaleX * UltraListview.Scrollbars.OffsetX);
          UltraListviewDual.Scrollbars.OffsetY :=  Round( ScaleY * UltraListview.Scrollbars.OffsetY);
          UltraListviewDual.SafeInvalidateRect(nil, True);
          UltraListview.SafeInvalidateRect(nil, True);
        end else
        begin
          if (UltraListview.Scrollbars.MaxOffsetX <> 0) then
            ScaleX := UltraListview.Scrollbars.MaxOffsetX/UltraListviewDual.Scrollbars.MaxOffsetX;
          if (UltraListview.Scrollbars.MaxOffsetY <> 0) then
            ScaleY := UltraListview.Scrollbars.MaxOffsetY/UltraListviewDual.Scrollbars.MaxOffsetY;
          UltraListview.Scrollbars.OffsetX :=  Round( ScaleX * UltraListviewDual.Scrollbars.OffsetX);
          UltraListview.Scrollbars.OffsetY :=  Round( ScaleY * UltraListviewDual.Scrollbars.OffsetY);
          UltraListviewDual.SafeInvalidateRect(nil, True);
          UltraListview.SafeInvalidateRect(nil, True);
        end
      end
    end
  end
end;

procedure TTntFormUltraExplorer.LoadGroupingFileSizeAndModifiedArrayFromFile(S: TStream);
var
  i, Len: Integer;
begin
  Len := StreamHelper.ReadInteger(S);
  SetLength(GroupingFileSizeArray, Len);
  for i := 0 to Length(GroupingFileSizeArray) - 1 do
  begin
    GroupingFileSizeArray[i].Caption := StreamHelper.ReadWideString(S);
    GroupingFileSizeArray[i].Enabled := StreamHelper.ReadBoolean(S);
    GroupingFileSizeArray[i].SpecialFolder := StreamHelper.ReadBoolean(S);
    GroupingFileSizeArray[i].FileSize := StreamHelper.ReadInt64(S);
  end;
  Len := StreamHelper.ReadInteger(S);
  SetLength(GroupingModifiedArray, Len);
  for i := 0 to Length(GroupingModifiedArray) - 1 do
  begin
    GroupingModifiedArray[i].Caption := StreamHelper.ReadWideString(S);
    GroupingModifiedArray[i].Enabled := StreamHelper.ReadBoolean(S);
    GroupingModifiedArray[i].Days := StreamHelper.ReadExtended(S);
  end
end;

procedure TTntFormUltraExplorer.LoadItemWithInPlaceTabInfo(Item: TTBCustomItem; InPlaceWindow: IUltraInPlaceWindow);
var
  WS: WideString;
  AnImageIndex: Integer;
  AnImageList: TCustomImageList;
begin
  if Assigned(InPlaceWindow) and Assigned(Item) then
  begin
    if InPlaceWindow.HintMsg(WS) then
    begin
      Item.Hint := WS;
      SetTBItemHint(Item, WS);
    end;
    if InPlaceWindow.TabCaption(WS) then
    begin
      Item.Caption := WS;
      SetTBItemCaption(Item, WS);
    end;
    AnImageList := nil;
    AnImageIndex := -1;
    if InPlaceWindow.TabImage(AnImageList, AnImageIndex) then
    begin
      Item.ImageIndex := AnImageIndex;
      Item.Images := AnImageList;
    end
  end
end;

procedure TTntFormUltraExplorer.LoadNewViewSettings(View: TUltraExplorerEasyListview);

  procedure HandleCopyPreviousFolder;
  begin
    if Attribs.Listview.CopyPrevView then
    begin
      if not View.LoadFolderFromPrevView then
        SetDefaultViewSettings(View)
    end else
      SetDefaultViewSettings(View)
  end;

begin
  if not Assigned(View.ColumnModeView) then
  begin
    if Attribs.Listview.SavePerFolder then
    begin
      if not View.LoadFolderFromPropertyBag then
        HandleCopyPreviousFolder
    end else
      HandleCopyPreviousFolder;
    SyncListviewViewActions;
    SyncListviewGroupActions;
  end
end;

procedure TTntFormUltraExplorer.LockToolbars;

  procedure RunToolbars(Control: TControl);
  var
    i: Integer;
  begin
    for i := 0 to Control.ComponentCount - 1 do
    begin
      if Control.Components[i] is TControl then
        RunToolbars(TControl( Control.Components[i]));
      if Control.Components[i] is TSpTBXDock then
         TSpTBXDock( Control.Components[i]).AllowDrag := not (Attribs.Toolbars.Lock and LockableDock(TSpTBXDock( Control.Components[i])));
      if Control.Components[i] is TSpTBXMultiDock then
         TSpTBXMultiDock( Control.Components[i]).AllowDrag := not (Attribs.Toolbars.Lock and LockableMultiDock(TSpTBXMultiDock( Control.Components[i])));
    end
  end;

begin
  RunToolbars(Self)
end;

procedure TTntFormUltraExplorer.PanelDrawBackground(Sender: TObject; ACanvas: TCanvas; ARect: TRect; const PaintStage: TSpTBXPaintStage; var PaintDefault: Boolean);
begin
  PaintDefault := False
end;

procedure TTntFormUltraExplorer.SaveGroupingFileSizeAndModifiedArrayToFile(
  S: TStream);
var
  i: Integer;
begin
  StreamHelper.WriteInteger(S, Length(GroupingFileSizeArray));
  for i := 0 to Length(GroupingFileSizeArray) - 1 do
  begin
    StreamHelper.WriteWideString(S, GroupingFileSizeArray[i].Caption);
    StreamHelper.WriteBoolean(S, GroupingFileSizeArray[i].Enabled);
    StreamHelper.WriteBoolean(S, GroupingFileSizeArray[i].SpecialFolder);
    StreamHelper.WriteInt64(S, GroupingFileSizeArray[i].FileSize);
  end;
  StreamHelper.WriteInteger(S, Length(GroupingModifiedArray));
  for i := 0 to Length(GroupingModifiedArray) - 1 do
  begin
    StreamHelper.WriteWideString(S, GroupingModifiedArray[i].Caption);
    StreamHelper.WriteBoolean(S, GroupingModifiedArray[i].Enabled);
    StreamHelper.WriteExtended(S, GroupingModifiedArray[i].Days);
  end
end;

procedure TTntFormUltraExplorer.SetChangeNotifierEnabled(const Value: Boolean);
var
  NS: TNamespace;
begin
  if FChangeNotifierEnabled <> Value then
  begin
    FChangeNotifierEnabled := Value;
    if Value then
    begin
      ChangeNotifier.RegisterKernelChangeNotify(UltraFolders, AllKernelNotifiers);
      ChangeNotifier.RegisterKernelSpecialFolderWatch(CSIDL_DESKTOP);
      ChangeNotifier.RegisterKernelSpecialFolderWatch(CSIDL_PERSONAL);
      ChangeNotifier.RegisterKernelSpecialFolderWatch(CSIDL_COMMON_DOCUMENTS);
      UltraListviewDual.ChangeNotifierEnabled := Value;
      UltraListview.ChangeNotifierEnabled := Value;
      UltraFolders.TreeOptions.VETMiscOptions := UltraFolders.TreeOptions.VETMiscOptions + [toChangeNotifierThread];
      if UltraFolders.ValidateNamespace(UltraFolders.FocusedNode, NS) then
        ChangeNotifier.NotifyWatchFolder(UltraFolders, NS.NameForParsing);
    end else
    begin
      ChangeNotifier.UnRegisterKernelChangeNotify(UltraFolders);
      UltraListviewDual.ChangeNotifierEnabled := Value;
      UltraListview.ChangeNotifierEnabled := Value;
      UltraFolders.TreeOptions.VETMiscOptions := UltraFolders.TreeOptions.VETMiscOptions - [toChangeNotifierThread];
    end
  end
end;

procedure TTntFormUltraExplorer.SetDefaultViewSettings(View: TUltraExplorerEasyListview);
begin
  if Assigned(View) then
  begin
    View.BeginUpdate;
    try
      case Attribs.Listview.DefaultView of
        0: ActionViewIcon.Execute;
        1: ActionViewSmallIcon.Execute;
        2: ActionViewList.Execute;
        3: ActionViewDetails.Execute;
        4: ActionViewThumbnail.Execute;
        5: ActionViewTile.Execute;
        6: ActionViewColumnMode.Execute;
      end;
      // ColumnView does not support this stuff
      if Attribs.Listview.DefaultView < 6 then
      begin
        View.DefaultSortColumn := Attribs.Listview.DefaultColumn;
        View.DefaultSortDir := Attribs.Listview.SortDirection;
        View.Grouped := Attribs.Listview.GroupedByDefault;
        View.ShowGroupMargins := View.Grouped;
        View.GroupingColumn := Attribs.Listview.DefaultGroup;
        if View.Header.Columns.Count > 0 then
        begin
          if (Attribs.Listview.DefaultColumn > -1) and (Attribs.Listview.DefaultColumn < View.Header.Columns.Count) then
            View.Selection.FocusedColumn := View.Header.Columns[Attribs.Listview.DefaultColumn]
          else
            View.Selection.FocusedColumn := View.Header.Columns[0]
        end
      end
    finally
      View.EndUpdate
    end
  end
end;

procedure TTntFormUltraExplorer.SetToolbarCloseButton(Root: TComponent; Show: Boolean);
var
  i: Integer;
begin
  for i := 0 to Root.ComponentCount - 1 do
  begin
    if Root.Components[i].ComponentCount > 0 then
      SetToolbarCloseButton(Root.Components[i], Show);

    // Some toolbars will not show the "Close X" regardless of the options settings
    if (Root.Components[i] is TSpTBXToolbar) and not (
    (Root.Components[i] is TSpTBXDockablePanelToolbar) or
    (Root.Components[i] is TSpTBXStatusToolbar) or
    (Root.Components[i] is TSpTBXTabToolbar) or
    (Root.Components[i] is TSpTBXTitleToolbar) or
    (Root.Components[i].Name = 'SpTBXToolbarMainMenu') or
    (Root.Components[i].Name = 'SpTBXToolbarQuickSearch') or
    (Root.Components[i].Name = 'SpTBXToolbarTasks') or
    (Root.Components[i].Name = 'SpTBXDualModeDockPanel')) then
       TSpTBXToolbar( Root.Components[i]).CloseButtonWhenDocked := Show
  end;
end;

procedure TTntFormUltraExplorer.SetUpOneFolderPrevLevel(
  const Value: PItemIDList);
begin
  if Assigned(FUpOneFolderPrevLevel) then
    PIDLMgr.FreeAndNilPIDL(FUpOneFolderPrevLevel);
  FUpOneFolderPrevLevel := Value;
end;

procedure TTntFormUltraExplorer.ShowEditGroupingDialog;
begin
  if EditGroupingCriteria(Self, SpTBXDockHeader, SpTBXToolbarMainMenu) then
  begin
    if Assigned(ActiveView) then
    begin
      ActiveView.GroupingModifiedArray := GroupingModifiedArray;
      ActiveView.GroupingFileSizeArray := GroupingFileSizeArray;
      if ActiveView.Grouped then
        ActiveView.RebuildEx
    end
  end;
end;

procedure TTntFormUltraExplorer.ShowOKDialog(AMessage, ACaption: WideString);
var
  F: TTntFormOkDialog;
begin
  F := TTntFormOkDialog.CreateEx(Self);
  try
    F.Caption := ACaption;
    F.SpTBXLabel.Caption := AMessage;
    F.ShowModal;
  finally
    F.Visible := False;
    F.Release
  end
end;

procedure TTntFormUltraExplorer.SizeFileTypeObjectsButton;
begin
// Make room for the Arrow
  SpTBXItemFileTypesObjects.Caption := SpTBXItemFileTypesObjects.Caption + '  ';
  SetTBItemCaption(SpTBXItemFileTypesObjects, SpTBXItemFileTypesObjects.Caption + '  ');
end;

procedure TTntFormUltraExplorer.StatusbarMenuHelp(MenuItemID: Integer;
  Namespace: TNamespace);
var
  i: Integer;
begin
  SpTBXStatusBar.Toolbar.BeginUpdate;
  try
    for i := 1 to SpTBXStatusBar.Items.Count - 1 do
      SpTBXStatusBar.Items[i].Visible := False;
    SpTBXLabelItemStatusBarObjects.Caption := Namespace.ContextMenuItemHelp(MenuItemID) + ' ';
  finally
    SpTBXStatusBar.Toolbar.EndUpdate;
  end
end;

procedure TTntFormUltraExplorer.StatusbarMenuHelpEnd;
var
  i: Integer;
begin
  SpTBXStatusBar.Toolbar.BeginUpdate;
  try
  // Don't turn on the "Update Available" item
    for i := 1 to SpTBXStatusBar.Items.Count - 2 do
      SpTBXStatusBar.Items[i].Visible := True;
    SyncStatusBar
  finally
    SpTBXStatusBar.Toolbar.EndUpdate;
  end
end;

procedure TTntFormUltraExplorer.SyncListviewBkGndMenu;
begin
  if Assigned(ActiveView) then
  begin
    case ActiveView.GroupingColumn of
      0: ActionViewArrangeName.Checked := True;
      1: ActionViewArrangeSize.Checked := True;
      2: ActionViewArrangeType.Checked := True;
      3: ActionViewArrangeModified.Checked := True;
    end;
    ActionViewShowGroups.Checked := ActiveView.Grouped;
  end
end;


procedure TTntFormUltraExplorer.SyncListviewGroupActions;
begin
  if Assigned(ActiveView) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
    begin
      ActionViewShowGroups.Enabled := False;
      ActionViewShowGroups.Checked := False
    end
    else begin
      ActionViewShowGroups.Enabled := True;
      ActionViewShowGroups.Checked := ActiveView.Grouped;
      case ActiveView.GroupingColumn of
        0: ActionViewArrangeName.Checked := True;
        1: ActionViewArrangeSize.Checked := True;
        2: ActionViewArrangeType.Checked := True;
        3: ActionViewArrangeModified.Checked := True;
      end
    end
  end
end;

procedure TTntFormUltraExplorer.SyncQuickFilter;
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
//  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
//  begin
//    ActionQuickFilterClear.Enabled := InPlaceWindow.IsQuickFiltered;
//    ActionQuickFilterApply.Enabled := (SpTBXEditQuickFilter.Text <> '') and not InPlaceWindow.IsQuickFiltered;
//  end else
  if Assigned(ActiveView) then
  begin
    ActionQuickFilterClear.Enabled := ActiveView.QuickFiltered;
    ActionQuickFilterApply.Enabled := (SpTBXEditQuickFilter.Text <> '') and not ActiveView.QuickFiltered;
  end else
  begin
    ActionQuickFilterClear.Enabled := False;
    ActionQuickFilterApply.Enabled := False
  end
end;

procedure TTntFormUltraExplorer.SyncQuickThumbs(LockoutChangeEvent: Boolean);
var
  Temp: TNotifyEvent;
begin
  Temp := nil;
  if LockoutChangeEvent then
  begin
    Temp := SpTBXTrackBarQuickView.OnChange;
    SpTBXTrackBarQuickView.OnChange := nil;
  end;
  SpTBXTrackBarQuickView.Max := Round( Screen.Height * 0.9);
  SpTBXTrackBarQuickView.Min := MIN_THUMBSIZE;
  if Assigned(ActiveView) then
    SpTBXTrackBarQuickView.Position := ActiveView.CellSizes.Thumbnail.Width;
  if LockoutChangeEvent then
    SpTBXTrackBarQuickView.OnChange := Temp;
end;

procedure TTntFormUltraExplorer.TabChangeInPlaceThemes(ThemeName: PChar);
var
  Tab: TUltraSpTBXTabItem;
  i: Integer;
begin
  for i := TabFirst(SpTBXTabSetListview) to TabCount(SpTBXTabSetListview) - 1 do
  begin
    if i > -1 then   // Make sure there are any Tabs
    begin
      Tab := TUltraSpTBXTabItem( SpTBXTabSetListview.Items[i]);
      if Assigned(Tab.InPlaceWindow) then
        Tab.InPlaceWindow.SetTheme(ThemeName)
    end
  end
end;

procedure TTntFormUltraExplorer.TabLoadHistoryAndMRU(TabIndex: Integer);
var
  Tab: TUltraSpTBXTabItem;
begin
  if Assigned(ActiveView) then
  begin
    // Don't allow the update to the MRU and History to Fire Syncroniztion
    UltraSyncronizer.Enabled := False;
    UltraHistory.BeginUpdate();
    try
      if Assigned(ActiveView.ColumnModeView) then
      begin
      end else
      begin
        if Attribs.History.SavePerTab then
        begin
          if TabIndex > -1 then
          begin
            Tab := SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem;
            if Tab.MRU.Size > 0 then
            begin
              Tab.MRU.Seek(0, 0);
              VirtualShellMRU.LoadFromStream(Tab.MRU)
            end else
              VirtualShellMRU.Clear;


            if Tab.History.Size > 0 then
            begin
              Tab.History.Seek(0, 0);
              VirtualShellHistory.LoadFromStream(Tab.History);
              VirtualShellHistory.ItemIndex := Tab.HistoryIndex;
            end else
              VirtualShellHistory.Clear
          end
        end
      end
    finally
      UltraSyncronizer.Enabled := True;
      UltraHistory.EndUpdate();
    end
  end
end;

procedure TTntFormUltraExplorer.TabLoadQuickFilterInfo(TabIndex: Integer);
  var
  Tab: TUltraSpTBXTabItem;
  Txt: WideString;
begin
  if Attribs.Filter.QuickFilterSavePerTab and Assigned(ActiveView) and (TabIndex > -1) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
    begin
    
    end else
    begin
      Tab := SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem;
      Txt := Tab.QuickFilterContents;
      SpTBXEditQuickFilter.Text := Txt;
    end
  end
end;

procedure TTntFormUltraExplorer.TabRestoreListviewState(TabIndex: Integer);
var
  i, Index: Integer;
  Count: Integer;
  Item: TExplorerItem;
  PIDL: PItemIDList;
  Tab: TUltraSpTBXTabItem;
  List: TEasyItemArray;
begin
  if Assigned(ActiveView) and (TabIndex > -1) and (TabIndex >= TabFirst(SpTBXTabSetListview)) and (TabIndex <= TabLast(SpTBXTabSetListview)) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
    begin

    end else
    begin
      ActiveView.BeginUpdate;
      ActiveView.Selection.IncMultiChangeCount;
      try
        SetLength(List, ActiveView.Groups.ItemCount);
        i := 0;
        Item := TExplorerItem( ActiveView.Groups.FirstItem);
        while Assigned(Item) do
        begin
          List[i] := Item;
          Inc(i);
          Item := TExplorerItem( ActiveView.Groups.NextItem(Item))
        end;

        ItemNamespaceQuickSort(List, ActiveRoot.ShellFolder, 0, Length(List) - 1);

        // Save the state of the listview to be restored if the tab is reselected
        Tab := SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem;
        Tab.Selected.Seek(0, soFromBeginning);
        if Tab.Selected.Size > 0 then
        begin
          Count := StreamHelper.ReadInteger(Tab.Selected);
          for i := 0 to Count - 1 do
          begin
            PIDL := PIDLMgr.LoadFromStream(Tab.Selected);
            Index := ListBinarySearch(PIDL, List, ActiveRoot.ShellFolder, 0, Length(List) - 1);
            if (Index > -1) and (Index < Length(List)) then
              Item := TExplorerItem( List[Index]);
            if Assigned(Item) then
              Item.Selected := True;
            PIDLMgr.FreePIDL(PIDL);
          end;
          if StreamHelper.ReadBoolean(Tab.Selected) then
          begin
            PIDL := PIDLMgr.LoadFromStream(Tab.Selected);
            Index := ListBinarySearch(PIDLMgr.GetPointerToLastID(PIDL), List, ActiveRoot.ShellFolder, 0, Length(List) - 1);
            if (Index > -1) and (Index < Length(List)) then
              Item := TExplorerItem( List[Index]);
            PIDLMgr.FreePIDL(PIDL);
            if Assigned(Item) then
              Item.MakeVisible(emvTop)
          end
        end        

      finally
        ActiveView.Selection.DecMultiChangeCount;
        ActiveView.EndUpdate;
      end;
 //     Tab.Selected.Clear;
    end
  end
end;

procedure TTntFormUltraExplorer.TabSaveHistoryAndMRU(TabIndex: Integer);
var
  Tab: TUltraSpTBXTabItem;
begin
  if Assigned(ActiveView) and (TabIndex > -1) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
    begin
    
    end else
    begin
      if Attribs.History.SavePerTab then
      begin
        Tab := SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem;

        Tab.MRU.Clear;

        // For tab switching save all mapped, network, and removeable
        VirtualShellMRU.SaveToStream(Tab.MRU, True);

        Tab.HistoryIndex := VirtualShellHistory.ItemIndex;
        Tab.History.Clear;
        VirtualShellHistory.SaveToStream(Tab.History);
      end
    end
  end
end;

procedure TTntFormUltraExplorer.TabSaveListviewState(TabIndex: Integer);
var
  Item: TExplorerItem;
  Tab: TUltraSpTBXTabItem;
begin
  if Assigned(ActiveView) and (TabIndex > -1) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
    begin
    
    end else
    begin
      Tab := SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem;
      Tab.Selected.Clear;
      // Save the state of the listview to be restored if the tab is reselected
      StreamHelper.WriteInteger(Tab.Selected, ActiveView.Selection.Count);
      Item := TExplorerItem(ActiveView.Selection.First);
      while Assigned(Item) do
      begin
        PIDLMgr.SaveToStream(Tab.Selected, Item.Namespace.RelativePIDL);
        Item := TExplorerItem(ActiveView.Selection.Next(Item));
      end;
      Item := ActiveView.TopItem as TExplorerItem;
      if Assigned(Item) then
      begin
        StreamHelper.WriteBoolean(Tab.Selected, True);
        PIDLMgr.SaveToStream(Tab.Selected, Item.Namespace.AbsolutePIDL);
      end else
        StreamHelper.WriteBoolean(Tab.Selected, False);
    end
  end
end;

procedure TTntFormUltraExplorer.TabSaveQuickFilterInfo(TabIndex: Integer);
var
  Tab: TUltraSpTBXTabItem;
begin
  if Attribs.Filter.QuickFilterSavePerTab and Assigned(ActiveView) and (TabIndex > -1) then
  begin
    if Assigned(ActiveView.ColumnModeView) then
    begin
    
    end else
    begin
      Tab := SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem;
      Tab.QuickFilterContents :=  SpTBXEditQuickFilter.Text;
    end
  end
end;

procedure TTntFormUltraExplorer.TabSetMenuItemClick(Sender: TObject);
begin
  // Selected the Tab that was stored in the Tag property
  SpTBXTabSetListview.View.BeginUpdate;
  try
    SpTBXTabSetListview.MakeVisible(TUltraSpTBXTabItem((Sender as TSpTBXItem).Tag));
    TUltraSpTBXTabItem((Sender as TSpTBXItem).Tag).Click;
  finally
    SpTBXTabSetListview.View.EndUpdate;
  end
end;

procedure TTntFormUltraExplorer.TabUnAssociateParentSpecial;
var
  Tab: TUltraSpTBXTabItem;
  i: Integer;
begin
  // Disconnects the Special Tab Embedded Form from the application.  When the parent
  // is set the control is added to the Control List and as such Owner is implicetly set.
  // This was causing the object to be automatically destroyed and thus prematurely
  // breaking the IUltraInPlaceWindow link between the tab and the inplace form.
  // Once object implementing the interface was released before the Tab knew about it.
  // This unhooks the Window handle chain and removes it from the list to be autofreed.
  // It is now freed from within the TUltraSpTBXTabItem destructor
  for i := TabFirst(SpTBXTabSetListview) to TabCount(SpTBXTabSetListview) - 1 do
  begin
    if i > -1 then   // Make sure there are any Tabs
    begin
      Tab := TUltraSpTBXTabItem( SpTBXTabSetListview.Items[i]);
      if Assigned(Tab.InPlaceWindow) then
      begin
        Tab.InPlaceWindow.ShowWindow(False);
        Tab.InPlaceWindow.SetParentWnd(nil);
      end
    end
  end
end;

procedure TTntFormUltraExplorer.TaskDestroyCurrentTaskWindow;
var
  Plugin: TWinControl;
begin
  if Assigned(CurrentTask) then
  begin
    TaskWindowTabs.Clear;
    CurrentTask.ShowWindow(False);
    if CurrentTask.GetObject(Plugin) then
      Plugin.Parent := nil;
    CurrentTask.DestroyWindow;
    CurrentTask := nil
  end;
end;

procedure TTntFormUltraExplorer.TaskEnumFinishedCallback;
var
  Callback: IUltraCallback;
begin
  // Restore the state if the tabs were changed
  TabRestoreListviewState(SpTBXTabSetListview.ActiveTabIndex);
  if Assigned(CurrentTask) then
    if Succeeded(CurrentTask.QueryInterface(IUltraCallback, Callback)) then
      CallBack.OnEnumFinished;
end;

function TTntFormUltraExplorer.TaskHandleMessage(var Msg: TMsg): Boolean;
begin
  Result := False;
  if Assigned(CurrentTask) then
    CurrentTask.HandleMessage(Msg, Result);
end;

procedure TTntFormUltraExplorer.TaskMenuItemClick(Sender: TObject);
var
 PluginWnd: hWnd;
 Plugin: TUltraTaskLib;
 TaskIndex, PluginIndex: Integer;
begin
  SendMessage(SpTBXPanelTaskBkGnd.Handle, WM_SETREDRAW, 0, 0);
  try
    TaskDestroyCurrentTaskWindow;
    TaskIndex := LoWord((Sender as TTBCustomItem).Tag);
    PluginIndex := HiWord((Sender as TTBCustomItem).Tag);

    Plugin := TaskPlugins[TaskIndex];
    if Plugin.Plugin.CreatePluginWindow(PluginIndex, Self, SpTBXPanelTaskBkGnd.Handle, PluginWnd) then
    begin
      if PluginWnd <> 0 then
      begin
        Plugin.Plugin.SetTheme(PChar( CurrentSkin.SkinName));
        Plugin.Plugin.ShowWindow(True);
        Plugin.Plugin.SetWindowBounds(SpTBXPanelTaskBkGnd.Width+1, SpTBXPanelTaskBkGnd.Height+1);
        Plugin.Plugin.SetWindowBounds(SpTBXPanelTaskBkGnd.Width-1, SpTBXPanelTaskBkGnd.Height-1);
        CurrentTask := Plugin.Plugin;
        TaskWindowTabs.BuildTabList(PluginWnd);  // Build the tab list for proper keyboard tabbing
        TaskEnumFinishedCallback; // Give the plug in a chance to sync with the current view
      end
    end
  finally
    SendMessage(SpTBXPanelTaskBkGnd.Handle, WM_SETREDRAW, 1, 0);
    RedrawWindow(SpTBXPanelTaskBkGnd.Handle, nil, 0, RDW_ERASE or RDW_INVALIDATE or RDW_ERASENOW or
        RDW_UPDATENOW or RDW_ALLCHILDREN or RDW_FRAME);
  end
end;

procedure TTntFormUltraExplorer.TaskMenuPopulate(Item: TTBCustomItem);
var
  i, j: Integer;
  SubItem: TSpTBXItem;
begin
  Item.Clear;
  for i := 0 to TaskPlugins.Count - 1 do
  begin
    for j := 0 to TaskPlugins.Task[i].PluginCount - 1 do
    begin
      SubItem := TSpTBXItem.Create(Item);
      SubItem.Caption := TaskPlugins.Caption[i, j];
      SetTBItemCaption(SubItem, TaskPlugins.Caption[i, j]);
      SubItem.Tag := MakeLong(i, j) ; // Slip the index of the Task in the Tag property, Hiword being the Plugin Index and the low word the Task Index (DLL)
      SubItem.OnClick := TaskMenuItemClick;
      Item.Add(SubItem);
    end
  end
end;

procedure TTntFormUltraExplorer.TaskSelectionChangedCallback;
var
  Callback: IUltraCallback;
begin
  if Assigned(CurrentTask) then
  begin
    if Succeeded(CurrentTask.QueryInterface(IUltraCallback, Callback)) then
      Callback.OnSelectionChanged;
  end;
end;

procedure TTntFormUltraExplorer.TBXDrivesToolbarWndProc(var Message: TMessage);
begin
  // This handles recreating of the toolbar nicely, on shut down it leads to problems
  // so it is unhooked on QueryClose and done before anything is being destroyed.
  if (Message.Msg = WM_DESTROY) and (ddrDrives in DragDropRegistrations) then
    RevokeDragDrop(SpTBXToolbarDrives.Handle);
  OldDriveToolbarWndProc(Message)
end;

procedure TTntFormUltraExplorer.TBXTabSetWndProc(var Message: TMessage);
begin
  // This handles recreating of the toolbar nicely, on shut down it leads to problems
  // so it is unhooked on QueryClose and done before anything is being destroyed.
  if (Message.Msg = WM_DESTROY) and (ddrTabSet in DragDropRegistrations) then
    RevokeDragDrop(SpTBXTabSetListview.Handle);
  OldTabSetWndProc(Message)
end;

function TTntFormUltraExplorer.TranslateLauncherMacros(S: WideString): WideString;

  function ExtractFiles(NSArray: TNamespaceArray; FirstSelectedOnly, FileNameOnly, ShortName: Boolean): WideString;
  var
    i: Integer;
    WideList: TTntStringList;
    List: TStringList;
  begin
    Result := '';
    if Length(NSArray) > 0 then
    begin
      if not IsUnicode or ShortName then
      begin
        // ANSI Selection
        if FirstSelectedOnly then
        begin
          // Only want the first selected
          if WideFileExists(NSArray[0].NameParseAddress) then
          begin
            if FileNameOnly then
              Result := NSArray[0].ShortFileName
            else
              Result := ShortFileName( NSArray[0].NameParseAddress)
          end
        end
        else begin
          List := TStringList.Create;
          try
            for i := 0 to Length(NSArray) - 1 do
            begin
              if WideFileExists(NSArray[i].NameParseAddress) then
              begin
                if FileNameOnly then
                  List.Add(NSArray[i].ShortFileName)
                else
                  List.Add(ShortFileName( NSArray[i].NameParseAddress))
              end
            end;
            if List.Count > 0 then
            begin
              List.SaveToFile(WideGetTempDir + STR_TEMP_LIST_FILE);
              Result := ShortFileName( WideGetTempDir + STR_TEMP_LIST_FILE)
            end;
          finally
            List.Free
          end
        end
      end else
      begin
        // Unicode Selection
        if FirstSelectedOnly then
        begin
          // Only want the first selected
          if WideFileExists(NSArray[0].NameParseAddress) then
          begin
            if FileNameOnly then
              Result := NSArray[0].NameAddressbarInFolder
            else
              Result := NSArray[0].NameParseAddress
          end
        end
        else begin
          WideList := TTntStringList.Create;
          try
            for i := 0 to Length(NSArray) - 1 do
            begin
              if WideFileExists(NSArray[i].NameParseAddress) then
              begin
                if FileNameOnly then
                  WideList.Add(NSArray[i].NameParseAddressInFolder)
                else
                  WideList.Add(NSArray[i].NameParseAddress)
              end
            end;
            if WideList.Count > 0 then
            begin
              WideList.SaveToFile(WideGetTempDir + STR_TEMP_LIST_FILE);
              Result := WideGetTempDir + STR_TEMP_LIST_FILE
            end;
          finally
            WideList.Free
          end
        end
      end;
      Result := Trim(Result);
    end
  end;

  function ExtractCurrentDir: WideString;
  begin
    Result := '';
    if Assigned(ActiveRoot) and WideDirectoryExists(ActiveRoot.NameForParsing) then
      Result := ActiveRoot.NameForParsing
  end;

  procedure BuildSelectionList(var NSArray: TNamespaceArray);
  var
    i: Integer;
    Item: TExplorerItem;
  begin
    if Assigned(ActiveView) then
    begin
      i := 0;
      SetLength(NSArray, ActiveView.SelectionCount);
      Item := ActiveView.FirstSelection;
      while Assigned(Item) do
      begin
        NSArray[i] := Item.Namespace;
        Inc(i);
        Item := ActiveView.NextSelection(Item);
      end;
    end else
      NSArray := nil
  end;

var
  NSArray: TNamespaceArray;
begin
  Result := S;
  BuildSelectionList(NSArray);
  SReplaceAllW(Result, '{FileName}', ExtractFiles(NSArray, True, True, False));
  SReplaceAllW(Result, '{FileNameShort}', ExtractFiles(NSArray, True, True, True));
  SReplaceAllW(Result, '{FilePath}', ExtractFiles(NSArray, True, False, False));
  SReplaceAllW(Result, '{FilePathShort}', ExtractFiles(NSArray, True, False, True));
  SReplaceAllW(Result, '{FileDir}', WideStripTrailingBackslash( ExtractCurrentDir) + '\');
  SReplaceAllW(Result, '{FileDirShort}', WideStripTrailingBackslash( ShortFileName( ExtractCurrentDir)) + '\');
  if Pos('{FileNameList}', Result) > 0 then
    SReplaceAllW(Result, '{FileNameList}', ExtractFiles(NSArray, False, True, False));
  if Pos('{FileNameListShort}', Result) > 0 then
    SReplaceAllW(Result, '{FileNameListShort}', ExtractFiles(NSArray, False, True, True));
  if Pos('{filepathlist}', Result) > 0 then
    SReplaceAllW(Result, '{FilePathList}', ExtractFiles(NSArray, False, False, False));
  if Pos('{FilePathListShort}', Result) > 0 then
    SReplaceAllW(Result, '{FilePathListShort}', ExtractFiles(NSArray, False, False, True));

  if ATViewer.Mode = vmodeUnicode then
    SReplaceAllW(Result, '{ViewerText}', ATViewer.TextSelTextW)
  else
    SReplaceAllW(Result, '{ViewerText}', ATViewer.TextSelText);
  SReplaceAllW(Result, '{ViewerPos}', IntToStr( ATViewer.PosPercent));
  SpecialVariableReplacePath(Result);
  SReplaceAllW(Result, '""', ''); // Strip out double quotes  

  {$IFDEF DEBUG_LAUNCHER_PARAMS}
    MessageBoxW(Handle, PWidechar(Result), 'Debug', MB_OK);
  {$ENDIF}
end;

procedure TTntFormUltraExplorer.UltraFavoritesWndProc(var Message: TMessage);
begin
  ContextMenuSelect(Message);
  if Assigned(OldUltraFavoriteWndProc) then
    OldUltraFavoriteWndProc(Message)
end;

procedure TTntFormUltraExplorer.UltraListviewFixedWndProc(var Message: TMessage);
begin
  ContextMenuSelect(Message);
  if Assigned(OldUltraListviewFixedWndProc) then
    OldUltraListviewFixedWndProc(Message)
end;

procedure TTntFormUltraExplorer.UltraListviewWndProc(var Message: TMessage);
begin
  ContextMenuSelect(Message);
  if Assigned(OldUltraListviewWndProc) then
    OldUltraListviewWndProc(Message)
end;

procedure TTntFormUltraExplorer.UpdateUI(UpdateType: TUltraNotifierUIUpdate);
begin
  case UpdateType of
    nuiStatusbar:  SyncStatusBar;
    nuiActionbar:  SyncListviewEditActions;
  end
end;

procedure TTntFormUltraExplorer.UpOneFolder;
var
  PrevPIDL: PItemIDList;
begin
  if Assigned(ActiveView) then
  begin
    UpOneFolderPrevLevel := PIDLMgr.CopyPIDL(ActiveView.RootFolderNamespace.AbsolutePIDL);
    PrevPIDL := PIDLMgr.StripLastID(PIDLMgr.CopyPIDL(UpOneFolderPrevLevel));
    try
      if ActiveView = UltraListview then
        UltraSyncronizer.Syncronize(ussListviewWindow, PrevPIDL, True, 100, False)
      else
      if ActiveView = UltraListviewDual then
        UltraSyncronizer.Syncronize(ussListviewDualWindow, PrevPIDL, True, 100, False);
      SyncListviewEditActions;
    finally
      PIDLMgr.FreePIDL(PrevPIDL)
    end
  end;
end;

procedure TTntFormUltraExplorer.ViewerTimerKill;
begin
  if( TimerIDViewer <> 0) and HandleAllocated then
    KillTimer(Handle, TimerIDViewer);
  TimerIDViewer := 0;
end;

procedure TTntFormUltraExplorer.LanguageItemClick(Sender: TObject);
begin
  LangManager.LanguageID := LangManager.LanguageIDs[(Sender as TTBCustomItem).Tag]
end;

function TTntFormUltraExplorer.LoadAttribs(Attribs: TUltraAttribs): Boolean;
//
//  Called by the Options dialog just before it is shown.  Allows for the Attribs
// class to be syncronized with the current state of the application
//
begin
  Result := True;
  try
    // Command Line Attributes
    Attribs.CmdLine.Color := TntRichEditCmdLine.Color;
    Attribs.CmdLine.Font.Assign(TntRichEditCmdLine.Font);

    // Filter Attributes
    Attribs.Filter.Font.Assign(UltraFilter.Font);
    Attribs.Filter.Color := UltraFilter.Color;

    // DropStack Attributes
    Attribs.DropStack.Font.Assign(UltraDropStack.Font);
    Attribs.DropStack.Color := UltraDropStack.Color;

    // Favorites Attributes
    Attribs.Favorites.Font.Assign(UltraFavorites.Font);
    Attribs.Favorites.Color := UltraFavorites.Color;

    // History Attributes
    Attribs.History.Font.Assign(UltraHistory.Font);
    Attribs.History.Color := UltraHistory.Color;
    Attribs.History.Levels := VirtualShellMRU.Levels;

    // Viewer Attributes
    Attribs.Viewer.Font.Assign(ATViewer.TextFont);
    Attribs.Viewer.OEMFont.Assign(ATViewer.TextFontOEM);
    Attribs.Viewer.Hex1Color := ATViewer.TextColorHex;
    Attribs.Viewer.Hex2Color := ATViewer.TextColorHex2;
    Attribs.Viewer.HexBkGndColor := ATViewer.TextColorHexBack;
    Attribs.Viewer.TextBkGndColor := ATViewer.TextColor;
    Attribs.Viewer.WebOffline := ATViewer.WebOffline;
    Attribs.Viewer.AutoModeDetect := ATViewer.ModeDetect;
    Attribs.Viewer.MediaFit := ATViewer.MediaFit;
    Attribs.Viewer.TextEncoding := ATViewer.TextEncoding;
    Attribs.Viewer.TextWrap := ATViewer.TextWrap;
    Attribs.Viewer.TextExtensions.Text := ATViewerOptions.ExtText;
    Attribs.Viewer.ImageExtensions.Text := ATViewerOptions.ExtImages;
    Attribs.Viewer.InternetExtensions.Text := ATViewerOptions.ExtWeb;
    Attribs.Viewer.MediaExtensions.Text := ATViewerOptions.ExtMedia;
    Attribs.Viewer.RTFExtensions.Text := ATViewerOptions.ExtRTF;

    // General Attributes
    Attribs.General.ShowFullPathInAddressbar := ECB.TextType = ecbtFullPath;
    Attribs.General.Language := LangManager.LanguageID;

    // Listview Attributes
    if Assigned(ActiveView) then
    begin
      Attribs.Listview.Font.Assign(ActiveView.Font);
      Attribs.Listview.Color := ActiveView.Color;
      Attribs.Listview.ThumbsHeight := ActiveView.CellSizes.Thumbnail.Height;
      Attribs.Listview.ThumbsWidth := ActiveView.CellSizes.Thumbnail.Width;
      Attribs.Listview.HilightColumn := ActiveView.PaintInfoColumn.HilightFocused;
      Attribs.Listview.HilightColumnColor := ActiveView.PaintInfoColumn.HilightFocusedColor;
      Attribs.Listview.ExtensionColorCodeList.Assign( ActiveView.ExtensionColorCodeList);
    end else
    begin
      Attribs.Listview.Font.Assign(UltraListview.Font);
      Attribs.Listview.Color := UltraListview.Color;
      Attribs.Listview.ThumbsHeight := UltraListview.CellSizes.Thumbnail.Height;
      Attribs.Listview.ThumbsWidth := UltraListview.CellSizes.Thumbnail.Width;
      Attribs.Listview.HilightColumn := UltraListview.PaintInfoColumn.HilightFocused;
      Attribs.Listview.HilightColumnColor := UltraListview.PaintInfoColumn.HilightFocusedColor;
      Attribs.Listview.ExtensionColorCodeList.Assign( UltraListview.ExtensionColorCodeList);
    end;

    // Treeview Attributes
    Attribs.Treeview.Font.Assign(UltraFolders.Font);
    Attribs.Treeview.Color := UltraFolders.Color;
    Attribs.Treeview.AutoHorzScroll := not (toDisableAutoscrollOnFocus in UltraFolders.TreeOptions.AutoOptions);
    Attribs.Treeview.HoverExpand := toAutoDropExpand in UltraFolders.TreeOptions.AutoOptions;
    Attribs.Treeview.ShowBranchLines := toShowTreeLines in UltraFolders.TreeOptions.PaintOptions;
    Attribs.Treeview.HotTrack := toHotTrack in UltraFolders.TreeOptions.PaintOptions;
    Attribs.Treeview.FullRowSelect := toFullRowSelect in UltraFolders.TreeOptions.SelectionOptions;
    Attribs.Treeview.SingleClickExpand := toAutoExpand in UltraFolders.TreeOptions.AutoOptions;
  except
    Result := False
  end
end;

procedure TTntFormUltraExplorer.ColumnModeContextMenu(Sender: TCustomVirtualColumnModeView; Listview: TCustomEasyListview; MousePt: TPoint; var Handled: Boolean);
begin
  ListviewContextMenu(Listview, MousePt, Handled)
end;

procedure TTntFormUltraExplorer.ColumnModeContextMenu2Message(Sender: TCustomVirtualColumnModeView; Listview: TCustomVirtualExplorerEasyListview; var Msg: TMessage);
begin
  ListviewContextMenu2Message(Listview, Msg)
end;

procedure TTntFormUltraExplorer.ColumnModeEnumFolder(Sender: TCustomVirtualColumnModeView; Listview: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; var AllowAsChild: Boolean);
begin
  ListviewEnumFolder(Listview, Namespace, AllowAsChild)
end;

procedure TTntFormUltraExplorer.ColumnModeFocusChanged(Sender: TCustomVirtualColumnModeView; ListView: TCustomEasyListview; Item: TEasyItem);
begin
  ListviewItemFocusChanged(Listview, Item)
end;

procedure TTntFormUltraExplorer.ColumnModeListviewEnter(Sender: TCustomVirtualColumnModeView; Listview: TColumnModeEasyListview);
//
// Called when a Listview within the ColumnModeView Window has the focus
//
begin
  ListviewEnter(Listview)
end;

procedure TTntFormUltraExplorer.ColumnModeRootChange(Sender: TCustomVirtualColumnModeView; Listview: TCustomVirtualExplorerEasyListview);
begin
  ListviewRootChange(Listview)
end;

procedure TTntFormUltraExplorer.ColumnModeSelectionsChange(Sender: TCustomVirtualColumnModeView; ColumnModeView: TCustomEasyListview);
begin
  ListviewItemSelectionsChanged(ColumnModeView)
end;

procedure TTntFormUltraExplorer.ColumnModeViewItemFocusChanging(Sender: TCustomVirtualColumnModeView; ColumnModeView: TCustomEasyListview; Item: TEasyItem; var Allow: Boolean);
begin

  Allow := TExplorerItem( Item).Namespace.OkToBrowse(not Attribs.General.SuppressNoDiskMessages);
  //  Don't start a drag select or drag is we fail and show a dialog
  if not Allow then
    ColumnModeView.States := ColumnModeView.States - [ebcsLButtonDown, ebcsRButtonDown, ebcsMButtonDown]
end;

procedure TTntFormUltraExplorer.ColumnModeViewClass(Sender: TCustomVirtualColumnModeView; var ViewClass: TListModeEasyListviewClass);
begin
  ViewClass := TUltraExplorerEasyListview
end;

procedure TTntFormUltraExplorer.ListviewClipboardChange(Sender: TObject);
begin
  ActionListviewPaste.Enabled := ClipboardContainsShellFormats and not TabActiveIsInPlaceWindow(SpTBXTabsetListview);
  ActionTreeviewPaste.Enabled := ClipboardContainsShellFormats;
end;

procedure TTntFormUltraExplorer.ListviewColumnContextMenu(Sender: TCustomEasyListview; HitInfo: TEasyHitInfoColumn; WindowPoint: TPoint; var Menu: TPopupMenu);
begin
  // Fired just before the menu is shown.  Use this to sync with the current attribs
  if Assigned(ActiveView) then
  begin
    ActiveView.ColumnMenuItemCount := Attribs.Listview.ColumnsShownInHeaderMenu;
    ActiveView.ItemClass := TSpTBXItem;
    ActiveView.MenuClass := TSpTBXPopupMenu;
  end
end;

procedure TTntFormUltraExplorer.ListviewContextMenu(Sender: TCustomEasyListview;
  MousePt: TPoint; var Handled: Boolean);
//
// Called on the background Listview Menu
//
var
  NewMenuCommand: Boolean;
begin
  if (MousePt.X = -1) and (MousePt.X = -1) then
  begin
    MousePt.X := 0;
    MousePt.Y := 0;
  end;
  SyncListviewBkGndMenu;
  ViewBkGndMenu.Show(ActiveView, MousePt, Sender.Handle, ActiveRoot, NewMenuCommand);

  if NewMenuCommand then
    HandleShellNewMenuSelect;


  Handled := True;
end;

procedure TTntFormUltraExplorer.ListviewContextMenu2Message(
  Sender: TCustomVirtualExplorerEasyListview; var Msg: TMessage);
begin
  ViewBkGndMenu.DispatchToMenu(Msg)
end;

procedure TTntFormUltraExplorer.ListviewContextMenuAfterCmd(
  Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace;
  Verb: WideString; MenuItemID: Integer; Successful: Boolean);
begin
  StatusbarMenuHelpEnd;
end;

procedure TTntFormUltraExplorer.ListviewContextMenuCmd(Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; var Handled: Boolean);
begin
  if (Verb = 'delete') or (Verb = 'cut') then
    OpenViewer('')
end;

procedure TTntFormUltraExplorer.ListviewContextMenuItemChange(
  Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace;
  MenuItemID: Integer; SubMenuID: hMenu; MouseSelect: Boolean);
begin
  StatusbarMenuHelp(MenuItemID, Namespace);
end;

procedure TTntFormUltraExplorer.ListviewDblClick(Sender: TCustomEasyListview;
  Button: TCommonMouseButton; MousePos: TPoint; ShiftState: TShiftState);
var
  Item: TEasyItem;
  LV: TVirtualExplorerEasyListview;
  HitInfo: TEasyItemHitTestInfoSet;
begin
  if Attribs.Listview.UpLevelOnDblClk and (Button = cmbLeft) then
  begin
    LV := Sender as TVirtualExplorerEasyListview;
    Item := LV.Groups.ItembyPoint(LV.Scrollbars.MapWindowToView(MousePos));
    if not Assigned(Item) then
       PostMessage(Handle, WM_BROWSEPREV, Integer( LV), 0)
    else begin
      if (LV.View <> elsReport) or not LV.Selection.FullRowSelect then
      begin
        Item.HitTestAt(LV.Scrollbars.MapWindowToView(MousePos), HitInfo);
        if [ehtOnIcon, ehtOnText, ehtOnCheck] * HitInfo = [] then
          PostMessage(Handle, WM_BROWSEPREV, Integer( LV), 0);
      end
    end
  end
end;

procedure TTntFormUltraExplorer.ListviewEnter(Sender: TObject);
var
  NS: TNamespace;
begin
  if Assigned((Sender as TUltraExplorerEasyListview).ColumnModeView) then
  begin
    // Prevent double pumping the Active view.
    if (((Sender as TUltraExplorerEasyListview).ColumnModeView).Parent as TUltraExplorerEasyListview) = Sender then
        Exit;
  end;

  ActiveView := Sender as TUltraExplorerEasyListview;
  if ActiveView = UltraListview then
    UltraSyncronizer.Syncronize(ussListviewWindow, ActiveRoot.AbsolutePIDL, True, 50, False)
  else
  if ActiveView = UltraListviewDual then
    UltraSyncronizer.Syncronize(ussListviewDualWindow, ActiveRoot.AbsolutePIDL, True, 50, False)
  else
    ShowMessage('Listview Enter from Columns Mode');

  SyncFavoritesActions
end;

procedure TTntFormUltraExplorer.ListviewEnumFinished(Sender: TCustomVirtualExplorerEasyListview);
var
  Item: TEasyItem;
  View: TUltraExplorerEasyListview;
begin
  SyncStatusBar;
  if Attribs.Filter.QuickFilterClearOnBrowse and not TabSwitching then
     ActionQuickFilterClearExecute(ActionQuickFilterClear);

  View := Sender as TUltraExplorerEasyListview;
  if Assigned(View) then
  begin
    // Select the folder that was browsed up from
    if Assigned(UpOneFolderPrevLevel) then
    begin
      if ILIsParent(View.RootFolderNamespace.AbsolutePIDL, UpOneFolderPrevLevel, True) then
      begin
        Item := View.FindItemByPIDL(UpOneFolderPrevLevel);
        if Assigned(Item) then
        begin
          View.Selection.ClearAll;
          Item.Focused := True;
          Item.Selected := True;
          Item.MakeVisible(emvTop);
        end
      end;
      UpOneFolderPrevLevel := nil;
    end;
    if Attribs.Listview.SelectFirstItem and (View.Selection.Count = 0) then
      View.Selection.SelectFirst;
  end;
  UpOneFolderPrevLevel := nil;
  TaskEnumFinishedCallback;
  TabSwitching := False;    // Set in ListviewTabChanged event
end;


procedure TTntFormUltraExplorer.ListviewEnumFolder(Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; var AllowAsChild: Boolean);
var
  i, j: Integer;
  Item: TUltraFilterItem;
begin
  if ActionFilterEnable.Checked then
  begin
    AllowAsChild := False;

    // See if we just throw out folders
    // Note we directly access the Filters Item must make sure we never change that
    // position
    AllowAsChild := (Namespace.Folder and not Namespace.Browsable) and (UltraFilter.Groups[0][0].Checked);

    i := 0;
    j := 1; // We skip over the Folders filter as it was tested above
    while (i < UltraFilter.Groups.Count) and not AllowAsChild do
    begin
      while (j < UltraFilter.Groups[i].ItemCount) and not AllowAsChild do
      begin
        Item := TUltraFilterItem( UltraFilter.Groups[i][j]);
        if UltraFilter.Groups[i][j].Checked then
        begin
          if WidePathMatchSpecExists then
            AllowAsChild := WidePathMatchSpec(Namespace.NameAddressbarInFolder, Item.Mask)
          else
            AllowAsChild := WideExtractFileExt(LowerCase(Item.Mask)) = WideExtractFileExt(LowerCase(Namespace.NameForParsingInFolder));
        end;
        Inc(j)
      end;
      j := 0;
      Inc(i)
    end;
    if Attribs.Filter.FilterOut then
      AllowAsChild := not AllowAsChild;
  end
end;

procedure TTntFormUltraExplorer.ListviewItemCustomView(Sender: TCustomEasyListview; Item: TEasyItem; ViewStyle: TEasyListStyle; var View: TEasyViewItemClass);
begin
  if (ViewStyle = elsReport) then
    View :=  TUltraViewReportItem
end;

procedure TTntFormUltraExplorer.ListviewItemDblClick(Sender: TCustomEasyListview; Button: TCommonMouseButton; MousePos: TPoint; HitInfo: TEasyHitInfoItem);
begin
  if ((Button = cmbLeft) and AsyncControlDown) or  (Button = cmbMiddle) then
  begin
    if Sender = UltraListview then
    begin
      UltraSyncronizer.Syncronize(ussListviewWindow, (HitInfo.Item as TExplorerItem).Namespace.AbsolutePIDL, True, 50, True);
    end else
    if Sender = UltraListviewDual then
    begin
      UltraSyncronizer.Syncronize(ussListviewDualWindow, (HitInfo.Item as TExplorerItem).Namespace.AbsolutePIDL, True, 50, True);
    end else
      ShowMessage('Listview ItemDblClick from Columns Mode');

    // Need to Cancel any ShellExecute that may happen later
    Include(FUEState, uesListviewDblClickNewTab);
  end
end;

procedure TTntFormUltraExplorer.ListviewItemEdited(Sender: TCustomEasyListview;
  Item: TEasyItem; var NewValue: Variant; var Accept: Boolean);
begin
  Accept := True
end;

procedure TTntFormUltraExplorer.ListviewItemFocusChanged(Sender: TCustomEasyListview; Item: TEasyItem);
begin
  if not IsAnyMouseButtonDown then
    ViewerTimerStart;
end;

procedure TTntFormUltraExplorer.ListviewItemMouseDown(Sender: TCustomEasyListview; Item: TEasyItem; Button: TCommonMouseButton; var DoDefault: Boolean);
var
  NS: TNamespace;
  Pt: TSmallPoint;
  ColumnView: Boolean;
begin
  // Clear flag if the previous click was a Double Click for a new Tab
  Exclude(FUEState, uesListviewDblClickNewTab);
  
  NS := (Item as TExplorerItem).Namespace;
  ColumnView := Assigned((Sender as TUltraExplorerEasyListview).ColumnModeView);

  if ColumnView then
  begin
    if (Button = cmbRight) then
    begin
      Item.Hilighted := True;
      if not NS.OkToBrowse(False) then
      begin
        Pt := PointToSmallPoint(Mouse.CursorPos);
        Perform(WM_CONTEXTMENU, Sender.Handle, MakeLong(Pt.X, Pt.Y));
        Item.Hilighted := False
      end
    end else
      DoDefault := NS.OkToBrowse(not Attribs.General.SuppressNoDiskMessages);
  end else
  begin
    DoDefault := True;
    Exit;

    if (Button = cmbRight) then
    begin
      Item.Hilighted := True;

      if not NS.OkToBrowse(False) then
      begin
        Pt := PointToSmallPoint(Mouse.CursorPos);
        Perform(WM_CONTEXTMENU, Sender.Handle, MakeLong(Pt.X, Pt.Y));
        Item.Hilighted := False
      end
    end else
      DoDefault := NS.OkToBrowse(not Attribs.General.SuppressNoDiskMessages);
    end
end;

procedure TTntFormUltraExplorer.ListviewItemSelectionsChanged(Sender: TCustomEasyListview);
begin
  SyncFavoritesActions;
  if Assigned(ActiveView) then
  begin
    SyncStatusBar;
    TaskSelectionChangedCallback;
  end;
  SyncListviewEditActions
end;

procedure TTntFormUltraExplorer.ListviewKeyAction(Sender: TCustomEasyListview; var CharCode: Word; var Shift: TShiftState; var DoDefault: Boolean);
var
  LV: TUltraExplorerEasyListview;
  Item: TExplorerItem;
begin
  case CharCode of
    VK_RETURN:
      begin
        LV := Sender as TUltraExplorerEasyListview;
        if (ssCtrl in Shift) and (LV.Selection.Count = 1) then
        begin
          Item := LV.Selection.First as TExplorerItem;
          if Assigned(Item) and Item.Namespace.Folder then
            TabAdd(Item.Namespace.AbsolutePIDL, nil, SpTBXTabSetListview, False)
        end
      end;
    VK_BACK:
      begin
        ActionListviewUpOneFolder.Execute;
        DoDefault := False
      end;
    VK_F5: DoDefault := False
  end
end;

procedure TTntFormUltraExplorer.ListviewLoadStorageFromRoot(Sender: TCustomVirtualExplorerEasyListview; NodeStorage: TNodeStorage);
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.CellSizes.Thumbnail.Width := NodeStorage.Storage.Thumbnails.Size.cx;
    ActiveView.CellSizes.Thumbnail.Height := NodeStorage.Storage.Thumbnails.Size.cy;
    SyncQuickThumbs(True);
  end
end;

procedure TTntFormUltraExplorer.ListviewModeViewItemMouseDown(Sender: TCustomVirtualColumnModeView; Listview: TCustomEasyListview; Item: TEasyItem; Button: TCommonMouseButton; var DoDefault: Boolean);
begin
//  DoDefault := (Item as TExplorerItem).Namespace.OkToBrowse(not Attribs.General.SuppressNoDiskMessages)
end;

procedure TTntFormUltraExplorer.ListviewMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  LV: TUltraExplorerEasyListview;
begin
  LV := Sender as TUltraExplorerEasyListview;
  if (ssCtrl in Shift) and (LV.Selection.Count = 1) then
 //  TabAdd((LV.Selection.First as TExplorerItem).Namespace.AbsolutePIDL, SpTBXTabSetListview)
end;

procedure TTntFormUltraExplorer.ListviewMouseGesture(Sender: TCustomEasyListview; Gesture: WideString;
  var DoDefaultMouseAction: Boolean);
begin
  if Gesture = Attribs.Mouse.FolderUpStroke then
    UpOneFolder
  else
  if Gesture = Attribs.Mouse.BackStroke then
    BrowseHistoryBack
  else
  if Gesture = Attribs.Mouse.ForwardStroke then
    BrowseHistoryNext
  else
  if Gesture = Attribs.Mouse.NewTabStroke then
    ActionTabNew.Execute
end;

procedure TTntFormUltraExplorer.ListviewMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  LV: TUltraExplorerEasyListview;
  Item: TExplorerItem;
  HitInfo: TEasyItemHitTestInfoSet;
  ViewerSelect: Boolean;
  ViewPt: TPoint;
  R: TRect;
begin
  if ActionViewer.Checked then
  begin
    ViewerTimerKill;
    ViewerSelect := False;
    LV := Sender as TUltraExplorerEasyListview;
    ViewPt := LV.Scrollbars.MapWindowToView(Point(X, Y));
    Item := LV.Groups.ItemByPoint(ViewPt) as TExplorerItem;
    if Assigned(Item) then
    begin
      if Attribs.Listview.FullRowSelect then
      begin
        R := Item.ViewRect;
        ViewerSelect := PtInRect(R, ViewPt)
      end else
      begin
        if Item.HitTestAt(ViewPt, HitInfo) then
          ViewerSelect := ehtOnClickSelectBounds in HitInfo
      end;
      if ViewerSelect and Item.Focused then
        OpenViewer(Item.Namespace.NameForParsing)
      else
        OpenViewer('')
    end else
      OpenViewer('')
  end
end;

procedure TTntFormUltraExplorer.ListviewRootChange(Sender: TCustomVirtualExplorerEasyListview);
var
  InplaceNotify: IUltraInplaceNotifications;
begin
  if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
  begin
    if Sender = UltraListview then
      UltraSyncronizer.Syncronize(ussListviewWindow, (Sender as TUltraExplorerEasyListview).RootFolderNamespace.AbsolutePIDL, True, 100, False)
    else
      UltraSyncronizer.Syncronize(ussListviewDualWindow, (Sender as TUltraExplorerEasyListview).RootFolderNamespace.AbsolutePIDL, True, 100, False);
   // BeginUpdate called in RootChanging
   (Sender as TUltraExplorerEasyListview).EndUpdate;

  end;
  if ChangeNotifierEnabled and Assigned((Sender as TVirtualExplorerEasyListview).RootFolderNamespace) then
      ChangeNotifier.NotifyWatchFolder(Sender, (Sender as TVirtualExplorerEasyListview).RootFolderNamespace.NameForParsing);
  LoadNewViewSettings(Sender as TUltraExplorerEasyListview);
  OpenViewer('');  
  if TabActiveIsInPlaceWindow(SpTBXTabSetListview) then
  begin
    if Supports(TabActiveInPlaceWindow, IUltraInplaceNotifications, InplaceNotify) then
      InplaceNotify.RootFolderChanged((Sender as TVirtualExplorerEasyListview).RootFolderNamespace.AbsolutePIDL)
  end
end;

procedure TTntFormUltraExplorer.ListviewRootChanging(Sender: TCustomVirtualExplorerEasyListview; const NewValue: TRootFolder; const CurrentNamespace, Namespace: TNamespace; var Allow: Boolean);
var
  LV: TUltraExplorerEasyListview;
begin
  if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
  begin
    LV := Sender as TUltraExplorerEasyListview;
    LV.BeginUpdate;
    if Sender = UltraListview then
      UltraSyncronizer.SyncronizePending(ussListviewWindow, CurrentNamespace.AbsolutePIDL)
    else
      UltraSyncronizer.SyncronizePending(ussListviewDualWindow, CurrentNamespace.AbsolutePIDL)
  end
end;

procedure TTntFormUltraExplorer.ListviewSaveRootToStorage(Sender: TCustomVirtualExplorerEasyListview; NodeStorage: TNodeStorage);
begin
  if Assigned(ActiveView) then
  begin
    NodeStorage.Storage.Thumbnails.Size.cx := ActiveView.CellSizes.Thumbnail.Width;
    NodeStorage.Storage.Thumbnails.Size.cy := ActiveView.CellSizes.Thumbnail.Height;
  end
end;

procedure TTntFormUltraExplorer.ListviewSetView(View: TEasyListStyle);
begin
  if Attribs.General.DualPane then
  begin
    UltraListview.View := View;
    UltraListviewDual.View := View;
  end else
  begin
    if Assigned(ActiveView) then
      ActiveView.View := View;
  end
end;

procedure TTntFormUltraExplorer.ListviewShellExecute(Sender: TCustomVirtualExplorerEasyListview; Namespace: TNamespace; var WorkingDir: WideString; var CmdLineArgument: WideString; var Allow: Boolean);
begin
  if uesListviewDblClickNewTab in UEState then
  begin
    // Already Handled in ListviewItemDblClick
    Exclude(FUEState, uesListviewDblClickNewTab);
    Allow := False
  end else
  begin
    Allow := Namespace.OkToBrowse(not Attribs.General.SuppressNoDiskMessages);
    if Allow then
    begin
      if Sender = UltraListview then
        ExecuteNamespace(ussListviewWindow, Namespace, False)
      else
      if Sender = UltraListviewDual then
        ExecuteNamespace(ussListviewDualWindow, Namespace, False);
      Allow := False
    end
  end
end;

procedure TTntFormUltraExplorer.LoadLanguages;
begin
   // Scan for language files in the app directory and register them in the LangManager object
    LangManager.ScanForLangFiles(ModuleFileName(True) + '\Language', '*.lng', False);
end;

procedure TTntFormUltraExplorer.LoadConfiguration;

  procedure CorruptConfigFile(ConfigFile: WideString);
  var
    BakFile: WideString;
  begin
    if WideFileExists(ConfigFile) then
    begin
      BakFile := Tnt_WideStringReplace(STR_CORRUPT_CONFIG_FILE, '%FileName1%', WideExtractFileName(ConfigFile), [rfReplaceAll, rfIgnoreCase]);
      BakFile := Tnt_WideStringReplace(BakFile, '%FileName2%', WideStripExt(WideExtractFileName(ConfigFile)) + '.bak', [rfReplaceAll, rfIgnoreCase]);
      ShowOKDialog(BakFile, STR_ERROR);
      BakFile := AppFilesPath + '\' + WideStripExt(WideExtractFileName(ConfigFile)) + '.bak';
      if WideFileExists(BakFile) then
        WideDeleteFile(BakFile);
      WideCopyFile(ConfigFile, BakFile, False);
      WideDeleteFile(ConfigFile)
    end
  end;

var
  ConfigStream: TTntFileStream;
  Mutex: THandle;
  Version: Integer;
  ColumnModeView: Boolean;
  StringList: TTntStringList;
  i: Integer;
  Ext, Temp: WideSTring;
  Color: TColor;
  IsBold, IsItalic, IsEnabled, IsUnderLine: Boolean;
begin
  // Do this before reading in the configuration
  FixFormFont(Font);
  UltraListview.BeginUpdate;
  UltraListviewDual.BeginUpdate;
  try
    Mutex := OpenMutex(MUTEX_ALL_ACCESS, False, STR_FILESYNCMUTEX);
    try
      WaitForSingleObject(Mutex, INFINITE);

      try
        if WideFileExists(LauncherFile) then
          Launchers.LoadFromFile(LauncherFile, Version);
      except
        CorruptConfigFile(LauncherFile)
      end;

      try
        UltraListview.Clear;
        if WideFileExists(EELFolderSettingsFile) then
          UltraListview.Storage.LoadFromFile(EELFolderSettingsFile, VETStreamStorageVer, True);
      except
        CorruptConfigFile(EELFolderSettingsFile)
      end;

      try
        UltraListviewDual.Clear;
        if WideFileExists(EELFixedFolderSettingsFile) then
           UltraListviewDual.Storage.LoadFromFile(EELFixedFolderSettingsFile, VETStreamStorageVer, True);
      except
        CorruptConfigFile(EELFixedFolderSettingsFile)
      end;

      try
        if WideFileExists(CustomizationSettingsFile) then
          SpTBXCustomizer.Load(CustomizationSettingsFile);
      except
        CorruptConfigFile(CustomizationSettingsFile)
      end;

      // Depreciated - This is the old format
      if WideFileExists(FilterSettingsFile) then
      begin
        ConfigStream := TTntFileStream.Create(FilterSettingsFile, fmOpenRead);
        try
          LoadFilterListview(ConfigStream, False);
        finally
          ConfigStream.Free;
          try
            WideDeleteFile(FilterSettingsFile);
          except
            CorruptConfigFile(FilterSettingsFile)
          end
        end
      end;

      if WideFileExists(FilterSettingsFileNew) then
      begin
        ConfigStream := TTntFileStream.Create(FilterSettingsFileNew, fmOpenRead);
        try
          LoadFilterListview(ConfigStream, True);
        finally
          ConfigStream.Free;
          try
            WideDeleteFile(FilterSettingsFile);
          except
            CorruptConfigFile(FilterSettingsFileNew)
          end
        end
      end;

      if WideFileExists(FavoriteSettingsFile) then
      begin
        ConfigStream := TTntFileStream.Create(FavoriteSettingsFile, fmOpenRead);
        try
          try
            UltraFavorites.LoadFromStream(ConfigStream);
            FavoritesRebuildGlobal;
          except
            CorruptConfigFile(FavoriteSettingsFile)
          end
        finally
          ConfigStream.Free
        end
      end;

      if FileExists(ExtensionColorCodeFile) then
      try
        StringList := TTntStringList.Create;
        try
          StringList.LoadFromFile(ExtensionColorCodeFile);
          Attribs.Listview.ExtensionColorCodeList.Clear;

          // There can be all ExtensionN keys and nothing else so prepare for the worse
          for i := 0 to StringList.Count - 1 do
          begin
            Ext := StringList.Values['Extension_' + IntToStr(i)];
            if Ext <> '' then
            begin
               Temp := StringList.Values['Color_' + IntToStr(i)];
               if Temp <> '' then
               begin
                 try
                   Color := StringToColor(Temp);
                 except
                   Color := StringToColor('clWindowText');
                 end;
               end else
                 Color := StringToColor('clWindowText');

               Temp := StringList.Values['Bold_' + IntToStr(i)];
               if Temp <> '' then
                 IsBold := Boolean( StrToInt(Temp))
               else
                 IsBold := False;

               Temp := StringList.Values['Italic_' + IntToStr(i)];
               if Temp <> '' then
                 IsItalic := Boolean( StrToInt(Temp))
               else
                 IsItalic := False;

               Temp := StringList.Values['Enabled_' + IntToStr(i)];
               if Temp <> '' then
                 IsEnabled := Boolean( StrToInt(Temp))
               else
                 IsEnabled := True;

               Temp := StringList.Values['UnderLine_' + IntToStr(i)];
               if Temp <> '' then
                 IsUnderLine := Boolean( StrToInt(Temp))
               else
                 IsUnderLine := True;

               Attribs.Listview.ExtensionColorCodeList.Add(Ext, Color, IsBold, IsItalic, IsUnderLine, IsEnabled)
            end
          end;
        finally
          StringList.SaveToFile(ExtensionColorCodeFile);
          StringList.Free
        end;
      except
      end;

      // The options were Loaded in the Application Source file on startup
      // to test for the single instance option and shut down if necessary
      try
        if WideFileExists(OptionSettingsFile) then
          Attribs.SaveCallback(Attribs)  // Copy the Attributes read to the control components
        else begin
          LoadDefaultAttribs(Attribs);
          Attribs.LoadCallback(Attribs);
        end;
      except
        CorruptConfigFile(OptionSettingsFile)
      end;

      if WideFileExists(MiscSettingsFile) then
      begin
        ConfigStream := TTntFileStream.Create(MiscSettingsFile, fmOpenRead);
        try
          try
            ConfigStream.Read(Version, SizeOf(Version));

            if Version > 0 then
            begin
              if Version < 4 then
              begin
                // Removed in StreamVersion 4
                VirtualShellMRU.LoadFromStream(ConfigStream);
                VirtualShellHistory.LoadFromStream(ConfigStream);
              end;
              TabLoadConfiguration(Version, ConfigStream);
              ConfigStream.Read(FPlacement, SizeOf(FPlacement));
              SetWindowPlacement(Handle, @FPlacement);
            end;

            if Version > 1 then
            begin
              ActiveView := UltraListview;
              ConfigStream.Read(ColumnModeView, SizeOf(ColumnModeView));
              if ColumnModeView then
                EnableListMode(True)
              else
                SetDefaultViewSettings(ActiveView);

              ActiveView := UltraListviewDual;
              ConfigStream.Read(ColumnModeView, SizeOf(ColumnModeView));
              if ColumnModeView then
                EnableListMode(True)
              else
                SetDefaultViewSettings(ActiveView);
            end;

            if Version > 2 then
            begin
               LoadGroupingFileSizeAndModifiedArrayFromFile(ConfigStream)
            end;

          except
            CorruptConfigFile(MiscSettingsFile)
          end
        finally
          ConfigStream.Free;
        end
      end else
      begin
        TabClear;
        if not Assigned(ActiveRoot) then
          ActiveView := UltraListview;
        TabAdd(ActiveRoot.AbsolutePIDL, nil, SpTBXTabSetListview, False);
        // Hide non essentials
        SpTBXDockablePanelCmdLine.Visible := False;
        SpTBXDockablePanelFavorites.Visible := False;
        SpTBXDockablePanelFilter.Visible := False;
        SpTBXDockablePanelDualView.Visible := False;
        SpTBXDockablePanelHistory.Visible := False;
        SpTBXDockablePanelTasks.Visible := False;
        SpTBXDockablePanelViewer.Visible := False;
        SpTBXToolbarQuickSearch.Visible := False;
        SpTBXToolbarFavoriteCrumbBar.Visible := False;
        SpTBXToolbarLauncher.Visible := False;
        SyncWindowActions;
        SetDefaultViewSettings(UltraListview);
        SetDefaultViewSettings(UltraListviewDual);
      end;

      // This file is created on the first run to allow UE to decide if it should
      // delete old configuration files.  it is not available then on initialization
      // many of the *.cfg file will be deleted
      if not WideFileExists(AppFilesPath + '\' + STR_TAG_FILE) then
      begin
        ConfigStream := TTntFileStream.Create(AppFilesPath + '\' + STR_TAG_FILE, fmCreate	or fmShareExclusive);
        try
          ConfigStream.Write(STR_ULTRAEXPLORER_VERSION, Length(STR_ULTRAEXPLORER_VERSION))
        finally
          ConfigStream.Free
        end
      end;

    finally
      if Mutex <> 0 then
      begin
        ReleaseMutex(Mutex);
        CloseHandle(Mutex)
      end;
    end;
  finally
    LoadNewViewSettings(UltraListview);
    LoadNewViewSettings(UltraListviewDual);
    UltraListview.EndUpdate;
    UltraListviewDual.EndUpdate;
    BuildLauncherMenu;
    BuildLauncherBar;
  end
end;

procedure TTntFormUltraExplorer.LoadDefaultAttribs(Attribs: TUltraAttribs);
begin
  Attribs.Listview.HilightColumn := False;
  Attribs.Listview.HilightColumnColor := clLtGray;
  Attribs.Treeview.HotTrack := False;
  Attribs.Treeview.Color := clWindow;
  Attribs.Treeview.HoverExpand := True;
  Attribs.Treeview.ShowBranchLines := True;
  Attribs.Treeview.AutoHorzScroll := False;
  Attribs.Treeview.FullRowSelect := False;
  Attribs.Treeview.SingleClickExpand := True;     
  if Assigned(ActiveView) then
    Attribs.Listview.ThumbsCacheFile := AppFilesPath + '\' + ActiveView.ThumbsManager.StorageFilename
  else
    Attribs.Listview.ThumbsCacheFile := AppFilesPath
end;

procedure TTntFormUltraExplorer.Loaded;
begin
  inherited Loaded;
  UltraFolders.AutoFireChangeLink := False;
end;

procedure TTntFormUltraExplorer.LoadFilterListview(S: TStream; NewStreamVersion: Boolean);
var
  Masks: TTntStringList;
  i, Count, Version: Integer;
  Item: TUltraFilterItem;
begin
  if NewStreamVersion then
  begin
    // Create the item of the correct class
    FilterEnsureGroups;
    // Add the UE defined items
    S.Read(Count, SizeOf(Count));
    for i := 0 to Count - 1 do
    begin
      Item := UltraFilter.Groups[0].Items.AddCustom(TUltraFilterItem) as TUltraFilterItem;
      Item.LoadFromStream(S, Version);
      if Item.FilterKind = ufkFolders then
        Item.StateImageIndex := -1;
      Item.Visible := True;
      Item.Enabled := True;
    end;

    S.Read(Count, SizeOf(Count));
    for i := 0 to Count - 1 do
    begin
      Item := UltraFilter.Groups[1].Items.AddCustom(TUltraFilterItem) as TUltraFilterItem;
      Item.LoadFromStream(S, Version);
      Item.Visible := True;
      Item.Enabled := True;
    end
  end else
  begin
    // This is how we use to store the items, but saving the entire Listview
    UltraFilter.LoadFromStream(S);

    Masks := TTntStringList.Create;
    try
      // Readin the old user filters
      for i := 0 to UltraFilter.Items.Count - 1 do
        if (UltraFilter.Items[i].Caption <> STR_FILTER_FOLDERS) and (UltraFilter.Items[i].Caption <> '') then
          Masks.Add(UltraFilter.Items[i].Caption);
      // Free the incorrectly create object (we need TUltraFilterItem objects)
      UltraFilter.Groups.Clear;

      // Create the item of the correct class
      FilterEnsureGroups;
      // Add the UE defined items
      AddFilterNewUltraExplorerDefined;
      
      for i := 0 to Masks.Count - 1 do
        if Masks[i] <> '' then
          AddFilterItemNew( Masks[i]);
    finally
      Masks.Free;
    end
  end;
end;

procedure TTntFormUltraExplorer.LoadCommandLineParameters(Params: TStringList);
//
// Command Line does not support Unicode so use StringList
//
var
  i: Integer;
  s, Param: string;
  P: PChar;
begin
  i := 0;
  while ParamStr(i) <> '' do
  begin
    s := ParamStr(i);
    s := Trim(s);
    if (Pos('-', s) = 1) or (Pos('/', s) = 1) then
    begin
      if Length(s) > 2 then
      begin
        P := PChar(@s[3]);
        Param := string(P);
        s[3] := #0;
        SetLength(s, lStrLen(PChar(s)));
        Params.Add(s);
        Params.Add(Param);
      end else
        Params.Add(s)
    end else
      Params.Add(s);
    Inc(i)
  end;
end;

procedure TTntFormUltraExplorer.LoadViewerPlugins(Attribs: TUltraAttribs);
var
  i: Integer;
  Plugin: TPlugin;
begin
  ATViewer.InitPluginsParams(ATViewer, '');
  ATViewer.RemovePlugins;
  for i := 0 to Attribs.Viewer.PlugIns.Count - 1 do
  begin
    Plugin := TPlugin(Attribs.Viewer.PlugIns.Items[i]);
    if Plugin.Enabled then
      ATViewer.AddPlugin(Plugin.Path, Plugin.Extensions);
  end;
end;

procedure TTntFormUltraExplorer.MouseWheelHandler(var Message: TMessage);
var
  Target: TWinControl;
begin
  Target := FindVCLWindow( SmallPointToPoint( TWMMouseWheel(Message).Pos));
  if Assigned(Target) then
    Target.Perform(CM_MOUSEWHEEL, Message.WParam, Message.LParam)
  else
    inherited MouseWheelHandler(Message);
  Message.Result := 1;
end;

procedure TTntFormUltraExplorer.OpenViewer(Viewer: WideString);
begin
  try
    SendMessage(ATViewer.Handle, WM_SETREDRAW, 0, 0);
    try
      ATViewerTabs.Clear;
      if Viewer = '' then
      begin
        EnableViewerActions(False);
        ATViewer.Caption := STR_NOFILESELECTED;
        ATViewer.Open('');
      end else
      begin
        with ATViewerOptions do
          if WideFileExists(Viewer){ and SFileExtensionMatch(FN, ExtText + ',' + ExtRTF + ',' + ExtImages + ',' + ExtMedia + ',' + ExtWeb) or (ViewerPluginsNumber > 0)} then{ The last condition can also parse plugins' exntesions }
        begin
          EnableViewerActions(True);
          ATViewer.Open(Viewer);
          ATViewerTabs.BuildTabList(ATViewer.Handle);
          SyncViewerActions;
          if Assigned(ActiveView) then
            if ActiveView.CanFocus then
               ActiveView.SetFocusEx;
        end else
        begin
          EnableViewerActions(False);
          ATViewer.Caption := STR_NOFILESELECTED;
          ATViewer.Open('');
        end
      end;
    finally
      SendMessage(ATViewer.Handle, WM_SETREDRAW, 1, 0);
      RedrawWindow(ATViewer.Handle, nil, 0, RDW_ERASE or RDW_INVALIDATE or RDW_ERASENOW or
          RDW_UPDATENOW or RDW_ALLCHILDREN or RDW_FRAME);
    end
  except
    ATViewer.Caption := ''
  end;
  SyncViewerCaption;
end;

procedure TTntFormUltraExplorer.RedirectorTextOut(NewInput: String);
var
  Index: Integer;
  OldFocus: TWinControl;
  s: string;
begin
  // The service may start before the control is loaded completely
  if Assigned(TntRichEditCmdLine) then
  begin
    OldFocus := nil;
    if (NewInput <> '') and (VirtualCommandLineRedirector.Running) then
    begin
      s := NewInput;
      // The Command Shell sends a mystery #10 before the data for some reason
      // we need to strip it off
      Index := 1;
      while (Index < Length(s)) and ((s[Index] = #10) or (s[Index] = #13)) do
      begin
        s[Index] := ' ';
        Inc(Index);
      end;
      if Index > 1 then
      begin
        // If we found a line feed or carrage return then slide the rest of the
        // characters down and shorten the string. This should not cause a new
        // string to be allocated so it is very efficient
        MoveMemory(PChar(@s[1]), PChar(@s[Index]), Length(s) - (Index - 1));
        SetLength(s, Length(s) - (Index - 1))
      end;

      if s[Length(s)] <> '>' then
        s := s + #10#13;

      CmdLineData := CmdLineData + VirtualCommandLineRedirector.FormatData(PChar(s));
      if TntRichEditCmdLine.CanFocus then
      begin
        OldFocus := Screen.ActiveControl;
        TntRichEditCmdLine.SetFocus;
      end;
      TntRichEditCmdLine.Lines.BeginUpdate;
      try
        TntRichEditCmdLine.Text := CmdLineData;
        TntRichEditCmdLine.SelStart := Length(CmdLineData);
        TntRichEditCmdLine.SelLength := 1;
        TntRichEditCmdLine.SelLength := 0;
      finally
        if TntRichEditCmdLine.Lines.Count > Attribs.CmdLine.MaxLineCount then
        begin
          for Index := 0 to (TntRichEditCmdLine.Lines.Count - Attribs.CmdLine.MaxLineCount) do
            TntRichEditCmdLine.Lines.Delete(0);
        end;
        if Assigned(OldFocus) then
          OldFocus.SetFocus;
        TntRichEditCmdLine.Lines.EndUpdate;
      end
    end;
  end;
end;

procedure TTntFormUltraExplorer.SaveOptions;
//
// Called when the program exits, Options dialog returns with mrOk, Apply button
// pressed in the options dialog, Plugin Editor returns with mrOK.
//
var
  Mutex: THandle;
begin
  Mutex := OpenMutex(MUTEX_ALL_ACCESS, False, STR_FILESYNCMUTEX);
  try
    WaitForSingleObject(Mutex, INFINITE);
      // Make sure that Attribs is in sync with the state of the application
      Attribs.LoadCallback(Attribs);
      Attribs.SaveToFileText(OptionSettingsFile)
  finally
    if Mutex <> 0 then
    begin
      ReleaseMutex(Mutex);
      CloseHandle(Mutex)
    end
  end
end;

procedure TTntFormUltraExplorer.SetActiveView(Value: TUltraExplorerEasyListview);
var
  DoSwitch: Boolean;
begin
  // Don't Check for same value, it will be when switching
  // between listmode view and other views
  //  BUT if I don't it flickers.....

  if Assigned(Value) then
  begin
    if not Value.CanFocus then
      Value := nil
  end;

  if FActiveView <> Value then
  begin
    if Assigned(FActiveView) then
    begin
      DoSwitch := True;
      if Assigned(Value) then
        if Assigned(Value.ColumnModeView) and Assigned(FActiveView.ColumnModeView) then
          if Value.ColumnModeView = FActiveView.ColumnModeView then
            DoSwitch := False;
      if DoSwitch then
      begin
        ActiveView.ShowInactiveEx := True
      end
    end;
    FActiveView := Value;
    if Assigned(FActiveView) then
      ActiveView.ShowInactiveEx := False;

    FActiveView := Value;

    // Update the Task Windows
    TaskEnumFinishedCallback;
    TaskSelectionChangedCallback;

    SyncQuickFilter;
    SyncListviewEditActions;
    SyncListviewViewActions;
    SyncListviewBkGndMenu;
  end
end;

procedure TTntFormUltraExplorer.ViewerTimerStart;
begin
  ViewerTimerKill;
  if (ActionViewer.Checked) and (TimerIDViewer = 0) and HandleAllocated and not (csDestroying in ComponentState) then
    TimerIDViewer := SetTimer(Handle, TIMER_VIEWER, TIMER_VIEWER_DELAY, nil);
end;

procedure TTntFormUltraExplorer.SyncListviewWithAttribs(Listview: TVirtualExplorerEasyListview);
//
// Called from SaveAttribs which is called in two instances
//  1) After the Options file is read from the disk to allow to copy the
//     saved options to the controls
//  2) After the "Apply" or "Ok" button is pressed in the options dialog.
//     It is called after the options from the dialog are written to the
//     passed Attribs class.
//
var
  UEListview: TUltraExplorerEasyListview;
begin
//  Listview.CellSizes.List.AutoSize := Attribs.Listview.AutoSizeCells;
//  Listview.CellSizes.Report.AutoSize := Attribs.Listview.AutoSizeCells;
//  Listview.CellSizes.SmallIcon.AutoSize := Attribs.Listview.AutoSizeCells;
  Listview.CellSizes.Thumbnail.Height := Attribs.Listview.ThumbsHeight;
  Listview.CellSizes.Thumbnail.Width := Attribs.Listview.ThumbsWidth;
  Listview.Color := Attribs.Listview.Color;
  Listview.CompressedFile.Hilight := Attribs.Listview.HilightCompressed;
  Listview.DefaultSortColumn := Attribs.Listview.DefaultColumn;
  Listview.DefaultSortDir := Attribs.Listview.SortDirection;
  Listview.EditManager.Font.Assign(Listview.Font);
  Listview.EncryptedFile.Hilight := Attribs.Listview.HilightEncrypted;
  Listview.ExtensionColorCode := Attribs.Listview.ExtensionColorCode;
  Listview.ExtensionColorCodeList.Assign(Attribs.Listview.ExtensionColorCodeList);
  Listview.FileSizeFormat := TVirtualFileSizeFormat( Attribs.Listview.FileSizeStyle);
  Listview.Font.Assign(Attribs.Listview.Font);
  Listview.Header.Font.Assign(Attribs.Listview.Font);
  Listview.Header.ShowInAllViews := Attribs.Listview.AlwaysShowHeader;
  Listview.HotTrack.Color := Listview.Font.Color;
  Listview.HotTrack.Enabled := Attribs.Listview.HotTrack;
  Listview.PaintInfoColumn.HilightFocusedColor := Attribs.Listview.HilightColumnColor;
  Listview.PaintInfoItem.GridLines := Attribs.Listview.GridLines;
  Listview.QueryInfoHintTimeout := Attribs.Listview.QueryInfoHintTimout;
  Listview.Selection.FullRowSelect := Attribs.Listview.FullRowSelect;
  Listview.Selection.Gradient := Attribs.Listview.GradientSelection;
  Listview.Selection.UseFocusRect := Attribs.Listview.FocusRect;
  Listview.SortFolderFirstAlways := Attribs.Listview.FoldersAlwaysFirst;
  Listview.Themed := True;
  Listview.ThumbsManager.AutoLoad := Attribs.Listview.ThumbsCache;
  Listview.ThumbsManager.AutoSave := Attribs.Listview.ThumbsCache;
  Listview.ThumbsManager.HideCaption := Attribs.Listview.HideCaptions;
  Listview.ThumbsManager.LoadAllAtOnce := Attribs.Listview.ThumbsLoadAll;
  Listview.ThumbsManager.StorageCompressed := Attribs.Listview.ThumbsCompress;
  Listview.ThumbsManager.StorageFilename := WideExtractFileName(Attribs.Listview.ThumbsCacheFile);
  Listview.ThumbsManager.StorageRepositoryFolder := WideExtractFilePath(Attribs.Listview.ThumbsCacheFile);
  Listview.ThumbsManager.UseExifOrientation := Attribs.Listview.AutoOrientation;

  if Listview is TUltraExplorerEasyListview then
  begin
    UEListview := TUltraExplorerEasyListview( Listview);
    if Assigned(UEListview.ColumnModeView) then
    begin
      UEListview.ColumnModeView.DefaultSortColumn := Attribs.Listview.DefaultColumn;
      UEListview.ColumnModeView.DefaultSortDir := Attribs.Listview.SortDirection;
      UEListview.ColumnModeView.SmoothScrollDelta := Attribs.Listview.SmoothScroll;
      UEListview.ColumnModeView.HilightActiveColumn := Attribs.Listview.HilightColumn;
      UEListview.ColumnModeView.HilightActiveColumn := Attribs.Listview.HilightColumn;
      UEListview.ColumnModeView.HilightColumnColor := Attribs.Listview.HilightColumnColor;
      if Attribs.Listview.QueryInfoHints then
        UEListview.ColumnModeView.Options := UEListview.ColumnModeView.Options + [eloQueryInfoHints]
      else
        UEListview.ColumnModeView.Options := UEListview.ColumnModeView.Options - [eloQueryInfoHints];
      UEListview.ColumnModeView.Font.Assign(Attribs.Listview.Font);
      UEListview.ColumnModeView.DefaultColumnWidth := Attribs.Listview.DefaultColumnModeWidth;
      UEListview.ColumnModeView.SortFolderFirstAlways := Attribs.Listview.FoldersAlwaysFirst;
      UEListview.ColumnModeView.Color := Attribs.Listview.Color;
      UEListview.ColumnModeView.BandHilight := Attribs.Listview.ColumnHilightBanding;
      UEListview.ColumnModeView.BandHilightColor := Attribs.Listview.ColumnHilightBandColor;
    end;
    if Attribs.Mouse.RightButtonAssignment = 0 then
      UEListview.EnableGesture := False
    else
      UEListview.EnableGesture := True;
  end;

  if Attribs.Listview.ThumbsSingleFile then
    Listview.ThumbsManager.StorageType := tasRepository
  else
    Listview.ThumbsManager.StorageType := tasPerFolder;

  if not Attribs.Listview.SavePerFolder then
  begin
    Listview.Options := Listview.Options - [eloPerFolderStorage];
    Listview.Storage.Clear;
  end else
    Listview.Options := Listview.Options + [eloPerFolderStorage];

  if Attribs.General.UseOnByDefaultFlag then
    Listview.Options := Listview.Options + [eloUseColumnOnByDefaultFlag]
  else
    Listview.Options := Listview.Options + [eloUseColumnOnByDefaultFlag];

  if Attribs.Listview.QueryInfoHints then
    Listview.Options := Listview.Options + [eloQueryInfoHints]
  else
    Listview.Options := Listview.Options - [eloQueryInfoHints];

  if Listview.Selection.Gradient then
  begin
    Listview.Selection.AlphaBlend := True;
    Listview.Selection.TextColor := Font.Color;
    Listview.Selection.FullCellPaint := True;
  end else
  begin
    Listview.Selection.AlphaBlend := False;
    Listview.Selection.TextColor := clHighlightText;
    Listview.Selection.FullCellPaint := False;
  end;

  case Attribs.Listview.DefaultView of
  0: begin
       if Listview = ActiveView then
         ActionViewIcon.Execute
       else
         Listview.View := elsIcon
     end;
  1: begin
       if Listview = ActiveView then
         ActionViewSmallIcon.Execute
       else
         Listview.View := elsSmallIcon
     end;
  2: begin
       if Listview = ActiveView then
         ActionViewList.Execute
       else
         Listview.View := elsList
     end;
  3: begin
       if Listview = ActiveView then
         ActionViewDetails.Execute
       else
         Listview.View := elsReport
     end;
  4: begin
       if Listview = ActiveView then
         ActionViewThumbnail.Execute
       else
         Listview.View := elsThumbnail
     end;
  5: begin
       if Listview = ActiveView then
         ActionViewTile.Execute
       else
         Listview.View := elsTile
     end;
  6: begin
       if Listview = ActiveView then
         ActionViewColumnMode.Execute
       // Too difficult to enable the other listview
     end;
  end
end;

procedure TTntFormUltraExplorer.SyncTabActions;
begin
  ActionTabClose.Enabled := TabCount(SpTBXTabSetListview) > 0;
  ActionTabCloseAllExcept.Enabled := TabCount(SpTBXTabSetListview) > 0;
  if Assigned(ActiveView) then
  begin
    SpTBXSubmenuItemFolderSizeTabbar.Enabled := ActiveView.View = elsReport;
    SpTBXSubmenuItemMainMenuFolderSize.Enabled := ActiveView.View = elsReport
  end else
  begin
    SpTBXSubmenuItemFolderSizeTabbar.Enabled := False;
    SpTBXSubmenuItemMainMenuFolderSize.Enabled := False
  end
end;

procedure TTntFormUltraExplorer.SyncTreeviewActions;
var
  NSA: TNamespaceArray;
begin
  SetLength(NSA, 1);
  if UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NSA[0]) then
  begin
    ActionTreeviewProperties.Enabled := NSA[0].CanShowPropertiesOfAll(NSA);
    ActionTreeviewCopy.Enabled := NSA[0].CanCopyAll(NSA);
    ActionTreeviewCut.Enabled := NSA[0].CanCutAll(NSA);
    ActionTreeviewPaste.Enabled := NSA[0].CanPasteToAll(NSA) and ClipboardContainsShellFormats;
    ActionTreeviewDelete.Enabled := NSA[0].CanDeleteAll(NSA);
  end else
  begin
    ActionTreeviewProperties.Enabled := False;
    ActionTreeviewCopy.Enabled := False;
    ActionTreeviewCut.Enabled := False;
    ActionTreeviewPaste.Enabled := False;
    ActionTreeviewDelete.Enabled := False;
  end
end;

procedure TTntFormUltraExplorer.SyncViewerActions;
begin
  case ATViewer.Mode of
    vmodeText: ActionViewerText.Checked := True;
    vmodeBinary: ActionViewerBinary.Checked := True;
    vmodeHex: ActionViewerHex.Checked := True;
    vmodeUnicode: ActionViewerUnicode.Checked := True;
    vmodeRTF: ActionViewerUTF8.Checked := True;
    vmodeMedia: ActionViewerMultimedia.Checked := True;
    vmodeWeb: ActionViewerInternet.Checked := True;
    vmodeWLX: ActionViewerPlugin.Checked := True;
  end;
  ActionViewerAutoDetect.Checked := ATViewer.ModeDetect;
  ActionViewerOEMFont.Checked := ATViewer.TextEncoding = vencOEM;
  ActionViewerANSIFont.Checked := ATViewer.TextEncoding = vencANSI;
  ActionViewerWordWrap.Checked := ATViewer.TextWrap;
  ActionViewerFitImage.Checked := ATViewer.MediaFit;
  ActionViewerOfflineBrowsing.Checked := ATViewer.WebOffline;
end;

procedure TTntFormUltraExplorer.SyncWindowActions;

begin
  ActionFolders.Checked := SpTBXDockablePanelFolders.Visible;
  ActionFavorites.Checked := SpTBXDockablePanelFavorites.Visible;
  ActionFilter.Checked := SpTBXDockablePanelFilter.Visible;
  ActionFixedListView.Checked := SpTBXDockablePanelDualView.Visible;
  ActionHistory.Checked := SpTBXDockablePanelHistory.Visible;
  ActionCmdLine.Checked := SpTBXDockablePanelCmdLine.Visible;
  ActionTaskWindow.Checked := SpTBXDockablePanelTasks.Visible;
  ActionDropStack.Checked := SpTBXDockablePanelDropStack.Visible;
  ActionViewer.Checked := SpTBXDockablePanelViewer.Visible;
end;

procedure TTntFormUltraExplorer.TabCheckScrollState(TabSet: TSpTBXTabSet; LeftScrollAction, RightScrollAction: TTntAction);
var
  L, R: Boolean;
begin
  TabSet.ScrollState(L, R);
  LeftScrollAction.Enabled := L;
  RightScrollAction.Enabled := R;
end;

procedure TTntFormUltraExplorer.TabClear;
var
  i: Integer;
begin
  for i := SpTBXTabSetListview.Items.Count - 1 downto 0 do
  begin
    if SpTBXTabSetListview.Items[i] is TSpTBXTabItem then
      TabRemove(SpTBXTabSetListview.Items[i] as TSpTBXTabItem, SpTBXTabSetListview);
  end
end;

procedure TTntFormUltraExplorer.TabCloseAllExcept(TabSet: TSpTBXTabSet);
var
  i: Integer;
  TabList: TList;
begin
  TabList := TList.Create;
  try
    for i := TabLast(TabSet) downto TabFirst(TabSet) do
    begin
      if TabSet.Items[i] <> TabSet.Items[TabSet.ActiveTabIndex] then
         TabList.Add(TabSet.Items[i])
    end;
    for i := 0 to TabList.Count - 1 do
      TabRemove(TSpTBXTabItem(TabList[i]), TabSet)
  finally
    TabList.Free
  end;
end;

procedure TTntFormUltraExplorer.TabLButtonDblClick(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  IV: TTBItemViewer;
begin
  if Button = mbLeft then
  begin
    IV := SpTBXTabSetListview.View.ViewerFromPoint(Point(X, Y));
    if Assigned(IV) then
    begin
      if IV.Item is TSpTBXTabItem then
        TabRemove(IV.Item as TSpTBXTabItem, SpTBXTabSetListview)
      else begin
        if (IV.Index >= TabFirst(SpTBXTabSetListview)) and (IV.Index <= TabLast(SpTBXTabSetListview) + 1) then
          ActionTabNew.Execute
      end
    end else
      ActionTabNew.Execute
  end
end;

procedure TTntFormUltraExplorer.TabLoadConfiguration(StreamVersion: Integer;
  ConfigStream: TTntFileStream);
var
  i: Integer;
  iSelected: Integer;
  Len: Integer;
  Tab: TUltraSpTBXTabItem;
  PIDL: PItemIDList;
begin
// Read the Tabs
  ConfigStream.ReadBuffer(Len, SizeOf(Len));
  ConfigStream.ReadBuffer(iSelected, SizeOf(iSelected));
  if Len > 0 then
  begin 
    TabClear;
    for i := 0 to Len - 1 do
    begin
      PIDL := PIDLMgr.LoadFromStream(ConfigStream);
      Tab := TabAdd(PIDL, nil, SpTBXTabSetListview, False);
      if (StreamVersion > 3) then
      begin
        StreamHelper.ReadStream(ConfigStream, Tab.MRU);
        Tab.MRU.Seek(0, 0);
        VirtualShellMRU.LoadFromStream(Tab.MRU);
        StreamHelper.ReadStream(ConfigStream, Tab.History);
        Tab.History.Seek(0, 0);
        VirtualShellHistory.LoadFromStream(Tab.History);
        Tab.HistoryIndex := StreamHelper.ReadInteger(ConfigStream);
        PIDLMgr.FreePIDL(PIDL)
      end
    end;
    TabSetActive(iSelected, SpTBXTabSetListview);
  end else
  begin
    TabClear;
    if not Assigned(ActiveView) then
      ActiveView := UltraListviewDual;
    TabAdd(ActiveRoot.AbsolutePIDL, nil, SpTBXTabSetListview, False)
  end;
end;

procedure TTntFormUltraExplorer.DropStackGatherIntoSimilarParents(var NSArrays: TNSAArray);
var
  GroupingList: TNamespaceGrouping;  // List of TNamespace Lists
  Item: TEasyItem;
  i: Integer;
begin
  GroupingList := TNamespaceGrouping.Create;
  try
    Item := UltraDropStack.Selection.First;
    while Assigned(Item) do
    begin
      // The namespace is held in the TEasyItem.Data field for the DropStack
      GroupingList.SortIntoGroup(TNamespace( Item.Data));
      Item := UltraDropStack.Selection.Next(Item)
    end;
    SetLength(NSArrays, GroupingList.Count);
    for i := 0 to GroupingList.Count - 1 do
      NSArrays[i] := GroupingList.GroupToArray( GroupingList[i]);
  finally
    GroupingList.Free
  end
end;

procedure TTntFormUltraExplorer.MenuItemNamespaceClick(Sender: TObject);
begin
  if Sender is TTBXSubmenuEnumItem then
    ExecuteNamespace(ussBreadCrumbBar, (Sender as TTBXSubmenuEnumItem).NS, False)
  else
  if Sender is TTBXEnumItem then
    ExecuteNamespace(ussBreadCrumbBar, (Sender as TTBXEnumItem).NS, False)
end;

procedure TTntFormUltraExplorer.PasteToView(AsShortCut: Boolean);
var
  NamespaceArray: TNamespaceArray;
begin
  if Assigned(ActiveView) then
  begin
    NamespaceArray := ActiveView.SelectedToNamespaceArrayEx;
    if Length(NamespaceArray) > 0 then
      NamespaceArray[0].Paste(NamespaceArray, AsShortCut)
    else
    begin
      // Paste it to the parent folder
      SetLength(NamespaceArray, 1);
      NamespaceArray[0] := ActiveRoot;
      ActiveRoot.Paste(NameSpaceArray, AsShortCut)
    end
  end
end;

procedure TTntFormUltraExplorer.RebuildDrivesToolbar;

  procedure AddSpecialDrivesButton(NS: TNamespace);
  var
    Item: TTBXEnumItem;
  begin
    Item := TTBXEnumItem.Create(SpTBXToolbarDrives);
    (Item as TTBXEnumItem).NS := NS;
    Item.OnClick := MenuItemNamespaceClick;
    if Attribs.Toolbars.ButtonLayout in [ublText, ublGlyphAndText] then
    begin
      Item.Caption := NS.NameAddressbarInFolder;
      SetTBItemCaption(Item, NS.NameAddressbarInFolder);
    end;
    if Attribs.Toolbars.ButtonLayout in [ublGlyph, ublGlyphAndText] then
      Item.ImageIndex := NS.GetIconIndex(False, icSmall);
    SpTBXToolbarDrives.Items.Add(Item);
  end;

var
  Info: TEnumFolderInfo;
  i: Integer;
  Caption: WideString;
begin     
  SpTBXToolbarDrives.BeginUpdate;
  try
    SpTBXToolbarDrives.ShowHint := Attribs.Toolbars.DriveShowHints;
    SpTBXToolbarDrives.Items.Clear;
    FillChar(Info, SizeOf(Info), #0);
    Info.ParentItem := SpTBXToolbarDrives.Items;
    Info.ShowFullPath := True;
    Info.OnItemClick := MenuItemNamespaceClick;
    Info.ShowImages := Attribs.Toolbars.ButtonLayout in [ublGlyph, ublGlyphAndText];
    Info.ShowText := Attribs.Toolbars.ButtonLayout in [ublText, ublGlyphAndText];
    Info.DrivesOnly := True;
    // send 0 here so we don't pop any messages
    DrivesFolder.EnumerateFolderEx(0, [foFolders], EnumFolder.Enum, @Info);
    if Attribs.Toolbars.ButtonLayout in [ublGlyph, ublGlyphAndText] then
      SpTBXToolbarDrives.Images := SmallSysImages
    else
      SpTBXToolbarDrives.Images := nil;

    if Attribs.Toolbars.DriveShowDesktop then
      AddSpecialDrivesButton(DesktopFolder.Clone(True));
    if Attribs.Toolbars.DriveShowNetwork then
      AddSpecialDrivesButton(NetworkNeighborHoodFolder.Clone(True));
    if Attribs.Toolbars.DriveShowMyComputer then
      AddSpecialDrivesButton(DrivesFolder.Clone(True));
    if Attribs.Toolbars.DriveShowMyDocuments then
      AddSpecialDrivesButton(MyDocumentsFolder.Clone(True));
    if Attribs.Toolbars.DriveShowControlPanel then
      AddSpecialDrivesButton(ControlPanelFolder.Clone(True));
    if Attribs.Toolbars.DriveShowRecycleBin then
      AddSpecialDrivesButton(RecycleBinFolder.Clone(True));

    for i := 0 to SpTBXToolbarDrives.Items.Count - 1 do
    begin
      AlignTextOverIconWhenVertical(SpTBXToolbarDrives.Items[i], SpTBXToolbarDrives.CurrentDock);
      case Attribs.Toolbars.ButtonLayout of
        ublGlyph: SpTBXToolbarDrives.Items[i].DisplayMode := nbdmDefault;
        ublText: SpTBXToolbarDrives.Items[i].DisplayMode := nbdmTextOnly;
        ublGlyphAndText: SpTBXToolbarDrives.Items[i].DisplayMode := nbdmImageAndText;
      end;
      SpTBXToolbarDrives.Items[i].Hint := (SpTBXToolbarDrives.Items[i] as TTBXEnumItem).NS.NameNormal;
      SetTBItemHint(SpTBXToolbarDrives.Items[i], (SpTBXToolbarDrives.Items[i] as TTBXEnumItem).NS.NameNormal);
      if Attribs.Toolbars.ButtonLayout in [ublText, ublGlyphAndText] then
      begin
        if WideIsDrive((SpTBXToolbarDrives.Items[i] as TTBXEnumItem).NS.NameForParsing) then
        begin
          Caption := (SpTBXToolbarDrives.Items[i] as TTBXEnumItem).NS.NameForParsing;
          Caption := WideStripTrailingBackslash(Caption, True);
          SpTBXToolbarDrives.Items[i].Caption := Caption;
          SetTBItemCaption(SpTBXToolbarDrives.Items[i], Caption);
        end
      end
    end
  finally
    SpTBXToolbarDrives.EndUpdate
  end
end;

procedure TTntFormUltraExplorer.RebuildHistory;
var
  i: Integer;
  Item: TEasyItem;
begin
  UltraHistory.BeginUpdate();
  try
    UltraHistory.Groups.Clear();
    for i := VirtualShellMRU.Count - 1 downto 0 do
    begin
      Item := UltraHistory.Items.Add();
      Item.Caption := VirtualShellMRU.Items[i].NameNormal;
      Item.ImageIndex := VirtualShellMRU.Items[i].GetIconIndex(False, icSmall, True);
      Item.Tag := i
    end
  finally
    UltraHistory.EndUpdate();
  end
end;

function TTntFormUltraExplorer.SaveAttribs(Attribs: TUltraAttribs): Boolean;
//
// Called in two places
//  1) After the Options file is read from the disk to allow to copy the
//     saved options to the controls
//  2) After the "Apply" or "Ok" button is pressed in the options dialog.
//     It is called after the options from the dialog are written to the
//     passed Attribs class.
//
var
  i: Integer;
  TabItem: TSpTBXTabItem;
begin
  Result := True;

  UltraSyncronizer.Enabled := False;
  try

    // Tabs
    SpTBXTabSetListview.View.BeginUpdate;
    try
      case Attribs.Tabs.Position of
        utpTop: SpTBXTabSetListview.Align := alTop;
        utpBottom: SpTBXTabSetListview.Align := alBottom;
      end;
      if Attribs.Tabs.MaxWidth > 0 then
      begin
        SpTBXTabSetListview.View.RecreateAllViewers;
        for i := TabFirst(SpTBXTabSetListview) to TabCount(SpTBXTabSetListview) - 1 do
        begin
          if i > -1 then   // Make sure there are any Tabs
          begin
            TabItem := SpTBXTabSetListview.Items[i] as TSpTBXTabItem;
            TabItem.CustomWidth := Attribs.Tabs.MaxWidth
          end
        end
      end
    finally
      SpTBXTabSetListview.View.EndUpdate
    end;


    // Toolbars
    ActionToolbarLock.Checked := Attribs.Toolbars.Lock;
    ECB.Width := Attribs.Toolbars.AddressBarWidth;
    BreadCrumbListview.AutoOpenOnHover := Attribs.Toolbars.AutoOpenBreadcrumb;
    BreadCrumbListview.HoverDelayTime := Attribs.Toolbars.BreadCrumbHoverTime;
    BreadCrumbListview.ShowBrowsable := Attribs.Toolbars.ShowBrowseableInBreadcrumbMenus;
    LockToolbars;

    // Command Line Attributes
    TntRichEditCmdLine.Color := Attribs.CmdLine.Color;
    TntRichEditCmdLine.Font.Assign(Attribs.CmdLine.Font);

    // Filter Attributes
    UltraFilter.Color := Attribs.Filter.Color;
    UltraFilter.Font.Assign(Attribs.Filter.Font);

    // Favorites Attributes
    UltraFavorites.Color := Attribs.Favorites.Color;
    UltraFavorites.Font.Assign(Attribs.Favorites.Font);
    if Attribs.Favorites.FullRowSelect then
      UltraFavorites.TreeOptions.SelectionOptions := UltraFavorites.TreeOptions.SelectionOptions + [toFullRowSelect]
    else
      UltraFavorites.TreeOptions.SelectionOptions := UltraFavorites.TreeOptions.SelectionOptions - [toFullRowSelect];

    // Drop Stack Attributes
    UltraDropStack.Color := Attribs.DropStack.Color;
    UltraDropStack.Font.Assign(Attribs.DropStack.Font);
    UltraDropStack.ShowHint := Attribs.DropStack.ContentsHint;

    // History Attributes
    UltraHistory.Color := Attribs.History.Color;
    UltraHistory.Font.Assign(Attribs.History.Font);
    VirtualShellHistory.SaveMappedDrivePaths := Attribs.History.SaveMappedPaths;
    VirtualShellHistory.SaveNetworkPaths := Attribs.History.SaveNetworkPaths;
    VirtualShellHistory.SaveRemovableDrivePaths := Attribs.History.SaveRemovableDrivePaths;
    VirtualShellHistory.Levels := Attribs.History.Levels;
    VirtualShellMRU.Levels := Attribs.History.Levels;
    UltraHistory.Items.Clear;

    // MRU Attributes
    VirtualShellMRU.SaveMappedDrivePaths := Attribs.History.SaveMappedPaths;
    VirtualShellMRU.SaveNetworkPaths := Attribs.History.SaveNetworkPaths;
    VirtualShellMRU.SaveRemovableDrivePaths := Attribs.History.SaveRemovableDrivePaths;

    // Viewer Attributes
    ATViewer.TextFont.Assign(Attribs.Viewer.Font);
    ATViewer.TextFontOEM.Assign(Attribs.Viewer.OEMFont);
    ATViewer.TextColorHex := Attribs.Viewer.Hex1Color;
    ATViewer.TextColorHex2 := Attribs.Viewer.Hex2Color;
    ATViewer.TextColorHexBack := Attribs.Viewer.HexBkGndColor;
    ATViewer.TextColor := Attribs.Viewer.TextBkGndColor;
    ATViewer.WebOffline := Attribs.Viewer.WebOffline;
    ATViewer.ModeDetect := Attribs.Viewer.AutoModeDetect;
    ATViewer.MediaFit := Attribs.Viewer.MediaFit;
    ATViewer.TextEncoding := Attribs.Viewer.TextEncoding;
    ATViewer.TextWrap := Attribs.Viewer.TextWrap;
    ATViewerOptions.ExtText := Trim(Attribs.Viewer.TextExtensions.Text);
    ATViewerOptions.ExtImages := Trim(Attribs.Viewer.ImageExtensions.Text);
    ATViewerOptions.ExtWeb := Trim(Attribs.Viewer.InternetExtensions.Text);
    ATViewerOptions.ExtMedia := Trim(Attribs.Viewer.MediaExtensions.Text);
    ATViewerOptions.ExtRTF := Trim(Attribs.Viewer.RTFExtensions.Text);
    ATViewer.MediaAutoPlay := Attribs.Viewer.AutoPlayOnLoad;
    ATViewer.Mode := ATViewer.Mode; // Force a rebuild to display the new attributes

    // General Attribues
    LangManager.LanguageID := Attribs.General.Language;
    if Attribs.General.ShowFullPathInAddressbar then
      ECB.TextType := ecbtFullPath
    else
      ECB.TextType := ecbtNameOnly;
    ShowHint := Attribs.General.ShowHints;
    SpTBXLabelItemStatusBarBytes.Visible := Attribs.General.TrackSelectedSize;
    TSpTBXTabSetCracker(SpTBXTabSetListview).FToolbar.ShowHint := Attribs.General.ShowTabPathHints;
    UltraCoolTrayIcon.IconVisible := Attribs.General.TrayIcon;
    UltraCoolTrayIcon.MinimizeToTray := Attribs.General.TrayIcon;
    IncrementalDelaysSet(Attribs.General.IncrementalDelayTime);

    /// Treeview Attributes
    UltraFolders.Color := Attribs.Treeview.Color;
    UltraFolders.Font.Assign(Attribs.Treeview.Font);
    UltraFolders.VETColors.FolderTextColor := UltraFolders.Font.Color;
    UltraFolders.VETColors.FileTextColor := UltraFolders.Font.Color;
    if Attribs.Treeview.AutoHorzScroll then
      UltraFolders.TreeOptions.AutoOptions := UltraFolders.TreeOptions.AutoOptions - [toDisableAutoscrollOnFocus]
    else
      UltraFolders.TreeOptions.AutoOptions := UltraFolders.TreeOptions.AutoOptions + [toDisableAutoscrollOnFocus];
    if Attribs.Treeview.HoverExpand then
      UltraFolders.TreeOptions.AutoOptions := UltraFolders.TreeOptions.AutoOptions + [toAutoDropExpand]
    else
      UltraFolders.TreeOptions.AutoOptions := UltraFolders.TreeOptions.AutoOptions - [toAutoDropExpand];
    if Attribs.Treeview.ShowBranchLines then
      UltraFolders.TreeOptions.PaintOptions := UltraFolders.TreeOptions.PaintOptions + [toShowTreeLines]
    else
      UltraFolders.TreeOptions.PaintOptions := UltraFolders.TreeOptions.PaintOptions - [toShowTreeLines];
    if Attribs.Treeview.HotTrack then
      UltraFolders.TreeOptions.PaintOptions := UltraFolders.TreeOptions.PaintOptions + [toHotTrack]
    else
      UltraFolders.TreeOptions.PaintOptions := UltraFolders.TreeOptions.PaintOptions - [toHotTrack];
    if Attribs.Treeview.FullRowSelect then
      UltraFolders.TreeOptions.SelectionOptions := UltraFolders.TreeOptions.SelectionOptions + [toFullRowSelect]
    else
      UltraFolders.TreeOptions.SelectionOptions := UltraFolders.TreeOptions.SelectionOptions - [toFullRowSelect];
    if Attribs.Treeview.SingleClickExpand then
      UltraFolders.TreeOptions.AutoOptions := UltraFolders.TreeOptions.AutoOptions + [toAutoExpand]
    else
      UltraFolders.TreeOptions.AutoOptions := UltraFolders.TreeOptions.AutoOptions - [toAutoExpand];
    UltraFolders.ShowHint := Attribs.Treeview.ShowTooltip;

    if Attribs.Treeview.HilightCompressed then
      UltraFolders.VETColors.CompressedTextColor := clBlue
    else
      UltraFolders.VETColors.CompressedTextColor := UltraFolders.Font.Color;

    if Attribs.Treeview.HilightEncrypted then
      UltraFolders.VETColors.EncryptedTextColor := clGreen
    else
      UltraFolders.VETColors.EncryptedTextColor := UltraFolders.Font.Color;


    SpTBXDockablePanelDualView.ShowCaptionWhenDocked := Attribs.Listview.ShowTitleBar and not Attribs.General.DualPane;

    SetToolbarCloseButton(Self, Attribs.General.ShowCloseButtons);

    BreadCrumbListview.ShrinkMode := TTBShrinkMode(Attribs.Toolbars.BreadCrumbWrap + 1);
    SpTBXToolbarFavoriteCrumbBar.ShrinkMode := TTBShrinkMode(Attribs.Toolbars.FavoriteCrumbWrap + 1);

    LoadViewerPlugins(Attribs);
    ChangeFileObjects(Attribs);
    SyncListviewWithAttribs(UltraListview);
    SyncListviewWithAttribs(UltraListviewDual);
    BreadCrumbListview.EnumFlags := Attribs.Listview.FileObjects;
    SyncFilterBarActions;
    SyncQuickThumbs(True);
    if Assigned(ActiveView) then
    begin
      SyncStatusBar;
      SyncCaption(ActiveView.RootFolderNamespace);
    end;
    RebuildDrivesToolbar;
    ApplyWindowFonts;
    if Attribs.General.TrayIcon then
      ShowWindow(Application.Handle, SW_HIDE)
    else
      ShowWindow(Application.Handle, SW_SHOW);

    ActionViewDualPane.Checked := Attribs.General.DualPane;
    EnableDualPaneMode(Attribs.General.DualPane);
    SpTBXTrackBarQuickViewChange(SpTBXTrackBarQuickView);

    // Update the Folder Size options
    ActionFolderSizeCalculateAllAlways.Checked := Attribs.Listview.FolderSizeShow;
    ActionFolderSizeCalculateAllAlwaysExecute(nil);

    Invalidate;
  finally
    UltraSyncronizer.Enabled := True
  end
end;

procedure TTntFormUltraExplorer.TabMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  IV: TTBItemViewer;
begin
  if (Button = mbMiddle) then
  begin
    IV := SpTBXTabSetListview.View.ViewerFromPoint(Point(X, Y));
    if Assigned(IV) then
    begin
      if IV.Item is TSpTBXTabItem then
        TabRemove(IV.Item as TSpTBXTabItem, SpTBXTabSetListview)
    end
  end
end;

procedure TTntFormUltraExplorer.TabRemove(Tab: TSpTBXTabItem; TabSet: TSpTBXTabSet);
begin
  if (TabCount(TabSet) > 1) and Assigned(Tab) then
  begin
    TabSet.Items.Remove(Tab);
    Tab.Free;
    TabSetActive(TabSet.ActiveTabIndex, TabSet);
    EnsureListviewTabVisiblility(TabSet);
    TabCheckScrollState(TabSet, ActionTabScrollLeft, ActionTabScrollRight);
    SyncTabActions;
    SyncStatusBar;
  end
end;

procedure TTntFormUltraExplorer.TabRemoveActive(TabSet: TSpTBXTabSet);
begin
  if TabSet.ActiveTabIndex > -1 then
    TabRemove(TabSet.Items[TabSet.ActiveTabIndex] as TSpTBXTabItem, TabSet)
end;

procedure TTntFormUltraExplorer.SaveConfiguration;
var
  ConfigStream: TTntFileStream;
  WindowPlacement: TWindowPlacement;
  Mutex: THandle;
  Version, i: Integer;
  ColumnModeView: Boolean;
  StringList: TTntStringList;
  ExtList: TExtensionColorCodeList;
begin

  {$IFDEF SAVE_CONFIG_ON_EXIT}

  Mutex := OpenMutex(MUTEX_ALL_ACCESS, False, STR_FILESYNCMUTEX);
  try
    WaitForSingleObject(Mutex, INFINITE);

    try
      Launchers.SaveToFile(LauncherFile, VERSION_STREAM);
    except end;

    try
      UltraListview.Storage.SaveToFile(EELFolderSettingsFile, VETStreamStorageVer, True);
    except end;

    try
      UltraListviewDual.Storage.SaveToFile(EELFixedFolderSettingsFile, VETStreamStorageVer, True);
    except end;
    
    try
      SpTBXCustomizer.Save(CustomizationSettingsFile);
    except end;

    ConfigStream := TTntFileStream.Create(FilterSettingsFileNew, fmCreate);
    try
      try
        SaveFilterListview(ConfigStream);
      except end;
    finally
      ConfigStream.Free
    end;

    ConfigStream := TTntFileStream.Create(FavoriteSettingsFile, fmCreate);
    try
      try
        UltraFavorites.ClearSelection;
        UltraFavorites.SaveToStream(ConfigStream);
      except end;
    finally
      ConfigStream.Free
    end;

    StringList := TTntStringList.Create;
    try
      ExtList := Attribs.Listview.ExtensionColorCodeList;
      for i := 0 to ExtList.Count - 1 do
      begin
         StringList.Values['Extension_' + IntToStr(i)] := ExtList[i].ExtensionMask;
         StringList.Values['Color_' + IntToStr(i)] := ColorToString(ExtList[i].Color);
         StringList.Values['Bold_' + IntToStr(i)] := IntToStr( Integer( ExtList[i].Bold));
         StringList.Values['Italic_' + IntToStr(i)] := IntToStr( Integer( ExtList[i].Italic));
         StringList.Values['UnderLine_' + IntToStr(i)] := IntToStr( Integer( ExtList[i].UnderLine));
         StringList.Values['Enabled_' + IntToStr(i)] := IntToStr( Integer( ExtList[i].Enabled));
         StringList.Add(' ');
      end;
    finally
      StringList.SaveToFile(ExtensionColorCodeFile);
      StringList.Free
    end;

    SaveOptions;

    ConfigStream := TTntFileStream.Create(MiscSettingsFile, fmCreate);
    try
      try
        Version := VERSION_MISCSETTING_STREAM;
        ConfigStream.Write(Version, SizeOf(Version));
   //     VirtualShellMRU.SaveToStream(ConfigStream);      Removed in STREAMVERSION 4
   //     VirtualShellHistory.SaveToStream(ConfigStream);  Removed in STREAMVERSION 4
        TabSaveConfiguration(Version, ConfigStream);
        GetWindowPlacement(Handle, @WindowPlacement);
        ConfigStream.Write(WindowPlacement, SizeOf(WindowPlacement));

        // Added in STREAMVERSION = 2;
        ColumnModeView := Assigned(UltraListview.ColumnModeView);
        ConfigStream.Write(ColumnModeView, SizeOf(ColumnModeView));
        ColumnModeView := Assigned(UltraListviewDual.ColumnModeView);
        ConfigStream.Write(ColumnModeView, SizeOf(ColumnModeView));

        // Added in STREAMVERSION = 3;
        SaveGroupingFileSizeAndModifiedArrayToFile(ConfigStream); 

      except end;
    finally
      ConfigStream.Free;
    end
  finally
    if Mutex <> 0 then
    begin
      ReleaseMutex(Mutex);
      CloseHandle(Mutex)
    end
  end
  {$ENDIF SAVE_CONFIG_ON_EXIT}
end;

procedure TTntFormUltraExplorer.SaveFilterListview(S: TStream);
var
  i, Count: Integer;
begin
  FilterEnsureGroups;
  // Won't work since UE now uses a custom Item class derived from TEasyItemStored
  //
  // UltraFilter.SaveToStream(S);

  Count := UltraFilter.Groups[0].ItemCount;
  S.Write(Count, SizeOf(Count));
  for i := 0 to Count - 1 do
    UltraFilter.Groups[0].Items[i].SaveToStream(S);

  Count := UltraFilter.Groups[1].ItemCount;
  S.Write(Count, SizeOf(Count));
  for i := 0 to Count - 1 do
    UltraFilter.Groups[1].Items[i].SaveToStream(S);
end;

procedure TTntFormUltraExplorer.TabSaveConfiguration(StreamVer: Integer;
  ConfigStream: TTntFileStream);
var
  i: Integer;
  iActiveTab: Integer;
  Len: Integer;
  NS: TNamespace;
  TabList: TList;
  Tab: TUltraSpTBXTabItem;
  Store: Boolean;
begin
  iActiveTab := -1;
  TabList := TList.Create;
  try
    for i := TabFirst(SpTBXTabSetListview) to TabCount(SpTBXTabSetListview) - 1 do
    begin
      if i > -1 then   // Make sure there are any Tabs
      begin
        Tab := (SpTBXTabSetListview.Items[i]) as TUltraSpTBXTabItem;
        NS := TNamespace.Create(Tab.PIDL, nil);
        NS.FreePIDLOnDestroy := False;

        // Don't save if is a special tab or if the user as not wanted to save Removable path Tabs
        Store := not Tab.InPlaceTab and (not NS.Removable or Attribs.General.SaveRemovableDriveTabs);
        if Store then
          Store := not NS.IsNetworkNeighborhoodChild or Attribs.General.SaveNetworkPathTabs;
            if Store then
              Store := not IsMappedDrivePath(NS.NameForParsing) or Attribs.General.SaveMappedDriveTabs;
        if Store then
        begin
          if i = SpTBXTabSetListview.ActiveTabIndex then
            iActiveTab := i;
          TabList.Add(Pointer( i));
        end;
      end;
      FreeAndNil(NS)
    end;
    // Reset the active tab if we did not save it to the first tab
    if iActiveTab < 0 then
      iActiveTab := 0;

    // Write the Tabs
    Len := TabList.Count;
    ConfigStream.WriteBuffer(Len, SizeOf(Len));  // Write the number of tabs to save
    ConfigStream.WriteBuffer(iActiveTab, SizeOf(iActiveTab)); // Write the active tab index
    for i := 0 to TabList.Count - 1 do
    begin
      Tab := (SpTBXTabSetListview.Items[Integer( TabList[i])]) as TUltraSpTBXTabItem;
      PIDLMgr.SaveToStream(ConfigStream, Tab.PIDL);

      Tab.MRU.Seek(0, 0);
      Tab.History.Seek(0, 0);
      // Capture the current state of the active tab before saving
      if i = iActiveTab then
      begin
        VirtualShellMRU.SaveToStream(Tab.MRU, False);
        VirtualShellHistory.SaveToStream(Tab.History);
        Tab.HistoryIndex := VirtualShellHistory.ItemIndex
      end;
      StreamHelper.WriteStream(Tab.MRU, ConfigStream);
      StreamHelper.WriteStream(Tab.History, ConfigStream);
      StreamHelper.WriteInteger(ConfigStream, Tab.HistoryIndex);
    end;
  finally
    TabList.Free
  end
end;

procedure TTntFormUltraExplorer.SelectFavorite(X: Integer; Y: Integer;
  NewTab: Boolean);
var
  FavRec: PUltraFavoritesRec;
  Node: PVirtualNode;
begin
  Node := UltraFavorites.GetNodeAt(X, Y);
  if Assigned(Node) then
  begin
    FavRec := PUltraFavoritesRec(UltraFavorites.GetNodeData(Node)^);
    if Assigned(FavRec.NS) then
      ExecuteNamespace(ussFavoritesWindow, FavRec.NS, NewTab)
  end;
end;

procedure TTntFormUltraExplorer.TabSetActive(iTab: Integer; TabSet: TSpTBXTabSet);
var
  InPlaceWindow: IUltraInPlaceWindow;
begin
  if (iTab > -1) and (iTab <= TabLast(TabSet)) and (iTab >= TabFirst(TabSet)) then
  begin
    InPlaceWindow := (TabSet.Items[iTab] as TUltraSpTBXTabItem).InPlaceWindow;
    TabSet.ActiveTabIndex := iTab;
    SyncQuickFilter;
    SyncListviewEditActions;
    SyncListviewViewActions;
    SyncStatusBar;
  end
end;

procedure TTntFormUltraExplorer.StartCommandPrompt;
var
  Path: string;
begin
  if not VirtualCommandLineRedirector.Running then
  begin
    SetLength(Path, MAX_PATH);
    if Win32Platform = VER_PLATFORM_WIN32_NT then
      GetSystemDirectory(PChar(Path), MAX_PATH)
    else
      GetWindowsDirectory(PChar(Path), MAX_PATH);
    SetLength(Path, StrLen(PChar(Path)));
    Path := ExcludeTrailingBackslash(Path);
    if Win32Platform = VER_PLATFORM_WIN32_NT then
      Path := Path + '\cmd.exe'
    else
      Path := Path + '\COMMAND.COM';
    VirtualCommandLineRedirector.Run(Path, ExtractFileDrive(Path) + '\');
  end
end;

procedure TTntFormUltraExplorer.StopCommandPrompt;
begin
  if VirtualCommandLineRedirector.Running then
  begin
    VirtualCommandLineRedirector.Write('exit');
  end
end;

procedure TTntFormUltraExplorer.SyncToolbarActions;
begin
  ActionToolbarFavorites.Checked := SpTBXToolbarFavorites.Visible;
  ActionToolbarFilter.Checked := SpTBXToolbarFilter.Visible;
  ActionToolbarHistory.Checked := SpTBXToolbarHistory.Visible;
  ActionToolbarListviewEdit.Checked := SpTBXToolbarViewEdit.Visible;
  ActionToolbarListviewAction.Checked := SpTBXToolbarViewAction.Visible;
  ActionToolbarDrives.Checked := SpTBXToolbarDrives.Visible;
  ActionToolbarDropStack.Checked := SpTBXToolbarDropStack.Visible;
  ActionToolbarBreadCrumbListview.Checked := BreadCrumbListview.Visible;
  ActionToolbarAddressBar.Checked := SpTBXToolbarAddressBar.Visible;
  ActionToolbarNavigation.Checked := SpTBXToolbarNavigation.Visible;
  ActionToolbarViewer.Checked := SpTBXToolbarViewer.Visible;
  ActionToolbarFoldersEdit.Checked := SpTBXToolbarFoldersEdit.Visible;
  ActionToolbarFavoriteCrumb.Checked := SpTBXToolbarFavoriteCrumbBar.Visible;
  ActionToolbarFileTypes.Checked := SpTBXToolbarMainFileTypes.Visible;
  ActionToolbarLauncher.Checked := SpTBXToolbarLauncher.Visible;
  ActionToolbarMainMenu.Checked := SpTBXToolbarMainMenu.Visible;  
end;

procedure TTntFormUltraExplorer.SyncListviewViewActions;

  procedure EnableListviewViewActions(Enabled: Boolean);
  begin
    ActionViewIcon.Enabled := Enabled;
    ActionViewSmallIcon.Enabled := Enabled;
    ActionViewList.Enabled := Enabled;
    ActionViewDetails.Enabled := Enabled;
    ActionViewThumbnail.Enabled := Enabled;
    ActionViewTile.Enabled := Enabled;
    ActionViewColumnMode.Enabled := Enabled;
    ActionViewDualPane.Enabled := Enabled;
  end;

var
  InPlaceWindow: IUltraInPlaceWindow;
//  WindowView: TInPlaceWindowView;
begin
  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
  begin
{    if InPlaceWindow.GetView(WindowView) then
    begin
      EnableListviewViewActions(True);
      case WindowView of
        pwvIcon: ActionViewIcon.Checked := True;
        pwvSmallIcon: ActionViewSmallIcon.Checked := True;
        pwvList: ActionViewList.Checked := True;
        pwvReport: ActionViewDetails.Checked := True;
        pwvThumbnail: ActionViewThumbnail.Checked := True;
        pwvTile: ActionViewTile.Checked := True;
      end;
      ActionViewColumnMode.Enabled := False;
      ActionViewDualPane.Enabled := False;  
    end else    }
    begin
      EnableListviewViewActions(False);
    end;
  end else
  if Assigned(ActiveView) then
  begin
    EnableListviewViewActions(True);
    if Assigned(ActiveView.ColumnModeView) then
      ActionViewColumnMode.Checked := True
    else begin
      case ActiveView.View of
        elsIcon: ActionViewIcon.Checked := True;
        elsSmallIcon: ActionViewSmallIcon.Checked := True;
        elsList: ActionViewList.Checked := True;
        elsReport: ActionViewDetails.Checked := True;
        elsThumbnail: ActionViewThumbnail.Checked := True;
        elsTile: ActionViewTile.Checked := True;
      end
    end
  end else
    EnableListviewViewActions(False)
end;

procedure TTntFormUltraExplorer.TabUpdate(Tabs: TSpTBXTabSet; NS: TNamespace);
//
// Updates the Tab Caption, hint, image, and associated PIDL
//
var
  ActiveTab: TUltraSpTBXTabItem;
begin
  if Tabs.ActiveTabIndex > -1 then
  begin
    ActiveTab := (Tabs.Items[Tabs.ActiveTabIndex]) as TUltraSpTBXTabItem;
    if not ActiveTab.InPlaceTab then
    begin
      ActiveTab.Caption := NS.NameInFolder;
      SetTBItemCaption(ActiveTab, NS.NameInFolder);
      PIDLMgr.FreePIDL(ActiveTab.PIDL);
      ActiveTab.PIDL := PIDLMgr.CopyPIDL(NS.AbsolutePIDL);
      ActiveTab.ImageIndex := NS.GetIconIndex(False, icSmall);
      ActiveTab.Hint := NS.NameParseAddress;
      SetTBItemHint(ActiveTab, NS.NameParseAddress);
      TabCheckScrollState(Tabs, ActionTabScrollLeft, ActionTabScrollRight);
    end
  end
end;

procedure TTntFormUltraExplorer.TranslationHelpClick(Sender: TObject);
var
  TntFormTranslation: TTntFormTranslation;
begin
  TntFormTranslation := TTntFormTranslation.CreateEx(nil);
  try
    TntFormTranslation.ShowModal
  finally
    TntFormTranslation.Release
  end
end;

procedure TTntFormUltraExplorer.SyncCaption(NS: TNamespace);
begin
  if Attribs.General.PathInCaption and Assigned(NS) then
  begin
    TntApplication.Title := NS.NameParseAddress + ' - ' + STR_ULTRAEXPLORER;
    Caption := NS.NameParseAddress + ' - ' + STR_ULTRAEXPLORER;
  end else
  begin
    TntApplication.Title := STR_ULTRAEXPLORER;
    Caption := STR_ULTRAEXPLORER
  end
end;

procedure TTntFormUltraExplorer.SyncFavoritesActions;
var
  FavRec: PUltraFavoritesRec;
begin
  if ActionFavoritesEdit.Checked then
  begin
    FavRec := nil;
    if UltraFavorites.GetFirstSelected <> nil then
      FavRec := PUltraFavoritesRec(UltraFavorites.GetNodeData(UltraFavorites.GetFirstSelected)^);
    // Don't allow new category to be child of a real shell object
    ActionFavoritesNewCategory.Enabled := not Assigned(FavRec) or not Assigned(FavRec^.NS);
    ActionFavoritesRemove.Enabled := UltraFavorites.SelectedCount > 0;
    UltraFavorites.HotCursor := crDefault;
    UltraFavorites.TreeOptions.PaintOptions := UltraFavorites.TreeOptions.PaintOptions - [toHotTrack];
    UltraFavorites.Colors.FocusedSelectionColor := clHighlight;
    UltraFavorites.TreeOptions.SelectionOptions := UltraFavorites.TreeOptions.SelectionOptions - [toDisableDrawSelection];
  end else
  begin
    ActionFavoritesNewCategory.Enabled := False;
    if ActiveControl = UltraFolders then
      ActionFavoritesAdd.Enabled := UltraFolders.SelectedCount > 0
    else
    if Assigned(ActiveView) then
      ActionFavoritesAdd.Enabled := ActiveView.SelectionCount > 0
    else
      ActionFavoritesAdd.Enabled := False;
    ActionFavoritesRemove.Enabled := False;
    UltraFavorites.HotCursor := crHandPoint;
    UltraFavorites.TreeOptions.PaintOptions := UltraFavorites.TreeOptions.PaintOptions + [toHotTrack] ;
    UltraFavorites.ClearSelection;
    UltraFavorites.Colors.FocusedSelectionColor := clNone;
    UltraFavorites.TreeOptions.SelectionOptions := UltraFavorites.TreeOptions.SelectionOptions + [toDisableDrawSelection];
  end
end;

procedure TTntFormUltraExplorer.SyncFilterBarActions;
begin
  ActionFilterDelete.Enabled := UltraFilter.Selection.Count > 0;
  ActionFilterEdit.Enabled := UltraFilter.Selection.Count = 1;
  if Assigned(ActiveView) then
  begin
    if Attribs.Filter.FilterOut then
    begin
      ActionFilterMode.ImageIndex := 36;
      ActionFilterMode.Caption := STR_FILTEROUT;
    end
    else
    begin
      ActionFilterMode.ImageIndex := 20;
      ActionFilterMode.Caption := STR_FILTERIN;
    end;
  end;
end;

procedure TTntFormUltraExplorer.SyncListviewEditActions;
var
  NamespaceArray: TNamespaceArray;
  NS: TNamespace;
  i: Integer;
  InPlaceWindow: IUltraInPlaceWindow;
//  InPlaceActions: TInPlaceWindowActions;
  InPlaceViewActive: Boolean;
begin
  NamespaceArray := nil;
  InPlaceViewActive := InPlaceWindowViewActionEnabled;

  ActionListviewUpOneFolder.Enabled := False;
    // The Folder view is always active and tracking the Current Listview
  if UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NS) then
    ActionListviewUpOneFolder.Enabled := not NS.IsDesktop;

  if Assigned(ActiveView) then
    NamespaceArray := ActiveView.SelectedToNamespaceArrayEx;

  if ActionViewDualPane.Checked then
  begin
    // This test is a lot simpler so we don't waste time with two SelectedToNamespaceArrayEx
    ActionDualPaneCopyLeft.Enabled := UltraListview.SelectionCount > 0;
    ActionDualPaneMoveLeft.Enabled := UltraListview.SelectionCount > 0;
    ActionDualPaneCopyRight.Enabled := UltraListviewDual.SelectionCount > 0;
    ActionDualPaneMoveRight.Enabled := UltraListviewDual.SelectionCount > 0;
  end;

  if Length(NamespaceArray) > 0 then
  begin
    ActionListviewProperties.Enabled := ActiveRoot.CanShowPropertiesOfAll(NamespaceArray);
    ActionListviewCopy.Enabled := ActiveRoot.CanCopyAll(NamespaceArray);
    ActionListviewCut.Enabled := ActiveRoot.CanCutAll(NamespaceArray);
    ActionListviewPaste.Enabled := ActiveRoot.CanPasteToAll(NamespaceArray) and ClipboardContainsShellFormats;
    ActionListviewDelete.Enabled := ActiveRoot.CanDeleteAll(NamespaceArray);
  end else
  begin
    ActionListviewProperties.Enabled := True and Assigned(ActiveView); // Get properties for the parent folder if none selected
    ActionListviewCopy.Enabled := False;
    ActionListviewCut.Enabled := False;
    ActionListviewPaste.Enabled := ClipboardContainsShellFormats;
    ActionListviewPasteShortCut.Enabled := ActionListviewPaste.Enabled;
    ActionListviewDelete.Enabled := False;
  end;
  ActionListviewCopyPath.Enabled := Assigned(ActiveView) and (ActiveView.Selection.Count > 0);
  ActionListviewSyncCommandLine.Enabled := Assigned(ActiveView);
  ActionListviewRefresh.Enabled := Assigned(ActiveView);
  ActionListviewSelectAll.Enabled := Assigned(ActiveView);
  SpTBXSubmenuItemViewActionView.Enabled := Assigned(ActiveView) or InPlaceViewActive;
  for i := 0 to SpTBXPopupMenuView.Items.Count - 1 do
    SpTBXPopupMenuView.Items[i].Enabled := Assigned(ActiveView) or (InPlaceViewActive and (i < SpTBXPopupMenuView.Items.Count - 1));
  SpTBXSubmenuItemViewActionNew.Enabled := Assigned(ActiveView);
  SpTBXSubmenuItemViewActionSendTo.Enabled := Assigned(ActiveView);
  SpTBXSubmenuItemListviewGrouping.Enabled := Assigned(ActiveView);
  SpTBXItemViewActionQuickThumbs.Enabled := Assigned(ActiveView);
  SpTBXItemListviewThumbnailStretch.Enabled := Assigned(ActiveView);
  TBControlItemQuickThumbSize.Control.Enabled := Assigned(ActiveView);

{  if TabHasInPlaceWindow(SpTBXTabsetListview, -1, InPlaceWindow) then
  begin
    InPlaceActions := [pwaCopy, pwaCut, pwaDelete, pwaSelectAll, pwaProperites];
    InPlaceWindow.IsActionEnabled(InPlaceActions);
    ActionListviewSelectAll.Enabled := pwaSelectAll in InPlaceActions;
    ActionListviewProperties.Enabled := pwaProperites in InPlaceActions;
    ActionListviewCopy.Enabled := pwaCopy in InPlaceActions;
    ActionListviewCut.Enabled := pwaCut in InPlaceActions;
    ActionListviewPaste.Enabled := pwaPaste in InPlaceActions;
    ActionListviewPasteShortCut.Enabled := pwaPasteShortCut in InPlaceActions;;
    ActionListviewDelete.Enabled := pwaDelete in InPlaceActions;
    ActionListviewUpOneFolder.Enabled := False;
  end       }
end;

procedure TTntFormUltraExplorer.SyncStatusBar;
var
  SelCount, ItemCount: Cardinal;
  Item: TExplorerItem;
  Size: Int64;
  Drive: WideString;
  InPlaceWindow: IUltraInPlaceWindow;
begin
  SpTBXStatusBar.Toolbar.BeginUpdate;
  try
    SelCount := 0;
    ItemCount := 0;
    Size := 0;

 {   if TabHasInPlaceWindow(SpTBXTabSetListview, -1, InPlaceWindow) then
    begin
      if Attribs.General.TrackSelectedSize then
        Size := -1;
      InPlaceWindow.StatusBarInfo(ItemCount, SelCount, Size)
    end else  }
    begin
      if Assigned(ActiveView) then
      begin
        SelCount := ActiveView.SelectionCount;
        ItemCount := ActiveView.ItemCountEx;
        if Attribs.General.TrackSelectedSize then
        begin
          Item := ActiveView.Selection.First as TExplorerItem;
          while Assigned(Item) do
          begin
            Inc(Size, Item.Namespace.SizeOfFileInt64);
            Item := ActiveView.Selection.Next(Item) as TExplorerItem;
          end
        end
      end
    end;

    SpTBXLabelItemStatusBarObjects.Caption := IntToStr(ItemCount) + ' ' + STR_OBJECTS;
    SetTBItemCaption(SpTBXLabelItemStatusBarObjects, IntToStr(ItemCount) + ' ' + STR_OBJECTS);

    SpTBXLabelItemmStatusbarObjectsSelected.Caption := IntToStr(SelCount) + ' ' + STR_OBJECTS_SELECTED;
    SetTBItemCaption(SpTBXLabelItemmStatusbarObjectsSelected, IntToStr(SelCount) + ' ' + STR_OBJECTS_SELECTED);

    SpTBXLabelItemStatusBarBytes.Caption := Format('%.0n ' + STR_FILE_SIZE_IN_KB, [Size / 1024]) + ' ' + STR_SELECTED;
    SetTBItemCaption(SpTBXLabelItemStatusBarBytes, Format('%.0n ' + STR_FILE_SIZE_IN_KB, [Size / 1024]) + ' ' + STR_SELECTED);

    if Assigned(ActiveRoot) then
    begin
      Drive := WideExtractFileDrive(ActiveRoot.NameForParsing);
      if WideDirectoryExists(Drive) then
      begin
        SpTBXLabelItemDriveInfo.Caption := Drive + ' ' + STR_DRIVE + ' | ' + STR_SIZE + ': ' +
          DriveSize(PWideChar( Drive + '\'), bsGigiBytes) +
          ' | ' + STR_FREESPACE + ': ' +
          DriveFreeSpace(PWideChar( Drive + '\'), bsGigiBytes)
      end else
        SpTBXLabelItemDriveInfo.Caption := '';
    end else
      SpTBXLabelItemDriveInfo.Caption := '';

  finally
   SpTBXStatusBar.Toolbar.EndUpdate;
  end
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelFoldersVisibleChanged(Sender: TObject);
begin
  ActionFolders.Checked := SpTBXDockablePanelFolders.Visible;
  // UltraFolders.Active := ActionFolders.Checked;  Need the ChangeLink of the tree to keep everything synced
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelFavoritesVisibleChanged(Sender: TObject);
begin
  ActionFavorites.Checked := SpTBXDockablePanelFavorites.Visible
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelFixedViewVisibleChanged(
  Sender: TObject);
begin
  ActionFixedListView.Checked := SpTBXDockablePanelDualView.Visible;
  UltraListviewDual.Active := SpTBXDockablePanelDualView.Visible;
  if SpTBXDockablePanelDualView.Visible then
    SpTBXDockablePanelDualView.SetFocus
  else begin
    ActiveView := nil;
    UltraSyncronizer.Syncronize(ussListviewDualWindow, UltraListview.RootFolderNamespace.AbsolutePIDL, True, 50, False);
    ActiveView := UltraListview;
  end;
  if Assigned(ActiveView) then
    ActiveView.SetFocusEx
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelFilterVisibleChanged(
  Sender: TObject);
begin
  ActionFilter.Checked := SpTBXDockablePanelFilter.Visible
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelHistoryVisibleChanged(
  Sender: TObject);
begin
  ActionHistory.Checked := SpTBXDockablePanelHistory.Visible
end;

procedure TTntFormUltraExplorer.SpTBXToolbarDrivesVisibleChanged(Sender: TObject);
begin
  ActionToolbarDrives.Checked := SpTBXToolbarDrives.Visible;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarFavoritesVisibleChanged(Sender: TObject);
begin
  ActionToolbarFavorites.Checked := SpTBXToolbarFavorites.Visible;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarFilterVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarFilter.Checked := SpTBXToolbarFilter.Visible;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarViewEditVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarListviewEdit.Checked := SpTBXToolbarViewEdit.Visible;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarViewActionVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarListviewAction.Checked := SpTBXToolbarViewAction.Visible;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarHistoryVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarHistory.Checked := SpTBXToolbarHistory.Visible;
end;

procedure TTntFormUltraExplorer.SpTBXDockDropStackRequestDock(
  Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  Accept := IsDropStackToolbar(Bar)
end;

procedure TTntFormUltraExplorer.TntFormShow(Sender: TObject);
var
  Drop: TSpTBXItemDropTarget;
  i: Integer;
begin
  // Need to check this as the TrayIcon restore will call this again
  if not ShownOnce then
  begin
    SpTBXTabSetListview.Toolbar.Customizable := True;
    SpTBXCheckBoxQuickFilterAutoWildcard.Checked := Attribs.Filter.QuickFilterAutoWildcard;
    // Make the TabSet OLE Drag/Drop Aware
    Drop := TSpTBXItemDropTarget.Create;
    Drop.TabSet := SpTBXTabSetListview;
    Drop.DriveToolbar := SpTBXToolbarDrives;
    TabSetDrop := Drop;
    if Succeeded(RegisterDragDrop(SpTBXTabSetListview.Handle, TabSetDrop)) then
      Include(FDragDropRegistrations, ddrTabSet);
    if Succeeded( RegisterDragDrop(SpTBXToolbarDrives.Handle, TabSetDrop)) then
      Include(FDragDropRegistrations, ddrDrives);

//    TSpTBXTabSetCracker(SpTBXTabSetListview).FToolbar.OnLButtonDblClick := TabLButtonDblClick;
    TSpTBXTabSetCracker(SpTBXTabSetListview).FToolbar.OnMouseDown := TabMouseDown;
    CreateATViewer;
    SpTBXFormPopupMenuFileObjects.PopupForm := TntFormFileObjects;
    ActionFavoritesRemove.Enabled := UltraFavorites.SelectedCount > 0;
    ATViewer.Caption := STR_NOFILESELECTED;
    SpTBXSubmenuItemViewActionView.LinkSubitems := SpTBXPopupMenuView.Items;
    SpTBXSubmenuItemMainMenuFavorites.LinkSubitems := SpTBXPopupMenuMainMenuFavorites.Items;
    SpTBXSubmenuItemMainMenuLauncher.LinkSubitems := SpTBXPopupMenuLauncher.Items;
    SpTBXSubmenuItemTasks.LinkSubitems := SpTBXPopupMenuTasks.Items;
    SpTBXSubmenuItemMainMenuFolderSize.LinkSubitems := SpTBXPopupMenuFolderSize.Items;
    SpTBXSubmenuItemMainMenuSelect.LinkSubitems := SpTBXPopupMenuSelect.Items;

    SyncFilterBarActions;
    CreateExplorerEasyListviews;
    FixTabstops; // Must be after we create the Listviews
    FixToolbars(STRETCHEDTOOLBARS);
    UltraHistory.ImagesSmall := SmallSysImages;
    UltraHistory.ImagesLarge := LargeSysImages;
    SpTBXTabSetListview.Images := SmallSysImages;
    UltraFavorites.Images := SmallSysImages;
    SyncListviewEditActions;
    SyncFavoritesActions;
    RebuildDrivesToolbar;
    LoadLanguages;
    LoadConfiguration;
    CreateAndAddDefaultCustomizerItems; // Must be after LoadConfiguration
    SyncToolbarActions;
    SyncTreeviewActions;
    SyncViewerActions;
    SyncListviewViewActions;
    SyncToolbarActions;
    SyncWindowActions;
    SyncListviewBkGndMenu;
    SyncQuickThumbs(True);
    if ActionCmdLine.Checked then   // Make sure Actions are synced first
      StartCommandPrompt;
    EnableViewerActions(False);
    if Attribs.General.AutoCheckForUpdates then
      CheckForVersionUpdate(False);
    BuildFavoriteCrumbBar;
    FavoritesRebuildGlobal;
    AddFilterNewUltraExplorerDefined;
    SizeFileTypeObjectsButton;
    UltraCoolTrayIcon.IconVisible := Attribs.General.TrayIcon;
    UltraCoolTrayIcon.MinimizeToTray := Attribs.General.TrayIcon;
    ActionShellHandlerslContextMenuHandlers.Checked := Attribs.ContextMenuHandlerInstalled;

    for i := 0 to ComponentCount - 1 do
    begin
      if Components[i] is TSpTBXPanel then
        TSpTBXPanel( Components[i]).OnDrawBackground := PanelDrawBackground
    end;
    IncrementalDelaysSet(Attribs.General.IncrementalDelayTime);
    ShownOnce := True
  end
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemViewViewClick(Sender: TObject);
begin
  AdvanceView;
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemViewSendToPopup(Sender: TTBCustomItem;
  FromLink: Boolean);
var
  i: Integer;
begin
  if Assigned(ActiveView) then
  begin
    VirtualSendToMenu.Populate_TB2000(Sender as TTBCustomItem, TSpTBXItem);
    for i := 0 to Sender.Count - 1 do
      Sender.Items[i].Enabled := ActiveView.SelectionCount > 0
  end
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemViewNewPopup(Sender: TTBCustomItem; FromLink: Boolean);
begin
  if Assigned(ActiveView) then
    VirtualShellNewMenu.Populate_TB2000(Sender as TTBCustomItem, TSpTBXItem, TSpTBXSeparatorItem)
end;

procedure TTntFormUltraExplorer.SyncViewerCaption;
begin
  if (ATViewer.Mode = vmodeWLX) and (ATViewer.FileName <> '') then
    SpTBXDockablePanelViewer.Caption := SpTBXDockablePanelViewer.Caption + ': ' + ATViewer.ActivePluginName
  else
    SpTBXDockablePanelViewer.Caption := STR_VIEWERCAPTION
end;

procedure TTntFormUltraExplorer.ViewerResize(Sender: TObject);
begin
  if ATViewer.ActivePluginName <> '' then
    ATViewer.ResizeActivePlugin(ATViewer.ClientRect);
end;

procedure TTntFormUltraExplorer.VirtualShellNewMenuCreateNewFile(Sender: TMenu;
  const NewMenuItem: TVirtualShellNewItem; var Path, FileName: WideString;
  var Allow: Boolean);
begin
  if Assigned(ActiveView) then
  begin
    if ActiveView.ValidRootNamespaceEx then
    begin
      if not ActiveRoot.Folder then
        Path := ActiveRoot.Parent.NameForParsing
      else
        Path := ActiveRoot.NameForParsing;

      if not WideDirectoryExists(Path) then
        Path := '';
    end
  end
end;

procedure TTntFormUltraExplorer.VirtualShellNewMenuAfterFileCreate(Sender: TMenu;
  const NewMenuItem: TVirtualShellNewItem; const FileName: WideString);
var
  NS: TNamespace;
  Item: TExplorerItem;
begin
  if (WideDirectoryExists(FileName) or WideFileExists(FileName)) and Assigned(ActiveView) then
  begin
    Item := ActiveView.FindItemByPathEx(FileName);
    // Make sure we can get to the desired folder so we can select the new item
    if not Assigned(Item) then
    begin
      NS := TNamespace.Create(PathToPIDL(FileName), nil);
      Item := ActiveView.AddCustomItemEx(nil, NS);
    end;
    if Assigned(Item) then
    begin
      ActiveView.SelectionClearAll;
      Item.MakeVisible(emvAuto);
      Item.Focused := True;
      Item.Selected := True;
      Item.Edit
    end
  end
end;

procedure TTntFormUltraExplorer.VirtualSendToMenuSendToEvent(Sender: TVirtualSendToMenu;
  SendToTarget: TNamespace; var SourceData: IDataObject);
var
  NSA: TNamespaceArray;
begin
  NSA := nil;
  if Assigned(ActiveView) then
  begin
    NSA := ActiveView.SelectedToNamespaceArrayEx;
    if (Length(NSA) > 0) then
      SourceData := NSA[0].DataObjectMulti(NSA)
  end
end;

procedure TTntFormUltraExplorer.UltraFilterItemCheckChange(
  Sender: TCustomEasyListview; Item: TEasyItem);
begin
  if Assigned(ActiveView) then
  begin
    if ActionFilterEnable.Checked then
      ActiveView.RebuildEx
  end
end;

procedure TTntFormUltraExplorer.UltraFilterItemSelectionsChanged(
  Sender: TCustomEasyListview);
begin
  SyncFilterBarActions;
end;

procedure TTntFormUltraExplorer.SpTBXDockViewSpaceRequestDock(
  Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  // Don't let the floating Listview dock to the top as the Tabs will be between
  // the Fixed and Floating
  Accept := IsMainAppToolbar(Bar) or IsFavoriteCrumbBar(Bar) or IsBreadCrumbbar(Bar) or
    IsDrivesToolbar(Bar) or IsViewMode(Bar) or IsViewToolbar(Bar) or IsViewFixed(Bar) or
    IsQuickSearchToolbar(Bar) or IsViewerPanel(Bar) and not ((Sender as TSpTBXDock).Name = 'SpTBXDockViewSpaceTop')
end;


procedure TTntFormUltraExplorer.SpTBXDockFilterRequestDock(Sender: TObject;
  Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  Accept := IsFilterToolbar(Bar)
end;

procedure TTntFormUltraExplorer.SpTBXDockHeaderRequestDock(Sender: TObject;
  Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  Accept := IsMainAppToolbar(Bar) or IsViewerPanel(Bar) or IsFavoriteCrumbBar(Bar)
end;

procedure TTntFormUltraExplorer.SpTBXToolbarDrivesDockChanged(
  Sender: TObject);
var
  i: Integer;
begin
  SpTBXToolbarDrives.BeginUpdate;
  try
    for i := 0 to SpTBXToolbarDrives.Items.Count - 1 do
      AlignTextOverIconWhenVertical(SpTBXToolbarDrives.Items[i], SpTBXToolbarDrives.CurrentDock);
  finally
    SpTBXToolbarDrives.EndUpdate
  end
end;

procedure TTntFormUltraExplorer.SpTBXDrivesRequestDock(
  Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  Accept := IsDrivesToolbar(Bar) or IsFoldersEditToobar(Bar) or IsMainAppToolbar(Bar)
end;

procedure TTntFormUltraExplorer.SpTBXDockTasksRequestDock(Sender: TObject;
  Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  Accept := IsUndoStackToolbar(Bar)
end;

procedure TTntFormUltraExplorer.SpTBXToolbarDrivesContextPopup(
  Sender: TObject; MousePos: TPoint; var Handled: Boolean);
var
  ItemView: TTBItemViewer;
begin
  ItemView := SpTBXToolbarDrives.View.ViewerFromPoint(MousePos);
  if Assigned(ItemView) then
  begin
    if ItemView.Item is TTBXEnumItem then
    begin
      ContextMenuNamespace := (ItemView.Item as TTBXEnumItem).NS;
      try
        (ItemView.Item as TTBXEnumItem).NS.ShowContextMenu(Self, nil, nil, ContextMenuAfterCmdCallback);
      finally
        ContextMenuNamespace := nil;
        Handled := True
      end
    end
  end
end;

procedure TTntFormUltraExplorer.TBXThemeSwitcherThemeChange(Sender: TObject);
begin
  if not (csDestroying in ComponentState) then
  begin
    if Assigned(UltraListview) and Assigned(UltraListviewDual) then
    begin
      UltraListview.Invalidate;
      UltraListviewDual.Invalidate;
      if Assigned(UltraListview.ColumnModeView) then
        UltraListview.ColumnModeView.HeaderBar.Invalidate;
      if Assigned(UltraListviewDual.ColumnModeView) then
        UltraListviewDual.ColumnModeView.HeaderBar.Invalidate;
    end;
    if Assigned(CurrentTask) then
      CurrentTask.SetTheme(PChar( CurrentSkin.SkinName));
    TabChangeInPlaceThemes(PChar( CurrentSkin.SkinName));
    ECB.Invalidate;
  end
end;

procedure TTntFormUltraExplorer.VirtualShellHistoryChange(
  Sender: TBaseVirtualShellPersistent; ItemIndex: Integer;
  ChangeType: TVSHChangeType);
begin
  ActionHistoryBack.Enabled := VirtualShellHistory.HasBackItems;
  ActionHistoryForward.Enabled := VirtualShellHistory.HasNextItems;
  if (ChangeType = hctSelected) and (ItemIndex > -1) and (ItemIndex < VirtualShellHistory.Count) then
  begin
    if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
      UltraSyncronizer.Syncronize(ussHistoryWindow, VirtualShellHistory.Items[VirtualShellHistory.ItemIndex].AbsolutePIDL, True, 100, False);
  end
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemHistoryBackPopup(Sender: TTBCustomItem;
  FromLink: Boolean);
begin
  VirtualShellHistory.FillPopupMenu_TB2000(Sender as TTBCustomItem, TSpTBXItem, fpdNewestToOldest, 'Clear');
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemHistoryForwardPopup(
  Sender: TTBCustomItem; FromLink: Boolean);
begin
  VirtualShellHistory.FillPopupMenu_TB2000(Sender as TTBCustomItem, TSpTBXItem, fpdOldestToNewest, 'Clear');
end;

procedure TTntFormUltraExplorer.VSTFavoritesContextMenuCmdCallback(Namespace: TNamespace; Verb: WideString; MenuItemID: Integer; var Handled: Boolean);
begin
  if MenuItemID = FavoritesMenuCopyToDropStackID then
    AddDropStackItems(Namespace.DataObjectInterface)
  else begin
    if Attribs.Favorites.WarnBeforeContextAction then
      if MessageBoxW(Handle, PWideChar(STR_FAVORITES_CONTEXT_WARNING), PWideChar(STR_WARNING), MB_OKCANCEL or MB_ICONEXCLAMATION) = ID_CANCEL then
        Handled := True
  end
end;

procedure TTntFormUltraExplorer.VSTFavoritesContextMenuShowCallback(Namespace: TNamespace; Menu: hMenu; var Allow: Boolean);
begin
  DisableContextMenuByVerb(Menu, 'cut', Namespace);
  DisableContextMenuByVerb(Menu, 'copy', Namespace);
  DisableContextMenuByVerb(Menu, 'delete', Namespace);
  DisableContextMenuByVerb(Menu, 'link', Namespace);
  DisableContextMenuByVerb(Menu, 'rename', Namespace);
  AddContextMenuItem(Menu, '-', -1);
  FavoritesMenuCopyToDropStackID := AddContextMenuItem(Menu, STR_COPY_TO_DROPSTACK, -1);
end;

procedure TTntFormUltraExplorer.WinEHook(Enable: Boolean);
var
  Path: WideString;
  hWnd: THandle;
  Reg: TTntRegistry;
begin
  if  Enable then
  begin
    Path := ApplicationPath + '\UltraExplorerHookLoader.exe';
    WideShellExecute(Handle, 'open', Path, '', '', SW_HIDE);
    Reg := TTntRegistry.Create;
    Reg.RootKey := HKEY_CURRENT_USER;
    if Reg.OpenKey('Software\Microsoft\Windows\CurrentVersion\Run', True) then
    begin
      if Reg.CreateKey('UltraExplorerKeyHook') then
        Reg.WriteString('UltraExplorerKeyHook', ShortFileName(Path));
      Reg.CloseKey;
    end;
  end else
  begin
    hWnd := FindWindow(WIN_E_HOOK_WINDOWCLASSNAME, WIN_E_HOOK_WINDOWCLASSNAME);
    if hWnd <> 0 then
      PostMessage(hWnd, WM_SYSCOMMAND, SC_CLOSE, 0);
    Reg := TTntRegistry.Create;
    Reg.RootKey := HKEY_CURRENT_USER;
    if Reg.OpenKey('Software\Microsoft\Windows\CurrentVersion\Run', True) then
    begin
      if Reg.KeyExists('UltraExplorerKeyHook') then
        Reg.DeleteValue('UltraExplorerKeyHook');
      Reg.CloseKey;
    end;
  end
end;

procedure TTntFormUltraExplorer.WMActivate(var Msg: TWMActivate);
begin
  inherited;
  if Msg.Active = WA_ACTIVE then
    if ATViewer.Mode = vmodeWLX then
      ATViewer.FocusActiveControl;
end;

procedure TTntFormUltraExplorer.WMActivateView(var Msg: TMessage);
//
// Called after the application starts up, allows for the window to be shown before
// starting to enumerate the shell.  Gives the illusion that the app starts faster.
//
var
  Tab: TUltraSpTBXTabItem;
begin
  UltraFolders.BeginUpdate;
  try
    UltraFolders.RootFolder := rfDesktop;
    UltraFolders.Active := True;
  finally
    UltraFolders.EndUpdate;
  end;

  ActiveView := UltraListview;
  UltraListviewDual.BeginUpdate();
  UltraListview.BeginUpdate();
  try
    ECB.Active := True;
    UltraListviewDual.Active := ActionFixedListview.Checked and not Assigned(UltraListviewDual.ColumnModeView);
    UltraListview.Active := not Assigned(UltraListview.ColumnModeView);

    UltraListviewDual.ShowInactiveEx := True;
    UltraListview.ShowInactiveEx := False;

    // Load the last History and MRU information
    TabLoadHistoryAndMRU(SpTBXTabSetListview.ActiveTabIndex);

    // command line has highest priority
    if not BrowseToCommandLineSwitch then
    begin
      // Switch to custom default folder
      if SpTBXTabSetListview.ActiveTabIndex > -1 then
      begin
        Tab := SpTBXTabSetListview.Items[SpTBXTabSetListview.ActiveTabIndex] as TUltraSpTBXTabItem;
        if Attribs.General.DefaultPath = dspCustom then
        begin
          PIDLMgr.FreePIDL(Tab.PIDL);
          Tab.PIDL := PIDLMgr.CopyPIDL(Attribs.General.DefaultStartupPath)
        end
      end
    end
  finally

    UltraSyncronizer.Enabled := True;
    Include(FUEState, uesLoaded);       // Start watching Change Events in the Controls

    if SpTBXTabSetListview.ActiveTabIndex > -1 then
    begin
      Tab := SpTBXTabSetListview.Items[SpTBXTabSetListview.ActiveTabIndex] as TUltraSpTBXTabItem;
      UltraSyncronizer.Syncronize(ussTabs, Tab.PIDL, True, 100, False)
    end;

    UltraListviewDual.EndUpdate();
    UltraListview.EndUpdate();
    SyncListviewEditActions
  end;
  ChangeNotifierEnabled := Attribs.ChangeNotifierEnabled;
  ActionChangeAutoRefresh.Checked := Attribs.ChangeNotifierEnabled;
end;

procedure TTntFormUltraExplorer.WMBringToFront(var Msg: TMessage);
begin
  // Due to the Vista Readyness the Application methods won't work anymore as the
  // hidden app window is no longer the parent of the main window
  if Minimized then
  begin
    UltraCoolTrayIcon.ShowMainForm;
    Minimized := False
  end;
  ShowWindow(Handle, SW_RESTORE);
  SetActiveWindow(Handle);
//  SetWindowPos(Handle, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE	or SWP_NOSIZE	or SWP_SHOWWINDOW	);
end;

procedure TTntFormUltraExplorer.WMBrowsePrev(var Msg: TMessage);
begin
  if Msg.WParam <> 0 then
    TVirtualExplorerEasyListview(Msg.WParam).BrowseToPrevLevel
end;

procedure TTntFormUltraExplorer.WMDestroy(var Msg: TMessage);
begin
  if (ddrDrives in DragDropRegistrations) and SpTBXToolbarDrives.HandleAllocated then
    RevokeDragDrop(SpTBXToolbarDrives.Handle);
  if (ddrTabSet in DragDropRegistrations) and SpTBXTabSetListview.HandleAllocated then
    RevokeDragDrop(SpTBXTabSetListview.Handle);
  UltraSyncronizer.KillDelayTimer;
  InPlaceWindowsDestroy;
  inherited;
end;

procedure TTntFormUltraExplorer.WMDestroyColumnModeView(var Msg: TMessage);
var
  ColumnModeView: TVirtualColumnModeView;
begin
  // By this time there are no known references to the object so
  // "free at will"
  ColumnModeView := PostMessageRec.ColumnModeView;
  FPostMessageRec.ColumnModeView := nil;
  if Assigned(ColumnModeView) then
  begin
    ColumnModeView.Parent := nil;
    FreeAndNil(ColumnModeView);
  end;
end;

procedure TTntFormUltraExplorer.WMEraseBkgnd(var Msg: TWMEraseBkgnd);
begin
  Msg.Result := 1
end;

procedure TTntFormUltraExplorer.WMGetProcessID(var Msg: TMessage);
begin                     
  Msg.Result := GetCurrentProcess
end;

procedure TTntFormUltraExplorer.WMPaint(var Msg: TWMPaint);
begin
  inherited;
  // Post it later to allow windows to show first
  if not PaintMessageCalledOnce then
  begin
    PostMessage(Handle, WM_ACTIVATEVIEW, 0, 0);
    PaintMessageCalledOnce := True
  end
end;

procedure TTntFormUltraExplorer.WMSysCommand(var Msg: TWMSysCommand);
begin
  // Override hidden window to make Vista ready
  case (Msg.CmdType and $FFF0) of
    SC_MINIMIZE:
    begin
      ShowWindow(Handle, SW_MINIMIZE);
      Msg.Result := 0;
    end;
    SC_RESTORE:
    begin
      ShowWindow(Handle, SW_RESTORE);
      Msg.Result := 0;
    end;
  else
    inherited;  
  end;
end;

procedure TTntFormUltraExplorer.WMTimer(var Msg: TWMTimer);
begin
  case Msg.TimerID of
    TIMER_VIEWER:
      begin
        ViewerTimerKill;
        if Assigned(ActiveView) and Assigned(ActiveView.Selection.FocusedItem) then
          OpenViewer((ActiveView.Selection.FocusedItem as TExplorerItem).Namespace.NameForParsing)
        else
          OpenViewer('');
      end
   end
end;

procedure TTntFormUltraExplorer.VirtualShellMRUChange(
  Sender: TBaseVirtualShellPersistent; ItemIndex: Integer;
  ChangeType: TVSHChangeType);
begin
  if (ChangeType = hctSelected) and (ItemIndex > -1) and (ItemIndex < VirtualShellMRU.Count) then
  begin
    if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
      UltraSyncronizer.Syncronize(ussMRUMenu, VirtualShellMRU.Items[ItemIndex].AbsolutePIDL, True, 100, Boolean( VirtualShellMRU.Tag))
  end;
end;

procedure TTntFormUltraExplorer.TntFormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  ViewerTimerKill;
  InPlaceWindowsDestroy;
  ATViewer.Open('');
  SaveConfiguration;
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemFilterNewPopup(
  Sender: TTBCustomItem; FromLink: Boolean);
begin
  ActionFilterNewFromFiles.Enabled := Assigned(ActiveView) and (ActiveView.SelectionCount > 0)
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemViewBkGndNewPopup(Sender: TTBCustomItem;
  FromLink: Boolean);
begin
  VirtualShellNewMenu.Populate_TB2000(Sender as TTBCustomItem, TSpTBXItem, TSpTBXSeparatorItem)
end;


procedure TTntFormUltraExplorer.UltraFavoritesGetNodeDataSize(
  Sender: TBaseVirtualTree; var NodeDataSize: Integer);
begin
  NodeDataSize := SizeOf(PUltraFavoritesRec)
end;

procedure TTntFormUltraExplorer.UltraFavoritesFreeNode(Sender: TBaseVirtualTree;
  Node: PVirtualNode);
var
  FavRec: PUltraFavoritesRec;
begin
  FavRec := PUltraFavoritesRec(Sender.GetNodeData(Node)^);
  if FavDropNode = Node then
    FavoritesClearDropNode;
  if Assigned(FavRec.NS) then
    FavRec^.NS.Free;
  FavRec^.Caption := '';
  Dispose(FavRec)
end;

procedure TTntFormUltraExplorer.UltraFavoritesGetText(Sender: TBaseVirtualTree;
  Node: PVirtualNode; Column: TColumnIndex; TextType: TVSTTextType;
  var CellText: WideString);
var
  FavRec: PUltraFavoritesRec;
begin
  FavRec := PUltraFavoritesRec(Sender.GetNodeData(Node)^);
  if Assigned(FavRec^.NS) then
  begin
    if FavRec^.Caption <> '' then
      CellText := FavRec^.Caption
    else
      CellText := FavRec^.NS.NameNormal
  end else
    CellText := FavRec^.Caption
end;

procedure TTntFormUltraExplorer.UltraFavoritesKeyAction(
  Sender: TBaseVirtualTree; var CharCode: Word; var Shift: TShiftState;
  var DoDefault: Boolean);
begin
  case CharCode of
    VK_DELETE: ActionFavoritesRemove.Execute;
    VK_INSERT: ActionFavoritesAdd.Execute
  end
end;

procedure TTntFormUltraExplorer.UltraFavoritesGetImageIndexEx(
  Sender: TBaseVirtualTree; Node: PVirtualNode; Kind: TVTImageKind;
  Column: TColumnIndex; var Ghosted: Boolean; var ImageIndex: Integer;
  var ImageList: TCustomImageList);
var
  FavRec: PUltraFavoritesRec;
begin
  FavRec := PUltraFavoritesRec(Sender.GetNodeData(Node)^);
  if Kind in [ikNormal, ikSelected] then
  begin
    if Assigned(FavRec.NS) then
      ImageIndex := FavRec^.NS.GetIconIndex(UltraFavorites.Expanded[Node], icSmall, True)
    else begin
      ImageList := ImageListActions;
      if UltraFavorites.Expanded[Node] then
        ImageIndex := FavRec^.ImageIndexOpen
      else
        ImageIndex := FavRec^.ImageIndex
    end
  end else
  if Kind in [ikOverlay] then
  begin
    if Assigned(FavRec.NS) then
      ImageIndex := FavRec^.NS.OverlayIconIndex
  end
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelCmdLineVisibleChanged(
  Sender: TObject);
var
  NS: TNamespace;
begin
  ActionCmdLine.Checked := SpTBXDockablePanelCmdLine.Visible;

  if SpTBXDockablePanelCmdLine.Visible and not VirtualCommandLineRedirector.Running then
  begin
    StartCommandPrompt;

    // Sync it to the current folder on shown
    if Assigned(ActiveView) and UltraFolders.ValidateNamespace(UltraFolders.FocusedNode, NS) then
    begin
      if Assigned(ActiveView) and not Assigned(ActiveView.ColumnModeView) then
        CmdLineSetPath(NS);
    end
  end
  else
    StopCommandPrompt
end;

procedure TTntFormUltraExplorer.VirtualCommandLineRedirectorInput(
  Sender: TObject; NewInput: String);
var
  Temp: string;
begin           
  Temp := StringReplace(NewInput, 'prompt', '', [rfReplaceAll, rfIgnoreCase]);
  if Length(Temp) < Length(NewInput) then
  begin
    Temp := Trim(Temp);
    if AnsiLowerCase(Temp) <> 'prompt' then
      RedirectorTextOut(NewInput);
  end else
    RedirectorTextOut(NewInput);
end;

procedure TTntFormUltraExplorer.VirtualCommandLineRedirectorErrorInput(
  Sender: TObject; NewInput: String);
begin
  RedirectorTextOut(NewInput);
  VirtualCommandLineRedirector.Write('prompt');
end;

procedure TTntFormUltraExplorer.TntRichEditCmdLineKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
var
  Command: string;
  CharRange: TCharRange;
  Buffer, LowerCaseBuffer: WideString;
  P: PWideChar;
  NS: TNamespace;
begin
  if Key = VK_RETURN then
  begin
    TntRichEditCmdLine.Lines.BeginUpdate;
    try
      // Select any new data past the Data string we have stored
      CharRange.cpMin := Length(CmdLineData);
      CharRange.cpMax := Length(TntRichEditCmdLine.Text);

      // Copy the selected text to the bufffer
      TntRichEditCmdLine.SelStart := CharRange.cpMin;
      TntRichEditCmdLine.SelLength := CharRange.cpMax - CharRange.cpMin;
      Buffer := TntRichEditCmdLine.SelText;

      if AnsiLowerCase(Buffer) = 'cls' then
      begin
        TntRichEditCmdLine.Lines.Clear;
        CmdLineData := '';
        VirtualCommandLineRedirector.Write('prompt');
      end else
      begin
        // Unselect the copied string
        TntRichEditCmdLine.SelLength := 0;

        Buffer := Trim(Buffer);
        LowerCaseBuffer := LowerCase(Buffer);
        if Length(LowerCaseBuffer) > 2 then
        begin
          if Pos('cd ', LowerCaseBuffer) = 1 then
          begin
            P := PWideChar(LowerCaseBuffer);
            Inc(P, 3);
            NS := TNamespace.CreateFromFileName(P);
            try
              UltraSyncronizer.Syncronize(ussCommandLineWindow, NS.AbsolutePIDL, True, 100, False);
            finally
              NS.Free
            end
          end
        end;
        if Buffer = '' then
          VirtualCommandLineRedirector.Write('prompt')
        else
          VirtualCommandLineRedirector.Write(Buffer);
      end
    finally
      TntRichEditCmdLine.Lines.EndUpdate
    end;
    Command := Buffer;
    Key := 0;
  end;
end;

procedure TTntFormUltraExplorer.TntFormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  TabUnAssociateParentSpecial;
  StopCommandPrompt;
  ChangeNotifierEnabled := False;
  UltraListview.StoreFolderToPropertyBag(True);
  UltraListviewDual.StoreFolderToPropertyBag(True);
  // UnHook the Window Procedures
  UltraListviewDual.EditManager.Enabled := False;
  UltraListview.EditManager.Enabled := False;
  SpTBXToolbarDrives.WindowProc := OldDriveToolbarWndProc;
  SpTBXTabSetListview.WindowProc := OldTabSetWndProc;
  UltraFavorites.WindowProc := OldUltraFavoriteWndProc;
  UltraListview.WindowProc := OldUltraListviewWndProc;
  UltraListviewDual.WindowProc := OldUltraListviewFixedWndProc;
end;

procedure TTntFormUltraExplorer.UltraFavoritesEditing(Sender: TBaseVirtualTree;
  Node: PVirtualNode; Column: TColumnIndex; var Allowed: Boolean);
var
  FavRec: PUltraFavoritesRec;
begin
  FavRec := PUltraFavoritesRec(Sender.GetNodeData(Node)^);
  Allowed := not Assigned(FavRec^.NS) or ActionFavoritesEdit.Checked
end;

procedure TTntFormUltraExplorer.UltraFavoritesNewText(Sender: TBaseVirtualTree;
  Node: PVirtualNode; Column: TColumnIndex; NewText: WideString);
var
  FavRec: PUltraFavoritesRec;
begin
  FavRec := PUltraFavoritesRec(Sender.GetNodeData(Node)^);
  FavRec^.Caption := NewText;
  BuildFavoriteCrumbBar;
end;

procedure TTntFormUltraExplorer.UltraFavoritesLoadNode(Sender: TBaseVirtualTree;
  Node: PVirtualNode; Stream: TStream);
var
  FavRec: PUltraFavoritesRec;
  Buffer: Integer;
  Data: Pointer;
begin
  New(FavRec);
  Stream.Read(FavRec^.ImageIndex, SizeOf(FavRec^.ImageIndex));
  Stream.Read(FavRec^.ImageIndexOpen, SizeOf(FavRec^.ImageIndexOpen));
  Stream.Read(Buffer, SizeOf(Buffer));
  SetLength(FavRec^.Caption, Buffer);
  Stream.Read(PWideChar( FavRec^.Caption)^, Buffer * 2);
  if FavRec^.ImageIndex < 0 then
    FavRec^.NS := TNamespace.Create( PIDLMgr.LoadFromStream(Stream), nil)
  else
    FavRec^.NS := nil;
  Data := PUltraFavoritesRec(Sender.GetNodeData(Node));
  PUltraFavoritesRec( Data^) := FavRec
end;

procedure TTntFormUltraExplorer.UltraFavoritesSaveNode(Sender: TBaseVirtualTree;
  Node: PVirtualNode; Stream: TStream);
var
  FavRec: PUltraFavoritesRec;
  Buffer: Integer;
begin
  FavRec := PUltraFavoritesRec(Sender.GetNodeData(Node)^);
  Stream.Write(FavRec^.ImageIndex, SizeOf(FavRec^.ImageIndex));
  Stream.Write(FavRec^.ImageIndexOpen, SizeOf(FavRec^.ImageIndexOpen));
  Buffer := Length(FavRec^.Caption);
  Stream.Write(Buffer, SizeOf(Buffer));
  Stream.Write(PWideChar( FavRec^.Caption)^, Buffer * 2);
  if Assigned(FavRec^.NS) then
    PIDLMgr.SaveToStream(Stream, FavRec^.NS.AbsolutePIDL);
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemMainMenuFavoritesPopup(
  Sender: TTBCustomItem; FromLink: Boolean);
begin
  BuildFavoritesMenu
end;

procedure TTntFormUltraExplorer.SpTBXDockFavoritesRequestDock(Sender: TObject;
  Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  Accept := IsFavoritesToolbar(Bar)
end;

procedure TTntFormUltraExplorer.SpTBXDockHistoryRequestDock(Sender: TObject;
  Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
   Accept := IsHistoryToolbar(Bar)
end;

procedure TTntFormUltraExplorer.UltraFavoritesMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  NewTab: Boolean;
begin
  if FavoritesClickPending then
  begin
    NewTab := Attribs.Favorites.OpenFoldersInNewTab or ([ssCtrl, ssAlt] * Shift <> []) or (Button = mbMiddle);
    SelectFavorite(X, Y, NewTab);
    FavoritesClickPending := False
  end
end;

procedure TTntFormUltraExplorer.UltraFavoritesMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  HitInfo: THitInfo;
begin
  UltraFavorites.GetHitTestInfoAt(X, Y, True, HitInfo);
  if ((Button = mbLeft) or (Button = mbMiddle)) and
    not ActionFavoritesEdit.Checked and Assigned(HitInfo.HitNode) and
    (HitInfo.HitPositions * [hiOnItemLabel, hiOnNormalIcon] <> []) then
      FavoritesClickPending := True
end;

procedure TTntFormUltraExplorer.UltraFavoritesDragDrop(Sender: TBaseVirtualTree;
  Source: TObject; DataObject: IDataObject; Formats: TFormatArray;
  Shift: TShiftState; Pt: TPoint; var Effect: Integer; Mode: TDropMode);
var
  Node: PVirtualNode;
  NodeArray: TNodeArray;
  i: Integer;
  DropRec, FavRec: PUltraFavoritesRec;
  ScreenPt: TPoint;
begin
  if Assigned(Sender.DropTargetNode) and (Mode <> dmNowhere) then
  begin
    FavRec := PUltraFavoritesRec(Sender.GetNodeData(Sender.DropTargetNode)^);
    if DataObjectSupportsShell(Sender.DragManager.DataObject) then
    begin
      if (Mode = dmOnNode) and Assigned(FavRec.NS) then
      begin
        // The action will be a shell data transfer
        if Assigned(FavDropNode) then
        begin
          ScreenPt := UltraFavorites.ClientToScreen(Pt);
          DropRec := PUltraFavoritesRec(Sender.GetNodeData(FavDropNode)^);
          try
            // VT Annoyance
            Shift := Shift + DragEnterMouseShiftState;
            Effect := DROPEFFECT_COPY or DROPEFFECT_MOVE or DROPEFFECT_LINK;
            FavRec.NS.DragOver(ShiftStateToKeys(Shift), Pt, Effect);
            //  If all are not set then the Right click over in Drop won't show all options
            Effect := DROPEFFECT_COPY or DROPEFFECT_MOVE or DROPEFFECT_LINK;
            // VT Annoyance - END
            if Attribs.Favorites.WarnBeforeDropAction then
            begin
              if MessageBoxW(Handle, PWideChar(STR_FAVORITES_DROP_WARNING), PWideChar(STR_WARNING), MB_OKCANCEL or MB_ICONEXCLAMATION) = ID_OK then
                DropRec.NS.Drop(Sender.DragManager.DataObject, ShiftStateToKeys(Shift), ScreenPt, Effect);
            end else
              DropRec.NS.Drop(Sender.DragManager.DataObject, ShiftStateToKeys(Shift), ScreenPt, Effect);
            {$IFDEF GX_DEBUG}
            SendDebug('DragDrop: Node = ' + IntToHex(Integer( FavDropNode), 8) + '     KeyState: ' + ShiftStateToStr(Shift) + '    Effect: ' + DropEffectToStr(Effect));
            {$ENDIF}
          finally
            FavoritesClearDropNode
          end
        end
      end else
      begin
       // The action will be adding new objects to the Favorites list
       AddFavoritesFromDataObject(Sender.DragManager.DataObject, Mode)
      end
    end else
    begin
      // It is an internal move
      SetLength(NodeArray, Sender.SelectedCount);
      i := 0;
      Node := Sender.GetFirstSelected;
      while Assigned(Node) do
      begin
        NodeArray[i] := Node;
        Inc(i);
        Node := Sender.GetNextSelected(Node)
      end;

      if Effect = DROPEFFECT_MOVE then
      begin
        for i := 0 to Length(NodeArray) - 1 do
        begin
          case Mode of
            dmAbove: Sender.MoveTo(NodeArray[i], Sender.DropTargetNode, amInsertBefore, False);
            dmOnNode: Sender.MoveTo(NodeArray[i], Sender.DropTargetNode, amAddChildLast, False);
            dmBelow: Sender.MoveTo(NodeArray[i], Sender.DropTargetNode, amInsertAfter, False);
          end;
        end;
        Sender.Expanded[Sender.DropTargetNode] := True
      end
    end
  end else
  begin
    if DataObjectSupportsShell(Sender.DragManager.DataObject) then
    begin
      Effect := DROPEFFECT_LINK;
      AddFavoritesFromDataObject(Sender.DragManager.DataObject, Mode);
    end
  end;
  FavoritesClearDropNode;
end;

procedure TTntFormUltraExplorer.UltraFavoritesEndDrag(Sender, Target: TObject; X, Y: Integer);
begin
  FavoritesClearDropNode;
end;

procedure TTntFormUltraExplorer.UltraFavoritesDragOver(Sender: TBaseVirtualTree;
  Source: TObject; Shift: TShiftState; State: TDragState; Pt: TPoint;
  Mode: TDropMode; var Effect: Integer; var Accept: Boolean);
var
  FavRec: PUltraFavoritesRec;
begin
  Accept := False;
  if (State = dsDragLeave) then
  begin
    FavoritesClearDropNode;
  end else
  if (State = dsDragMove) then
  begin
    if Assigned(Sender.DropTargetNode) and (Mode <> dmNowhere) then
    begin
      FavRec := PUltraFavoritesRec(Sender.GetNodeData(Sender.DropTargetNode)^);
      // First see if there is shell clipboard data in the drag
      if DataObjectSupportsShell(Sender.DragManager.DataObject) then
      begin
        if (Mode = dmOnNode) and Assigned(FavRec.NS) then
        begin
          // The action will be a shell data transfer
          if FavDropNode <> Sender.DropTargetNode then
          begin
            FavoritesClearDropNode;
            FavDropNode := Sender.DropTargetNode;
            if Assigned(FavDropNode) then
            begin
              FavRec := PUltraFavoritesRec(Sender.GetNodeData(Sender.DropTargetNode)^);
              if Assigned(FavRec.NS) then
              begin
                Effect := DROPEFFECT_COPY or DROPEFFECT_MOVE or DROPEFFECT_LINK; // Can do any
                FavRec.NS.DragEnter(Sender.DragManager.DataObject, ShiftStateToKeys(Shift), Pt, Effect);
                // Mike calls DoDragOver from within DragEnd in VT causes me DAYs of debugging to remember
                // this with the shell drag and drop.  You can't do that because is calls
                // TNamespace.DragDrop with no mouse button!
                if ssLeft in Shift then
                  DragEnterMouseShiftState := [ssLeft]
                else
                if ssRight in Shift then
                  DragEnterMouseShiftState := [ssRight]
                else
                  DragEnterMouseShiftState := [ssMiddle];
                {$IFDEF GX_DEBUG}SendDebug('DragEnter: Node = ' + IntToHex(Integer( FavDropNode), 8) + '    KeyState: ' + ShiftStateToStr(Shift) + '    Effect: ' + DropEffectToStr(Effect));{$ENDIF}
              end else
              FavoritesClearDropNode;
            end
          end else
          if Assigned(FavDropNode) then
          begin
            Effect := DROPEFFECT_COPY or DROPEFFECT_MOVE or DROPEFFECT_LINK; // Can do any
            FavRec.NS.DragOver(ShiftStateToKeys(Shift), Pt, Effect);
            {$IFDEF GX_DEBUG}SendDebug('DragOver: Node = ' + IntToHex(Integer( FavDropNode), 8) + '    KeyState: ' + ShiftStateToStr(Shift) + '    Effect: ' + DropEffectToStr(Effect));{$ENDIF}
          end;
          Accept := Effect <> DROPEFFECT_NONE;
        end else
        begin
          FavoritesClearDropNode;
          // This will be new objects added to the tree
          Accept := True;
          Effect := DROPEFFECT_LINK;
          UltraFavorites.Colors.SelectionRectangleBlendColor := clHighlight
        end
      end else
      begin
        FavoritesClearDropNode;
        // This is an inter-tree node move, only active if a Category node (NS = nil)
        // or between nodes
        Accept := not(Assigned(FavRec.NS) and (Mode = dmOnNode));
        if Accept then
          Effect := DROPEFFECT_MOVE;
        UltraFavorites.Colors.SelectionRectangleBlendColor := clHighlight
      end
    end else
    begin
      FavoritesClearDropNode;
      Accept := DataObjectSupportsShell(Sender.DragManager.DataObject);
      if Accept then
        Effect := DROPEFFECT_LINK;
    end
  end
end;

procedure TTntFormUltraExplorer.UltraFavoritesChange(Sender: TBaseVirtualTree;
  Node: PVirtualNode);
begin
  SyncFavoritesActions;
end;

procedure TTntFormUltraExplorer.UltraFavoritesDragAllowed(
  Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex;
  var Allowed: Boolean);
begin
  Allowed := ActionFavoritesEdit.Checked
end;

procedure TTntFormUltraExplorer.UltraFavoritesContextPopup(Sender: TObject;
  MousePos: TPoint; var Handled: Boolean);
var
  FavRec: PUltraFavoritesRec;
  HitInfo: THitInfo;
begin
  UltraFavorites.GetHitTestInfoAt(MousePos.X, MousePos.Y, True, HitInfo);
  if Assigned(HitInfo.HitNode) and (HitInfo.HitPositions * [hiOnItemLabel, hiOnNormalIcon] <> []) then
  begin
    if not ActionFavoritesEdit.Checked then
    begin
      FavRec := PUltraFavoritesRec((Sender as TBaseVirtualTree).GetNodeData(HitInfo.HitNode)^);
      if Assigned(FavRec.NS) then
      begin
        UltraFavorites.HotCursor := crDefault;
        ContextMenuNamespace := FavRec.NS;
        try
          FavRec.NS.ShowContextMenu(UltraFavorites, VSTFavoritesContextMenuCmdCallback, VSTFavoritesContextMenuShowCallback, ContextMenuAfterCmdCallback);
        finally
          ContextMenuNamespace := nil;
          UltraFavorites.HotCursor := crHandPoint;
          Handled := True;
        end
      end
    end
  end
end;

procedure TTntFormUltraExplorer.UltraHistoryMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  Item: TEasyItem;
  NewTab: Boolean;
begin
  Item := UltraHistory.Groups.ItemByPoint(UltraHistory.Scrollbars.MapWindowToView(Point(X, Y)));
  if Assigned(Item) then
  begin
    if (Button = mbLeft) or (Button = mbMiddle) then
    begin
      NewTab := ([ssCtrl, ssAlt] * Shift <> []) or (Button = mbMiddle);
      VirtualShellMRU.Tag := Integer( NewTab);
      VirtualShellMRU.ItemIndex := Item.Tag;
    end
  end
end;

procedure TTntFormUltraExplorer.UltraHistoryOLEDragOver(Sender: TCustomEasyListview; KeyState: TCommonKeyStates; WindowPt: TPoint; AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect);
var
  dwEffect: Integer;
begin
  DesiredDropEffect := cdeNone;
  if DropItemTemp <> UltraHistory.DragManager.DropTarget then
  begin
    if Assigned(DropItemTemp) then
    begin
      VirtualShellMRU.Items[DropItemTemp.Tag].DragLeave;
      DesiredDropEffect := cdeNone;
    end;
    DropItemTemp := UltraHistory.DragManager.DropTarget;
    if Assigned(DropItemTemp) then
    begin
      dwEffect := DropEffectStatesToDropEffect(AvailableEffects);
      VirtualShellMRU.Items[DropItemTemp.Tag].DragEnter(DataObjectTemp, KeyStatesToKey(KeyState), WindowPt, dwEffect);
      DesiredDropEffect := DropEffectToDropEffectState(dwEffect)
    end
  end else
  if Assigned(DropItemTemp) then
  begin
    dwEffect := DropEffectStatesToDropEffect(AvailableEffects);
    VirtualShellMRU.Items[DropItemTemp.Tag].DragOver(KeyStatesToKey(KeyState), WindowPt, dwEffect);
    DesiredDropEffect := DropEffectToDropEffectState(dwEffect)
  end
end;

procedure TTntFormUltraExplorer.UltraHistoryOLEDragDrop(Sender: TCustomEasyListview;
  DataObject: IDataObject; KeyState: TCommonKeyStates; WindowPt: TPoint;
  AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect; var Handled: Boolean);
var
  dwEffect: Integer;
  DoAction: Boolean;
begin
  try
    if Assigned(DropItemTemp) then
    begin
      DoAction := True;
      if Attribs.History.WarnBeforeDropAction then
      begin
        if MessageBoxW(Handle, PWideChar(STR_HISTORY_DROP_WARNING), PWideChar(STR_WARNING), MB_OKCANCEL or MB_ICONEXCLAMATION) = ID_CANCEL then
          DoAction := False;
      end;
      if DoAction then
      begin
        dwEffect := DropEffectStatesToDropEffect(AvailableEffects);
        VirtualShellMRU.Items[DropItemTemp.Tag].Drop(DataObject, KeyStatesToKey(KeyState), WindowPt, dwEffect);
        DesiredDropEffect := DropEffectToDropEffectState(dwEffect);
      end else
        DesiredDropEffect := cdeNone;
      VirtualShellMRU.Items[DropItemTemp.Tag].DragLeave;
    end;
  finally
    DropItemTemp := nil;
    DataObject := nil;
  end
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelDropStackVisibleChanged(
  Sender: TObject);
begin
  ActionDropStack.Checked := SpTBXDockablePanelDropStack.Visible;
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelTasksVisibleChanged(
  Sender: TObject);
begin
  ActionTaskWindow.Checked := SpTBXDockablePanelTasks.Visible
end;

procedure TTntFormUltraExplorer.SpTBXToolbarMainFileTypesVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarFileTypes.Checked := SpTBXToolbarMainFileTypes.Visible
end;

procedure TTntFormUltraExplorer.TabItemClick(Sender: TObject);
var
  Tab: TUltraSpTBXTabItem;
  TabSet: TSpTBXTabSet;
begin
  Tab := Sender as TUltraSpTBXTabItem;
  TabSet := Tab.Owner as TSpTBXTabSet;
  TabSetActive(TabSet.View.IndexOf(TabSet.View.Find(Tab)), TabSet)
end;

procedure TTntFormUltraExplorer.UltraFilterOLEDragLeave(
  Sender: TCustomEasyListview);
begin
  DataObjectTemp := nil;
end;

procedure TTntFormUltraExplorer.UltraFilterOLEDragDrop(Sender: TCustomEasyListview;
  DataObject: IDataObject; KeyState: TCommonKeyStates; WindowPt: TPoint;
  AvailableEffects: TCommonDropEffects; var DesiredDropEffect: TCommonDropEffect; var Handled: Boolean);
begin
  AddFiltersFromDataObject(DataObjectTemp);
  DataObjectTemp := nil;
end;

procedure TTntFormUltraExplorer.UltraFilterOLEDragEnd(
  Sender: TCustomEasyListview; ADataObject: IDataObject;
  DragResult: TCommonOLEDragResult; ResultEffect: TCommonDropEffects;
  KeyStates: TCommonKeyStates);
begin
  DataObjectTemp := nil;
end;

procedure TTntFormUltraExplorer.UltraFilterOLEDragStart(
  Sender: TCustomEasyListview; ADataObject: IDataObject;
  var AvailableEffects: TCommonDropEffects; var AllowDrag: Boolean);
begin
  AvailableEffects := [cdeMove];
  AllowDrag := True
end;

procedure TTntFormUltraExplorer.UltraFilterOLEDragOver(
  Sender: TCustomEasyListview; KeyState: TCommonKeyStates;
  WindowPt: TPoint; AvailableEffects: TCommonDropEffects;
  var DesiredDropEffect: TCommonDropEffect);
var
  Group: TEasyGroup;
  Pt: TPoint;
begin
  if not DataObjectSupportsShell(DataObjectTemp) then
  begin
    DesiredDropEffect := cdeNone;
    Pt := UltraFilter.ScreenToClient(WindowPt);
    Group := UltraFilter.Groups.GroupByPoint(UltraFilter.Scrollbars.MapWindowToView(Pt));
    if Assigned(Group) and (UltraFilter.Groups.Count > 0) then
    begin
      if Group <> UltraFilter.Groups[0] then
        DesiredDropEffect := cdeMove
    end
  end
end;

procedure TTntFormUltraExplorer.SpTBXPopupMenuTabSetPopup(Sender: TObject);
begin
  SyncTabActions
end;

procedure TTntFormUltraExplorer.UltraHistoryItemContextMenu(
  Sender: TCustomEasyListview; HitInfo: TEasyHitInfoItem;
  WindowPoint: TPoint; var Menu: TPopupMenu; var Handled: Boolean);
begin
  if Assigned(HitInfo.Item) and (HitInfo.HitInfo * [ehtOnText, ehtOnIcon] <> []) then
  begin
    Handled := True;
    UltraHistory.HotTrack.Cursor := crDefault;
    ContextMenuNamespace := VirtualShellMRU.Items[HitInfo.Item.Tag];
    try
      VirtualShellMRU.Items[HitInfo.Item.Tag].ShowContextMenu(UltraFavorites, EasyListviewHistoryContextMenuCmdCallback, EasyListviewHistoryContextMenuShowCallback, ContextMenuAfterCmdCallback);
    finally
      ContextMenuNamespace := nil;
      UltraHistory.HotTrack.Cursor := crHandPoint;
    end
  end
end;

procedure TTntFormUltraExplorer.SpTBXPopupMenuFiltersPopup(Sender: TObject);
begin
  ActionFilterNewFromFiles.Enabled := Assigned(ActiveView) and (ActiveView.SelectionCount > 0)
end;

procedure TTntFormUltraExplorer.UltraHistoryOLEDragEnter(
  Sender: TCustomEasyListview; DataObject: IDataObject;
  KeyState: TCommonKeyStates; WindowPt: TPoint;
  AvailableEffects: TCommonDropEffects;
  var DesiredDropEffect: TCommonDropEffect);
var
  dwEffect: Integer;
begin
 // DesiredDropEffect := edeNone;
  DataObjectTemp := DataObject;
  DropItemTemp := UltraHistory.DragManager.DropTarget;
  if Assigned(DropItemTemp) then
  begin
    dwEffect := DropEffectStatesToDropEffect(AvailableEffects);
    VirtualShellMRU.Items[DropItemTemp.Tag].DragEnter(DataObject, KeyStatesToKey(KeyState), WindowPt, dwEffect);
    DesiredDropEffect := DropEffectToDropEffectState(dwEffect)
  end
end;

procedure TTntFormUltraExplorer.UltraFilterOLEDragEnter(
  Sender: TCustomEasyListview; DataObject: IDataObject;
  KeyState: TCommonKeyStates; WindowPt: TPoint;
  AvailableEffects: TCommonDropEffects;
  var DesiredDropEffect: TCommonDropEffect);
begin
  DesiredDropEffect := cdeNone;
  DataObjectTemp := DataObject;
  if DataObjectSupportsShell(DataObjectTemp) then
    DesiredDropEffect := cdeCopy
end;

procedure TTntFormUltraExplorer.TBXToolWindowAddressBarVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarAddressBar.Checked := SpTBXToolbarAddressBar.Visible
end;

procedure TTntFormUltraExplorer.SpTBXToolbarNavigationVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarNavigation.Checked := SpTBXToolbarNavigation.Visible
end;

procedure TTntFormUltraExplorer.SpTBXFormPopupMenuFileObjectsPopup(Sender: TObject);
begin
  TntFormFileObjects.SpTBXCheckListBoxFileObjects.Checked[0] := foFolders in Attribs.Listview.FileObjects;
  TntFormFileObjects.SpTBXCheckListBoxFileObjects.Checked[1] := foNonFolders in Attribs.Listview.FileObjects;
  TntFormFileObjects.SpTBXCheckListBoxFileObjects.Checked[2] := foHidden in Attribs.Listview.FileObjects;
end;

procedure TTntFormUltraExplorer.SpTBXFormPopupMenuFileObjectsClosePopup(Sender: TObject; Selected: Boolean);
var
  OldObjects: TFileObjects;
begin
  OldObjects := Attribs.Listview.FileObjects;
  Attribs.Listview.FileObjects := [];
  if TntFormFileObjects.SpTBXCheckListBoxFileObjects.Checked[0] then
    Attribs.Listview.FileObjects := Attribs.Listview.FileObjects +  [foFolders];
  if TntFormFileObjects.SpTBXCheckListBoxFileObjects.Checked[1] then
    Attribs.Listview.FileObjects := Attribs.Listview.FileObjects +  [foNonFolders];
  if TntFormFileObjects.SpTBXCheckListBoxFileObjects.Checked[2] then
    Attribs.Listview.FileObjects := Attribs.Listview.FileObjects +  [foHidden];
  if OldObjects <> Attribs.Listview.FileObjects then
    ChangeFileObjects(Attribs);
  BreadCrumbListview.EnumFlags :=  Attribs.Listview.FileObjects;
end;

procedure TTntFormUltraExplorer.SpTBXDockViewerRequestDock(Sender: TObject;
  Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  Accept := Bar.Name = 'SpTBXToolbarViewer'
end;

procedure TTntFormUltraExplorer.TntFormResize(Sender: TObject);
begin
  ViewerResize(Sender);
end;

procedure TTntFormUltraExplorer.ATViewerResize(Sender: TObject);
begin
  ViewerResize(Sender)
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelViewerVisibleChanged(
  Sender: TObject);
begin
  ActionViewer.Checked := SpTBXDockablePanelViewer.Visible;
  if not SpTBXDockablePanelViewer.Visible then
  begin
    ViewerTimerKill;
    OpenViewer('')
  end else
    ViewerTimerStart;    
end;

procedure TTntFormUltraExplorer.ATViewerPluginsBeforeLoading(const PluginName: String);
begin
  ATViewer.Caption := STR_LOADINGPLUGIN + ': ' + PluginName;
  ATViewer.Invalidate;
  ATViewer.Update;
end;

procedure TTntFormUltraExplorer.ATViewerPluginsAfterLoading(const PluginName: String);
begin
  ATViewer.Caption := FFileNameWideToAnsi(ATViewer.FileName) + ' - ' + PluginName;
  ATViewer.Invalidate;
  ATViewer.Update;
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemContextMenuClick(Sender: TObject);
var
  IV: TTBItemViewer;
  Pt: TPoint;
  NewMenuCommand: Boolean;
begin
  if Assigned(ActiveView) then
  begin
    IV := SpTBXTabSetListview.View.Find(Sender as TSpTBXSubMenuItem);
    if Assigned(IV) then
    begin
      Pt.X := IV.BoundsRect.Left;
      Pt.Y := IV.BoundsRect.Bottom;
      // Let the Listview handle the IContextMenu2 messages
      SyncListviewBkGndMenu;
      ViewBkGndMenu.Show(ActiveView, SpTBXTabSetListview.Toolbar.ClientToScreen(Pt), ActiveView.Handle, ActiveRoot, NewMenuCommand);

      if NewMenuCommand then
        HandleShellNewMenuSelect         
    end
  end
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemLanguagePopup(Sender: TTBCustomItem; FromLink: Boolean);
var
  Item: TSpTBXItem;
  Separator: TSpTBXSeparatorItem;
  i: Integer;
begin
  Sender.Clear;
  for i := 0 to LangManager.LanguageCount - 1 do
  begin
    Item := TSpTBXItem.Create(Sender);
    Item.Caption := LangManager.LanguageNames[i];
    Item.Tag := i;
    Item.Checked := LangManager.LanguageID = LangManager.LanguageIDs[i];
    Item.OnClick := LanguageItemClick;
    SetTBItemCaption(Item, LangManager.LanguageNames[i]);
    Sender.Add(Item);
  end;
  Separator := TSpTBXSeparatorItem.Create(Sender);
  Sender.Add(Separator);
  Item := TSpTBXItem.Create(Sender);
  Item.Caption := STR_LANGUAGEHELPME;
  Item.OnClick := TranslationHelpClick;
  SetTBItemCaption(Item, STR_LANGUAGEHELPME);
  Sender.Add(Item)
end;

procedure TTntFormUltraExplorer.SpTBXItemHelpHistoryClick(Sender: TObject);
begin
  WideShellExecute(Handle, 'open', AppFilesPath + '\' + STR_HISTORYFILE, '', '');
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemListviewGroupingPopup(
  Sender: TTBCustomItem; FromLink: Boolean);
begin
  SyncListviewBkGndMenu
end;

procedure TTntFormUltraExplorer.WndProc(var Message: TMessage);
var
  pGlobal: Pointer;
  hGlobal: THandle;
  MemStream: TMemoryStream;
  Count, i: Integer;
  PIDL: PItemIDList;
begin
  inherited WndProc(Message);
  if Message.Msg = WM_DDEULTRAEXPLORER then
  begin
    if Message.WParam = 0 then
    begin
      Message.WParam := 1;  // Signal we handled the message

      MemStream := TMemoryStream.Create;
      try
        MemStream.Size := Message.LParam;
        hGlobal := OpenFileMapping(FILE_MAP_ALL_ACCESS, False, 'UltraSharingFile');
        if hGlobal <> 0 then
        begin
          pGlobal := MapViewOfFile(hGlobal, FILE_MAP_ALL_ACCESS, 0, 0, 0);
          try
            CopyMemory(MemStream.Memory, pGlobal, Message.LParam);
            MemStream.Position := 0;
            // Read the blank zero for our handle
            MemStream.Read(Count, SizeOf(Count));
            MemStream.Read(Count, SizeOf(Count));
            for i := 0 to Count - 1 do
            begin
              PIDL := PIDLMgr.LoadFromStream(MemStream);
              TabAdd(PIDL, nil, SpTBXTabSetListview, False);
              PIDLMgr.FreePIDL(PIDL);
            end;
            // Signal we handled it.
            PInteger( pGlobal)^ := Handle;   
          finally
            UnmapViewOfFile(pGlobal);
          end
        end;
      finally
        MemStream.Free
      end
    end
  end
end;

{ TSpTBXTabSetDropTarget }
function TSpTBXItemDropTarget.DragEnter(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HResult;
begin
  if Assigned(DropTargetHelper) then
    DropTargetHelper.DragEnter(TabSet.Handle, dataObj, Pt, dwEffect);
  DataObject := DataObj;
  DataObjectContainsFolder := TabAddFromDataObject(DataObject, True);
  Result := S_OK;
end;

function TSpTBXItemDropTarget.DragLeave: HResult;
begin
  TargetWnd := nil;
  if Assigned(DropTargetHelper) then
    DropTargetHelper.DragLeave;

  if Assigned(LastNS) then
  begin
    LastNS.DragLeave;
    FreeAndNil(FLastNS);
  end;
  DataObject := nil;

  Result := S_OK
end;

function TSpTBXItemDropTarget.DragOver(grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HResult;
var
  Viewer: TTBItemViewer;
  TargetPIDL: PItemIDList;
begin
  Result := S_OK;

  Viewer := nil;
  if not Assigned(TargetWnd) then
    TargetWnd := FindVCLWindow(pt);

  if Assigned(TargetWnd) then
  begin
    if TargetWnd is TSpTBXTabSet then
      Viewer := TabSet.View.ViewerFromPoint(TabSet.ScreenToClient(pt))
    else
    if TargetWnd is TSpTBXToolbar then
      Viewer := DriveToolbar.View.ViewerFromPoint(DriveToolbar.ScreenToClient(pt));

    if Assigned(Viewer) then
    begin
      if (Viewer.Item is TUltraSpTBXTabItem) or (Viewer.Item is TTBXEnumItem) then
      begin
        if Viewer.Item is TUltraSpTBXTabItem then
        begin
          TabSet.Invalidate;
          TargetPIDL := (Viewer.Item as TUltraSpTBXTabItem).PIDL;
        end else
          TargetPIDL := (Viewer.Item as TTBXEnumItem).NS.AbsolutePIDL;

        if Assigned(LastNS) then
        begin
          if LastNS.ComparePIDL(TargetPIDL, True) <> 0 then
          begin
            LastNS.DragLeave;
            FreeAndNil(FLastNS);
            LastNS := TNamespace.Create(PIDLMgr.CopyPIDL(TargetPIDL), nil);
            Result := LastNS.DragEnter(DataObject, grfKeyState, Pt, dwEffect);
          end else
          begin
            Result := LastNS.DragOver(grfKeyState, Pt, dwEffect)
          end
        end else
        begin
          LastNS := TNamespace.Create(PIDLMgr.CopyPIDL(TargetPIDL), nil);
          Result := LastNS.DragEnter(DataObject, grfKeyState, Pt, dwEffect);
        end
      end else
      begin
        if Assigned(LastNS) then
          LastNS.DragLeave;
        FreeAndNil(FLastNS);
        if DataObjectContainsFolder then  // Allow dropping a folder on the TabSet
          dwEffect := DROPEFFECT_COPY
        else
          dwEffect := DROPEFFECT_NONE
      end
    end else
    begin
      if Assigned(LastNS) then
        LastNS.DragLeave;
      FreeAndNil(FLastNS);
       if DataObjectContainsFolder then
          dwEffect := DROPEFFECT_COPY
        else
          dwEffect := DROPEFFECT_NONE
    end;
  end else
  begin
    if Assigned(LastNS) then
      LastNS.DragLeave;
    FreeAndNil(FLastNS);
    dwEffect := DROPEFFECT_NONE;
  end;

  if Assigned(DropTargetHelper) then
    DropTargetHelper.DragOver(Pt, dwEffect);
end;

function TSpTBXItemDropTarget.Drop(const dataObj: IDataObject; grfKeyState: Longint; pt: TPoint; var dwEffect: Longint): HResult;
var
  Target: TWinControl;
begin
  if Assigned(DropTargetHelper) then
    DropTargetHelper.Drop(dataObj, Pt, dwEffect);

  Result := S_OK;
  if Assigned(LastNS) then
  begin
    Result := LastNS.Drop(dataObj, grfKeyState, pt, dwEffect);
    FreeAndNil(FLastNS);
  end else
  begin
    Target := FindVCLWindow(pt);
    if Assigned(Target) and (Target is TSpTBXTabToolbar) then
      TabAddFromDataObject(DataObject, False)
  end;
  DataObject := nil;
end;

function TSpTBXItemDropTarget.GetDropTargetHelper: IDropTargetHelper;
begin
  if not Assigned(FDropTargetHelper) and IsWin2000 then
    if CoCreateInstance(CLSID_DragDropHelper, nil, CLSCTX_INPROC_SERVER or CLSCTX_LOCAL_SERVER, IID_IDropTargetHelper, FDropTargetHelper) <> S_OK then
      FDropTargetHelper := nil;
  Result := FDropTargetHelper
end;

function TSpTBXItemDropTarget.TabAddFromDataObject(DataObject: IDataObject; TestOnly: Boolean): Boolean;
var
  ShellIDList: TCommonShellIDList;
  NS: TNamespace;
  i: Integer;
begin
  Result := False;
  ShellIDList := TCommonShellIDList.Create;
  try
    ShellIDList.LoadFromDataObject(DataObject);
    for i := 0 to ShellIDList.PIDLCount - 1 do
    begin
      NS := TNamespace.Create(ShellIDList.AbsolutePIDL(i), nil);
      NS.FreePIDLOnDestroy := False;
      if NS.Folder then
      begin
        Result := True;
        if not TestOnly then
          TntFormUltraExplorer.TabAdd(NS.AbsolutePIDL, nil, TabSet, False);
      end;
      NS.Free
    end
  finally
    ShellIDList.Free
  end
end;

function TTntFormUltraExplorer.FileCount: Integer;
begin
  if Assigned(ActiveView) then
    Result := ActiveView.Groups.ItemCount
  else
    Result := 0;
end;

{ TViewerTabs }
constructor TInplaceWindowTabs.Create;
begin
  inherited;
  Tabs := TList.Create;
  Stub := CreateStub(Self, @TInplaceWindowTabs.EnumChildProc);
end;

destructor TInplaceWindowTabs.Destroy;
begin
  Tabs.Free;
  DisposeStub(Stub);
  inherited Destroy;
end;

function TInplaceWindowTabs.EnumChildProc(Wnd: HWnd; Param: LParam): BOOL;

  function Duplicate(AWnd: HWnd; AList: TList): Boolean;
  var
    i: Integer;
  begin
    i := 0;
    Result := False;
    while (i < AList.Count) and not Result do
    begin
      Result := HWnd( AList[i]) = AWnd;
      Inc(i)
    end
  end;

var
  List: TList;
begin
  List := TList( Param);
  if GetWindowLong(Wnd, GWL_STYLE) and WS_TABSTOP <> 0 then
    if not Duplicate(Wnd, List) then
      List.Insert(0, Pointer( Wnd));
  EnumChildWindows(Wnd, Stub, Param);
  Result := True;
end;

function TInplaceWindowTabs.FirstTab: hWnd;
begin
  Result := LastTab;
  if (Result = 0) and (Tabs.Count > 0) then
    Result := Integer( Tabs[0])
end;

function TInplaceWindowTabs.GetCount: Integer;
begin
  Result := Tabs.Count
end;

function TInplaceWindowTabs.NextTab(Wnd: HWnd): HWnd;
var
  i, Counter: Integer;
  NextWnd: HWnd;
begin
  Result := 0;
  Counter := 0;
  i := Tabs.IndexOf( Pointer(Wnd));
  while (i > -1) and (Result = 0) and (Counter < Tabs.Count) do
  begin
    Inc(i);
    if i > Tabs.Count - 1 then
      i := 0;
    NextWnd := HWnd( Tabs[i]);
    if GetWindowLong(NextWnd, GWL_STYLE) and WS_VISIBLE <> 0 then
      Result := NextWnd;
    Inc(Counter)
  end
end;

function TInplaceWindowTabs.PrevTab(Wnd: HWnd): HWnd;
var
  i, Counter: Integer;
  PrevWnd: HWnd;
begin
  Result := 0;
  Counter := 0;
  i := Tabs.IndexOf( Pointer(Wnd));
  while (i > -1) and (Result = 0) and (Counter < Tabs.Count) do
  begin
    Dec(i);
    if i < 0 then
      i := Tabs.Count - 1;
    PrevWnd := HWnd( Tabs[i]);
    if GetWindowLong(PrevWnd, GWL_STYLE) and WS_VISIBLE <> 0 then
      Result := PrevWnd;
    Dec(Counter)
  end
end;

procedure TInplaceWindowTabs.Add(Wnd: HWnd);
begin
  Tabs.Add( Pointer(Wnd))
end;

procedure TInplaceWindowTabs.BuildTabList(ParentWnd: HWnd);
begin
  EnumChildWindows(ParentWnd, Stub, LPARAM( Tabs));
end;

procedure TInplaceWindowTabs.Clear;
begin
  Tabs.Clear;
end;

procedure TTntFormUltraExplorer.UltraFavoritesGetHint(
  Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex;
  var LineBreakStyle: TVTTooltipLineBreakStyle; var HintText: WideString);
var
  FavRec: PUltraFavoritesRec;
begin
  if Attribs.Favorites.ShowPathHint then
  begin
    FavRec := PUltraFavoritesRec((Sender as TBaseVirtualTree).GetNodeData(Node)^);
    if Assigned(FavRec.NS) then
      HintText := FavRec.NS.NameParseAddress
    else
      HintText := FavRec.Caption
  end
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemTabsOpenPopup(
  Sender: TTBCustomItem; FromLink: Boolean);
var
  Item: TSpTBXItem;
  i: Integer;
  NS: TNamespace;
  Tab: TUltraSpTBXTabItem;
begin
  Sender.Clear;
  for i := TabFirst(SpTBXTabSetListview) to TabCount(SpTBXTabSetListview) - 1 do
  begin
    if i > -1 then   // Make sure there are any Tabs
    begin
      Tab := TUltraSpTBXTabItem( SpTBXTabSetListview.Items[i]);
      Item := TSpTBXItem.Create(Sender);
      Sender.SubMenuImages := SmallSysImages;
      Item.Tag := Integer(SpTBXTabSetListview.Items[i]) ; // Sneak the reference in
      if Assigned(Tab.InPlaceWindow) then
        LoadItemWithInPlaceTabInfo(Item, Tab.InPlaceWindow)
      else begin
        NS := TNamespace.Create((SpTBXTabSetListview.Items[i] as TUltraSpTBXTabItem).PIDL, nil);
        NS.FreePIDLOnDestroy := False;
        Item.ImageIndex := NS.GetIconIndex(False, icSmall);
        if Attribs.General.FullPathInTabMenus then
        begin
          Item.Caption := NS.NameForParsing;
          SetTBItemCaption(Item, NS.NameForParsing);
        end else
        begin
          Item.Caption := NS.NameNormal;
          SetTBItemCaption(Item, NS.NameNormal);
        end;
        NS.Free;
      end;
      Item.OnClick := TabSetMenuItemClick;
      Item.Checked := SpTBXTabSetListview.ActiveTabIndex = i;
      Sender.Add(Item);
    end
  end
end;

procedure TTntFormUltraExplorer.TntFormCreate(Sender: TObject);
begin
  MP_ThreadedShellExecute := True;
  OldDriveToolbarWndProc := SpTBXToolbarDrives.WindowProc;
  OldTabSetWndProc := SpTBXTabSetListview.WindowProc;
  OldUltraFavoriteWndProc := UltraFavorites.WindowProc;

  SpTBXTabSetListview.WindowProc := TBXTabSetWndProc;
  SpTBXToolbarDrives.WindowProc := TBXDrivesToolbarWndProc;
  UltraFavorites.WindowProc := UltraFavoritesWndProc;

  Application.OnMessage := ApplicationMessageEvent;
end;

procedure TTntFormUltraExplorer.SpTBXItemStatusbarNewVersionAvialableClick(
  Sender: TObject);
begin
  DownloadNewVersion;
  SpTBXItemStatusbarNewVersionAvialable.Visible := False
end;

procedure TTntFormUltraExplorer.UltraFavoritesStructureChange(
  Sender: TBaseVirtualTree; Node: PVirtualNode; Reason: TChangeReason);
begin
  BuildFavoriteCrumbBar;
  FavoritesRebuildGlobal;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarFavoriteCrumbBarVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarFavoriteCrumb.Checked := SpTBXToolbarFavoriteCrumbBar.Visible;
  BuildFavoriteCrumbBar;
end;

procedure TTntFormUltraExplorer.SpTBXPopupMenuTasksPopup(Sender: TObject);
begin
  // Load any new libraries
  TaskPlugins.Load;
  TaskMenuPopulate((Sender as TSpTBXPopupMenu).Items);
end;

procedure TTntFormUltraExplorer.SpTBXPanelTaskBkGndResize(Sender: TObject);
begin
  if Assigned(CurrentTask) then
    CurrentTask.SetWindowBounds(SpTBXPanelTaskBkGnd.Width, SpTBXPanelTaskBkGnd.Height)
end;

procedure TTntFormUltraExplorer.UltraFilterItemSelectionChanging(
  Sender: TCustomEasyListview; Item: TEasyItem; var Allow: Boolean);
begin
  // UE installed filters can't be deleted or selected
  Allow := Item.OwnerGroup.Index > 0
end;


procedure TTntFormUltraExplorer.SpTBXItemViewActionQuickThumbsClick(
  Sender: TObject);
begin
  if Assigned(ActiveView) then
  begin
    FQuickThumbs.Enabled := True;
    FQuickThumbs.View := ActiveView.View;
    ActionViewThumbnailExecute(Sender);
  end
end;

procedure TTntFormUltraExplorer.SpTBXMultiDockMainLeftResize(
  Sender: TObject);

  function VisibleToolbarCount: Integer;
  var
    i: Integer;
  begin
    Result := 0;
    for i := SpTBXMultiDockMainLeft.ToolbarCount - 1 downto 0 do
      if SpTBXMultiDockMainLeft.Toolbars[i].Visible then
        Inc(Result)
  end;

begin  
  SpTBXSplitterLeft.Visible := VisibleToolbarCount > 0
end;

procedure TTntFormUltraExplorer.SpTBXTrackBarQuickViewChange(Sender: TObject);
begin
  if Assigned(ActiveView) then
  begin
    ActiveView.CellSizes.Thumbnail.Width := SpTBXTrackBarQuickView.Position;
    ActiveView.CellSizes.Thumbnail.Height := Round(SpTBXTrackBarQuickView.Position * Attribs.Listview.AspectRatio)
  end
end;

procedure TTntFormUltraExplorer.SpTBXToolbarViewActionDockChanged(
  Sender: TObject);
begin
  if Assigned(SpTBXToolbarViewAction.CurrentDock) then
  begin
    if (SpTBXToolbarViewAction.CurrentDock.Position in [dpLeft, dpRight]) then
    begin
      SpTBXTrackBarQuickView.Orientation := trVertical;
      SpTBXTrackBarQuickView.Orientation := trVertical
    end else
    begin
      SpTBXTrackBarQuickView.Orientation := trHorizontal;
      SpTBXTrackBarQuickView.Orientation := trHorizontal
    end;
  end
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemMainMenuLauncherPopup(
  Sender: TTBCustomItem; FromLink: Boolean);
begin
  BuildLauncherMenu;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarLauncherVisibleChanged(
  Sender: TObject);
begin
  ActionToolbarLauncher.Checked := SpTBXToolbarLauncher.Visible;
  BuildLauncherMenu;
end;

procedure TTntFormUltraExplorer.SpTBXCheckBoxQuickFilterAutoWildcardClick(
  Sender: TObject);
begin
  Attribs.Filter.QuickFilterAutoWildcard := SpTBXCheckBoxQuickFilterAutoWildcard.Checked
end;

procedure TTntFormUltraExplorer.SpTBXCustomizerSave(Sender: TObject;
  ExtraOptions: TStringList);
var
  i: Integer;
  Bar: TSpTBXToolbar;
  DockPanel: TSpTBXDockablePanel;
begin
  ExtraOptions.Add('Version=' + IntToStr(ULTRAEXPLORER_VERSION));
  for i := 0 to ComponentCount - 1 do
  begin
    if Components[i] is TSpTBXToolbar then
    begin
      Bar := TSpTBXToolbar( Components[i]);
      if Bar.Customizable then
      begin
        ExtraOptions.Add(Bar.Name + '.DisplayMode=' + IntToStr( Integer( Bar.DisplayMode)))
      end
    end;
  end;

  for i := 0 to ComponentCount - 1 do
  begin
    if Components[i] is TSpTBXDockablePanel then
    begin
      DockPanel := TSpTBXDockablePanel( Components[i]);
      ExtraOptions.Add(DockPanel.Name + '.Minimized=' + IntToStr( Integer( DockPanel.Minimized)));
      ExtraOptions.Add(DockPanel.Name + '.Maximized=' + IntToStr( Integer( DockPanel.Maximized)));
      ExtraOptions.Add(DockPanel.Name + '.ShowCaptionWhenDocked=' + IntToStr( Integer( DockPanel.ShowCaptionWhenDocked)))
    end;
  end
end;

procedure TTntFormUltraExplorer.SpTBXCustomizerLoad(Sender: TObject;
  ExtraOptions: TStringList);
var
  VersionStr, Temp: string;
  Version, i: Integer;
  Bar: TSpTBXToolbar;
  DockPanel: TSpTBXDockablePanel;
begin
  VersionStr := ExtraOptions.Values['Version'];
  if VersionStr <> '' then
  begin
    Version := StrToInt( VersionStr);
    for i := 0 to ComponentCount - 1 do
    begin
      if Components[i] is TSpTBXToolbar then
      begin
        Bar := TSpTBXToolbar( Components[i]);
        if Bar.Customizable then
        begin
          if Version >= 010103 then
          begin
            Temp := ExtraOptions.Values[Bar.Name + '.DisplayMode'];
            if Temp <> '' then
              Bar.DisplayMode := TSpTBXToolbarDisplayMode( StrToInt(Temp ))
          end
        end
      end
    end;

    for i := 0 to ComponentCount - 1 do
    begin
      if Components[i] is TSpTBXDockablePanel then
      begin
        DockPanel := TSpTBXDockablePanel( Components[i]);
        Temp := ExtraOptions.Values[DockPanel.Name + '.Minimized'];
        if Temp <> '' then
        begin
          if Boolean( StrToInt(Temp)) then
            DockPanel.Minimize
        end;
        Temp := ExtraOptions.Values[DockPanel.Name + '.Maximized'];
        if Temp <> '' then
        begin
          if Boolean( StrToInt(Temp)) then
            DockPanel.Maximize
        end;

        Temp := ExtraOptions.Values[DockPanel.Name + '.ShowCaptionWhenDocked'];
        if Temp <> '' then
          DockPanel.ShowCaptionWhenDocked := Boolean( StrToInt(Temp));
      end
    end;
  end
end;

procedure TTntFormUltraExplorer.SpTBXItemFileTypesObjectsClick(Sender: TObject);
var
  Viewer: TTBItemViewer;
  Bounds: TRect;
begin
  Viewer := SpTBXToolbarMainFileTypes.View.Find(SpTBXItemFileTypesObjects);
  Bounds.TopLeft := SpTBXToolbarMainFileTypes.ClientToScreen(Viewer.BoundsRect.TopLeft);
  Bounds.BottomRight := SpTBXToolbarMainFileTypes.ClientToScreen(Viewer.BoundsRect.BottomRight);
  SpTBXFormPopupMenuFileObjects.Popup(Bounds.Left, Bounds.Bottom);
end;

procedure TTntFormUltraExplorer.SpTBXEditQuickFilterChange(Sender: TObject);
var
  Txt: WideString;
begin
  if WidePathMatchSpecExists then
  begin
    Txt := Trim(SpTBXEditQuickFilter.Text);
    if (Txt <> '') and Attribs.Filter.QuickFilterAutoWildcard then
      Txt := '*' + Txt + '*';

    if Txt = '' then
      ActionQuickFilterClearExecute(ActionQuickFilterClear)
    else
      ActionQuickFilterApplyExecute(ActionQuickFilterApply)   
  end
end;

procedure TTntFormUltraExplorer.UltraCoolTrayIconMinimizeToTray(
  Sender: TObject);
begin
  Minimized := True
end;

procedure TTntFormUltraExplorer.UltraCoolTrayIconClick(Sender: TObject);
begin
  if Minimized then
  begin
    UltraCoolTrayIcon.ShowMainForm;
    Minimized := False
  end else
  begin
    UltraCoolTrayIcon.HideMainForm;
    Minimized := True
  end
end;

procedure TTntFormUltraExplorer.TrayMenuExitClick(Sender: TObject);
begin
  ActionMainMenuExit.Execute;
end;

procedure TTntFormUltraExplorer.TrayMenuRestoreClick(Sender: TObject);
begin
  UltraCoolTrayIcon.ShowMainForm;
  Minimized := False
end;

procedure TTntFormUltraExplorer.TntPopupMenuTrayMenuPopup(Sender: TObject);
begin
  TrayMenuRestore.Enabled := Minimized;
  TrayMenuMinimize.Enabled := not Minimized;
end;

procedure TTntFormUltraExplorer.TrayMenuMinimizeClick(Sender: TObject);
begin
  UltraCoolTrayIcon.HideMainForm;
  Minimized := True
end;

procedure TTntFormUltraExplorer.UltraFoldersContextMenuAfterCmd(
  Sender: TCustomVirtualExplorerTree; Namespace: TNamespace;
  Verb: WideString; MenuItemID: Integer; Successful: Boolean);
begin
  StatusbarMenuHelpEnd;
end;

procedure TTntFormUltraExplorer.UltraFoldersContextMenuItemChange(
  Sender: TCustomVirtualExplorerTree; Namespace: TNamespace;
  MenuItemID: Integer; SubMenuID: HMENU; MouseSelect: Boolean);
begin
  StatusbarMenuHelp(MenuItemID, Namespace);
end;

procedure TTntFormUltraExplorer.UltraFoldersFocusChanged(
  Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex);
var
  NS: TNamespace;
  NewTab: Boolean;
begin
  if (uesLoaded in FUEState) then
  begin
    if not FoldersClickChange then
    begin
      if not UltraSyncronizer.IsSyncronizing then
      begin
        NewTab := (AsyncLeftButtonDown and AsyncControlDown) or AsyncMiddleButtonDown;
        if UltraFolders.ValidateNamespace(Node, NS) then
          UltraSyncronizer.Syncronize(ussFoldersWindow, NS.AbsolutePIDL, True, 500, NewTab);
      end
    end else
      FoldersClickChangeNode := Node;   // Do the syncronizing in the MouseUp event
  end
end;

procedure TTntFormUltraExplorer.UltraFoldersFocusChanging(
  Sender: TBaseVirtualTree; OldNode, NewNode: PVirtualNode; OldColumn,
  NewColumn: TColumnIndex; var Allowed: Boolean);
var
  NS: TNamespace;
begin
  Allowed := False;
  if uesLoaded in FUEState then
  begin
    if UltraSyncronizer.IsSyncronizing then
      Allowed := True
    else begin
      // don't allow the right button to change the focus
      if GetKeyState(VK_RBUTTON) and $8000 = 0 then
      begin
        Allowed := True;
        if UltraFolders.ValidateNamespace(OldNode, NS) then
          UltraSyncronizer.SyncronizePending(ussFoldersWindow, NS.AbsolutePIDL);
      end else
        Allowed := True
    end
  end
end;

procedure TTntFormUltraExplorer.UltraFoldersFreeNode(Sender: TBaseVirtualTree; Node: PVirtualNode);
begin
  if Node = FoldersClickChangeNode then
  begin
    UltraSyncronizer.SyncronizeCancel(ussFoldersWindow);
    FoldersClickChangeNode := nil;
    FoldersClickChange := False
  end
end;

procedure TTntFormUltraExplorer.UltraFoldersIncrementalSearch(
  Sender: TBaseVirtualTree; Node: PVirtualNode;
  const SearchText: WideString; var Result: Integer);
var
  NS: TNamespace;
begin
  if TVirtualExplorerTree(Sender).ValidateNamespace(Node, NS) then
    Result := WideIncrementalSearch(NS.NameNormal, SearchText)
end;

procedure TTntFormUltraExplorer.UltraFoldersKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
var
  NS: TNamespace;
begin
  case Key of
    VK_RETURN:
      begin
        if (ssCtrl in Shift) and UltraFolders.ValidateNamespace(UltraFolders.GetFirstSelected, NS) then
          TabAdd(NS.AbsolutePIDL, nil, SpTBXTabSetListview, False)
      end;
  end
end;

procedure TTntFormUltraExplorer.UltraFoldersMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  HitInfo: THitInfo;
begin
  UltraFolders.GetHitTestInfoAt(X, Y, True, HitInfo);
  if (Button in [mbLeft, mbMiddle, mbRight]) and (HitInfo.HitPositions * [hiOnNormalIcon, hiOnItemLabel] <> []) then
  begin
    FoldersClickChange := True;    // Tell the FocusChanged event to let the MouseUp event do the change
    if Button = mbMiddle then
      UltraFolders.FocusedNode := HitInfo.HitNode;
  end
end;

procedure TTntFormUltraExplorer.UltraFoldersMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  NewTab: Boolean;
  NS: TNamespace;
begin
  if FoldersClickChange then
  begin
    // The SyncronizePending is called in the FocusChanged event
    NewTab := ((Button = mbLeft) and (Shift * [ssCtrl, ssAlt] <> [])) or (Button = mbMiddle);
    if UltraFolders.ValidateNamespace(FoldersClickChangeNode, NS) then
      UltraSyncronizer.Syncronize(ussFoldersWindow, NS.AbsolutePIDL, True, 50, NewTab);
  end;
  FoldersClickChange := False;
  FoldersClickChangeNode := nil;
end;

procedure TTntFormUltraExplorer.UltraFoldersNewText(
  Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex;
  NewText: WideString);
var
  NS: TNamespace;
begin
  // Update app with new name, Need to refresh the tree and shell data
  if UltraFolders.ValidateNamespace(Node, NS) then
    UltraSyncronizer.Syncronize(ussFoldersWindow, NS.AbsolutePIDL, True, 100, False);
end;

procedure TTntFormUltraExplorer.UltraFoldersShellNotify(
  Sender: TCustomVirtualExplorerTree; ShellEvent: TVirtualShellEvent);
begin
  RebuildDrivesToolbar;
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemMainMenuFolderSizePopup(
  Sender: TTBCustomItem; FromLink: Boolean);
begin
  ActionFolderSizeCalculateAllAlways.Checked := Attribs.Listview.FolderSizeShow;
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItemFolderSizeTabbarPopup(
  Sender: TTBCustomItem; FromLink: Boolean);
begin
  SpTBXSubmenuItemFolderSizeTabbar.LinkSubitems := SpTBXPopupMenuFolderSize.Items;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarQuickSearchVisibleChanged(
  Sender: TObject);
begin
  if SpTBXToolbarQuickSearch.Visible then
  begin
    if WidePathMatchSpecExists then
    begin
      SpTBXToolbarQuickSearch.Visible := True;
      SpTBXEditQuickFilter.SetFocus;
      SpTBXEditQuickFilter.SelectAll;
      SyncQuickFilter;
    end
  end;
  ActionToolbarQuickFilter.Checked := SpTBXToolbarQuickSearch.Visible;
end;

procedure TTntFormUltraExplorer.SpTBXTabSetListviewActiveTabChange(Sender: TObject; TabIndex: Integer);
begin
  if uesLoaded in FUEState then
  begin
    TabSwitching := True;     // Cleared in ListviewEnumFinshed event
    if not TabActiveIsInPlaceWindow(SpTBXTabSetListview) then
    begin
      if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
      begin
        if (TabIndex >= TabFirst(SpTBXTabSetListview)) and (TabIndex <= TabLast(SpTBXTabSetListview)) then
          UltraSyncronizer.Syncronize(ussTabs, (SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem).PIDL, False, -1, False);
      end;
      TabLoadHistoryAndMRU(TabIndex);
      TabLoadQuickFilterInfo(SpTBXTabSetListview.ActiveTabIndex);
    end
  end
end;

procedure TTntFormUltraExplorer.SpTBXTabSetListviewActiveTabChanging(
  Sender: TObject; TabIndex, NewTabIndex: Integer; var Allow: Boolean);
var
  NewInPlaceWnd, PrevInPlaceWnd: IUltraInPlaceWindow;
  InPlaceNotify: IUltraInplaceNotifications;
begin
  if uesLoaded in FUEState then
  begin
    // SpTBXTabSet calls this twice.  Try to limit testing to the first time.
    if (PrevTabIndex <> TabIndex) or (PrevNewTabIndex <> NewTabIndex) then
    begin
      SendMessage(SpTBXPanelUltraDockSite.Handle, WM_SETREDRAW, 0, 0);
      try
        PrevTabIndex := TabIndex;
        PrevNewTabIndex := NewTabIndex;
        NewInPlaceWnd := nil;
        PrevInPlaceWnd := nil;
        if (NewTabIndex > -1) and (NewTabIndex <= TabLast(SpTBXTabSetListview)) and (NewTabIndex >= TabFirst(SpTBXTabSetListview)) then
          NewInPlaceWnd := ( SpTBXTabSetListview.Items[NewTabIndex] as TUltraSpTBXTabItem).InPlaceWindow;
        if (TabIndex > -1) and (TabIndex <= TabLast(SpTBXTabSetListview)) and (TabIndex >= TabFirst(SpTBXTabSetListview)) then
          PrevInPlaceWnd := (SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem).InPlaceWindow;

        if Assigned(PrevInPlaceWnd) then
        begin
          if Supports(PrevInPlaceWnd, IUltraInplaceNotifications, InPlaceNotify) then
            InPlaceNotify.TabChanging(ntsDeActivating);
          PrevInPlaceWnd.ShowWindow(False);
          UltraListview.Visible := True;
          ActiveView := UltraListview;
          SyncListviewEditActions;
        end;

        if Assigned(NewInPlaceWnd) then
        begin
          UltraListview.Visible := False;
          NewInPlaceWnd.SetParentWnd(SpTBXPanelUltraDockSite);
          if Supports(NewInPlaceWnd, IUltraInplaceNotifications, InPlaceNotify) then
            InPlaceNotify.TabChanging(ntsActivating);
          ActiveView := nil;
          OpenViewer('');
          UltraHistory.Items.Clear;
          NewInPlaceWnd.ShowWindow(True);
          SyncListviewEditActions;
        end;

        if not TabActiveIsInPlaceWindow(SpTBXTabSetListview) then
        begin
          if (uesLoaded in UEState) and not UltraSyncronizer.IsSyncronizing then
          begin
            if (TabIndex >= TabFirst(SpTBXTabSetListview)) and (TabIndex <=  TabLast(SpTBXTabSetListview)) then
              UltraSyncronizer.SyncronizePending(ussTabs, (SpTBXTabSetListview.Items[TabIndex] as TUltraSpTBXTabItem).PIDL);
          end;
          TabSaveListviewState(TabIndex);
          TabSaveHistoryAndMRU(TabIndex);
          TabSaveQuickFilterInfo(TabIndex);
        end
      finally
        SendMessage(SpTBXPanelUltraDockSite.Handle, WM_SETREDRAW, 1, 0);
        RedrawWindow(SpTBXPanelUltraDockSite.Handle, nil, 0, RDW_ERASE or RDW_INVALIDATE or RDW_ERASENOW or
            RDW_UPDATENOW or RDW_ALLCHILDREN or RDW_FRAME);
      end
    end
  end
end;

procedure TTntFormUltraExplorer.SpTBXTabSetListviewResize(Sender: TObject);
begin
  TabCheckScrollState(SpTBXTabSetListview, ActionTabScrollLeft, ActionTabScrollRight);
end;

procedure TTntFormUltraExplorer.SpTBXPopupMenuFolderSizePopup(Sender: TObject);
begin
  ActionFolderSizeCalculateAllAlways.Checked := Attribs.Listview.FolderSizeShow;
end;

procedure TTntFormUltraExplorer.SpTBXToolbarFoldersEditVisibleChanged(Sender: TObject);
begin
  ActionToolbarFoldersEdit.Checked := SpTBXToolbarFoldersEdit.Visible
end;

procedure TTntFormUltraExplorer.SpTBXToolbarDropStackVisibleChanged(Sender: TObject);
begin
  ActionToolbarDropStack.Checked := SpTBXToolbarDropStack.Visible
end;

procedure TTntFormUltraExplorer.SpTBXToolbarViewerVisibleChanged(Sender: TObject);
begin
  ActionToolbarViewer.Checked := SpTBXToolbarViewer.Visible
end;

procedure TTntFormUltraExplorer.SpTBXToolbarAddressBarVisibleChanged(Sender: TObject);
begin
  ActionToolbarAddressBar.Checked := SpTBXToolbarAddressBar.Visible
end;

procedure TTntFormUltraExplorer.UltraFavoritesCompareNodes(
  Sender: TBaseVirtualTree; Node1, Node2: PVirtualNode;
  Column: TColumnIndex; var Result: Integer);
var
  FavRec1, FavRec2: PUltraFavoritesRec;
begin
  FavRec1 := PUltraFavoritesRec(UltraFavorites.GetNodeData(Node1)^);
  FavRec2 := PUltraFavoritesRec(UltraFavorites.GetNodeData(Node2)^);
  Result := WideStrIComp(PWideChar(FavRec1.Caption), PWideChar(FavRec2.Caption))
end;

procedure TTntFormUltraExplorer.SpTBXDockViewSpaceTopRequestDock(
  Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  // Don't let the floating Listview dock to the top as the Tabs will be between
  // the Fixed and Floating  
  Accept := IsBreadCrumbbar(Bar) or IsAddressToolbar(Bar) or IsViewToolbar(Bar) or IsNavigationToolbar(Bar)
end;

procedure TTntFormUltraExplorer.SpTBXDockListviewSplitterRequestDock(
  Sender: TObject; Bar: TTBCustomDockableWindow; var Accept: Boolean);
begin
  Accept := Bar.Name = 'SpTBXToolbarListviewSplitter';
end;

procedure TTntFormUltraExplorer.SpTBXItemMainMenuHelpWikiClick(
  Sender: TObject);
begin
  ShellExecuteW_MP(Handle, 'open', STR_WIKIHELP, nil, nil, SW_NORMAL);
end;

procedure TTntFormUltraExplorer.FocusChanged(NewFocus: TWinControl);
begin
  // IUltraNotifier callback
{  if NewFocus is TUltraExplorerEasyListview then
    ActiveView := NewFocus as TUltraExplorerEasyListview
  else             }
    ActiveView := nil;
end;

procedure TTntFormUltraExplorer.UltraFoldersEnter(Sender: TObject);
begin
  SyncFavoritesActions
end;

procedure TTntFormUltraExplorer.SpTBXDockHeaderContextPopup(
  Sender: TObject; MousePos: TPoint; var Handled: Boolean);
var
  R: TRect;
  Pt: TPoint;
  OldPopup: TPopupMenu;
begin
  if SpTBXToolbarAddressBar.Visible and ECB.Visible then
  begin
    // Little hack to make the built in menu for the Edit control work
    R.TopLeft := ECB.ClientToScreen(ECB.ClientRect.TopLeft);
    R.BottomRight := ECB.ClientToScreen(ECB.ClientRect.BottomRight);
    Pt := SpTBXDockHeader.ClientToScreen(MousePos);
    if PtInRect(R, Pt) and Assigned(SpTBXDockHeader.PopupMenu) then
    begin
      OldPopup := SpTBXDockHeader.PopupMenu;
      SpTBXDockHeader.PopupMenu := nil;
      try
        ECB.ComboEdit.Perform(WM_CONTEXTMENU, ECB.ComboEdit.Handle, MakeLong(Pt.x, Pt.y));
      finally
        SpTBXDockHeader.PopupMenu := OldPopup;
      end;
      Handled := True
    end
  end
end;

procedure TTntFormUltraExplorer.SpTBXSubmenuItem1Popup(  Sender: TTBCustomItem; FromLink: Boolean);
begin
  WinEHookSyncing := True;
  ActionShellHandlersWinEHook.Checked := FindWindow(WIN_E_HOOK_WINDOWCLASSNAME, WIN_E_HOOK_WINDOWCLASSNAME) <> 0;
  WinEHookSyncing := False
end;

procedure TTntFormUltraExplorer.SpTBXItemMainMenuDonationClick(
  Sender: TObject);
begin
  WideShellExecute(Handle, 'open', ModuleFileName(True) + '\PayPal.htm', '', '', SW_NORMAL);
end;

procedure TTntFormUltraExplorer.SpTBXCustomizerClose(Sender: TObject);
begin
  SpTBXTabSetListview.Toolbar.EndCustomize
end;

procedure TTntFormUltraExplorer.SpTBXCustomizerShow(Sender: TObject);
begin
  FixFormFont((Sender as TSpTBXCustomizer).CustomizeForm.Font);
  SpTBXTabSetListview.Toolbar.BeginCustomize
end;

{ TUltraSyncronizer }
constructor TUltraSyncronizer.Create(AnOwner: TTntFormUltraExplorer);
begin
  inherited Create;
  Owner := AnOwner;
end;

destructor TUltraSyncronizer.Destroy;
begin
  PIDLMgr.FreeAndNilPIDL(FPrevPIDL);
  PIDLMgr.FreeAndNilPIDL(FPIDL);
  inherited Destroy;
end;

function TUltraSyncronizer.GetIsSyncronizePending: Boolean;
begin
  Result := ussSyncronizePending in State
end;

function TUltraSyncronizer.GetIsSyncronizing: Boolean;
begin
  Result := [ussSyncronizing] * State <> []
end;

function TUltraSyncronizer.TryBrowseActiveView(APIDL: PItemIDList): Boolean;
begin
  Result := True;  // May be InPlaceWindow
  if Assigned(Owner.ActiveView) then
  begin
    Owner.ActiveView.RootFolderCustomPIDL := APIDL;
    Result := ILIsEqual(APIDL, Owner.ActiveView.RootFolderCustomPIDL);
  end;
end;

function TUltraSyncronizer.TryBrowseComboBox(APIDL: PItemIDList): Boolean;
var
  NS: TNamespace;
begin
  try
    NS := TNamespace.Create(APIDL, nil);
    try
      NS.FreePIDLOnDestroy := False;
      Owner.ECB.EditNamespace := NS;
      Result := ILIsEqual(Owner.ECB.EditNamespace.AbsolutePIDL, NS.AbsolutePIDL);
    finally
      NS.Free
    end
  except
    Result := False
  end
end;

function TUltraSyncronizer.TryBrowseFolders(APIDL: PItemIDList): Boolean;
var
  NS: TNamespace;
begin
  Result := False;
  Owner.UltraFolders.BrowseToByPIDL(APIDL, False, True, False, False, True);
  if Owner.UltraFolders.ValidateNamespace(Owner.UltraFolders.FocusedNode, NS) then
    Result := ILIsEqual(APIDL, NS.AbsolutePIDL);
end;

procedure TUltraSyncronizer.DoSyncronize(APIDL: PItemIDList);
var
  NS, PrevNS: TNamespace;
  Tab: TUltraSpTBXTabItem;
  OldTabIndex: Integer;
begin
  Include(FState, ussSyncronizing);
  try
    // Extract the Undo Information if necessary
    if not Assigned(PrevPIDL) then
    begin
      if Assigned(Owner.ActiveRoot) then
        PrevPIDL := PIDLMgr.CopyPIDL(Owner.ActiveRoot.AbsolutePIDL);
      if not Assigned(PrevPIDL) then
      begin
        if Assigned(Owner.UltraFolders.FocusedNode) then
        begin
            if Owner.UltraFolders.ValidateNamespace(Owner.UltraFolders.FocusedNode, NS) then
              PrevPIDL := PIDLMgr.CopyPIDL(NS.AbsolutePIDL)
        end
      end;
      if not Assigned(PrevPIDL) then
        PrevPIDL := PIDLMgr.CopyPIDL(Owner.ECB.EditNamespace.AbsolutePIDL)
    end;

    NS := TNamespace.Create(APIDL, nil);
    try
      NS.FreePIDLOnDestroy := False;
      Tab := nil;

      if Assigned(Owner.ActiveView) then
        Owner.ActiveView.BeginUpdate;
      Owner.UltraFolders.BeginUpdate;
      try
        // Create a new Tab if necessary
        if NewTab then
        begin
          OldTabIndex := Owner.SpTBXTabSetListview.ActiveTabIndex;
          Tab := Owner.TabAdd(APIDL, nil, Owner.SpTBXTabSetListview, False);
        end else
          OldTabIndex := -1;

        if NS.OkToBrowse(not Attribs.General.SuppressNoDiskMessages) and TryBrowseActiveView(APIDL) and TryBrowseFolders(APIDL) and TryBrowseComboBox(APIDL) then
        begin
          // Update the Breadcrumb Bar
          Owner.BreadCrumbListview.BuildCrumbTrail(NS);

          // Update the Command Line
          if Assigned(Owner.ActiveView) then
          begin
            if Attribs.CmdLine.SyncWithFolder and not Assigned(Owner.ActiveView.ColumnModeView) and Owner.SpTBXDockablePanelCmdLine.Visible then
              Owner.CmdLineSetPath(NS)
          end;

          // Update the Tabs
          Owner.TabUpdate(Owner.SpTBXTabSetListview, NS);


          if (SyncSource <> ussMRUMenu) and (SyncSource <> ussHistoryWindow) then
          begin
            // Update the ShellHistory, note that saving/not saving Mapped Drives ect is handled by the Component
            Owner.VirtualShellHistory.Add(NS, False, False, True);

            // Update the ShellMRU, note that saving/not saving Mapped Drives ect is handled by the Component
            if Assigned(PrevPIDL) then
            begin
              PrevNS := TNamespace.Create(PrevPIDL, nil);
              PrevNS.FreePIDLOnDestroy := False;
              Owner.VirtualShellMRU.Add(PrevNS, False, False);
              PrevNS.Free;
              Owner.RebuildHistory;   
            end
          end else
          if Assigned(Tab) then
          begin
            Owner.RebuildHistory   // New Tab, new History
          end
        end else
        begin
          // Restore Tabset to old configuration
          if Assigned(Tab) and (OldTabIndex > -1) then
          begin
            Owner.TabRemove(Tab, Owner.SpTBXTabSetListview);
            Owner.SpTBXTabSetListview.ActiveTabIndex := OldTabIndex;
          end;

          TryBrowseActiveView(PrevPIDL);
          TryBrowseFolders(PrevPIDL);
          TryBrowseComboBox(PrevPIDL)
        end;
      finally
         if Assigned(Owner.ActiveView) then
           Owner.ActiveView.EndUpdate;
        Owner.UltraFolders.EndUpdate;
      end;

      // Syncronize the Command Buttons on the Toolbars/Status Bar
      Owner.SyncListviewEditActions;
      Owner.SyncTreeviewActions;
      Owner.SyncStatusBar;
      Owner.SyncCaption(NS)
    finally
      NS.Free;
    end
  finally
    PIDLMgr.FreeAndNilPIDL(FPrevPIDL);
    PIDLMgr.FreeAndNilPIDL(FPIDL);
    Exclude(FState, ussSyncronizing);
    Exclude(FState, ussSyncronizePending);
  end
end;

procedure TUltraSyncronizer.KillDelayTimer;
begin
  if Assigned(DelayTimer) then
    FreeAndNil(FDelayTimer)
end;

procedure TUltraSyncronizer.OnTimerEvent(Sender: TObject);
begin
  KillDelayTimer;
  DoSyncronize(PIDL);
end;

procedure TUltraSyncronizer.StartTime(DelayTime: Integer);
begin
  KillDelayTimer;
  DelayTimer := TTimer.Create(nil);
  if Assigned(DelayTimer) then
  begin
    DelayTimer.Enabled := False;
    DelayTimer.Interval := DelayTime;
    DelayTimer.OnTimer := OnTimerEvent;
    DelayTimer.Enabled := True
  end
end;

procedure TUltraSyncronizer.Syncronize(ASender: TUltraSyncronizerSource; APIDL: PItemIdList; IsDelayed: Boolean; ADelayTime: Integer; ANewTab: Boolean);
begin
//  Assert((ussSyncronizePending in State) and (ASender <> SyncSource), 'Trying to Synronize with a Pending Sync from a different control');
  if Enabled then
  begin
    if not (ussSyncronizing in State) then
    begin
      KillDelayTimer;
      SyncSource := ASender;
      PIDLMgr.FreeAndNilPIDL(FPIDL);
      PIDL := PIDLMgr.CopyPIDL(APIDL);
      NewTab := ANewTab;
      if IsDelayed then
        StartTime(ADelayTime)
      else
        DoSyncronize(PIDL);
    end
  end
end;

procedure TUltraSyncronizer.SyncronizeCancel(ASender: TUltraSyncronizerSource);
begin
  if Enabled then
  begin
    PIDLMgr.FreeAndNilPIDL(FPrevPIDL);
    Exclude(FState, ussSyncronizePending);
    Exclude(FState, ussSyncronizing);
  end
end;

procedure TUltraSyncronizer.SyncronizePending(ASender: TUltraSyncronizerSource; APrevPIDL: PItemIDList);
//
// Sets up the Syncronizer to prepare for a failure in the syncronization to recover from. APrevPIDL is
// the PIDL of the path where the Syncronization is starting from (so we can return if fails)
//
var
  NS: TNamespace;
begin
  if Enabled and not(ussSyncronizing in State) then
  begin
    Include(FState, ussSyncronizePending);
    PIDLMgr.FreeAndNilPIDL(FPrevPIDL);
    PrevPIDL := PIDLMgr.CopyPIDL(APrevPIDL);

    if Owner.VirtualShellHistory.Count = 0 then
    begin
      NS := TNamespace.Create(APrevPIDL, nil);
      NS.FreePIDLOnDestroy := False;
      Owner.VirtualShellHistory.Add(NS);
      NS.Free;
    end
  end
end;


procedure TTntFormUltraExplorer.SpTBXItem15Click(Sender: TObject);
var
  InPlacePanel: TUltraInPlacePanel;
begin
  InPlacePanel := TUltraInPlacePanel.Create(Self);
  InPlacePanelList.Add(InPlacePanel);
  InPlacePanel.Align := alClient;
  InPlacePanel.Parent := PanelDualView;
  InPlacePanel.InPlaceWindow := TTntFramePlugInColumnMode.Create(nil);
  InPlacePanel.InPlaceWindow.RegisterNotifier(Self);
  InPlacePanel.InPlaceWindow.SetParentWnd(InPlacePanel);
  InPlacePanel.InPlaceWindow.ShowWindow(True);

//  TabAdd(nil, (TTntFramePlugInColumnMode.Create(nil)), SpTBXTabSetListview, True)
end;

procedure TTntFormUltraExplorer.SpTBXDockablePanelDualViewVisibleChanged(
  Sender: TObject);
begin
  ActionFixedListView.Checked := SpTBXDockablePanelDualView.Visible;
  if not SpTBXDockablePanelDualView.Visible then
    ActiveView := UltraListview
  else
    // Leave active always since the user may be browsing somewhere and hides the Listview for a second.  Don't want to rebuild to root
    UltraListviewDual.Active := True;
end;

initialization
  // intended to make a fresh start for pre version 1.0.0 users
  if not WideFileExists(AppFilesPath + '\' + STR_TAG_FILE) then
  begin
    WideDeleteFile(AppFilesPath + '\' + STR_MISCSETTINGS_FILE);
    WideDeleteFile(AppFilesPath + '\' + STR_LAYOUTSETTINGS_FILE);
    WideDeleteFile(AppFilesPath + '\' + STR_CUSTOMIZATIONSETTINGS_FILE);
    WideDeleteFile(AppFilesPath + '\' + STR_CUSTOMIZATIONSETTINGS_FILE);
    WideDeleteFile(AppFilesPath + '\' + STR_OPTIONSETTINGS_FILE);
  end;

  if WideFileExists(AppFilesPath + '\' + STR_VERSION_FILE) then
  begin
    F := TTntStringList.Create;
    try
      F.LoadFromFile(AppFilesPath + '\' + STR_VERSION_FILE);
      STR_ULTRAEXPLORER_VERSION := Trim(F.Text)
    finally
      F.Free
    end
  end;     
end.

